{
    "$graph": [
        {
            "label": "bacterial_hit_mapping",
            "class": "CommandLineTool",
            "requirements": [
                {
                    "class": "ResourceRequirement",
                    "ramMax": 4000
                },
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "InitialWorkDirRequirement",
                    "listing": [
                        {
                            "entryname": "aligns.mft",
                            "entry": "${var blob = '# aligns.mft created for bacterial_hit_mapping from input hmm_hits Array of Files\\n'; for (var i = 0; i < inputs.hmm_hits.length; i++) { blob += inputs.hmm_hits[i].path + '\\n'; } return blob; }"
                        }
                    ]
                }
            ],
            "baseCommand": "bacterial_hit_mapping",
            "inputs": [
                {
                    "type": "string",
                    "inputBinding": {
                        "prefix": "-align-fmt"
                    },
                    "id": "#bacterial_hit_mapping.cwl/align_fmt"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "Directory"
                    },
                    "inputBinding": {
                        "prefix": "-asn-cache",
                        "itemSeparator": ","
                    },
                    "id": "#bacterial_hit_mapping.cwl/asn_cache"
                },
                {
                    "type": "float",
                    "inputBinding": {
                        "prefix": "-expansion-ratio"
                    },
                    "id": "#bacterial_hit_mapping.cwl/expansion_ratio"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "id": "#bacterial_hit_mapping.cwl/hmm_hits"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "aligns.mft",
                    "inputBinding": {
                        "prefix": "-aligns-manifest"
                    },
                    "id": "#bacterial_hit_mapping.cwl/hmm_hits_mft"
                },
                {
                    "type": "boolean",
                    "inputBinding": {
                        "prefix": "-no-compart"
                    },
                    "id": "#bacterial_hit_mapping.cwl/no_compart"
                },
                {
                    "type": "boolean",
                    "inputBinding": {
                        "prefix": "-nogenbank"
                    },
                    "id": "#bacterial_hit_mapping.cwl/nogenbank"
                },
                {
                    "type": "string",
                    "inputBinding": {
                        "prefix": "-o"
                    },
                    "id": "#bacterial_hit_mapping.cwl/outfile"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "id": "#bacterial_hit_mapping.cwl/proteins"
                },
                {
                    "type": [
                        "null",
                        "Directory"
                    ],
                    "id": "#bacterial_hit_mapping.cwl/seq_cache"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-sequences"
                    },
                    "id": "#bacterial_hit_mapping.cwl/sequences"
                },
                {
                    "type": [
                        "null",
                        "Directory"
                    ],
                    "id": "#bacterial_hit_mapping.cwl/unicoll_cache"
                }
            ],
            "id": "#bacterial_hit_mapping.cwl",
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.outfile)"
                    },
                    "id": "#bacterial_hit_mapping.cwl/aligns"
                }
            ]
        },
        {
            "label": "Get off-frame ORFs",
            "class": "CommandLineTool",
            "baseCommand": "get_off_frame_orfs",
            "arguments": [
                "-nogenbank"
            ],
            "inputs": [
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-aligns"
                    },
                    "id": "#get_off_frame_orfs.cwl/aligns"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "prot.ids",
                    "inputBinding": {
                        "prefix": "-o"
                    },
                    "id": "#get_off_frame_orfs.cwl/outfile"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-seq_entries"
                    },
                    "id": "#get_off_frame_orfs.cwl/seq_entries"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.outfile)"
                    },
                    "id": "#get_off_frame_orfs.cwl/prot_ids"
                }
            ],
            "id": "#get_off_frame_orfs.cwl"
        },
        {
            "label": "Bacterial Annotation, pass 1, genemark training, by HMMs (first pass)",
            "class": "Workflow",
            "requirements": [
                {
                    "class": "SubworkflowFeatureRequirement"
                },
                {
                    "class": "MultipleInputFeatureRequirement"
                }
            ],
            "inputs": [
                {
                    "type": "File",
                    "id": "#wf_bacterial_annot_pass1.cwl/Execute_CRISPRs_annots"
                },
                {
                    "type": "File",
                    "id": "#wf_bacterial_annot_pass1.cwl/Generate_16S_rRNA_Annotation_annotation"
                },
                {
                    "type": "File",
                    "id": "#wf_bacterial_annot_pass1.cwl/Generate_23S_rRNA_Annotation_annotation"
                },
                {
                    "type": "File",
                    "id": "#wf_bacterial_annot_pass1.cwl/Post_process_CMsearch_annotations_annots_5S"
                },
                {
                    "type": "Directory",
                    "id": "#wf_bacterial_annot_pass1.cwl/asn_cache"
                },
                {
                    "type": "string",
                    "id": "#wf_bacterial_annot_pass1.cwl/genemark_path"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "boolean"
                    },
                    "id": "#wf_bacterial_annot_pass1.cwl/go"
                },
                {
                    "type": "Directory",
                    "id": "#wf_bacterial_annot_pass1.cwl/hmm_path"
                },
                {
                    "type": "File",
                    "id": "#wf_bacterial_annot_pass1.cwl/hmms_tab"
                },
                {
                    "type": "File",
                    "id": "#wf_bacterial_annot_pass1.cwl/inseq"
                },
                {
                    "type": "File",
                    "id": "#wf_bacterial_annot_pass1.cwl/naming_sqlite"
                },
                {
                    "type": "File",
                    "id": "#wf_bacterial_annot_pass1.cwl/ncrna_annots"
                },
                {
                    "type": "boolean",
                    "id": "#wf_bacterial_annot_pass1.cwl/nogenbank"
                },
                {
                    "type": "string",
                    "id": "#wf_bacterial_annot_pass1.cwl/scatter_gather_nchunks"
                },
                {
                    "type": "Directory",
                    "id": "#wf_bacterial_annot_pass1.cwl/selenoproteins"
                },
                {
                    "type": "string",
                    "default": "blastdb",
                    "id": "#wf_bacterial_annot_pass1.cwl/selenoproteins_db"
                },
                {
                    "type": "File",
                    "id": "#wf_bacterial_annot_pass1.cwl/thresholds"
                },
                {
                    "type": "File",
                    "id": "#wf_bacterial_annot_pass1.cwl/trna_annots"
                },
                {
                    "type": "Directory",
                    "id": "#wf_bacterial_annot_pass1.cwl/uniColl_cache"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputSource": "#wf_bacterial_annot_pass1.cwl/Map_HMM_Hits/aligns",
                    "id": "#wf_bacterial_annot_pass1.cwl/aligns"
                },
                {
                    "type": "File",
                    "outputSource": "#wf_bacterial_annot_pass1.cwl/Resolve_Annotation_Conflicts/annotation",
                    "id": "#wf_bacterial_annot_pass1.cwl/annotation"
                },
                {
                    "type": "File",
                    "outputSource": "#wf_bacterial_annot_pass1.cwl/Search_All_HMMs/hmm_hits",
                    "id": "#wf_bacterial_annot_pass1.cwl/hmm_hits"
                },
                {
                    "type": "File",
                    "outputSource": "#wf_bacterial_annot_pass1.cwl/Extract_ORF_Proteins/lds2",
                    "id": "#wf_bacterial_annot_pass1.cwl/lds2"
                },
                {
                    "type": "File",
                    "outputSource": "#wf_bacterial_annot_pass1.cwl/Run_GeneMark_Training_post/models",
                    "id": "#wf_bacterial_annot_pass1.cwl/models1"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "outputSource": "#wf_bacterial_annot_pass1.cwl/Run_GeneMark_Training/out_hmm_params",
                    "id": "#wf_bacterial_annot_pass1.cwl/out_hmm_params"
                },
                {
                    "type": "File",
                    "outputSource": "#wf_bacterial_annot_pass1.cwl/Get_ORFs/outseqs",
                    "id": "#wf_bacterial_annot_pass1.cwl/outseqs"
                },
                {
                    "type": "File",
                    "outputSource": "#wf_bacterial_annot_pass1.cwl/Get_off_frame_ORFs/prot_ids",
                    "id": "#wf_bacterial_annot_pass1.cwl/prot_ids"
                },
                {
                    "type": "File",
                    "outputSource": "#wf_bacterial_annot_pass1.cwl/Resolve_Annotation_Conflicts/protein_aligns",
                    "id": "#wf_bacterial_annot_pass1.cwl/protein_aligns"
                },
                {
                    "type": "File",
                    "outputSource": "#wf_bacterial_annot_pass1.cwl/Extract_ORF_Proteins/proteins",
                    "id": "#wf_bacterial_annot_pass1.cwl/proteins"
                },
                {
                    "type": "File",
                    "outputSource": "#wf_bacterial_annot_pass1.cwl/Extract_ORF_Proteins/seqids",
                    "id": "#wf_bacterial_annot_pass1.cwl/seqids"
                }
            ],
            "steps": [
                {
                    "run": "#protein_extract.cwl",
                    "in": [
                        {
                            "source": "#wf_bacterial_annot_pass1.cwl/Get_ORFs/outseqs",
                            "id": "#wf_bacterial_annot_pass1.cwl/Extract_ORF_Proteins/input"
                        },
                        {
                            "source": "#wf_bacterial_annot_pass1.cwl/nogenbank",
                            "id": "#wf_bacterial_annot_pass1.cwl/Extract_ORF_Proteins/nogenbank"
                        }
                    ],
                    "out": [
                        "#wf_bacterial_annot_pass1.cwl/Extract_ORF_Proteins/proteins",
                        "#wf_bacterial_annot_pass1.cwl/Extract_ORF_Proteins/lds2",
                        "#wf_bacterial_annot_pass1.cwl/Extract_ORF_Proteins/seqids"
                    ],
                    "id": "#wf_bacterial_annot_pass1.cwl/Extract_ORF_Proteins"
                },
                {
                    "run": "#gp_getorf.cwl",
                    "in": [
                        {
                            "source": "#wf_bacterial_annot_pass1.cwl/asn_cache",
                            "id": "#wf_bacterial_annot_pass1.cwl/Get_ORFs/asn_cache"
                        },
                        {
                            "source": "#wf_bacterial_annot_pass1.cwl/inseq",
                            "id": "#wf_bacterial_annot_pass1.cwl/Get_ORFs/input"
                        }
                    ],
                    "out": [
                        "#wf_bacterial_annot_pass1.cwl/Get_ORFs/outseqs"
                    ],
                    "id": "#wf_bacterial_annot_pass1.cwl/Get_ORFs"
                },
                {
                    "run": "#get_off_frame_orfs.cwl",
                    "label": "Get_off_frame_ORFs task node",
                    "in": [
                        {
                            "source": "#wf_bacterial_annot_pass1.cwl/Map_HMM_Hits/aligns",
                            "id": "#wf_bacterial_annot_pass1.cwl/Get_off_frame_ORFs/aligns"
                        },
                        {
                            "source": "#wf_bacterial_annot_pass1.cwl/Get_ORFs/outseqs",
                            "id": "#wf_bacterial_annot_pass1.cwl/Get_off_frame_ORFs/seq_entries"
                        }
                    ],
                    "out": [
                        "#wf_bacterial_annot_pass1.cwl/Get_off_frame_ORFs/prot_ids"
                    ],
                    "id": "#wf_bacterial_annot_pass1.cwl/Get_off_frame_ORFs"
                },
                {
                    "run": "#bacterial_hit_mapping.cwl",
                    "in": [
                        {
                            "default": "seq-align",
                            "id": "#wf_bacterial_annot_pass1.cwl/Map_HMM_Hits/align_fmt"
                        },
                        {
                            "source": [
                                "#wf_bacterial_annot_pass1.cwl/asn_cache",
                                "#wf_bacterial_annot_pass1.cwl/uniColl_cache"
                            ],
                            "id": "#wf_bacterial_annot_pass1.cwl/Map_HMM_Hits/asn_cache"
                        },
                        {
                            "default": 0.0,
                            "id": "#wf_bacterial_annot_pass1.cwl/Map_HMM_Hits/expansion_ratio"
                        },
                        {
                            "source": [
                                "#wf_bacterial_annot_pass1.cwl/Search_All_HMMs/hmm_hits"
                            ],
                            "linkMerge": "merge_flattened",
                            "id": "#wf_bacterial_annot_pass1.cwl/Map_HMM_Hits/hmm_hits"
                        },
                        {
                            "default": true,
                            "id": "#wf_bacterial_annot_pass1.cwl/Map_HMM_Hits/no_compart"
                        },
                        {
                            "default": true,
                            "id": "#wf_bacterial_annot_pass1.cwl/Map_HMM_Hits/nogenbank"
                        },
                        {
                            "default": "mapped-hmm-hits.asn",
                            "id": "#wf_bacterial_annot_pass1.cwl/Map_HMM_Hits/outfile"
                        },
                        {
                            "source": "#wf_bacterial_annot_pass1.cwl/asn_cache",
                            "id": "#wf_bacterial_annot_pass1.cwl/Map_HMM_Hits/seq_cache"
                        },
                        {
                            "source": "#wf_bacterial_annot_pass1.cwl/Get_ORFs/outseqs",
                            "id": "#wf_bacterial_annot_pass1.cwl/Map_HMM_Hits/sequences"
                        },
                        {
                            "source": "#wf_bacterial_annot_pass1.cwl/uniColl_cache",
                            "id": "#wf_bacterial_annot_pass1.cwl/Map_HMM_Hits/unicoll_cache"
                        }
                    ],
                    "out": [
                        "#wf_bacterial_annot_pass1.cwl/Map_HMM_Hits/aligns"
                    ],
                    "id": "#wf_bacterial_annot_pass1.cwl/Map_HMM_Hits"
                },
                {
                    "label": "Resolve Annotation Conflicts",
                    "run": "#bacterial_resolve_conflicts.cwl",
                    "in": [
                        {
                            "source": [
                                "#wf_bacterial_annot_pass1.cwl/asn_cache"
                            ],
                            "linkMerge": "merge_flattened",
                            "id": "#wf_bacterial_annot_pass1.cwl/Resolve_Annotation_Conflicts/asn_cache"
                        },
                        {
                            "source": [
                                "#wf_bacterial_annot_pass1.cwl/Execute_CRISPRs_annots",
                                "#wf_bacterial_annot_pass1.cwl/ncrna_annots",
                                "#wf_bacterial_annot_pass1.cwl/Generate_16S_rRNA_Annotation_annotation",
                                "#wf_bacterial_annot_pass1.cwl/Generate_23S_rRNA_Annotation_annotation",
                                "#wf_bacterial_annot_pass1.cwl/Post_process_CMsearch_annotations_annots_5S",
                                "#wf_bacterial_annot_pass1.cwl/trna_annots"
                            ],
                            "id": "#wf_bacterial_annot_pass1.cwl/Resolve_Annotation_Conflicts/features"
                        },
                        {
                            "source": "#wf_bacterial_annot_pass1.cwl/thresholds",
                            "id": "#wf_bacterial_annot_pass1.cwl/Resolve_Annotation_Conflicts/thr"
                        }
                    ],
                    "out": [
                        "#wf_bacterial_annot_pass1.cwl/Resolve_Annotation_Conflicts/protein_aligns",
                        "#wf_bacterial_annot_pass1.cwl/Resolve_Annotation_Conflicts/annotation"
                    ],
                    "id": "#wf_bacterial_annot_pass1.cwl/Resolve_Annotation_Conflicts"
                },
                {
                    "label": "Run GeneMark Training, genemark",
                    "run": "#genemark_training.cwl",
                    "in": [
                        {
                            "source": "#wf_bacterial_annot_pass1.cwl/Resolve_Annotation_Conflicts/annotation",
                            "id": "#wf_bacterial_annot_pass1.cwl/Run_GeneMark_Training/annotation"
                        },
                        {
                            "source": [
                                "#wf_bacterial_annot_pass1.cwl/asn_cache",
                                "#wf_bacterial_annot_pass1.cwl/uniColl_cache"
                            ],
                            "linkMerge": "merge_flattened",
                            "id": "#wf_bacterial_annot_pass1.cwl/Run_GeneMark_Training/asn_cache"
                        },
                        {
                            "source": "#wf_bacterial_annot_pass1.cwl/genemark_path",
                            "id": "#wf_bacterial_annot_pass1.cwl/Run_GeneMark_Training/genemark_path"
                        },
                        {
                            "default": 200,
                            "id": "#wf_bacterial_annot_pass1.cwl/Run_GeneMark_Training/min_seq_len"
                        },
                        {
                            "default": true,
                            "id": "#wf_bacterial_annot_pass1.cwl/Run_GeneMark_Training/nogenbank"
                        },
                        {
                            "default": "preliminary-models.asn",
                            "id": "#wf_bacterial_annot_pass1.cwl/Run_GeneMark_Training/preliminary_models_name"
                        },
                        {
                            "source": "#wf_bacterial_annot_pass1.cwl/inseq",
                            "id": "#wf_bacterial_annot_pass1.cwl/Run_GeneMark_Training/sequences"
                        },
                        {
                            "source": "#wf_bacterial_annot_pass1.cwl/thresholds",
                            "id": "#wf_bacterial_annot_pass1.cwl/Run_GeneMark_Training/thr"
                        },
                        {
                            "default": "workdir",
                            "id": "#wf_bacterial_annot_pass1.cwl/Run_GeneMark_Training/tmp_dir_name"
                        }
                    ],
                    "out": [
                        "#wf_bacterial_annot_pass1.cwl/Run_GeneMark_Training/out_hmm_params",
                        "#wf_bacterial_annot_pass1.cwl/Run_GeneMark_Training/preliminary_models"
                    ],
                    "id": "#wf_bacterial_annot_pass1.cwl/Run_GeneMark_Training"
                },
                {
                    "label": "Run GeneMark Training (genemark_post)",
                    "run": "#genemark_post.cwl",
                    "in": [
                        {
                            "default": 60,
                            "id": "#wf_bacterial_annot_pass1.cwl/Run_GeneMark_Training_post/abs_short_model_limit"
                        },
                        {
                            "source": [
                                "#wf_bacterial_annot_pass1.cwl/uniColl_cache",
                                "#wf_bacterial_annot_pass1.cwl/asn_cache"
                            ],
                            "id": "#wf_bacterial_annot_pass1.cwl/Run_GeneMark_Training_post/asn_cache"
                        },
                        {
                            "source": "#wf_bacterial_annot_pass1.cwl/Run_GeneMark_Training/preliminary_models",
                            "id": "#wf_bacterial_annot_pass1.cwl/Run_GeneMark_Training_post/genemark_annot"
                        },
                        {
                            "default": 120,
                            "id": "#wf_bacterial_annot_pass1.cwl/Run_GeneMark_Training_post/max_overlap"
                        },
                        {
                            "default": 5000,
                            "id": "#wf_bacterial_annot_pass1.cwl/Run_GeneMark_Training_post/max_unannotated_region"
                        },
                        {
                            "default": "models_training.asn",
                            "id": "#wf_bacterial_annot_pass1.cwl/Run_GeneMark_Training_post/models_name"
                        },
                        {
                            "default": true,
                            "id": "#wf_bacterial_annot_pass1.cwl/Run_GeneMark_Training_post/nogenbank"
                        },
                        {
                            "default": "all-proteins.ids",
                            "id": "#wf_bacterial_annot_pass1.cwl/Run_GeneMark_Training_post/out_product_ids_name"
                        },
                        {
                            "source": "#wf_bacterial_annot_pass1.cwl/selenoproteins",
                            "id": "#wf_bacterial_annot_pass1.cwl/Run_GeneMark_Training_post/selenoproteins"
                        },
                        {
                            "source": "#wf_bacterial_annot_pass1.cwl/selenoproteins_db",
                            "id": "#wf_bacterial_annot_pass1.cwl/Run_GeneMark_Training_post/selenoproteins_db"
                        },
                        {
                            "default": 180,
                            "id": "#wf_bacterial_annot_pass1.cwl/Run_GeneMark_Training_post/short_model_limit"
                        },
                        {
                            "source": "#wf_bacterial_annot_pass1.cwl/naming_sqlite",
                            "id": "#wf_bacterial_annot_pass1.cwl/Run_GeneMark_Training_post/unicoll_sqlite"
                        }
                    ],
                    "out": [
                        "#wf_bacterial_annot_pass1.cwl/Run_GeneMark_Training_post/models"
                    ],
                    "id": "#wf_bacterial_annot_pass1.cwl/Run_GeneMark_Training_post"
                },
                {
                    "label": "Search All HMMs",
                    "run": "#tt_hmmsearch_wnode.cwl",
                    "in": [
                        {
                            "source": "#wf_bacterial_annot_pass1.cwl/asn_cache",
                            "id": "#wf_bacterial_annot_pass1.cwl/Search_All_HMMs/asn_cache"
                        },
                        {
                            "source": "#wf_bacterial_annot_pass1.cwl/hmm_path",
                            "id": "#wf_bacterial_annot_pass1.cwl/Search_All_HMMs/hmm_path"
                        },
                        {
                            "source": "#wf_bacterial_annot_pass1.cwl/hmms_tab",
                            "id": "#wf_bacterial_annot_pass1.cwl/Search_All_HMMs/hmms_tab"
                        },
                        {
                            "source": "#wf_bacterial_annot_pass1.cwl/Extract_ORF_Proteins/lds2",
                            "id": "#wf_bacterial_annot_pass1.cwl/Search_All_HMMs/lds2"
                        },
                        {
                            "source": "#wf_bacterial_annot_pass1.cwl/Extract_ORF_Proteins/proteins",
                            "id": "#wf_bacterial_annot_pass1.cwl/Search_All_HMMs/proteins"
                        },
                        {
                            "source": "#wf_bacterial_annot_pass1.cwl/scatter_gather_nchunks",
                            "id": "#wf_bacterial_annot_pass1.cwl/Search_All_HMMs/scatter_gather_nchunks"
                        },
                        {
                            "source": "#wf_bacterial_annot_pass1.cwl/Extract_ORF_Proteins/seqids",
                            "id": "#wf_bacterial_annot_pass1.cwl/Search_All_HMMs/seqids"
                        }
                    ],
                    "out": [
                        "#wf_bacterial_annot_pass1.cwl/Search_All_HMMs/hmm_hits"
                    ],
                    "id": "#wf_bacterial_annot_pass1.cwl/Search_All_HMMs"
                }
            ],
            "id": "#wf_bacterial_annot_pass1.cwl"
        },
        {
            "label": "Bacterial Annotation, pass 2, blastp-based functional annotation (first pass)",
            "class": "Workflow",
            "requirements": [
                {
                    "class": "SubworkflowFeatureRequirement"
                },
                {
                    "class": "MultipleInputFeatureRequirement"
                }
            ],
            "inputs": [
                {
                    "label": "Get ORFs/outseq",
                    "type": "File",
                    "id": "#wf_bacterial_annot_pass2.cwl/annotation"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "id": "#wf_bacterial_annot_pass2.cwl/blast_hits_cache"
                },
                {
                    "label": "parameter to store the literal 'blast_rules_db'",
                    "type": "string",
                    "default": "blast_rules_db",
                    "id": "#wf_bacterial_annot_pass2.cwl/blast_rules_db"
                },
                {
                    "label": "Input blastdb databases",
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#wf_bacterial_annot_pass2.cwl/blastdb"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "int"
                    },
                    "id": "#wf_bacterial_annot_pass2.cwl/genus_list"
                },
                {
                    "label": "Create identification BLASTdb",
                    "type": "Directory",
                    "id": "#wf_bacterial_annot_pass2.cwl/identification_db_dir"
                },
                {
                    "label": "Extract ORF Proteins/lds2",
                    "type": "File",
                    "id": "#wf_bacterial_annot_pass2.cwl/lds2"
                },
                {
                    "label": "Prepare_Unannotated_Sequences/plasmids",
                    "type": "File",
                    "id": "#wf_bacterial_annot_pass2.cwl/plasmids"
                },
                {
                    "label": "Extract ORF Proteins/prot_ids",
                    "type": "File",
                    "id": "#wf_bacterial_annot_pass2.cwl/prot_ids_A"
                },
                {
                    "label": "Get off-frame ORFs/prot_ids",
                    "type": "File",
                    "id": "#wf_bacterial_annot_pass2.cwl/prot_ids_B1"
                },
                {
                    "label": "AntiFam tainted proteins I/oseqids",
                    "type": "File",
                    "id": "#wf_bacterial_annot_pass2.cwl/prot_ids_B2"
                },
                {
                    "label": "Extract ORF Proteins/proteins",
                    "type": "File",
                    "id": "#wf_bacterial_annot_pass2.cwl/proteins"
                },
                {
                    "label": "Prepare_Unannotated_Sequences/sequences",
                    "type": "File",
                    "id": "#wf_bacterial_annot_pass2.cwl/raw_seqs"
                },
                {
                    "type": "string",
                    "id": "#wf_bacterial_annot_pass2.cwl/scatter_gather_nchunks"
                },
                {
                    "type": "Directory",
                    "id": "#wf_bacterial_annot_pass2.cwl/sequence_cache"
                },
                {
                    "type": "int",
                    "id": "#wf_bacterial_annot_pass2.cwl/taxid"
                },
                {
                    "type": "File",
                    "id": "#wf_bacterial_annot_pass2.cwl/taxon_db"
                },
                {
                    "type": "Directory",
                    "id": "#wf_bacterial_annot_pass2.cwl/unicoll_cache"
                }
            ],
            "outputs": [
                {
                    "label": "goes to protein_alignment/Seed Search Compartments/compartments",
                    "type": "File",
                    "outputSource": "#wf_bacterial_annot_pass2.cwl/Map_Naming_Hits/aligns",
                    "id": "#wf_bacterial_annot_pass2.cwl/aligns"
                }
            ],
            "steps": [
                {
                    "label": "Find Naming Protein Hits for struct",
                    "run": "#tt_blastp_wnode_naming.cwl",
                    "in": [
                        {
                            "default": "subject",
                            "id": "#wf_bacterial_annot_pass2.cwl/Find_Naming_Protein_Hits_for_struct/affinity"
                        },
                        {
                            "default": "score>0 && pct_identity_gapopen_only > 35",
                            "id": "#wf_bacterial_annot_pass2.cwl/Find_Naming_Protein_Hits_for_struct/align_filter"
                        },
                        {
                            "default": false,
                            "id": "#wf_bacterial_annot_pass2.cwl/Find_Naming_Protein_Hits_for_struct/allow_intersection"
                        },
                        {
                            "source": [
                                "#wf_bacterial_annot_pass2.cwl/sequence_cache",
                                "#wf_bacterial_annot_pass2.cwl/unicoll_cache"
                            ],
                            "id": "#wf_bacterial_annot_pass2.cwl/Find_Naming_Protein_Hits_for_struct/asn_cache"
                        },
                        {
                            "source": "#wf_bacterial_annot_pass2.cwl/blast_hits_cache",
                            "id": "#wf_bacterial_annot_pass2.cwl/Find_Naming_Protein_Hits_for_struct/blast_hits_cache"
                        },
                        {
                            "default": "orf",
                            "id": "#wf_bacterial_annot_pass2.cwl/Find_Naming_Protein_Hits_for_struct/blast_type"
                        },
                        {
                            "source": [
                                "#wf_bacterial_annot_pass2.cwl/blastdb",
                                "#wf_bacterial_annot_pass2.cwl/blast_rules_db"
                            ],
                            "linkMerge": "merge_flattened",
                            "id": "#wf_bacterial_annot_pass2.cwl/Find_Naming_Protein_Hits_for_struct/blastdb"
                        },
                        {
                            "source": "#wf_bacterial_annot_pass2.cwl/identification_db_dir",
                            "id": "#wf_bacterial_annot_pass2.cwl/Find_Naming_Protein_Hits_for_struct/blastdb_dir"
                        },
                        {
                            "default": "F",
                            "id": "#wf_bacterial_annot_pass2.cwl/Find_Naming_Protein_Hits_for_struct/comp_based_stats"
                        },
                        {
                            "default": false,
                            "id": "#wf_bacterial_annot_pass2.cwl/Find_Naming_Protein_Hits_for_struct/compart"
                        },
                        {
                            "default": "6000000000",
                            "id": "#wf_bacterial_annot_pass2.cwl/Find_Naming_Protein_Hits_for_struct/dbsize"
                        },
                        {
                            "default": 0.1,
                            "id": "#wf_bacterial_annot_pass2.cwl/Find_Naming_Protein_Hits_for_struct/evalue"
                        },
                        {
                            "default": 20,
                            "id": "#wf_bacterial_annot_pass2.cwl/Find_Naming_Protein_Hits_for_struct/extra_coverage"
                        },
                        {
                            "source": "#wf_bacterial_annot_pass2.cwl/genus_list",
                            "id": "#wf_bacterial_annot_pass2.cwl/Find_Naming_Protein_Hits_for_struct/genus_list"
                        },
                        {
                            "source": [
                                "#wf_bacterial_annot_pass2.cwl/Separate_Plasmid_ORFs/chomosome_orfs"
                            ],
                            "linkMerge": "merge_flattened",
                            "id": "#wf_bacterial_annot_pass2.cwl/Find_Naming_Protein_Hits_for_struct/ids"
                        },
                        {
                            "source": "#wf_bacterial_annot_pass2.cwl/lds2",
                            "id": "#wf_bacterial_annot_pass2.cwl/Find_Naming_Protein_Hits_for_struct/lds2"
                        },
                        {
                            "default": 10000,
                            "id": "#wf_bacterial_annot_pass2.cwl/Find_Naming_Protein_Hits_for_struct/max_batch_length"
                        },
                        {
                            "default": 1,
                            "id": "#wf_bacterial_annot_pass2.cwl/Find_Naming_Protein_Hits_for_struct/max_jobs"
                        },
                        {
                            "default": 50,
                            "id": "#wf_bacterial_annot_pass2.cwl/Find_Naming_Protein_Hits_for_struct/max_target_seqs"
                        },
                        {
                            "default": true,
                            "id": "#wf_bacterial_annot_pass2.cwl/Find_Naming_Protein_Hits_for_struct/no_merge"
                        },
                        {
                            "default": true,
                            "id": "#wf_bacterial_annot_pass2.cwl/Find_Naming_Protein_Hits_for_struct/nogenbank"
                        },
                        {
                            "default": "asn-binary",
                            "id": "#wf_bacterial_annot_pass2.cwl/Find_Naming_Protein_Hits_for_struct/ofmt"
                        },
                        {
                            "source": "#wf_bacterial_annot_pass2.cwl/proteins",
                            "id": "#wf_bacterial_annot_pass2.cwl/Find_Naming_Protein_Hits_for_struct/proteins"
                        },
                        {
                            "source": "#wf_bacterial_annot_pass2.cwl/scatter_gather_nchunks",
                            "id": "#wf_bacterial_annot_pass2.cwl/Find_Naming_Protein_Hits_for_struct/scatter_gather_nchunks"
                        },
                        {
                            "default": "30 2.2 2.5",
                            "id": "#wf_bacterial_annot_pass2.cwl/Find_Naming_Protein_Hits_for_struct/seg"
                        },
                        {
                            "default": "yes",
                            "id": "#wf_bacterial_annot_pass2.cwl/Find_Naming_Protein_Hits_for_struct/soft_masking"
                        },
                        {
                            "source": "#wf_bacterial_annot_pass2.cwl/taxid",
                            "id": "#wf_bacterial_annot_pass2.cwl/Find_Naming_Protein_Hits_for_struct/taxid"
                        },
                        {
                            "source": "#wf_bacterial_annot_pass2.cwl/taxon_db",
                            "id": "#wf_bacterial_annot_pass2.cwl/Find_Naming_Protein_Hits_for_struct/taxon_db"
                        },
                        {
                            "default": 21,
                            "id": "#wf_bacterial_annot_pass2.cwl/Find_Naming_Protein_Hits_for_struct/threshold"
                        },
                        {
                            "default": 10,
                            "id": "#wf_bacterial_annot_pass2.cwl/Find_Naming_Protein_Hits_for_struct/top_by_score"
                        },
                        {
                            "default": 6,
                            "id": "#wf_bacterial_annot_pass2.cwl/Find_Naming_Protein_Hits_for_struct/word_size"
                        }
                    ],
                    "out": [
                        "#wf_bacterial_annot_pass2.cwl/Find_Naming_Protein_Hits_for_struct/blast_align"
                    ],
                    "id": "#wf_bacterial_annot_pass2.cwl/Find_Naming_Protein_Hits_for_struct"
                },
                {
                    "label": "Find Struct Protein Hits for Plasmids",
                    "run": "#tt_blastp_wnode_struct.cwl",
                    "in": [
                        {
                            "default": "subject",
                            "id": "#wf_bacterial_annot_pass2.cwl/Find_Struct_Protein_Hits_for_Plasmids/affinity"
                        },
                        {
                            "default": "score>0 && pct_identity_gapopen_only > 35",
                            "id": "#wf_bacterial_annot_pass2.cwl/Find_Struct_Protein_Hits_for_Plasmids/align_filter"
                        },
                        {
                            "default": false,
                            "id": "#wf_bacterial_annot_pass2.cwl/Find_Struct_Protein_Hits_for_Plasmids/allow_intersection"
                        },
                        {
                            "source": [
                                "#wf_bacterial_annot_pass2.cwl/sequence_cache",
                                "#wf_bacterial_annot_pass2.cwl/unicoll_cache"
                            ],
                            "id": "#wf_bacterial_annot_pass2.cwl/Find_Struct_Protein_Hits_for_Plasmids/asn_cache"
                        },
                        {
                            "source": "#wf_bacterial_annot_pass2.cwl/blast_hits_cache",
                            "id": "#wf_bacterial_annot_pass2.cwl/Find_Struct_Protein_Hits_for_Plasmids/blast_hits_cache"
                        },
                        {
                            "default": "orf",
                            "id": "#wf_bacterial_annot_pass2.cwl/Find_Struct_Protein_Hits_for_Plasmids/blast_type"
                        },
                        {
                            "default": [
                                "blastdb",
                                "blast_rules_db"
                            ],
                            "id": "#wf_bacterial_annot_pass2.cwl/Find_Struct_Protein_Hits_for_Plasmids/blastdb"
                        },
                        {
                            "source": "#wf_bacterial_annot_pass2.cwl/identification_db_dir",
                            "id": "#wf_bacterial_annot_pass2.cwl/Find_Struct_Protein_Hits_for_Plasmids/blastdb_dir"
                        },
                        {
                            "default": "F",
                            "id": "#wf_bacterial_annot_pass2.cwl/Find_Struct_Protein_Hits_for_Plasmids/comp_based_stats"
                        },
                        {
                            "default": false,
                            "id": "#wf_bacterial_annot_pass2.cwl/Find_Struct_Protein_Hits_for_Plasmids/compart"
                        },
                        {
                            "default": "6000000000",
                            "id": "#wf_bacterial_annot_pass2.cwl/Find_Struct_Protein_Hits_for_Plasmids/dbsize"
                        },
                        {
                            "default": 0.1,
                            "id": "#wf_bacterial_annot_pass2.cwl/Find_Struct_Protein_Hits_for_Plasmids/evalue"
                        },
                        {
                            "default": 29,
                            "id": "#wf_bacterial_annot_pass2.cwl/Find_Struct_Protein_Hits_for_Plasmids/extra_coverage"
                        },
                        {
                            "source": "#wf_bacterial_annot_pass2.cwl/genus_list",
                            "id": "#wf_bacterial_annot_pass2.cwl/Find_Struct_Protein_Hits_for_Plasmids/genus_list"
                        },
                        {
                            "source": [
                                "#wf_bacterial_annot_pass2.cwl/Separate_Plasmid_ORFs/plasmid_orfs"
                            ],
                            "linkMerge": "merge_flattened",
                            "id": "#wf_bacterial_annot_pass2.cwl/Find_Struct_Protein_Hits_for_Plasmids/ids"
                        },
                        {
                            "source": "#wf_bacterial_annot_pass2.cwl/lds2",
                            "id": "#wf_bacterial_annot_pass2.cwl/Find_Struct_Protein_Hits_for_Plasmids/lds2"
                        },
                        {
                            "default": 10000,
                            "id": "#wf_bacterial_annot_pass2.cwl/Find_Struct_Protein_Hits_for_Plasmids/max_batch_length"
                        },
                        {
                            "default": 1,
                            "id": "#wf_bacterial_annot_pass2.cwl/Find_Struct_Protein_Hits_for_Plasmids/max_jobs"
                        },
                        {
                            "default": 50,
                            "id": "#wf_bacterial_annot_pass2.cwl/Find_Struct_Protein_Hits_for_Plasmids/max_target_seqs"
                        },
                        {
                            "default": true,
                            "id": "#wf_bacterial_annot_pass2.cwl/Find_Struct_Protein_Hits_for_Plasmids/no_merge"
                        },
                        {
                            "default": true,
                            "id": "#wf_bacterial_annot_pass2.cwl/Find_Struct_Protein_Hits_for_Plasmids/nogenbank"
                        },
                        {
                            "default": "asn-binary",
                            "id": "#wf_bacterial_annot_pass2.cwl/Find_Struct_Protein_Hits_for_Plasmids/ofmt"
                        },
                        {
                            "source": "#wf_bacterial_annot_pass2.cwl/proteins",
                            "id": "#wf_bacterial_annot_pass2.cwl/Find_Struct_Protein_Hits_for_Plasmids/proteins"
                        },
                        {
                            "source": "#wf_bacterial_annot_pass2.cwl/scatter_gather_nchunks",
                            "id": "#wf_bacterial_annot_pass2.cwl/Find_Struct_Protein_Hits_for_Plasmids/scatter_gather_nchunks"
                        },
                        {
                            "default": "30 2.2 2.5",
                            "id": "#wf_bacterial_annot_pass2.cwl/Find_Struct_Protein_Hits_for_Plasmids/seg"
                        },
                        {
                            "default": "yes",
                            "id": "#wf_bacterial_annot_pass2.cwl/Find_Struct_Protein_Hits_for_Plasmids/soft_masking"
                        },
                        {
                            "source": "#wf_bacterial_annot_pass2.cwl/taxid",
                            "id": "#wf_bacterial_annot_pass2.cwl/Find_Struct_Protein_Hits_for_Plasmids/taxid"
                        },
                        {
                            "source": "#wf_bacterial_annot_pass2.cwl/taxon_db",
                            "id": "#wf_bacterial_annot_pass2.cwl/Find_Struct_Protein_Hits_for_Plasmids/taxon_db"
                        },
                        {
                            "default": 21,
                            "id": "#wf_bacterial_annot_pass2.cwl/Find_Struct_Protein_Hits_for_Plasmids/threshold"
                        },
                        {
                            "default": 10,
                            "id": "#wf_bacterial_annot_pass2.cwl/Find_Struct_Protein_Hits_for_Plasmids/top_by_score"
                        },
                        {
                            "default": 6,
                            "id": "#wf_bacterial_annot_pass2.cwl/Find_Struct_Protein_Hits_for_Plasmids/word_size"
                        }
                    ],
                    "out": [
                        "#wf_bacterial_annot_pass2.cwl/Find_Struct_Protein_Hits_for_Plasmids/blast_align"
                    ],
                    "id": "#wf_bacterial_annot_pass2.cwl/Find_Struct_Protein_Hits_for_Plasmids"
                },
                {
                    "label": "Map Naming Hits",
                    "run": "#bacterial_hit_mapping.cwl",
                    "in": [
                        {
                            "default": "seq-align-set",
                            "id": "#wf_bacterial_annot_pass2.cwl/Map_Naming_Hits/align_fmt"
                        },
                        {
                            "source": [
                                "#wf_bacterial_annot_pass2.cwl/sequence_cache",
                                "#wf_bacterial_annot_pass2.cwl/unicoll_cache"
                            ],
                            "id": "#wf_bacterial_annot_pass2.cwl/Map_Naming_Hits/asn_cache"
                        },
                        {
                            "default": 1.1,
                            "id": "#wf_bacterial_annot_pass2.cwl/Map_Naming_Hits/expansion_ratio"
                        },
                        {
                            "source": [
                                "#wf_bacterial_annot_pass2.cwl/Find_Naming_Protein_Hits_for_struct/blast_align",
                                "#wf_bacterial_annot_pass2.cwl/Find_Struct_Protein_Hits_for_Plasmids/blast_align"
                            ],
                            "linkMerge": "merge_flattened",
                            "id": "#wf_bacterial_annot_pass2.cwl/Map_Naming_Hits/hmm_hits"
                        },
                        {
                            "default": false,
                            "id": "#wf_bacterial_annot_pass2.cwl/Map_Naming_Hits/no_compart"
                        },
                        {
                            "default": true,
                            "id": "#wf_bacterial_annot_pass2.cwl/Map_Naming_Hits/nogenbank"
                        },
                        {
                            "default": "mapped-aligns.asn",
                            "id": "#wf_bacterial_annot_pass2.cwl/Map_Naming_Hits/outfile"
                        },
                        {
                            "source": "#wf_bacterial_annot_pass2.cwl/proteins",
                            "id": "#wf_bacterial_annot_pass2.cwl/Map_Naming_Hits/proteins"
                        },
                        {
                            "source": "#wf_bacterial_annot_pass2.cwl/annotation",
                            "id": "#wf_bacterial_annot_pass2.cwl/Map_Naming_Hits/sequences"
                        }
                    ],
                    "out": [
                        "#wf_bacterial_annot_pass2.cwl/Map_Naming_Hits/aligns"
                    ],
                    "id": "#wf_bacterial_annot_pass2.cwl/Map_Naming_Hits"
                },
                {
                    "label": "Remove off-frame ORFs",
                    "run": "#set_operation.cwl",
                    "in": [
                        {
                            "source": [
                                "#wf_bacterial_annot_pass2.cwl/prot_ids_A"
                            ],
                            "linkMerge": "merge_flattened",
                            "id": "#wf_bacterial_annot_pass2.cwl/Remove_off_frame_ORFs/A"
                        },
                        {
                            "source": [
                                "#wf_bacterial_annot_pass2.cwl/prot_ids_B1",
                                "#wf_bacterial_annot_pass2.cwl/prot_ids_B2"
                            ],
                            "linkMerge": "merge_flattened",
                            "id": "#wf_bacterial_annot_pass2.cwl/Remove_off_frame_ORFs/B"
                        },
                        {
                            "default": "-",
                            "id": "#wf_bacterial_annot_pass2.cwl/Remove_off_frame_ORFs/operation"
                        }
                    ],
                    "out": [
                        "#wf_bacterial_annot_pass2.cwl/Remove_off_frame_ORFs/output"
                    ],
                    "id": "#wf_bacterial_annot_pass2.cwl/Remove_off_frame_ORFs"
                },
                {
                    "label": "Separate Plasmid ORFs",
                    "run": "#separate_plasmid_orfs.cwl",
                    "in": [
                        {
                            "source": "#wf_bacterial_annot_pass2.cwl/annotation",
                            "id": "#wf_bacterial_annot_pass2.cwl/Separate_Plasmid_ORFs/orf_entries"
                        },
                        {
                            "source": "#wf_bacterial_annot_pass2.cwl/Remove_off_frame_ORFs/output",
                            "id": "#wf_bacterial_annot_pass2.cwl/Separate_Plasmid_ORFs/orf_ids"
                        },
                        {
                            "source": "#wf_bacterial_annot_pass2.cwl/plasmids",
                            "id": "#wf_bacterial_annot_pass2.cwl/Separate_Plasmid_ORFs/plasmids"
                        },
                        {
                            "source": "#wf_bacterial_annot_pass2.cwl/raw_seqs",
                            "id": "#wf_bacterial_annot_pass2.cwl/Separate_Plasmid_ORFs/raw_seqs"
                        }
                    ],
                    "out": [
                        "#wf_bacterial_annot_pass2.cwl/Separate_Plasmid_ORFs/chomosome_orfs",
                        "#wf_bacterial_annot_pass2.cwl/Separate_Plasmid_ORFs/plasmid_orfs"
                    ],
                    "id": "#wf_bacterial_annot_pass2.cwl/Separate_Plasmid_ORFs"
                }
            ],
            "id": "#wf_bacterial_annot_pass2.cwl"
        },
        {
            "label": "Bacterial Annotation, pass 3, structural annotation, functional annotation: ab initio GeneMark, by WP, by HMM (second pass)",
            "class": "Workflow",
            "requirements": [
                {
                    "class": "SubworkflowFeatureRequirement"
                },
                {
                    "class": "MultipleInputFeatureRequirement"
                }
            ],
            "inputs": [
                {
                    "type": "Directory",
                    "id": "#wf_bacterial_annot_pass3.cwl/AntiFamLib"
                },
                {
                    "type": "File",
                    "label": "Resolve Annotation Conflicts/annotation",
                    "id": "#wf_bacterial_annot_pass3.cwl/annotation"
                },
                {
                    "type": "string",
                    "id": "#wf_bacterial_annot_pass3.cwl/genemark_path"
                },
                {
                    "type": "File",
                    "label": "Map HMM Hits/align",
                    "id": "#wf_bacterial_annot_pass3.cwl/hmm_aligns"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "id": "#wf_bacterial_annot_pass3.cwl/hmm_params"
                },
                {
                    "type": "File",
                    "id": "#wf_bacterial_annot_pass3.cwl/hmms_tab"
                },
                {
                    "type": "File",
                    "label": "Run GeneMark Training/models",
                    "id": "#wf_bacterial_annot_pass3.cwl/models1"
                },
                {
                    "type": "Directory",
                    "id": "#wf_bacterial_annot_pass3.cwl/naming_hmms_combined"
                },
                {
                    "type": "File",
                    "id": "#wf_bacterial_annot_pass3.cwl/naming_sqlite"
                },
                {
                    "type": "File",
                    "label": "Filter Protein Alignments/align",
                    "id": "#wf_bacterial_annot_pass3.cwl/prot_aligns"
                },
                {
                    "type": "File",
                    "label": null,
                    "id": "#wf_bacterial_annot_pass3.cwl/raw_seqs"
                },
                {
                    "type": "string",
                    "id": "#wf_bacterial_annot_pass3.cwl/scatter_gather_nchunks"
                },
                {
                    "type": "Directory",
                    "id": "#wf_bacterial_annot_pass3.cwl/selenoproteins"
                },
                {
                    "type": "string",
                    "default": "blastdb",
                    "id": "#wf_bacterial_annot_pass3.cwl/selenoproteins_db"
                },
                {
                    "type": "Directory",
                    "id": "#wf_bacterial_annot_pass3.cwl/sequence_cache"
                },
                {
                    "type": "File",
                    "id": "#wf_bacterial_annot_pass3.cwl/taxon_db"
                },
                {
                    "type": "File",
                    "id": "#wf_bacterial_annot_pass3.cwl/thresholds"
                },
                {
                    "type": "Directory",
                    "id": "#wf_bacterial_annot_pass3.cwl/uniColl_cache"
                },
                {
                    "type": "File",
                    "id": "#wf_bacterial_annot_pass3.cwl/wp_hashes"
                }
            ],
            "steps": [
                {
                    "label": "Assign Naming HMM to Proteins",
                    "run": "#assign_hmm.cwl",
                    "in": [
                        {
                            "source": "#wf_bacterial_annot_pass3.cwl/naming_sqlite",
                            "id": "#wf_bacterial_annot_pass3.cwl/Assign_Naming_HMM_to_Proteins/db"
                        },
                        {
                            "source": "#wf_bacterial_annot_pass3.cwl/Search_Naming_HMMs/hmm_hits",
                            "id": "#wf_bacterial_annot_pass3.cwl/Assign_Naming_HMM_to_Proteins/input"
                        }
                    ],
                    "out": [
                        "#wf_bacterial_annot_pass3.cwl/Assign_Naming_HMM_to_Proteins/assignments"
                    ],
                    "id": "#wf_bacterial_annot_pass3.cwl/Assign_Naming_HMM_to_Proteins"
                },
                {
                    "label": "Extract Model Proteins",
                    "run": "#protein_extract.cwl",
                    "in": [
                        {
                            "source": "#wf_bacterial_annot_pass3.cwl/PGAP_plus_ab_initio/out_annotation",
                            "id": "#wf_bacterial_annot_pass3.cwl/Extract_Model_Proteins/input"
                        },
                        {
                            "default": true,
                            "id": "#wf_bacterial_annot_pass3.cwl/Extract_Model_Proteins/nogenbank"
                        }
                    ],
                    "out": [
                        "#wf_bacterial_annot_pass3.cwl/Extract_Model_Proteins/proteins",
                        "#wf_bacterial_annot_pass3.cwl/Extract_Model_Proteins/lds2",
                        "#wf_bacterial_annot_pass3.cwl/Extract_Model_Proteins/seqids"
                    ],
                    "id": "#wf_bacterial_annot_pass3.cwl/Extract_Model_Proteins"
                },
                {
                    "label": "Extract ab initio Proteins",
                    "run": "#protein_extract.cwl",
                    "in": [
                        {
                            "source": "#wf_bacterial_annot_pass3.cwl/models1",
                            "id": "#wf_bacterial_annot_pass3.cwl/Extract_ab_initio_Proteins/input"
                        },
                        {
                            "default": true,
                            "id": "#wf_bacterial_annot_pass3.cwl/Extract_ab_initio_Proteins/nogenbank"
                        }
                    ],
                    "out": [
                        "#wf_bacterial_annot_pass3.cwl/Extract_ab_initio_Proteins/proteins",
                        "#wf_bacterial_annot_pass3.cwl/Extract_ab_initio_Proteins/lds2",
                        "#wf_bacterial_annot_pass3.cwl/Extract_ab_initio_Proteins/seqids"
                    ],
                    "id": "#wf_bacterial_annot_pass3.cwl/Extract_ab_initio_Proteins"
                },
                {
                    "label": "Find Best Evidence Alignments",
                    "run": "#bact_best_evidence_alignments.cwl",
                    "in": [
                        {
                            "source": [
                                "#wf_bacterial_annot_pass3.cwl/hmm_aligns",
                                "#wf_bacterial_annot_pass3.cwl/prot_aligns"
                            ],
                            "id": "#wf_bacterial_annot_pass3.cwl/Find_Best_Evidence_Alignments/align"
                        },
                        {
                            "source": [
                                "#wf_bacterial_annot_pass3.cwl/annotation",
                                "#wf_bacterial_annot_pass3.cwl/Good_ab_initio_annotations/out_annotation"
                            ],
                            "id": "#wf_bacterial_annot_pass3.cwl/Find_Best_Evidence_Alignments/annotation"
                        },
                        {
                            "source": [
                                "#wf_bacterial_annot_pass3.cwl/uniColl_cache",
                                "#wf_bacterial_annot_pass3.cwl/sequence_cache"
                            ],
                            "id": "#wf_bacterial_annot_pass3.cwl/Find_Best_Evidence_Alignments/asn_cache"
                        },
                        {
                            "default": 120,
                            "id": "#wf_bacterial_annot_pass3.cwl/Find_Best_Evidence_Alignments/max_overlap"
                        },
                        {
                            "default": true,
                            "id": "#wf_bacterial_annot_pass3.cwl/Find_Best_Evidence_Alignments/nogenbank"
                        },
                        {
                            "default": "best_aligns.asn",
                            "id": "#wf_bacterial_annot_pass3.cwl/Find_Best_Evidence_Alignments/output_align_name"
                        },
                        {
                            "source": "#wf_bacterial_annot_pass3.cwl/selenoproteins",
                            "id": "#wf_bacterial_annot_pass3.cwl/Find_Best_Evidence_Alignments/selenoproteins"
                        },
                        {
                            "source": "#wf_bacterial_annot_pass3.cwl/selenoproteins_db",
                            "id": "#wf_bacterial_annot_pass3.cwl/Find_Best_Evidence_Alignments/selenoproteins_db"
                        },
                        {
                            "default": 60,
                            "id": "#wf_bacterial_annot_pass3.cwl/Find_Best_Evidence_Alignments/start_stop_allowance"
                        },
                        {
                            "source": "#wf_bacterial_annot_pass3.cwl/thresholds",
                            "id": "#wf_bacterial_annot_pass3.cwl/Find_Best_Evidence_Alignments/thr"
                        },
                        {
                            "source": "#wf_bacterial_annot_pass3.cwl/naming_sqlite",
                            "id": "#wf_bacterial_annot_pass3.cwl/Find_Best_Evidence_Alignments/unicoll_sqlite"
                        }
                    ],
                    "out": [
                        "#wf_bacterial_annot_pass3.cwl/Find_Best_Evidence_Alignments/out_align"
                    ],
                    "id": "#wf_bacterial_annot_pass3.cwl/Find_Best_Evidence_Alignments"
                },
                {
                    "label": "Good ab initio annotations",
                    "run": "#bact_filter_preserved.cwl",
                    "in": [
                        {
                            "source": "#wf_bacterial_annot_pass3.cwl/models1",
                            "id": "#wf_bacterial_annot_pass3.cwl/Good_ab_initio_annotations/annotation"
                        },
                        {
                            "default": "seq-entry",
                            "id": "#wf_bacterial_annot_pass3.cwl/Good_ab_initio_annotations/ifmt"
                        },
                        {
                            "default": true,
                            "id": "#wf_bacterial_annot_pass3.cwl/Good_ab_initio_annotations/nogenbank"
                        },
                        {
                            "source": "#wf_bacterial_annot_pass3.cwl/Good_ab_initio_proteins/output",
                            "id": "#wf_bacterial_annot_pass3.cwl/Good_ab_initio_annotations/only_those_ids"
                        }
                    ],
                    "out": [
                        "#wf_bacterial_annot_pass3.cwl/Good_ab_initio_annotations/out_annotation"
                    ],
                    "id": "#wf_bacterial_annot_pass3.cwl/Good_ab_initio_annotations"
                },
                {
                    "label": "Good ab initio proteins",
                    "run": "#set_operation.cwl",
                    "in": [
                        {
                            "source": [
                                "#wf_bacterial_annot_pass3.cwl/Extract_ab_initio_Proteins/seqids"
                            ],
                            "linkMerge": "merge_flattened",
                            "id": "#wf_bacterial_annot_pass3.cwl/Good_ab_initio_proteins/A"
                        },
                        {
                            "source": [
                                "#wf_bacterial_annot_pass3.cwl/ab_initio_AntiFam_tainted_proteins/oseqids"
                            ],
                            "linkMerge": "merge_flattened",
                            "id": "#wf_bacterial_annot_pass3.cwl/Good_ab_initio_proteins/B"
                        },
                        {
                            "default": "-",
                            "id": "#wf_bacterial_annot_pass3.cwl/Good_ab_initio_proteins/operation"
                        }
                    ],
                    "out": [
                        "#wf_bacterial_annot_pass3.cwl/Good_ab_initio_proteins/output"
                    ],
                    "id": "#wf_bacterial_annot_pass3.cwl/Good_ab_initio_proteins"
                },
                {
                    "label": "Name by WPs",
                    "run": "#identify_wp.cwl",
                    "in": [
                        {
                            "default": true,
                            "id": "#wf_bacterial_annot_pass3.cwl/Name_by_WPs/fast"
                        },
                        {
                            "default": "seq-entries",
                            "id": "#wf_bacterial_annot_pass3.cwl/Name_by_WPs/ifmt"
                        },
                        {
                            "source": "#wf_bacterial_annot_pass3.cwl/Extract_Model_Proteins/lds2",
                            "id": "#wf_bacterial_annot_pass3.cwl/Name_by_WPs/lds2"
                        },
                        {
                            "source": "#wf_bacterial_annot_pass3.cwl/Extract_Model_Proteins/proteins",
                            "id": "#wf_bacterial_annot_pass3.cwl/Name_by_WPs/proteins"
                        },
                        {
                            "source": "#wf_bacterial_annot_pass3.cwl/PGAP_plus_ab_initio/out_annotation",
                            "id": "#wf_bacterial_annot_pass3.cwl/Name_by_WPs/sequences"
                        },
                        {
                            "source": "#wf_bacterial_annot_pass3.cwl/taxon_db",
                            "id": "#wf_bacterial_annot_pass3.cwl/Name_by_WPs/taxon_db"
                        },
                        {
                            "source": "#wf_bacterial_annot_pass3.cwl/wp_hashes",
                            "id": "#wf_bacterial_annot_pass3.cwl/Name_by_WPs/wp_hashes"
                        }
                    ],
                    "out": [
                        "#wf_bacterial_annot_pass3.cwl/Name_by_WPs/out_names"
                    ],
                    "id": "#wf_bacterial_annot_pass3.cwl/Name_by_WPs"
                },
                {
                    "label": "PGAP + ab initio",
                    "run": "#bact_entries_merge.cwl",
                    "in": [
                        {
                            "source": [
                                "#wf_bacterial_annot_pass3.cwl/Good_ab_initio_annotations/out_annotation"
                            ],
                            "linkMerge": "merge_flattened",
                            "id": "#wf_bacterial_annot_pass3.cwl/PGAP_plus_ab_initio/ab_initio"
                        },
                        {
                            "source": [
                                "#wf_bacterial_annot_pass3.cwl/Run_GeneMark_Post/models"
                            ],
                            "linkMerge": "merge_flattened",
                            "id": "#wf_bacterial_annot_pass3.cwl/PGAP_plus_ab_initio/annotation"
                        }
                    ],
                    "out": [
                        "#wf_bacterial_annot_pass3.cwl/PGAP_plus_ab_initio/out_annotation"
                    ],
                    "id": "#wf_bacterial_annot_pass3.cwl/PGAP_plus_ab_initio"
                },
                {
                    "label": "Run GeneMark",
                    "run": "#genemark.cwl",
                    "in": [
                        {
                            "source": "#wf_bacterial_annot_pass3.cwl/Find_Best_Evidence_Alignments/out_align",
                            "id": "#wf_bacterial_annot_pass3.cwl/Run_GeneMark/alignments"
                        },
                        {
                            "source": "#wf_bacterial_annot_pass3.cwl/annotation",
                            "id": "#wf_bacterial_annot_pass3.cwl/Run_GeneMark/annotation"
                        },
                        {
                            "source": [
                                "#wf_bacterial_annot_pass3.cwl/uniColl_cache",
                                "#wf_bacterial_annot_pass3.cwl/sequence_cache"
                            ],
                            "id": "#wf_bacterial_annot_pass3.cwl/Run_GeneMark/asn_cache"
                        },
                        {
                            "source": "#wf_bacterial_annot_pass3.cwl/genemark_path",
                            "id": "#wf_bacterial_annot_pass3.cwl/Run_GeneMark/genemark_path"
                        },
                        {
                            "source": "#wf_bacterial_annot_pass3.cwl/hmm_params",
                            "id": "#wf_bacterial_annot_pass3.cwl/Run_GeneMark/hmm_params"
                        },
                        {
                            "default": "marked-annotation.asn",
                            "id": "#wf_bacterial_annot_pass3.cwl/Run_GeneMark/marked_annotation_name"
                        },
                        {
                            "default": 200,
                            "id": "#wf_bacterial_annot_pass3.cwl/Run_GeneMark/min_seq_len"
                        },
                        {
                            "default": true,
                            "id": "#wf_bacterial_annot_pass3.cwl/Run_GeneMark/nogenbank"
                        },
                        {
                            "default": "preliminary-models.asn",
                            "id": "#wf_bacterial_annot_pass3.cwl/Run_GeneMark/preliminary_models_name"
                        },
                        {
                            "source": "#wf_bacterial_annot_pass3.cwl/raw_seqs",
                            "id": "#wf_bacterial_annot_pass3.cwl/Run_GeneMark/sequences"
                        },
                        {
                            "source": "#wf_bacterial_annot_pass3.cwl/thresholds",
                            "id": "#wf_bacterial_annot_pass3.cwl/Run_GeneMark/thr"
                        },
                        {
                            "default": "workdir",
                            "id": "#wf_bacterial_annot_pass3.cwl/Run_GeneMark/tmp_dir_name"
                        }
                    ],
                    "out": [
                        "#wf_bacterial_annot_pass3.cwl/Run_GeneMark/marked_annotation",
                        "#wf_bacterial_annot_pass3.cwl/Run_GeneMark/preliminary_models"
                    ],
                    "id": "#wf_bacterial_annot_pass3.cwl/Run_GeneMark"
                },
                {
                    "label": "Run GeneMark (genemark_post)",
                    "run": "#genemark_post.cwl",
                    "in": [
                        {
                            "default": 60,
                            "id": "#wf_bacterial_annot_pass3.cwl/Run_GeneMark_Post/abs_short_model_limit"
                        },
                        {
                            "source": [
                                "#wf_bacterial_annot_pass3.cwl/uniColl_cache",
                                "#wf_bacterial_annot_pass3.cwl/sequence_cache"
                            ],
                            "id": "#wf_bacterial_annot_pass3.cwl/Run_GeneMark_Post/asn_cache"
                        },
                        {
                            "source": "#wf_bacterial_annot_pass3.cwl/Run_GeneMark/preliminary_models",
                            "id": "#wf_bacterial_annot_pass3.cwl/Run_GeneMark_Post/genemark_annot"
                        },
                        {
                            "default": 120,
                            "id": "#wf_bacterial_annot_pass3.cwl/Run_GeneMark_Post/max_overlap"
                        },
                        {
                            "default": 5000,
                            "id": "#wf_bacterial_annot_pass3.cwl/Run_GeneMark_Post/max_unannotated_region"
                        },
                        {
                            "default": "models.asn",
                            "id": "#wf_bacterial_annot_pass3.cwl/Run_GeneMark_Post/models_name"
                        },
                        {
                            "default": true,
                            "id": "#wf_bacterial_annot_pass3.cwl/Run_GeneMark_Post/nogenbank"
                        },
                        {
                            "default": "all-proteins.ids",
                            "id": "#wf_bacterial_annot_pass3.cwl/Run_GeneMark_Post/out_product_ids_name"
                        },
                        {
                            "source": "#wf_bacterial_annot_pass3.cwl/Run_GeneMark/marked_annotation",
                            "id": "#wf_bacterial_annot_pass3.cwl/Run_GeneMark_Post/pre_annot"
                        },
                        {
                            "default": "PGAP",
                            "id": "#wf_bacterial_annot_pass3.cwl/Run_GeneMark_Post/product_id_prefix"
                        },
                        {
                            "source": "#wf_bacterial_annot_pass3.cwl/selenoproteins",
                            "id": "#wf_bacterial_annot_pass3.cwl/Run_GeneMark_Post/selenoproteins"
                        },
                        {
                            "source": "#wf_bacterial_annot_pass3.cwl/selenoproteins_db",
                            "id": "#wf_bacterial_annot_pass3.cwl/Run_GeneMark_Post/selenoproteins_db"
                        },
                        {
                            "default": 180,
                            "id": "#wf_bacterial_annot_pass3.cwl/Run_GeneMark_Post/short_model_limit"
                        },
                        {
                            "source": "#wf_bacterial_annot_pass3.cwl/naming_sqlite",
                            "id": "#wf_bacterial_annot_pass3.cwl/Run_GeneMark_Post/unicoll_sqlite"
                        }
                    ],
                    "out": [
                        "#wf_bacterial_annot_pass3.cwl/Run_GeneMark_Post/models"
                    ],
                    "id": "#wf_bacterial_annot_pass3.cwl/Run_GeneMark_Post"
                },
                {
                    "label": "Search Naming HMMs",
                    "run": "#tt_hmmsearch_wnode.cwl",
                    "in": [
                        {
                            "source": "#wf_bacterial_annot_pass3.cwl/sequence_cache",
                            "id": "#wf_bacterial_annot_pass3.cwl/Search_Naming_HMMs/asn_cache"
                        },
                        {
                            "source": "#wf_bacterial_annot_pass3.cwl/naming_hmms_combined",
                            "id": "#wf_bacterial_annot_pass3.cwl/Search_Naming_HMMs/hmm_path"
                        },
                        {
                            "source": "#wf_bacterial_annot_pass3.cwl/hmms_tab",
                            "id": "#wf_bacterial_annot_pass3.cwl/Search_Naming_HMMs/hmms_tab"
                        },
                        {
                            "source": "#wf_bacterial_annot_pass3.cwl/Extract_Model_Proteins/lds2",
                            "id": "#wf_bacterial_annot_pass3.cwl/Search_Naming_HMMs/lds2"
                        },
                        {
                            "source": "#wf_bacterial_annot_pass3.cwl/Extract_Model_Proteins/proteins",
                            "id": "#wf_bacterial_annot_pass3.cwl/Search_Naming_HMMs/proteins"
                        },
                        {
                            "source": "#wf_bacterial_annot_pass3.cwl/scatter_gather_nchunks",
                            "id": "#wf_bacterial_annot_pass3.cwl/Search_Naming_HMMs/scatter_gather_nchunks"
                        },
                        {
                            "source": "#wf_bacterial_annot_pass3.cwl/Extract_Model_Proteins/seqids",
                            "id": "#wf_bacterial_annot_pass3.cwl/Search_Naming_HMMs/seqids"
                        }
                    ],
                    "out": [
                        "#wf_bacterial_annot_pass3.cwl/Search_Naming_HMMs/hmm_hits"
                    ],
                    "id": "#wf_bacterial_annot_pass3.cwl/Search_Naming_HMMs"
                },
                {
                    "label": "Search ab initio for AntiFam",
                    "run": "#tt_hmmsearch_wnode.cwl",
                    "in": [
                        {
                            "source": "#wf_bacterial_annot_pass3.cwl/sequence_cache",
                            "id": "#wf_bacterial_annot_pass3.cwl/Search_ab_initio_for_AntiFam/asn_cache"
                        },
                        {
                            "source": "#wf_bacterial_annot_pass3.cwl/AntiFamLib",
                            "id": "#wf_bacterial_annot_pass3.cwl/Search_ab_initio_for_AntiFam/hmm_path"
                        },
                        {
                            "source": "#wf_bacterial_annot_pass3.cwl/Extract_ab_initio_Proteins/lds2",
                            "id": "#wf_bacterial_annot_pass3.cwl/Search_ab_initio_for_AntiFam/lds2"
                        },
                        {
                            "source": "#wf_bacterial_annot_pass3.cwl/Extract_ab_initio_Proteins/proteins",
                            "id": "#wf_bacterial_annot_pass3.cwl/Search_ab_initio_for_AntiFam/proteins"
                        },
                        {
                            "source": "#wf_bacterial_annot_pass3.cwl/scatter_gather_nchunks",
                            "id": "#wf_bacterial_annot_pass3.cwl/Search_ab_initio_for_AntiFam/scatter_gather_nchunks"
                        },
                        {
                            "source": "#wf_bacterial_annot_pass3.cwl/Extract_ab_initio_Proteins/seqids",
                            "id": "#wf_bacterial_annot_pass3.cwl/Search_ab_initio_for_AntiFam/seqids"
                        }
                    ],
                    "out": [
                        "#wf_bacterial_annot_pass3.cwl/Search_ab_initio_for_AntiFam/hmm_hits"
                    ],
                    "id": "#wf_bacterial_annot_pass3.cwl/Search_ab_initio_for_AntiFam"
                },
                {
                    "label": "ab initio AntiFam tainted proteins",
                    "run": "#reduce.cwl",
                    "in": [
                        {
                            "source": "#wf_bacterial_annot_pass3.cwl/Search_ab_initio_for_AntiFam/hmm_hits",
                            "id": "#wf_bacterial_annot_pass3.cwl/ab_initio_AntiFam_tainted_proteins/aligns"
                        }
                    ],
                    "out": [
                        "#wf_bacterial_annot_pass3.cwl/ab_initio_AntiFam_tainted_proteins/oseqids"
                    ],
                    "id": "#wf_bacterial_annot_pass3.cwl/ab_initio_AntiFam_tainted_proteins"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputSource": "#wf_bacterial_annot_pass3.cwl/Assign_Naming_HMM_to_Proteins/assignments",
                    "id": "#wf_bacterial_annot_pass3.cwl/Assign_Naming_HMM_to_Proteins_assignments"
                },
                {
                    "type": "File",
                    "outputSource": "#wf_bacterial_annot_pass3.cwl/Extract_Model_Proteins/lds2",
                    "id": "#wf_bacterial_annot_pass3.cwl/Extract_Model_Proteins_lds2"
                },
                {
                    "type": "File",
                    "outputSource": "#wf_bacterial_annot_pass3.cwl/Extract_Model_Proteins/proteins",
                    "id": "#wf_bacterial_annot_pass3.cwl/Extract_Model_Proteins_proteins"
                },
                {
                    "type": "File",
                    "outputSource": "#wf_bacterial_annot_pass3.cwl/Extract_Model_Proteins/seqids",
                    "id": "#wf_bacterial_annot_pass3.cwl/Extract_Model_Proteins_seqids"
                },
                {
                    "label": "goes to protein_alignment/Seed Search Compartments/compartments",
                    "type": "File",
                    "outputSource": "#wf_bacterial_annot_pass3.cwl/Find_Best_Evidence_Alignments/out_align",
                    "id": "#wf_bacterial_annot_pass3.cwl/Find_Best_Evidence_Alignments_aligns"
                },
                {
                    "type": "File",
                    "outputSource": "#wf_bacterial_annot_pass3.cwl/Name_by_WPs/out_names",
                    "id": "#wf_bacterial_annot_pass3.cwl/Name_by_WPs_names"
                },
                {
                    "type": "File",
                    "outputSource": "#wf_bacterial_annot_pass3.cwl/PGAP_plus_ab_initio/out_annotation",
                    "id": "#wf_bacterial_annot_pass3.cwl/PGAP_plus_ab_initio_annotation"
                },
                {
                    "type": "File",
                    "outputSource": "#wf_bacterial_annot_pass3.cwl/Run_GeneMark_Post/models",
                    "id": "#wf_bacterial_annot_pass3.cwl/Run_GeneMark_Post_models"
                },
                {
                    "type": "File",
                    "outputSource": "#wf_bacterial_annot_pass3.cwl/Search_Naming_HMMs/hmm_hits",
                    "id": "#wf_bacterial_annot_pass3.cwl/Search_Naming_HMMs_hmm_hits"
                }
            ],
            "id": "#wf_bacterial_annot_pass3.cwl"
        },
        {
            "label": "Bacterial Annotation, pass 4, blastp-based functional annotation (second pass)",
            "class": "Workflow",
            "requirements": [
                {
                    "class": "SubworkflowFeatureRequirement"
                },
                {
                    "class": "MultipleInputFeatureRequirement"
                }
            ],
            "inputs": [
                {
                    "type": "Directory",
                    "id": "#wf_bacterial_annot_pass4.cwl/CDDdata"
                },
                {
                    "type": "Directory",
                    "id": "#wf_bacterial_annot_pass4.cwl/CDDdata2"
                },
                {
                    "type": "File",
                    "id": "#wf_bacterial_annot_pass4.cwl/Extract_Model_Proteins_prot_ids"
                },
                {
                    "type": "File",
                    "id": "#wf_bacterial_annot_pass4.cwl/Good_AntiFam_filtered_proteins_gilist"
                },
                {
                    "type": "File",
                    "id": "#wf_bacterial_annot_pass4.cwl/annotation"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "id": "#wf_bacterial_annot_pass4.cwl/blast_hits_cache"
                },
                {
                    "label": "parameter to store the literal 'blast_rules_db'",
                    "type": "string",
                    "default": "blast_rules_db",
                    "id": "#wf_bacterial_annot_pass4.cwl/blast_rules_db"
                },
                {
                    "label": "Input blastdb databases",
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#wf_bacterial_annot_pass4.cwl/blastdb"
                },
                {
                    "type": "File",
                    "id": "#wf_bacterial_annot_pass4.cwl/defline_cleanup_rules"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "int"
                    },
                    "id": "#wf_bacterial_annot_pass4.cwl/genus_list"
                },
                {
                    "type": "File",
                    "id": "#wf_bacterial_annot_pass4.cwl/hmm_assignments"
                },
                {
                    "type": "Directory",
                    "id": "#wf_bacterial_annot_pass4.cwl/identification_db_dir"
                },
                {
                    "type": "File",
                    "id": "#wf_bacterial_annot_pass4.cwl/lds2"
                },
                {
                    "type": "File",
                    "id": "#wf_bacterial_annot_pass4.cwl/naming_sqlite"
                },
                {
                    "type": "File",
                    "id": "#wf_bacterial_annot_pass4.cwl/proteins"
                },
                {
                    "type": "string",
                    "id": "#wf_bacterial_annot_pass4.cwl/scatter_gather_nchunks"
                },
                {
                    "type": "Directory",
                    "id": "#wf_bacterial_annot_pass4.cwl/sequence_cache"
                },
                {
                    "type": "int",
                    "id": "#wf_bacterial_annot_pass4.cwl/taxid"
                },
                {
                    "type": "File",
                    "id": "#wf_bacterial_annot_pass4.cwl/taxon_db"
                },
                {
                    "type": "File",
                    "id": "#wf_bacterial_annot_pass4.cwl/thresholds"
                },
                {
                    "type": "Directory",
                    "id": "#wf_bacterial_annot_pass4.cwl/uniColl_cache"
                },
                {
                    "type": "File",
                    "id": "#wf_bacterial_annot_pass4.cwl/wp_assignments"
                }
            ],
            "steps": [
                {
                    "label": "Add Names to Proteins",
                    "run": "#add_prot_names_to_annot.cwl",
                    "in": [
                        {
                            "source": [
                                "#wf_bacterial_annot_pass4.cwl/sequence_cache"
                            ],
                            "linkMerge": "merge_flattened",
                            "id": "#wf_bacterial_annot_pass4.cwl/Add_Names_to_Proteins/asn_cache"
                        },
                        {
                            "source": "#wf_bacterial_annot_pass4.cwl/defline_cleanup_rules",
                            "id": "#wf_bacterial_annot_pass4.cwl/Add_Names_to_Proteins/defline_cleanup_rules"
                        },
                        {
                            "source": "#wf_bacterial_annot_pass4.cwl/annotation",
                            "id": "#wf_bacterial_annot_pass4.cwl/Add_Names_to_Proteins/input"
                        },
                        {
                            "default": true,
                            "id": "#wf_bacterial_annot_pass4.cwl/Add_Names_to_Proteins/nogenbank"
                        },
                        {
                            "source": [
                                "#wf_bacterial_annot_pass4.cwl/Assign_Clusters_to_Proteins/protein_assignments",
                                "#wf_bacterial_annot_pass4.cwl/Assign_SPARCL_Architecture_Names_to_Proteins_sparclbl/protein_assignments",
                                "#wf_bacterial_annot_pass4.cwl/hmm_assignments",
                                "#wf_bacterial_annot_pass4.cwl/wp_assignments"
                            ],
                            "id": "#wf_bacterial_annot_pass4.cwl/Add_Names_to_Proteins/proteins"
                        },
                        {
                            "default": true,
                            "id": "#wf_bacterial_annot_pass4.cwl/Add_Names_to_Proteins/submission_mode_genbank"
                        },
                        {
                            "source": "#wf_bacterial_annot_pass4.cwl/naming_sqlite",
                            "id": "#wf_bacterial_annot_pass4.cwl/Add_Names_to_Proteins/unicoll_sqlite"
                        }
                    ],
                    "out": [
                        "#wf_bacterial_annot_pass4.cwl/Add_Names_to_Proteins/out_annotation"
                    ],
                    "id": "#wf_bacterial_annot_pass4.cwl/Add_Names_to_Proteins"
                },
                {
                    "label": "Assign Clusters to Proteins: actual task",
                    "run": "#assign_cluster.cwl",
                    "in": [
                        {
                            "source": [
                                "#wf_bacterial_annot_pass4.cwl/sequence_cache",
                                "#wf_bacterial_annot_pass4.cwl/uniColl_cache"
                            ],
                            "id": "#wf_bacterial_annot_pass4.cwl/Assign_Clusters_to_Proteins/asn_cache"
                        },
                        {
                            "default": "F",
                            "id": "#wf_bacterial_annot_pass4.cwl/Assign_Clusters_to_Proteins/comp_based_stats"
                        },
                        {
                            "default": 0.5,
                            "id": "#wf_bacterial_annot_pass4.cwl/Assign_Clusters_to_Proteins/cutoff"
                        },
                        {
                            "default": "seq-align",
                            "id": "#wf_bacterial_annot_pass4.cwl/Assign_Clusters_to_Proteins/hfmt"
                        },
                        {
                            "source": "#wf_bacterial_annot_pass4.cwl/Assign_Clusters_to_Proteins_sort/output",
                            "id": "#wf_bacterial_annot_pass4.cwl/Assign_Clusters_to_Proteins/hits"
                        },
                        {
                            "source": "#wf_bacterial_annot_pass4.cwl/lds2",
                            "id": "#wf_bacterial_annot_pass4.cwl/Assign_Clusters_to_Proteins/lds2"
                        },
                        {
                            "default": 0.05,
                            "id": "#wf_bacterial_annot_pass4.cwl/Assign_Clusters_to_Proteins/margin"
                        },
                        {
                            "default": "blast_rules_db",
                            "id": "#wf_bacterial_annot_pass4.cwl/Assign_Clusters_to_Proteins/namedb"
                        },
                        {
                            "source": "#wf_bacterial_annot_pass4.cwl/identification_db_dir",
                            "id": "#wf_bacterial_annot_pass4.cwl/Assign_Clusters_to_Proteins/namedb_dir"
                        },
                        {
                            "default": true,
                            "id": "#wf_bacterial_annot_pass4.cwl/Assign_Clusters_to_Proteins/nogenbank"
                        },
                        {
                            "source": "#wf_bacterial_annot_pass4.cwl/proteins",
                            "id": "#wf_bacterial_annot_pass4.cwl/Assign_Clusters_to_Proteins/proteins"
                        },
                        {
                            "default": "no",
                            "id": "#wf_bacterial_annot_pass4.cwl/Assign_Clusters_to_Proteins/seg"
                        },
                        {
                            "default": 0.15,
                            "id": "#wf_bacterial_annot_pass4.cwl/Assign_Clusters_to_Proteins/sure_cutoff"
                        },
                        {
                            "default": "blastp",
                            "id": "#wf_bacterial_annot_pass4.cwl/Assign_Clusters_to_Proteins/task"
                        },
                        {
                            "default": 21,
                            "id": "#wf_bacterial_annot_pass4.cwl/Assign_Clusters_to_Proteins/threshold"
                        },
                        {
                            "source": "#wf_bacterial_annot_pass4.cwl/naming_sqlite",
                            "id": "#wf_bacterial_annot_pass4.cwl/Assign_Clusters_to_Proteins/unicoll_sqlite"
                        },
                        {
                            "default": 6,
                            "id": "#wf_bacterial_annot_pass4.cwl/Assign_Clusters_to_Proteins/word_size"
                        }
                    ],
                    "out": [
                        "#wf_bacterial_annot_pass4.cwl/Assign_Clusters_to_Proteins/protein_assignments"
                    ],
                    "id": "#wf_bacterial_annot_pass4.cwl/Assign_Clusters_to_Proteins"
                },
                {
                    "label": "Assign Clusters to Proteins: pre-sort alignments",
                    "run": "#align_sort.cwl",
                    "in": [
                        {
                            "default": "seq-align-set",
                            "id": "#wf_bacterial_annot_pass4.cwl/Assign_Clusters_to_Proteins_sort/ifmt"
                        },
                        {
                            "source": "#wf_bacterial_annot_pass4.cwl/Find_best_protein_hits/o",
                            "id": "#wf_bacterial_annot_pass4.cwl/Assign_Clusters_to_Proteins_sort/input"
                        },
                        {
                            "default": "query,subject,-score,-num_ident,query_align_len,subject_align_len,query_start,subject_start",
                            "id": "#wf_bacterial_annot_pass4.cwl/Assign_Clusters_to_Proteins_sort/k"
                        },
                        {
                            "default": "13G",
                            "id": "#wf_bacterial_annot_pass4.cwl/Assign_Clusters_to_Proteins_sort/limit_mem"
                        },
                        {
                            "default": true,
                            "id": "#wf_bacterial_annot_pass4.cwl/Assign_Clusters_to_Proteins_sort/nogenbank"
                        }
                    ],
                    "out": [
                        "#wf_bacterial_annot_pass4.cwl/Assign_Clusters_to_Proteins_sort/output"
                    ],
                    "id": "#wf_bacterial_annot_pass4.cwl/Assign_Clusters_to_Proteins_sort"
                },
                {
                    "label": "Assign SPARCL Architecture Names to Proteins",
                    "run": "#asn2fasta.cwl",
                    "in": [
                        {
                            "default": "proteins.fa",
                            "id": "#wf_bacterial_annot_pass4.cwl/Assign_SPARCL_Architecture_Names_to_Proteins_asn2fasta/fasta_name"
                        },
                        {
                            "source": "#wf_bacterial_annot_pass4.cwl/Assign_SPARCL_Architecture_Names_to_Proteins_gp_fetch_sequences/output",
                            "id": "#wf_bacterial_annot_pass4.cwl/Assign_SPARCL_Architecture_Names_to_Proteins_asn2fasta/i"
                        },
                        {
                            "default": true,
                            "id": "#wf_bacterial_annot_pass4.cwl/Assign_SPARCL_Architecture_Names_to_Proteins_asn2fasta/prots_only"
                        },
                        {
                            "default": "binary",
                            "id": "#wf_bacterial_annot_pass4.cwl/Assign_SPARCL_Architecture_Names_to_Proteins_asn2fasta/serial"
                        },
                        {
                            "default": "seq-entry",
                            "id": "#wf_bacterial_annot_pass4.cwl/Assign_SPARCL_Architecture_Names_to_Proteins_asn2fasta/type"
                        }
                    ],
                    "out": [
                        "#wf_bacterial_annot_pass4.cwl/Assign_SPARCL_Architecture_Names_to_Proteins_asn2fasta/fasta"
                    ],
                    "id": "#wf_bacterial_annot_pass4.cwl/Assign_SPARCL_Architecture_Names_to_Proteins_asn2fasta"
                },
                {
                    "label": "Assign SPARCL Architecture Names to Proteins",
                    "run": "#gp_fetch_sequences.cwl",
                    "in": [
                        {
                            "source": "#wf_bacterial_annot_pass4.cwl/Prepare_SPARCLBL_input/prot_ids",
                            "id": "#wf_bacterial_annot_pass4.cwl/Assign_SPARCL_Architecture_Names_to_Proteins_gp_fetch_sequences/input"
                        },
                        {
                            "source": "#wf_bacterial_annot_pass4.cwl/lds2",
                            "id": "#wf_bacterial_annot_pass4.cwl/Assign_SPARCL_Architecture_Names_to_Proteins_gp_fetch_sequences/lds2"
                        },
                        {
                            "source": "#wf_bacterial_annot_pass4.cwl/proteins",
                            "id": "#wf_bacterial_annot_pass4.cwl/Assign_SPARCL_Architecture_Names_to_Proteins_gp_fetch_sequences/proteins"
                        }
                    ],
                    "out": [
                        "#wf_bacterial_annot_pass4.cwl/Assign_SPARCL_Architecture_Names_to_Proteins_gp_fetch_sequences/output"
                    ],
                    "id": "#wf_bacterial_annot_pass4.cwl/Assign_SPARCL_Architecture_Names_to_Proteins_gp_fetch_sequences"
                },
                {
                    "label": "Assign SPARCL Architecture Names to Proteins",
                    "run": "#sparclbl.cwl",
                    "in": [
                        {
                            "source": "#wf_bacterial_annot_pass4.cwl/CDDdata",
                            "id": "#wf_bacterial_annot_pass4.cwl/Assign_SPARCL_Architecture_Names_to_Proteins_sparclbl/b"
                        },
                        {
                            "source": "#wf_bacterial_annot_pass4.cwl/CDDdata2",
                            "id": "#wf_bacterial_annot_pass4.cwl/Assign_SPARCL_Architecture_Names_to_Proteins_sparclbl/d"
                        },
                        {
                            "default": 20,
                            "id": "#wf_bacterial_annot_pass4.cwl/Assign_SPARCL_Architecture_Names_to_Proteins_sparclbl/m"
                        },
                        {
                            "default": 500,
                            "id": "#wf_bacterial_annot_pass4.cwl/Assign_SPARCL_Architecture_Names_to_Proteins_sparclbl/n"
                        },
                        {
                            "source": "#wf_bacterial_annot_pass4.cwl/Prepare_SPARCLBL_input/precedences",
                            "id": "#wf_bacterial_annot_pass4.cwl/Assign_SPARCL_Architecture_Names_to_Proteins_sparclbl/p"
                        },
                        {
                            "source": "#wf_bacterial_annot_pass4.cwl/Assign_SPARCL_Architecture_Names_to_Proteins_asn2fasta/fasta",
                            "id": "#wf_bacterial_annot_pass4.cwl/Assign_SPARCL_Architecture_Names_to_Proteins_sparclbl/s"
                        },
                        {
                            "default": 1,
                            "id": "#wf_bacterial_annot_pass4.cwl/Assign_SPARCL_Architecture_Names_to_Proteins_sparclbl/x"
                        }
                    ],
                    "out": [
                        "#wf_bacterial_annot_pass4.cwl/Assign_SPARCL_Architecture_Names_to_Proteins_sparclbl/protein_assignments"
                    ],
                    "id": "#wf_bacterial_annot_pass4.cwl/Assign_SPARCL_Architecture_Names_to_Proteins_sparclbl"
                },
                {
                    "label": "Bacterial Annot Filter",
                    "run": "#bact_annot_filter.cwl",
                    "in": [
                        {
                            "default": 60,
                            "id": "#wf_bacterial_annot_pass4.cwl/Bacterial_Annot_Filter/abs_short_model_limit"
                        },
                        {
                            "source": [
                                "#wf_bacterial_annot_pass4.cwl/sequence_cache"
                            ],
                            "linkMerge": "merge_flattened",
                            "id": "#wf_bacterial_annot_pass4.cwl/Bacterial_Annot_Filter/asn_cache"
                        },
                        {
                            "source": [
                                "#wf_bacterial_annot_pass4.cwl/Add_Names_to_Proteins/out_annotation"
                            ],
                            "linkMerge": "merge_flattened",
                            "id": "#wf_bacterial_annot_pass4.cwl/Bacterial_Annot_Filter/input"
                        },
                        {
                            "default": 1000000,
                            "id": "#wf_bacterial_annot_pass4.cwl/Bacterial_Annot_Filter/long_model_limit"
                        },
                        {
                            "default": 120,
                            "id": "#wf_bacterial_annot_pass4.cwl/Bacterial_Annot_Filter/max_overlap"
                        },
                        {
                            "default": 5000,
                            "id": "#wf_bacterial_annot_pass4.cwl/Bacterial_Annot_Filter/max_unannotated_region"
                        },
                        {
                            "default": true,
                            "id": "#wf_bacterial_annot_pass4.cwl/Bacterial_Annot_Filter/nogebank"
                        },
                        {
                            "default": 180,
                            "id": "#wf_bacterial_annot_pass4.cwl/Bacterial_Annot_Filter/short_model_limit"
                        },
                        {
                            "source": "#wf_bacterial_annot_pass4.cwl/thresholds",
                            "id": "#wf_bacterial_annot_pass4.cwl/Bacterial_Annot_Filter/thr"
                        }
                    ],
                    "out": [
                        "#wf_bacterial_annot_pass4.cwl/Bacterial_Annot_Filter/out_annotation"
                    ],
                    "id": "#wf_bacterial_annot_pass4.cwl/Bacterial_Annot_Filter"
                },
                {
                    "label": "Find Naming Protein Hits",
                    "run": "#tt_blastp_wnode_naming.cwl",
                    "in": [
                        {
                            "default": "subject",
                            "id": "#wf_bacterial_annot_pass4.cwl/Find_Naming_Protein_Hits/affinity"
                        },
                        {
                            "default": "score>0 && pct_identity_gapopen_only > 35",
                            "id": "#wf_bacterial_annot_pass4.cwl/Find_Naming_Protein_Hits/align_filter"
                        },
                        {
                            "default": true,
                            "id": "#wf_bacterial_annot_pass4.cwl/Find_Naming_Protein_Hits/allow_intersection"
                        },
                        {
                            "source": [
                                "#wf_bacterial_annot_pass4.cwl/sequence_cache",
                                "#wf_bacterial_annot_pass4.cwl/uniColl_cache"
                            ],
                            "id": "#wf_bacterial_annot_pass4.cwl/Find_Naming_Protein_Hits/asn_cache"
                        },
                        {
                            "source": "#wf_bacterial_annot_pass4.cwl/blast_hits_cache",
                            "id": "#wf_bacterial_annot_pass4.cwl/Find_Naming_Protein_Hits/blast_hits_cache"
                        },
                        {
                            "default": "predicted-protein",
                            "id": "#wf_bacterial_annot_pass4.cwl/Find_Naming_Protein_Hits/blast_type"
                        },
                        {
                            "source": [
                                "#wf_bacterial_annot_pass4.cwl/blastdb",
                                "#wf_bacterial_annot_pass4.cwl/blast_rules_db"
                            ],
                            "linkMerge": "merge_flattened",
                            "id": "#wf_bacterial_annot_pass4.cwl/Find_Naming_Protein_Hits/blastdb"
                        },
                        {
                            "source": "#wf_bacterial_annot_pass4.cwl/identification_db_dir",
                            "id": "#wf_bacterial_annot_pass4.cwl/Find_Naming_Protein_Hits/blastdb_dir"
                        },
                        {
                            "default": "F",
                            "id": "#wf_bacterial_annot_pass4.cwl/Find_Naming_Protein_Hits/comp_based_stats"
                        },
                        {
                            "default": true,
                            "id": "#wf_bacterial_annot_pass4.cwl/Find_Naming_Protein_Hits/compart"
                        },
                        {
                            "default": "6000000000",
                            "id": "#wf_bacterial_annot_pass4.cwl/Find_Naming_Protein_Hits/dbsize"
                        },
                        {
                            "default": 0,
                            "id": "#wf_bacterial_annot_pass4.cwl/Find_Naming_Protein_Hits/delay"
                        },
                        {
                            "default": 0.1,
                            "id": "#wf_bacterial_annot_pass4.cwl/Find_Naming_Protein_Hits/evalue"
                        },
                        {
                            "source": "#wf_bacterial_annot_pass4.cwl/genus_list",
                            "id": "#wf_bacterial_annot_pass4.cwl/Find_Naming_Protein_Hits/genus_list"
                        },
                        {
                            "source": [
                                "#wf_bacterial_annot_pass4.cwl/Good_AntiFam_filtered_proteins_gilist"
                            ],
                            "linkMerge": "merge_flattened",
                            "id": "#wf_bacterial_annot_pass4.cwl/Find_Naming_Protein_Hits/ids"
                        },
                        {
                            "source": "#wf_bacterial_annot_pass4.cwl/lds2",
                            "id": "#wf_bacterial_annot_pass4.cwl/Find_Naming_Protein_Hits/lds2"
                        },
                        {
                            "default": 10000,
                            "id": "#wf_bacterial_annot_pass4.cwl/Find_Naming_Protein_Hits/max_batch_length"
                        },
                        {
                            "default": 1,
                            "id": "#wf_bacterial_annot_pass4.cwl/Find_Naming_Protein_Hits/max_jobs"
                        },
                        {
                            "default": 50,
                            "id": "#wf_bacterial_annot_pass4.cwl/Find_Naming_Protein_Hits/max_target_seqs"
                        },
                        {
                            "default": false,
                            "id": "#wf_bacterial_annot_pass4.cwl/Find_Naming_Protein_Hits/no_merge"
                        },
                        {
                            "default": true,
                            "id": "#wf_bacterial_annot_pass4.cwl/Find_Naming_Protein_Hits/nogenbank"
                        },
                        {
                            "default": "asn-binary",
                            "id": "#wf_bacterial_annot_pass4.cwl/Find_Naming_Protein_Hits/ofmt"
                        },
                        {
                            "source": "#wf_bacterial_annot_pass4.cwl/proteins",
                            "id": "#wf_bacterial_annot_pass4.cwl/Find_Naming_Protein_Hits/proteins"
                        },
                        {
                            "source": "#wf_bacterial_annot_pass4.cwl/scatter_gather_nchunks",
                            "id": "#wf_bacterial_annot_pass4.cwl/Find_Naming_Protein_Hits/scatter_gather_nchunks"
                        },
                        {
                            "default": "30 2.2 2.5",
                            "id": "#wf_bacterial_annot_pass4.cwl/Find_Naming_Protein_Hits/seg"
                        },
                        {
                            "default": "yes",
                            "id": "#wf_bacterial_annot_pass4.cwl/Find_Naming_Protein_Hits/soft_masking"
                        },
                        {
                            "source": "#wf_bacterial_annot_pass4.cwl/taxid",
                            "id": "#wf_bacterial_annot_pass4.cwl/Find_Naming_Protein_Hits/taxid"
                        },
                        {
                            "source": "#wf_bacterial_annot_pass4.cwl/taxon_db",
                            "id": "#wf_bacterial_annot_pass4.cwl/Find_Naming_Protein_Hits/taxon_db"
                        },
                        {
                            "default": 21,
                            "id": "#wf_bacterial_annot_pass4.cwl/Find_Naming_Protein_Hits/threshold"
                        },
                        {
                            "default": 10,
                            "id": "#wf_bacterial_annot_pass4.cwl/Find_Naming_Protein_Hits/top_by_score"
                        },
                        {
                            "default": 6,
                            "id": "#wf_bacterial_annot_pass4.cwl/Find_Naming_Protein_Hits/word_size"
                        }
                    ],
                    "out": [
                        "#wf_bacterial_annot_pass4.cwl/Find_Naming_Protein_Hits/blast_align"
                    ],
                    "id": "#wf_bacterial_annot_pass4.cwl/Find_Naming_Protein_Hits"
                },
                {
                    "label": "Find best protein hits",
                    "run": "#align_filter.cwl",
                    "in": [
                        {
                            "source": [
                                "#wf_bacterial_annot_pass4.cwl/sequence_cache",
                                "#wf_bacterial_annot_pass4.cwl/uniColl_cache"
                            ],
                            "id": "#wf_bacterial_annot_pass4.cwl/Find_best_protein_hits/asn_cache"
                        },
                        {
                            "default": "subject_coverage >= 10",
                            "id": "#wf_bacterial_annot_pass4.cwl/Find_best_protein_hits/filter"
                        },
                        {
                            "default": "seq-align-set",
                            "id": "#wf_bacterial_annot_pass4.cwl/Find_best_protein_hits/ifmt"
                        },
                        {
                            "source": "#wf_bacterial_annot_pass4.cwl/Find_Naming_Protein_Hits/blast_align",
                            "id": "#wf_bacterial_annot_pass4.cwl/Find_best_protein_hits/input"
                        },
                        {
                            "default": true,
                            "id": "#wf_bacterial_annot_pass4.cwl/Find_best_protein_hits/nogenbank"
                        }
                    ],
                    "out": [
                        "#wf_bacterial_annot_pass4.cwl/Find_best_protein_hits/o"
                    ],
                    "id": "#wf_bacterial_annot_pass4.cwl/Find_best_protein_hits"
                },
                {
                    "label": "Prepare SPARCLBL input",
                    "run": "#prepare_sparclbl_input.cwl",
                    "in": [
                        {
                            "source": "#wf_bacterial_annot_pass4.cwl/Extract_Model_Proteins_prot_ids",
                            "id": "#wf_bacterial_annot_pass4.cwl/Prepare_SPARCLBL_input/input"
                        },
                        {
                            "source": [
                                "#wf_bacterial_annot_pass4.cwl/Assign_Clusters_to_Proteins/protein_assignments",
                                "#wf_bacterial_annot_pass4.cwl/hmm_assignments",
                                "#wf_bacterial_annot_pass4.cwl/wp_assignments"
                            ],
                            "linkMerge": "merge_flattened",
                            "id": "#wf_bacterial_annot_pass4.cwl/Prepare_SPARCLBL_input/other_assignments"
                        },
                        {
                            "source": "#wf_bacterial_annot_pass4.cwl/naming_sqlite",
                            "id": "#wf_bacterial_annot_pass4.cwl/Prepare_SPARCLBL_input/unicoll_sqlite"
                        }
                    ],
                    "out": [
                        "#wf_bacterial_annot_pass4.cwl/Prepare_SPARCLBL_input/prot_ids",
                        "#wf_bacterial_annot_pass4.cwl/Prepare_SPARCLBL_input/precedences"
                    ],
                    "id": "#wf_bacterial_annot_pass4.cwl/Prepare_SPARCLBL_input"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputSource": "#wf_bacterial_annot_pass4.cwl/Bacterial_Annot_Filter/out_annotation",
                    "id": "#wf_bacterial_annot_pass4.cwl/out_annotation"
                }
            ],
            "id": "#wf_bacterial_annot_pass4.cwl"
        },
        {
            "label": "Execute CRISPR, gather",
            "class": "CommandLineTool",
            "baseCommand": "gpx_qdump",
            "arguments": [
                "-unzip",
                "*",
                "-failed-jobs-tolerate-failures",
                "-produce-empty-file"
            ],
            "inputs": [
                {
                    "type": "Directory",
                    "inputBinding": {
                        "prefix": "-input-path"
                    },
                    "id": "#gpx_qdump.cwl/input_path"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "ncbi_crispr.out",
                    "inputBinding": {
                        "prefix": "-output"
                    },
                    "id": "#gpx_qdump.cwl/output_name"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.output_name)"
                    },
                    "id": "#gpx_qdump.cwl/annots"
                }
            ],
            "id": "#gpx_qdump.cwl"
        },
        {
            "label": "Execute CRISPR, scatter",
            "class": "CommandLineTool",
            "baseCommand": "gpx_qsubmit",
            "arguments": [
                "-batch-size",
                "1",
                "-nogenbank"
            ],
            "inputs": [
                {
                    "type": "Directory",
                    "inputBinding": {
                        "prefix": "-asn-cache"
                    },
                    "id": "#gpx_qsubmit.cwl/asn_cache"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "jobs.xml",
                    "inputBinding": {
                        "prefix": "-output"
                    },
                    "id": "#gpx_qsubmit.cwl/output"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-ids"
                    },
                    "id": "#gpx_qsubmit.cwl/seqids"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.output)"
                    },
                    "id": "#gpx_qsubmit.cwl/jobs"
                }
            ],
            "id": "#gpx_qsubmit.cwl"
        },
        {
            "label": "Execute CRISPR, execution",
            "class": "CommandLineTool",
            "baseCommand": "ncbi_crisper_wnode",
            "arguments": [
                "-nogenbank"
            ],
            "inputs": [
                {
                    "type": "Directory",
                    "inputBinding": {
                        "prefix": "-asn-cache"
                    },
                    "id": "#ncbi_crisper_wnode.cwl/asn_cache"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "/opt/crispr/1.02/bin/",
                    "inputBinding": {
                        "prefix": "-ncbi-crisper-path"
                    },
                    "id": "#ncbi_crisper_wnode.cwl/crisper_path"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-input-jobs"
                    },
                    "id": "#ncbi_crisper_wnode.cwl/input_jobs"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "output",
                    "inputBinding": {
                        "prefix": "-O"
                    },
                    "id": "#ncbi_crisper_wnode.cwl/output_dir"
                }
            ],
            "outputs": [
                {
                    "type": "Directory",
                    "outputBinding": {
                        "glob": "$(inputs.output_dir)"
                    },
                    "id": "#ncbi_crisper_wnode.cwl/outdir"
                }
            ],
            "id": "#ncbi_crisper_wnode.cwl"
        },
        {
            "label": "Execute CRISPR",
            "class": "Workflow",
            "inputs": [
                {
                    "type": "Directory",
                    "id": "#wf_bacterial_mobile_elem.cwl/asn_cache"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "boolean"
                    },
                    "id": "#wf_bacterial_mobile_elem.cwl/go"
                },
                {
                    "type": "File",
                    "id": "#wf_bacterial_mobile_elem.cwl/seqids"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputSource": "#wf_bacterial_mobile_elem.cwl/Execute_CRISPR_dump/annots",
                    "id": "#wf_bacterial_mobile_elem.cwl/annots"
                }
            ],
            "steps": [
                {
                    "run": "#gpx_qdump.cwl",
                    "in": [
                        {
                            "source": "#wf_bacterial_mobile_elem.cwl/Execute_CRISPR_wnode/outdir",
                            "id": "#wf_bacterial_mobile_elem.cwl/Execute_CRISPR_dump/input_path"
                        }
                    ],
                    "out": [
                        "#wf_bacterial_mobile_elem.cwl/Execute_CRISPR_dump/annots"
                    ],
                    "id": "#wf_bacterial_mobile_elem.cwl/Execute_CRISPR_dump"
                },
                {
                    "run": "#gpx_qsubmit.cwl",
                    "in": [
                        {
                            "source": "#wf_bacterial_mobile_elem.cwl/asn_cache",
                            "id": "#wf_bacterial_mobile_elem.cwl/Execute_CRISPR_submit/asn_cache"
                        },
                        {
                            "source": "#wf_bacterial_mobile_elem.cwl/seqids",
                            "id": "#wf_bacterial_mobile_elem.cwl/Execute_CRISPR_submit/seqids"
                        }
                    ],
                    "out": [
                        "#wf_bacterial_mobile_elem.cwl/Execute_CRISPR_submit/jobs"
                    ],
                    "id": "#wf_bacterial_mobile_elem.cwl/Execute_CRISPR_submit"
                },
                {
                    "run": "#ncbi_crisper_wnode.cwl",
                    "in": [
                        {
                            "source": "#wf_bacterial_mobile_elem.cwl/asn_cache",
                            "id": "#wf_bacterial_mobile_elem.cwl/Execute_CRISPR_wnode/asn_cache"
                        },
                        {
                            "source": "#wf_bacterial_mobile_elem.cwl/Execute_CRISPR_submit/jobs",
                            "id": "#wf_bacterial_mobile_elem.cwl/Execute_CRISPR_wnode/input_jobs"
                        }
                    ],
                    "out": [
                        "#wf_bacterial_mobile_elem.cwl/Execute_CRISPR_wnode/outdir"
                    ],
                    "id": "#wf_bacterial_mobile_elem.cwl/Execute_CRISPR_wnode"
                }
            ],
            "id": "#wf_bacterial_mobile_elem.cwl"
        },
        {
            "label": "Post-process CMsearch annotations",
            "class": "CommandLineTool",
            "requirements": [
                {
                    "class": "InitialWorkDirRequirement",
                    "listing": [
                        {
                            "entry": "$(inputs.asn_cache)",
                            "writable": false
                        }
                    ]
                }
            ],
            "baseCommand": "annot_merge",
            "arguments": [
                "-unique",
                "-nogenbank"
            ],
            "inputs": [
                {
                    "type": "Directory",
                    "inputBinding": {
                        "prefix": "-asn-cache"
                    },
                    "id": "#annot_merge.cwl/asn_cache"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-input"
                    },
                    "id": "#annot_merge.cwl/input"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "annots.asn",
                    "inputBinding": {
                        "prefix": "-output"
                    },
                    "id": "#annot_merge.cwl/output_name"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.output_name)"
                    },
                    "id": "#annot_merge.cwl/annots"
                }
            ],
            "id": "#annot_merge.cwl"
        },
        {
            "label": "Run genomic CMsearch (Rfam rRNA), execution",
            "class": "CommandLineTool",
            "requirements": [
                {
                    "class": "InitialWorkDirRequirement",
                    "listing": [
                        {
                            "entry": "$(inputs.asn_cache)",
                            "writable": false
                        }
                    ]
                },
                {
                    "class": "ResourceRequirement",
                    "ramMax": 3000
                }
            ],
            "baseCommand": "cmsearch_wnode",
            "arguments": [
                "-nogenbank",
                "-rfam-version",
                "14.4"
            ],
            "inputs": [
                {
                    "type": "Directory",
                    "inputBinding": {
                        "prefix": "-asn-cache"
                    },
                    "id": "#cmsearch_wnode.cwl/asn_cache"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "default": 0,
                    "inputBinding": {
                        "prefix": "-cmsearch-cpu"
                    },
                    "id": "#cmsearch_wnode.cwl/cmsearch_cpu"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "/panfs/pan1.be-md.ncbi.nlm.nih.gov/gpipe/bacterial_pipeline/system/third-party/bin",
                    "inputBinding": {
                        "prefix": "-cmsearch-path"
                    },
                    "id": "#cmsearch_wnode.cwl/cmsearch_path"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-input-jobs"
                    },
                    "id": "#cmsearch_wnode.cwl/input_jobs"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-model-path"
                    },
                    "id": "#cmsearch_wnode.cwl/model_path"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "output",
                    "inputBinding": {
                        "prefix": "-O"
                    },
                    "id": "#cmsearch_wnode.cwl/output_dir"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-rfam-amendments"
                    },
                    "id": "#cmsearch_wnode.cwl/rfam_amendments"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-rfam-stockholm"
                    },
                    "id": "#cmsearch_wnode.cwl/rfam_stockholm"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-taxon-db"
                    },
                    "id": "#cmsearch_wnode.cwl/taxon_db"
                }
            ],
            "outputs": [
                {
                    "type": "Directory",
                    "outputBinding": {
                        "glob": "$(inputs.output_dir)"
                    },
                    "id": "#cmsearch_wnode.cwl/outdir"
                }
            ],
            "id": "#cmsearch_wnode.cwl"
        },
        {
            "label": "Run genomic CMsearch (Rfam rRNA), gather",
            "class": "CommandLineTool",
            "baseCommand": "gpx_qdump",
            "arguments": [
                "-unzip",
                "*",
                "-produce-empty-file"
            ],
            "inputs": [
                {
                    "type": "Directory",
                    "inputBinding": {
                        "prefix": "-input-path"
                    },
                    "id": "#gpx_qdump.cwl_2/input_path"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "cmsearch.asn",
                    "inputBinding": {
                        "prefix": "-output"
                    },
                    "id": "#gpx_qdump.cwl_2/output_name"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.output_name)"
                    },
                    "id": "#gpx_qdump.cwl_2/annots"
                }
            ],
            "id": "#gpx_qdump.cwl_2"
        },
        {
            "label": "Run genomic CMsearch (Rfam rRNA), scatter",
            "class": "CommandLineTool",
            "requirements": [
                {
                    "class": "InitialWorkDirRequirement",
                    "listing": [
                        {
                            "entry": "$(inputs.asn_cache)",
                            "writable": false
                        }
                    ]
                }
            ],
            "baseCommand": "gpx_qsubmit",
            "arguments": [
                "-nogenbank"
            ],
            "inputs": [
                {
                    "type": "Directory",
                    "inputBinding": {
                        "prefix": "-asn-cache"
                    },
                    "id": "#gpx_qsubmit.cwl_2/asn_cache"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "jobs.xml",
                    "inputBinding": {
                        "prefix": "-output"
                    },
                    "id": "#gpx_qsubmit.cwl_2/output"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-ids"
                    },
                    "id": "#gpx_qsubmit.cwl_2/seqids"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.output)"
                    },
                    "id": "#gpx_qsubmit.cwl_2/jobs"
                }
            ],
            "id": "#gpx_qsubmit.cwl_2"
        },
        {
            "label": "Run genomic CMsearch (Rfam rRNA)",
            "class": "Workflow",
            "inputs": [
                {
                    "type": "Directory",
                    "id": "#wf_gcmsearch.cwl/asn_cache"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "boolean"
                    },
                    "id": "#wf_gcmsearch.cwl/go"
                },
                {
                    "type": "File",
                    "id": "#wf_gcmsearch.cwl/model_path"
                },
                {
                    "type": "File",
                    "id": "#wf_gcmsearch.cwl/rfam_amendments"
                },
                {
                    "type": "File",
                    "id": "#wf_gcmsearch.cwl/rfam_stockholm"
                },
                {
                    "type": "File",
                    "id": "#wf_gcmsearch.cwl/seqids"
                },
                {
                    "type": "File",
                    "id": "#wf_gcmsearch.cwl/taxon_db"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputSource": "#wf_gcmsearch.cwl/Post_process_CMsearch_Rfam_annotations/annots",
                    "id": "#wf_gcmsearch.cwl/annots"
                }
            ],
            "steps": [
                {
                    "run": "#annot_merge.cwl",
                    "in": [
                        {
                            "source": "#wf_gcmsearch.cwl/asn_cache",
                            "id": "#wf_gcmsearch.cwl/Post_process_CMsearch_Rfam_annotations/asn_cache"
                        },
                        {
                            "source": "#wf_gcmsearch.cwl/Run_genomic_CMsearch_Rfam_rRNA_Run_genomic_CMsearch_Rfam_rRNA_dump/annots",
                            "id": "#wf_gcmsearch.cwl/Post_process_CMsearch_Rfam_annotations/input"
                        }
                    ],
                    "out": [
                        "#wf_gcmsearch.cwl/Post_process_CMsearch_Rfam_annotations/annots"
                    ],
                    "id": "#wf_gcmsearch.cwl/Post_process_CMsearch_Rfam_annotations"
                },
                {
                    "run": "#gpx_qdump.cwl_2",
                    "in": [
                        {
                            "source": "#wf_gcmsearch.cwl/Run_genomic_CMsearch_Rfam_rRNA_wnode/outdir",
                            "id": "#wf_gcmsearch.cwl/Run_genomic_CMsearch_Rfam_rRNA_Run_genomic_CMsearch_Rfam_rRNA_dump/input_path"
                        }
                    ],
                    "out": [
                        "#wf_gcmsearch.cwl/Run_genomic_CMsearch_Rfam_rRNA_Run_genomic_CMsearch_Rfam_rRNA_dump/annots"
                    ],
                    "id": "#wf_gcmsearch.cwl/Run_genomic_CMsearch_Rfam_rRNA_Run_genomic_CMsearch_Rfam_rRNA_dump"
                },
                {
                    "run": "#gpx_qsubmit.cwl_2",
                    "in": [
                        {
                            "source": "#wf_gcmsearch.cwl/asn_cache",
                            "id": "#wf_gcmsearch.cwl/Run_genomic_CMsearch_Rfam_rRNA_submit/asn_cache"
                        },
                        {
                            "source": "#wf_gcmsearch.cwl/seqids",
                            "id": "#wf_gcmsearch.cwl/Run_genomic_CMsearch_Rfam_rRNA_submit/seqids"
                        }
                    ],
                    "out": [
                        "#wf_gcmsearch.cwl/Run_genomic_CMsearch_Rfam_rRNA_submit/jobs"
                    ],
                    "id": "#wf_gcmsearch.cwl/Run_genomic_CMsearch_Rfam_rRNA_submit"
                },
                {
                    "run": "#cmsearch_wnode.cwl",
                    "in": [
                        {
                            "source": "#wf_gcmsearch.cwl/asn_cache",
                            "id": "#wf_gcmsearch.cwl/Run_genomic_CMsearch_Rfam_rRNA_wnode/asn_cache"
                        },
                        {
                            "source": "#wf_gcmsearch.cwl/Run_genomic_CMsearch_Rfam_rRNA_submit/jobs",
                            "id": "#wf_gcmsearch.cwl/Run_genomic_CMsearch_Rfam_rRNA_wnode/input_jobs"
                        },
                        {
                            "source": "#wf_gcmsearch.cwl/model_path",
                            "id": "#wf_gcmsearch.cwl/Run_genomic_CMsearch_Rfam_rRNA_wnode/model_path"
                        },
                        {
                            "source": "#wf_gcmsearch.cwl/rfam_amendments",
                            "id": "#wf_gcmsearch.cwl/Run_genomic_CMsearch_Rfam_rRNA_wnode/rfam_amendments"
                        },
                        {
                            "source": "#wf_gcmsearch.cwl/rfam_stockholm",
                            "id": "#wf_gcmsearch.cwl/Run_genomic_CMsearch_Rfam_rRNA_wnode/rfam_stockholm"
                        },
                        {
                            "source": "#wf_gcmsearch.cwl/taxon_db",
                            "id": "#wf_gcmsearch.cwl/Run_genomic_CMsearch_Rfam_rRNA_wnode/taxon_db"
                        }
                    ],
                    "out": [
                        "#wf_gcmsearch.cwl/Run_genomic_CMsearch_Rfam_rRNA_wnode/outdir"
                    ],
                    "id": "#wf_gcmsearch.cwl/Run_genomic_CMsearch_Rfam_rRNA_wnode"
                }
            ],
            "id": "#wf_gcmsearch.cwl"
        },
        {
            "label": "Post-process CMsearch annotations",
            "class": "CommandLineTool",
            "requirements": [
                {
                    "class": "InitialWorkDirRequirement",
                    "listing": [
                        {
                            "entry": "$(inputs.asn_cache)",
                            "writable": false
                        }
                    ]
                }
            ],
            "baseCommand": "annot_merge",
            "arguments": [
                "-unique",
                "-nogenbank"
            ],
            "inputs": [
                {
                    "type": "Directory",
                    "inputBinding": {
                        "prefix": "-asn-cache"
                    },
                    "id": "#annot_merge.cwl_2/asn_cache"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-input"
                    },
                    "id": "#annot_merge.cwl_2/input"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "annots.asn",
                    "inputBinding": {
                        "prefix": "-output"
                    },
                    "id": "#annot_merge.cwl_2/output_name"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.output_name)"
                    },
                    "id": "#annot_merge.cwl_2/annots"
                }
            ],
            "id": "#annot_merge.cwl_2"
        },
        {
            "label": "Run genomic CMsearch, execution",
            "class": "CommandLineTool",
            "requirements": [
                {
                    "class": "InitialWorkDirRequirement",
                    "listing": [
                        {
                            "entry": "$(inputs.asn_cache)",
                            "writable": false
                        }
                    ]
                },
                {
                    "class": "ResourceRequirement",
                    "ramMax": 3000
                }
            ],
            "baseCommand": "cmsearch_wnode",
            "arguments": [
                "-nogenbank",
                "-use-alignment-output",
                "-rfam-version",
                "14.4"
            ],
            "inputs": [
                {
                    "type": "Directory",
                    "inputBinding": {
                        "prefix": "-asn-cache"
                    },
                    "id": "#cmsearch_wnode.cwl_2/asn_cache"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "default": 0,
                    "inputBinding": {
                        "prefix": "-cmsearch-cpu"
                    },
                    "id": "#cmsearch_wnode.cwl_2/cmsearch_cpu"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "/panfs/pan1.be-md.ncbi.nlm.nih.gov/gpipe/bacterial_pipeline/system/third-party/bin",
                    "inputBinding": {
                        "prefix": "-cmsearch-path"
                    },
                    "id": "#cmsearch_wnode.cwl_2/cmsearch_path"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-input-jobs"
                    },
                    "id": "#cmsearch_wnode.cwl_2/input_jobs"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-model-path"
                    },
                    "id": "#cmsearch_wnode.cwl_2/model_path"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "output",
                    "inputBinding": {
                        "prefix": "-O"
                    },
                    "id": "#cmsearch_wnode.cwl_2/output_dir"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-rfam-amendments"
                    },
                    "id": "#cmsearch_wnode.cwl_2/rfam_amendments"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-rfam-stockholm"
                    },
                    "id": "#cmsearch_wnode.cwl_2/rfam_stockholm"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-taxon-db"
                    },
                    "id": "#cmsearch_wnode.cwl_2/taxon_db"
                }
            ],
            "outputs": [
                {
                    "type": "Directory",
                    "outputBinding": {
                        "glob": "$(inputs.asn_cache.basename)"
                    },
                    "id": "#cmsearch_wnode.cwl_2/asncache"
                },
                {
                    "type": "Directory",
                    "outputBinding": {
                        "glob": "$(inputs.output_dir)"
                    },
                    "id": "#cmsearch_wnode.cwl_2/outdir"
                }
            ],
            "id": "#cmsearch_wnode.cwl_2"
        },
        {
            "label": "Run genomic CMsearch (5S rRNA), gather",
            "class": "CommandLineTool",
            "baseCommand": "gpx_qdump",
            "arguments": [
                "-unzip",
                "*",
                "-produce-empty-file"
            ],
            "inputs": [
                {
                    "type": "Directory",
                    "inputBinding": {
                        "prefix": "-input-path"
                    },
                    "id": "#gpx_qdump.cwl_3/input_path"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "cmsearch.asn",
                    "inputBinding": {
                        "prefix": "-output"
                    },
                    "id": "#gpx_qdump.cwl_3/output_name"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.output_name)"
                    },
                    "id": "#gpx_qdump.cwl_3/annots"
                }
            ],
            "id": "#gpx_qdump.cwl_3"
        },
        {
            "label": "Run genomic CMsearch (5S rRNA), scatter",
            "class": "CommandLineTool",
            "requirements": [
                {
                    "class": "InitialWorkDirRequirement",
                    "listing": [
                        {
                            "entry": "$(inputs.asn_cache)",
                            "writable": false
                        }
                    ]
                }
            ],
            "baseCommand": "gpx_qsubmit",
            "arguments": [
                "-nogenbank"
            ],
            "inputs": [
                {
                    "type": "Directory",
                    "inputBinding": {
                        "prefix": "-asn-cache"
                    },
                    "id": "#gpx_qsubmit_gcmsearch.cwl/asn_cache"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "jobs.xml",
                    "inputBinding": {
                        "prefix": "-output"
                    },
                    "id": "#gpx_qsubmit_gcmsearch.cwl/output"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-ids"
                    },
                    "id": "#gpx_qsubmit_gcmsearch.cwl/seqids"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.output)"
                    },
                    "id": "#gpx_qsubmit_gcmsearch.cwl/jobs"
                }
            ],
            "id": "#gpx_qsubmit_gcmsearch.cwl"
        },
        {
            "label": "Non-Coding Bacterial Genes",
            "class": "Workflow",
            "requirements": [
                {
                    "class": "SubworkflowFeatureRequirement"
                }
            ],
            "inputs": [
                {
                    "type": "Directory",
                    "id": "#wf_bacterial_noncoding.cwl/asn_cache"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "boolean"
                    },
                    "id": "#wf_bacterial_noncoding.cwl/go"
                },
                {
                    "type": "File",
                    "id": "#wf_bacterial_noncoding.cwl/model_path_16s"
                },
                {
                    "type": "File",
                    "id": "#wf_bacterial_noncoding.cwl/model_path_23s"
                },
                {
                    "type": "File",
                    "id": "#wf_bacterial_noncoding.cwl/model_path_5s"
                },
                {
                    "type": "File",
                    "id": "#wf_bacterial_noncoding.cwl/rfam_amendments"
                },
                {
                    "type": "File",
                    "id": "#wf_bacterial_noncoding.cwl/rfam_stockholm"
                },
                {
                    "type": "File",
                    "id": "#wf_bacterial_noncoding.cwl/seqids"
                },
                {
                    "type": "File",
                    "id": "#wf_bacterial_noncoding.cwl/taxon_db"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputSource": "#wf_bacterial_noncoding.cwl/annot_ribo_operons/output_16S",
                    "id": "#wf_bacterial_noncoding.cwl/annotations_16s"
                },
                {
                    "type": "File",
                    "outputSource": "#wf_bacterial_noncoding.cwl/annot_ribo_operons/output_23S",
                    "id": "#wf_bacterial_noncoding.cwl/annotations_23s"
                },
                {
                    "type": "File",
                    "outputSource": "#wf_bacterial_noncoding.cwl/annot_ribo_operons/output_5S",
                    "id": "#wf_bacterial_noncoding.cwl/annotations_5s"
                }
            ],
            "steps": [
                {
                    "run": "#annot_ribo_operons.cwl",
                    "in": [
                        {
                            "source": "#wf_bacterial_noncoding.cwl/bacterial_noncoding_16S/annots",
                            "id": "#wf_bacterial_noncoding.cwl/annot_ribo_operons/input_16S"
                        },
                        {
                            "source": "#wf_bacterial_noncoding.cwl/bacterial_noncoding_23S/annots",
                            "id": "#wf_bacterial_noncoding.cwl/annot_ribo_operons/input_23S"
                        },
                        {
                            "source": "#wf_bacterial_noncoding.cwl/bacterial_noncoding_5S/annots",
                            "id": "#wf_bacterial_noncoding.cwl/annot_ribo_operons/input_5S"
                        }
                    ],
                    "out": [
                        "#wf_bacterial_noncoding.cwl/annot_ribo_operons/output_5S",
                        "#wf_bacterial_noncoding.cwl/annot_ribo_operons/output_16S",
                        "#wf_bacterial_noncoding.cwl/annot_ribo_operons/output_23S"
                    ],
                    "id": "#wf_bacterial_noncoding.cwl/annot_ribo_operons"
                },
                {
                    "run": "#wf_gcmsearch.cwl_2",
                    "in": [
                        {
                            "source": "#wf_bacterial_noncoding.cwl/asn_cache",
                            "id": "#wf_bacterial_noncoding.cwl/bacterial_noncoding_16S/asn_cache"
                        },
                        {
                            "source": "#wf_bacterial_noncoding.cwl/model_path_16s",
                            "id": "#wf_bacterial_noncoding.cwl/bacterial_noncoding_16S/model_path"
                        },
                        {
                            "source": "#wf_bacterial_noncoding.cwl/rfam_amendments",
                            "id": "#wf_bacterial_noncoding.cwl/bacterial_noncoding_16S/rfam_amendments"
                        },
                        {
                            "source": "#wf_bacterial_noncoding.cwl/rfam_stockholm",
                            "id": "#wf_bacterial_noncoding.cwl/bacterial_noncoding_16S/rfam_stockholm"
                        },
                        {
                            "source": "#wf_bacterial_noncoding.cwl/seqids",
                            "id": "#wf_bacterial_noncoding.cwl/bacterial_noncoding_16S/seqids"
                        },
                        {
                            "source": "#wf_bacterial_noncoding.cwl/taxon_db",
                            "id": "#wf_bacterial_noncoding.cwl/bacterial_noncoding_16S/taxon_db"
                        }
                    ],
                    "out": [
                        "#wf_bacterial_noncoding.cwl/bacterial_noncoding_16S/annots"
                    ],
                    "id": "#wf_bacterial_noncoding.cwl/bacterial_noncoding_16S"
                },
                {
                    "run": "#wf_gcmsearch.cwl_2",
                    "in": [
                        {
                            "source": "#wf_bacterial_noncoding.cwl/asn_cache",
                            "id": "#wf_bacterial_noncoding.cwl/bacterial_noncoding_23S/asn_cache"
                        },
                        {
                            "source": "#wf_bacterial_noncoding.cwl/model_path_23s",
                            "id": "#wf_bacterial_noncoding.cwl/bacterial_noncoding_23S/model_path"
                        },
                        {
                            "source": "#wf_bacterial_noncoding.cwl/rfam_amendments",
                            "id": "#wf_bacterial_noncoding.cwl/bacterial_noncoding_23S/rfam_amendments"
                        },
                        {
                            "source": "#wf_bacterial_noncoding.cwl/rfam_stockholm",
                            "id": "#wf_bacterial_noncoding.cwl/bacterial_noncoding_23S/rfam_stockholm"
                        },
                        {
                            "source": "#wf_bacterial_noncoding.cwl/seqids",
                            "id": "#wf_bacterial_noncoding.cwl/bacterial_noncoding_23S/seqids"
                        },
                        {
                            "source": "#wf_bacterial_noncoding.cwl/taxon_db",
                            "id": "#wf_bacterial_noncoding.cwl/bacterial_noncoding_23S/taxon_db"
                        }
                    ],
                    "out": [
                        "#wf_bacterial_noncoding.cwl/bacterial_noncoding_23S/annots"
                    ],
                    "id": "#wf_bacterial_noncoding.cwl/bacterial_noncoding_23S"
                },
                {
                    "run": "#wf_gcmsearch.cwl_2",
                    "in": [
                        {
                            "source": "#wf_bacterial_noncoding.cwl/asn_cache",
                            "id": "#wf_bacterial_noncoding.cwl/bacterial_noncoding_5S/asn_cache"
                        },
                        {
                            "source": "#wf_bacterial_noncoding.cwl/model_path_5s",
                            "id": "#wf_bacterial_noncoding.cwl/bacterial_noncoding_5S/model_path"
                        },
                        {
                            "source": "#wf_bacterial_noncoding.cwl/rfam_amendments",
                            "id": "#wf_bacterial_noncoding.cwl/bacterial_noncoding_5S/rfam_amendments"
                        },
                        {
                            "source": "#wf_bacterial_noncoding.cwl/rfam_stockholm",
                            "id": "#wf_bacterial_noncoding.cwl/bacterial_noncoding_5S/rfam_stockholm"
                        },
                        {
                            "source": "#wf_bacterial_noncoding.cwl/seqids",
                            "id": "#wf_bacterial_noncoding.cwl/bacterial_noncoding_5S/seqids"
                        },
                        {
                            "source": "#wf_bacterial_noncoding.cwl/taxon_db",
                            "id": "#wf_bacterial_noncoding.cwl/bacterial_noncoding_5S/taxon_db"
                        }
                    ],
                    "out": [
                        "#wf_bacterial_noncoding.cwl/bacterial_noncoding_5S/annots"
                    ],
                    "id": "#wf_bacterial_noncoding.cwl/bacterial_noncoding_5S"
                }
            ],
            "id": "#wf_bacterial_noncoding.cwl"
        },
        {
            "label": "Run genomic CMsearch",
            "class": "Workflow",
            "inputs": [
                {
                    "type": "Directory",
                    "id": "#wf_gcmsearch.cwl_2/asn_cache"
                },
                {
                    "type": "File",
                    "id": "#wf_gcmsearch.cwl_2/model_path"
                },
                {
                    "type": "File",
                    "id": "#wf_gcmsearch.cwl_2/rfam_amendments"
                },
                {
                    "type": "File",
                    "id": "#wf_gcmsearch.cwl_2/rfam_stockholm"
                },
                {
                    "type": "File",
                    "id": "#wf_gcmsearch.cwl_2/seqids"
                },
                {
                    "type": "File",
                    "id": "#wf_gcmsearch.cwl_2/taxon_db"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputSource": "#wf_gcmsearch.cwl_2/Post_process_CMsearch_annotations_rRNA/annots",
                    "id": "#wf_gcmsearch.cwl_2/annots"
                }
            ],
            "steps": [
                {
                    "run": "#annot_merge.cwl_2",
                    "in": [
                        {
                            "source": "#wf_gcmsearch.cwl_2/asn_cache",
                            "id": "#wf_gcmsearch.cwl_2/Post_process_CMsearch_annotations_rRNA/asn_cache"
                        },
                        {
                            "source": "#wf_gcmsearch.cwl_2/Run_genomic_CMsearch_rRNA_dump/annots",
                            "id": "#wf_gcmsearch.cwl_2/Post_process_CMsearch_annotations_rRNA/input"
                        }
                    ],
                    "out": [
                        "#wf_gcmsearch.cwl_2/Post_process_CMsearch_annotations_rRNA/annots"
                    ],
                    "id": "#wf_gcmsearch.cwl_2/Post_process_CMsearch_annotations_rRNA"
                },
                {
                    "run": "#gpx_qdump.cwl_3",
                    "in": [
                        {
                            "source": "#wf_gcmsearch.cwl_2/Run_genomic_CMsearch_rRNA_wnode/outdir",
                            "id": "#wf_gcmsearch.cwl_2/Run_genomic_CMsearch_rRNA_dump/input_path"
                        }
                    ],
                    "out": [
                        "#wf_gcmsearch.cwl_2/Run_genomic_CMsearch_rRNA_dump/annots"
                    ],
                    "id": "#wf_gcmsearch.cwl_2/Run_genomic_CMsearch_rRNA_dump"
                },
                {
                    "run": "#gpx_qsubmit_gcmsearch.cwl",
                    "in": [
                        {
                            "source": "#wf_gcmsearch.cwl_2/asn_cache",
                            "id": "#wf_gcmsearch.cwl_2/Run_genomic_CMsearch_rRNA_submit/asn_cache"
                        },
                        {
                            "source": "#wf_gcmsearch.cwl_2/seqids",
                            "id": "#wf_gcmsearch.cwl_2/Run_genomic_CMsearch_rRNA_submit/seqids"
                        }
                    ],
                    "out": [
                        "#wf_gcmsearch.cwl_2/Run_genomic_CMsearch_rRNA_submit/jobs"
                    ],
                    "id": "#wf_gcmsearch.cwl_2/Run_genomic_CMsearch_rRNA_submit"
                },
                {
                    "run": "#cmsearch_wnode.cwl_2",
                    "in": [
                        {
                            "source": "#wf_gcmsearch.cwl_2/asn_cache",
                            "id": "#wf_gcmsearch.cwl_2/Run_genomic_CMsearch_rRNA_wnode/asn_cache"
                        },
                        {
                            "source": "#wf_gcmsearch.cwl_2/Run_genomic_CMsearch_rRNA_submit/jobs",
                            "id": "#wf_gcmsearch.cwl_2/Run_genomic_CMsearch_rRNA_wnode/input_jobs"
                        },
                        {
                            "source": "#wf_gcmsearch.cwl_2/model_path",
                            "id": "#wf_gcmsearch.cwl_2/Run_genomic_CMsearch_rRNA_wnode/model_path"
                        },
                        {
                            "source": "#wf_gcmsearch.cwl_2/rfam_amendments",
                            "id": "#wf_gcmsearch.cwl_2/Run_genomic_CMsearch_rRNA_wnode/rfam_amendments"
                        },
                        {
                            "source": "#wf_gcmsearch.cwl_2/rfam_stockholm",
                            "id": "#wf_gcmsearch.cwl_2/Run_genomic_CMsearch_rRNA_wnode/rfam_stockholm"
                        },
                        {
                            "source": "#wf_gcmsearch.cwl_2/taxon_db",
                            "id": "#wf_gcmsearch.cwl_2/Run_genomic_CMsearch_rRNA_wnode/taxon_db"
                        }
                    ],
                    "out": [
                        "#wf_gcmsearch.cwl_2/Run_genomic_CMsearch_rRNA_wnode/outdir"
                    ],
                    "id": "#wf_gcmsearch.cwl_2/Run_genomic_CMsearch_rRNA_wnode"
                }
            ],
            "id": "#wf_gcmsearch.cwl_2"
        },
        {
            "label": "bacterial_orthology",
            "class": "Workflow",
            "requirements": [
                {
                    "class": "SubworkflowFeatureRequirement"
                },
                {
                    "class": "MultipleInputFeatureRequirement"
                },
                {
                    "class": "NetworkAccess",
                    "networkAccess": true
                }
            ],
            "inputs": [
                {
                    "type": {
                        "type": "array",
                        "items": "Directory"
                    },
                    "id": "#wf_bacterial_orthology.cwl/asn_cache"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "id": "#wf_bacterial_orthology.cwl/blast_hits_cache"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#wf_bacterial_orthology.cwl/blastdb"
                },
                {
                    "type": "File",
                    "id": "#wf_bacterial_orthology.cwl/gc_cache"
                },
                {
                    "type": "File",
                    "id": "#wf_bacterial_orthology.cwl/gc_id_list_orth"
                },
                {
                    "type": "File",
                    "id": "#wf_bacterial_orthology.cwl/gencoll_asn"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "int"
                    },
                    "id": "#wf_bacterial_orthology.cwl/genus_list"
                },
                {
                    "type": "File",
                    "id": "#wf_bacterial_orthology.cwl/input"
                },
                {
                    "type": "File",
                    "id": "#wf_bacterial_orthology.cwl/naming_sqlite"
                },
                {
                    "type": "string",
                    "id": "#wf_bacterial_orthology.cwl/scatter_gather_nchunks"
                },
                {
                    "type": "int",
                    "id": "#wf_bacterial_orthology.cwl/taxid"
                },
                {
                    "type": "File",
                    "id": "#wf_bacterial_orthology.cwl/taxon_db"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputSource": "#wf_bacterial_orthology.cwl/propagate_symbols_to_genes/output",
                    "id": "#wf_bacterial_orthology.cwl/output"
                }
            ],
            "steps": [
                {
                    "label": "BLASTp Current Prokaryotic Proteins vs Orthologs",
                    "run": "#tt_blastp_wnode_naming.cwl",
                    "in": [
                        {
                            "default": "subject",
                            "id": "#wf_bacterial_orthology.cwl/blastp_current_prokaryotic_proteins_vs_orthologs/affinity"
                        },
                        {
                            "default": "score>0 && pct_identity_gapopen_only > 35",
                            "id": "#wf_bacterial_orthology.cwl/blastp_current_prokaryotic_proteins_vs_orthologs/align_filter"
                        },
                        {
                            "default": true,
                            "id": "#wf_bacterial_orthology.cwl/blastp_current_prokaryotic_proteins_vs_orthologs/allow_intersection"
                        },
                        {
                            "source": "#wf_bacterial_orthology.cwl/asn_cache",
                            "id": "#wf_bacterial_orthology.cwl/blastp_current_prokaryotic_proteins_vs_orthologs/asn_cache"
                        },
                        {
                            "source": "#wf_bacterial_orthology.cwl/blast_hits_cache",
                            "id": "#wf_bacterial_orthology.cwl/blastp_current_prokaryotic_proteins_vs_orthologs/blast_hits_cache"
                        },
                        {
                            "default": "predicted-protein",
                            "id": "#wf_bacterial_orthology.cwl/blastp_current_prokaryotic_proteins_vs_orthologs/blast_type"
                        },
                        {
                            "source": [
                                "#wf_bacterial_orthology.cwl/blastdb"
                            ],
                            "linkMerge": "merge_flattened",
                            "id": "#wf_bacterial_orthology.cwl/blastp_current_prokaryotic_proteins_vs_orthologs/blastdb"
                        },
                        {
                            "source": "#wf_bacterial_orthology.cwl/create_orthologous_prokaryotic_protein_blastdb/blastdb",
                            "id": "#wf_bacterial_orthology.cwl/blastp_current_prokaryotic_proteins_vs_orthologs/blastdb_dir"
                        },
                        {
                            "default": "F",
                            "id": "#wf_bacterial_orthology.cwl/blastp_current_prokaryotic_proteins_vs_orthologs/comp_based_stats"
                        },
                        {
                            "default": true,
                            "id": "#wf_bacterial_orthology.cwl/blastp_current_prokaryotic_proteins_vs_orthologs/compart"
                        },
                        {
                            "default": "6000000000",
                            "id": "#wf_bacterial_orthology.cwl/blastp_current_prokaryotic_proteins_vs_orthologs/dbsize"
                        },
                        {
                            "default": 0,
                            "id": "#wf_bacterial_orthology.cwl/blastp_current_prokaryotic_proteins_vs_orthologs/delay"
                        },
                        {
                            "default": 0.1,
                            "id": "#wf_bacterial_orthology.cwl/blastp_current_prokaryotic_proteins_vs_orthologs/evalue"
                        },
                        {
                            "source": "#wf_bacterial_orthology.cwl/genus_list",
                            "id": "#wf_bacterial_orthology.cwl/blastp_current_prokaryotic_proteins_vs_orthologs/genus_list"
                        },
                        {
                            "source": [
                                "#wf_bacterial_orthology.cwl/extract_protein_targets_for_orthology/seqids"
                            ],
                            "linkMerge": "merge_flattened",
                            "id": "#wf_bacterial_orthology.cwl/blastp_current_prokaryotic_proteins_vs_orthologs/ids"
                        },
                        {
                            "source": "#wf_bacterial_orthology.cwl/extract_protein_targets_for_orthology/lds2",
                            "id": "#wf_bacterial_orthology.cwl/blastp_current_prokaryotic_proteins_vs_orthologs/lds2"
                        },
                        {
                            "default": 10000,
                            "id": "#wf_bacterial_orthology.cwl/blastp_current_prokaryotic_proteins_vs_orthologs/max_batch_length"
                        },
                        {
                            "default": 1,
                            "id": "#wf_bacterial_orthology.cwl/blastp_current_prokaryotic_proteins_vs_orthologs/max_jobs"
                        },
                        {
                            "default": 50,
                            "id": "#wf_bacterial_orthology.cwl/blastp_current_prokaryotic_proteins_vs_orthologs/max_target_seqs"
                        },
                        {
                            "default": false,
                            "id": "#wf_bacterial_orthology.cwl/blastp_current_prokaryotic_proteins_vs_orthologs/no_merge"
                        },
                        {
                            "default": true,
                            "id": "#wf_bacterial_orthology.cwl/blastp_current_prokaryotic_proteins_vs_orthologs/nogenbank"
                        },
                        {
                            "default": "asn-binary",
                            "id": "#wf_bacterial_orthology.cwl/blastp_current_prokaryotic_proteins_vs_orthologs/ofmt"
                        },
                        {
                            "source": "#wf_bacterial_orthology.cwl/extract_protein_targets_for_orthology/proteins",
                            "id": "#wf_bacterial_orthology.cwl/blastp_current_prokaryotic_proteins_vs_orthologs/proteins"
                        },
                        {
                            "source": "#wf_bacterial_orthology.cwl/scatter_gather_nchunks",
                            "id": "#wf_bacterial_orthology.cwl/blastp_current_prokaryotic_proteins_vs_orthologs/scatter_gather_nchunks"
                        },
                        {
                            "default": "30 2.2 2.5",
                            "id": "#wf_bacterial_orthology.cwl/blastp_current_prokaryotic_proteins_vs_orthologs/seg"
                        },
                        {
                            "default": "yes",
                            "id": "#wf_bacterial_orthology.cwl/blastp_current_prokaryotic_proteins_vs_orthologs/soft_masking"
                        },
                        {
                            "source": "#wf_bacterial_orthology.cwl/taxid",
                            "id": "#wf_bacterial_orthology.cwl/blastp_current_prokaryotic_proteins_vs_orthologs/taxid"
                        },
                        {
                            "source": "#wf_bacterial_orthology.cwl/taxon_db",
                            "id": "#wf_bacterial_orthology.cwl/blastp_current_prokaryotic_proteins_vs_orthologs/taxon_db"
                        },
                        {
                            "default": 21,
                            "id": "#wf_bacterial_orthology.cwl/blastp_current_prokaryotic_proteins_vs_orthologs/threshold"
                        },
                        {
                            "default": 10,
                            "id": "#wf_bacterial_orthology.cwl/blastp_current_prokaryotic_proteins_vs_orthologs/top_by_score"
                        },
                        {
                            "default": 6,
                            "id": "#wf_bacterial_orthology.cwl/blastp_current_prokaryotic_proteins_vs_orthologs/word_size"
                        }
                    ],
                    "out": [
                        "#wf_bacterial_orthology.cwl/blastp_current_prokaryotic_proteins_vs_orthologs/blast_align"
                    ],
                    "id": "#wf_bacterial_orthology.cwl/blastp_current_prokaryotic_proteins_vs_orthologs"
                },
                {
                    "label": "BLASTp Current Prokaryotic Proteins vs Orthologs/cat aligns",
                    "run": "#cat.cwl",
                    "in": [
                        {
                            "source": "#wf_bacterial_orthology.cwl/blastp_current_prokaryotic_proteins_vs_orthologs/blast_align",
                            "id": "#wf_bacterial_orthology.cwl/cat_aligns/input"
                        },
                        {
                            "default": "blastp.align.asn",
                            "id": "#wf_bacterial_orthology.cwl/cat_aligns/output_file_name"
                        }
                    ],
                    "out": [
                        "#wf_bacterial_orthology.cwl/cat_aligns/output"
                    ],
                    "id": "#wf_bacterial_orthology.cwl/cat_aligns"
                },
                {
                    "label": "Create Orthologous Prokaryotic Protein BLASTdb",
                    "run": "#gp_makeblastdb.cwl",
                    "in": [
                        {
                            "source": "#wf_bacterial_orthology.cwl/asn_cache",
                            "id": "#wf_bacterial_orthology.cwl/create_orthologous_prokaryotic_protein_blastdb/asn_cache"
                        },
                        {
                            "source": "#wf_bacterial_orthology.cwl/extract_protein_references_for_orthology/proteins",
                            "id": "#wf_bacterial_orthology.cwl/create_orthologous_prokaryotic_protein_blastdb/asnb"
                        },
                        {
                            "default": "prot",
                            "id": "#wf_bacterial_orthology.cwl/create_orthologous_prokaryotic_protein_blastdb/dbtype"
                        },
                        {
                            "default": "protein database for orhology graph",
                            "id": "#wf_bacterial_orthology.cwl/create_orthologous_prokaryotic_protein_blastdb/title"
                        }
                    ],
                    "out": [
                        "#wf_bacterial_orthology.cwl/create_orthologous_prokaryotic_protein_blastdb/blastdb"
                    ],
                    "id": "#wf_bacterial_orthology.cwl/create_orthologous_prokaryotic_protein_blastdb"
                },
                {
                    "label": "Extract Orthologous Prokaryotic Proteins: fetch nucleotide ASN.1",
                    "run": "#gp_fetch_sequences.cwl",
                    "in": [
                        {
                            "source": "#wf_bacterial_orthology.cwl/asn_cache",
                            "id": "#wf_bacterial_orthology.cwl/extract_ortholog_nucleotide_asn/asn_cache"
                        },
                        {
                            "source": "#wf_bacterial_orthology.cwl/get_ortholog_nucleotide_ids/molecules",
                            "id": "#wf_bacterial_orthology.cwl/extract_ortholog_nucleotide_asn/input"
                        },
                        {
                            "default": "orhologous.nucleotide.asn",
                            "id": "#wf_bacterial_orthology.cwl/extract_ortholog_nucleotide_asn/out_asn_name"
                        }
                    ],
                    "out": [
                        "#wf_bacterial_orthology.cwl/extract_ortholog_nucleotide_asn/output"
                    ],
                    "id": "#wf_bacterial_orthology.cwl/extract_ortholog_nucleotide_asn"
                },
                {
                    "label": "Extract Orthologous Prokaryotic Proteins",
                    "run": "#protein_extract.cwl",
                    "in": [
                        {
                            "source": "#wf_bacterial_orthology.cwl/extract_ortholog_nucleotide_asn/output",
                            "id": "#wf_bacterial_orthology.cwl/extract_protein_references_for_orthology/input"
                        },
                        {
                            "default": true,
                            "id": "#wf_bacterial_orthology.cwl/extract_protein_references_for_orthology/nogenbank"
                        }
                    ],
                    "out": [
                        "#wf_bacterial_orthology.cwl/extract_protein_references_for_orthology/proteins"
                    ],
                    "id": "#wf_bacterial_orthology.cwl/extract_protein_references_for_orthology"
                },
                {
                    "label": "Extract Protein Targets for Orthology",
                    "run": "#protein_extract.cwl",
                    "in": [
                        {
                            "source": "#wf_bacterial_orthology.cwl/input",
                            "id": "#wf_bacterial_orthology.cwl/extract_protein_targets_for_orthology/input"
                        },
                        {
                            "default": true,
                            "id": "#wf_bacterial_orthology.cwl/extract_protein_targets_for_orthology/nogenbank"
                        }
                    ],
                    "out": [
                        "#wf_bacterial_orthology.cwl/extract_protein_targets_for_orthology/proteins",
                        "#wf_bacterial_orthology.cwl/extract_protein_targets_for_orthology/lds2",
                        "#wf_bacterial_orthology.cwl/extract_protein_targets_for_orthology/seqids"
                    ],
                    "id": "#wf_bacterial_orthology.cwl/extract_protein_targets_for_orthology"
                },
                {
                    "label": "Find Prokaryotic Orthologs",
                    "run": "#find_orthologs.cwl",
                    "in": [
                        {
                            "source": "#wf_bacterial_orthology.cwl/prepare_annotation_input/output",
                            "id": "#wf_bacterial_orthology.cwl/find_prokarotic_orthologs/annots1"
                        },
                        {
                            "source": "#wf_bacterial_orthology.cwl/asn_cache",
                            "id": "#wf_bacterial_orthology.cwl/find_prokarotic_orthologs/asn_cache"
                        },
                        {
                            "source": "#wf_bacterial_orthology.cwl/gencoll_asn",
                            "id": "#wf_bacterial_orthology.cwl/find_prokarotic_orthologs/gc1"
                        },
                        {
                            "source": "#wf_bacterial_orthology.cwl/get_assemblies_for_orthologs_gencoll_asn/gencoll_asn",
                            "id": "#wf_bacterial_orthology.cwl/find_prokarotic_orthologs/gc2"
                        },
                        {
                            "source": "#wf_bacterial_orthology.cwl/cat_aligns/output",
                            "id": "#wf_bacterial_orthology.cwl/find_prokarotic_orthologs/prot_hits"
                        }
                    ],
                    "out": [
                        "#wf_bacterial_orthology.cwl/find_prokarotic_orthologs/orthologs"
                    ],
                    "id": "#wf_bacterial_orthology.cwl/find_prokarotic_orthologs"
                },
                {
                    "label": "Get Assemblies for Orthologs GenColl ASN",
                    "run": "#tt_gcaccess_from_list.cwl",
                    "in": [
                        {
                            "source": "#wf_bacterial_orthology.cwl/gc_cache",
                            "id": "#wf_bacterial_orthology.cwl/get_assemblies_for_orthologs_gencoll_asn/gc_cache"
                        },
                        {
                            "source": "#wf_bacterial_orthology.cwl/gc_id_list_orth",
                            "id": "#wf_bacterial_orthology.cwl/get_assemblies_for_orthologs_gencoll_asn/gc_id_list"
                        }
                    ],
                    "out": [
                        "#wf_bacterial_orthology.cwl/get_assemblies_for_orthologs_gencoll_asn/gencoll_asn"
                    ],
                    "id": "#wf_bacterial_orthology.cwl/get_assemblies_for_orthologs_gencoll_asn"
                },
                {
                    "label": "Get Assemblies for Orthologs GenColl ASN/nucleotide ids",
                    "run": "#gc_get_molecules.cwl_2",
                    "in": [
                        {
                            "source": "#wf_bacterial_orthology.cwl/get_assemblies_for_orthologs_gencoll_asn/gencoll_asn",
                            "id": "#wf_bacterial_orthology.cwl/get_ortholog_nucleotide_ids/gc_assembly"
                        }
                    ],
                    "out": [
                        "#wf_bacterial_orthology.cwl/get_ortholog_nucleotide_ids/molecules"
                    ],
                    "id": "#wf_bacterial_orthology.cwl/get_ortholog_nucleotide_ids"
                },
                {
                    "label": "Prepare Annotation Input",
                    "run": "#asn_translator.cwl",
                    "in": [
                        {
                            "source": "#wf_bacterial_orthology.cwl/input",
                            "id": "#wf_bacterial_orthology.cwl/prepare_annotation_input/input"
                        },
                        {
                            "default": "input_text.asn",
                            "id": "#wf_bacterial_orthology.cwl/prepare_annotation_input/output_name"
                        }
                    ],
                    "out": [
                        "#wf_bacterial_orthology.cwl/prepare_annotation_input/output"
                    ],
                    "id": "#wf_bacterial_orthology.cwl/prepare_annotation_input"
                },
                {
                    "label": "Propagate symbols to genes",
                    "run": "#propagate_symbols_to_genes.cwl",
                    "in": [
                        {
                            "source": "#wf_bacterial_orthology.cwl/prepare_annotation_input/output",
                            "id": "#wf_bacterial_orthology.cwl/propagate_symbols_to_genes/input"
                        },
                        {
                            "default": true,
                            "id": "#wf_bacterial_orthology.cwl/propagate_symbols_to_genes/it"
                        },
                        {
                            "source": "#wf_bacterial_orthology.cwl/find_prokarotic_orthologs/orthologs",
                            "id": "#wf_bacterial_orthology.cwl/propagate_symbols_to_genes/orthologs"
                        }
                    ],
                    "out": [
                        "#wf_bacterial_orthology.cwl/propagate_symbols_to_genes/output"
                    ],
                    "id": "#wf_bacterial_orthology.cwl/propagate_symbols_to_genes"
                }
            ],
            "id": "#wf_bacterial_orthology.cwl"
        },
        {
            "label": "bacterial_orthology_cond",
            "class": "Workflow",
            "requirements": [
                {
                    "class": "SubworkflowFeatureRequirement"
                },
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "MultipleInputFeatureRequirement"
                },
                {
                    "class": "NetworkAccess",
                    "networkAccess": true
                }
            ],
            "inputs": [
                {
                    "type": {
                        "type": "array",
                        "items": "Directory"
                    },
                    "id": "#wf_bacterial_orthology_conditional.cwl/asn_cache"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "id": "#wf_bacterial_orthology_conditional.cwl/blast_hits_cache"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#wf_bacterial_orthology_conditional.cwl/blastdb"
                },
                {
                    "type": "File",
                    "id": "#wf_bacterial_orthology_conditional.cwl/gc_cache"
                },
                {
                    "type": "File",
                    "id": "#wf_bacterial_orthology_conditional.cwl/gencoll_asn"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "int"
                    },
                    "id": "#wf_bacterial_orthology_conditional.cwl/genus_list"
                },
                {
                    "type": "File",
                    "id": "#wf_bacterial_orthology_conditional.cwl/input"
                },
                {
                    "type": "File",
                    "id": "#wf_bacterial_orthology_conditional.cwl/naming_sqlite"
                },
                {
                    "type": "string",
                    "id": "#wf_bacterial_orthology_conditional.cwl/scatter_gather_nchunks"
                },
                {
                    "type": "int",
                    "id": "#wf_bacterial_orthology_conditional.cwl/taxid"
                },
                {
                    "type": "File",
                    "id": "#wf_bacterial_orthology_conditional.cwl/taxon_db"
                }
            ],
            "steps": [
                {
                    "in": [
                        {
                            "source": "#wf_bacterial_orthology_conditional.cwl/asn_cache",
                            "id": "#wf_bacterial_orthology_conditional.cwl/bacterial_orthology/asn_cache"
                        },
                        {
                            "source": "#wf_bacterial_orthology_conditional.cwl/blast_hits_cache",
                            "id": "#wf_bacterial_orthology_conditional.cwl/bacterial_orthology/blast_hits_cache"
                        },
                        {
                            "source": "#wf_bacterial_orthology_conditional.cwl/blastdb",
                            "id": "#wf_bacterial_orthology_conditional.cwl/bacterial_orthology/blastdb"
                        },
                        {
                            "source": "#wf_bacterial_orthology_conditional.cwl/gc_cache",
                            "id": "#wf_bacterial_orthology_conditional.cwl/bacterial_orthology/gc_cache"
                        },
                        {
                            "source": "#wf_bacterial_orthology_conditional.cwl/get_prokaryotic_assembly_for_orthology/output",
                            "loadContents": true,
                            "id": "#wf_bacterial_orthology_conditional.cwl/bacterial_orthology/gc_id_list_orth"
                        },
                        {
                            "source": "#wf_bacterial_orthology_conditional.cwl/gencoll_asn",
                            "id": "#wf_bacterial_orthology_conditional.cwl/bacterial_orthology/gencoll_asn"
                        },
                        {
                            "source": "#wf_bacterial_orthology_conditional.cwl/genus_list",
                            "id": "#wf_bacterial_orthology_conditional.cwl/bacterial_orthology/genus_list"
                        },
                        {
                            "source": "#wf_bacterial_orthology_conditional.cwl/input",
                            "id": "#wf_bacterial_orthology_conditional.cwl/bacterial_orthology/input"
                        },
                        {
                            "source": "#wf_bacterial_orthology_conditional.cwl/naming_sqlite",
                            "id": "#wf_bacterial_orthology_conditional.cwl/bacterial_orthology/naming_sqlite"
                        },
                        {
                            "source": "#wf_bacterial_orthology_conditional.cwl/scatter_gather_nchunks",
                            "id": "#wf_bacterial_orthology_conditional.cwl/bacterial_orthology/scatter_gather_nchunks"
                        },
                        {
                            "source": "#wf_bacterial_orthology_conditional.cwl/taxid",
                            "id": "#wf_bacterial_orthology_conditional.cwl/bacterial_orthology/taxid"
                        },
                        {
                            "source": "#wf_bacterial_orthology_conditional.cwl/taxon_db",
                            "id": "#wf_bacterial_orthology_conditional.cwl/bacterial_orthology/taxon_db"
                        }
                    ],
                    "run": "#wf_bacterial_orthology.cwl",
                    "when": "${var lines = inputs.gc_id_list_orth.contents.split('\\n'); for(var i=0; i<lines.length; i++) { var line=lines[i]; if (line.length == 0) continue; if (line.charAt(0) != '#' && line.charAt(0)!=' ') return true; } return false;   }",
                    "out": [
                        "#wf_bacterial_orthology_conditional.cwl/bacterial_orthology/output"
                    ],
                    "id": "#wf_bacterial_orthology_conditional.cwl/bacterial_orthology"
                },
                {
                    "label": "Get Prokaryotic Assembly For Orthology",
                    "run": "#get_orthologous_assembly.cwl",
                    "in": [
                        {
                            "source": "#wf_bacterial_orthology_conditional.cwl/taxid",
                            "id": "#wf_bacterial_orthology_conditional.cwl/get_prokaryotic_assembly_for_orthology/taxid"
                        },
                        {
                            "source": "#wf_bacterial_orthology_conditional.cwl/taxon_db",
                            "id": "#wf_bacterial_orthology_conditional.cwl/get_prokaryotic_assembly_for_orthology/taxon_db"
                        },
                        {
                            "source": "#wf_bacterial_orthology_conditional.cwl/naming_sqlite",
                            "id": "#wf_bacterial_orthology_conditional.cwl/get_prokaryotic_assembly_for_orthology/unicoll_sqlite"
                        }
                    ],
                    "out": [
                        "#wf_bacterial_orthology_conditional.cwl/get_prokaryotic_assembly_for_orthology/output"
                    ],
                    "id": "#wf_bacterial_orthology_conditional.cwl/get_prokaryotic_assembly_for_orthology"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputSource": [
                        "#wf_bacterial_orthology_conditional.cwl/bacterial_orthology/output",
                        "#wf_bacterial_orthology_conditional.cwl/input"
                    ],
                    "pickValue": "first_non_null",
                    "id": "#wf_bacterial_orthology_conditional.cwl/output"
                }
            ],
            "id": "#wf_bacterial_orthology_conditional.cwl"
        },
        {
            "label": "Prepare Unannotated Sequences",
            "doc": "Prepare Unannotated Sequences",
            "class": "CommandLineTool",
            "baseCommand": "bacterial_prepare_unannotated",
            "arguments": [
                "-submission-mode-genbank",
                "-nogenbank"
            ],
            "inputs": [
                {
                    "type": "Directory",
                    "inputBinding": {
                        "prefix": "-asn-cache"
                    },
                    "id": "#bacterial_prepare_unannotated.cwl/asn_cache"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-gc-assembly"
                    },
                    "id": "#bacterial_prepare_unannotated.cwl/gc_assembly"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-ids"
                    },
                    "id": "#bacterial_prepare_unannotated.cwl/ids"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "master-desc.asn",
                    "inputBinding": {
                        "prefix": "-master-desc"
                    },
                    "id": "#bacterial_prepare_unannotated.cwl/master_desc_name"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "inputBinding": {
                        "prefix": "-no-internet"
                    },
                    "id": "#bacterial_prepare_unannotated.cwl/no_internet"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "plasmids.seqids",
                    "inputBinding": {
                        "prefix": "-plasmids"
                    },
                    "id": "#bacterial_prepare_unannotated.cwl/plasmids_name"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "sequences.asn",
                    "inputBinding": {
                        "prefix": "-o"
                    },
                    "id": "#bacterial_prepare_unannotated.cwl/sequences_name"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-submit-block"
                    },
                    "id": "#bacterial_prepare_unannotated.cwl/submit_block"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-taxon-db"
                    },
                    "id": "#bacterial_prepare_unannotated.cwl/taxon_db"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.master_desc_name)"
                    },
                    "id": "#bacterial_prepare_unannotated.cwl/master_desc"
                },
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.plasmids_name)"
                    },
                    "id": "#bacterial_prepare_unannotated.cwl/plasmids"
                },
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.sequences_name)"
                    },
                    "id": "#bacterial_prepare_unannotated.cwl/sequences"
                }
            ],
            "id": "#bacterial_prepare_unannotated.cwl"
        },
        {
            "label": "Run tRNAScan, gather",
            "class": "CommandLineTool",
            "baseCommand": "gpx_qdump",
            "arguments": [
                "-unzip",
                "*",
                "-produce-empty-file"
            ],
            "inputs": [
                {
                    "type": "Directory",
                    "inputBinding": {
                        "prefix": "-input-path"
                    },
                    "id": "#gpx_qdump.cwl_4/input_path"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "intermediate.asn",
                    "inputBinding": {
                        "prefix": "-output"
                    },
                    "id": "#gpx_qdump.cwl_4/output_name"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.output_name)"
                    },
                    "id": "#gpx_qdump.cwl_4/intermediate"
                }
            ],
            "id": "#gpx_qdump.cwl_4"
        },
        {
            "label": "Run tRNAScan, scatter",
            "class": "CommandLineTool",
            "requirements": [
                {
                    "class": "InitialWorkDirRequirement",
                    "listing": [
                        {
                            "entry": "$(inputs.asn_cache)",
                            "writable": false
                        }
                    ]
                }
            ],
            "baseCommand": "gpx_qsubmit",
            "arguments": [
                "-nogenbank"
            ],
            "inputs": [
                {
                    "type": "Directory",
                    "inputBinding": {
                        "prefix": "-asn-cache"
                    },
                    "id": "#gpx_qsubmit_trnascan.cwl/asn_cache"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "jobs.xml",
                    "inputBinding": {
                        "prefix": "-output"
                    },
                    "id": "#gpx_qsubmit_trnascan.cwl/output"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-ids"
                    },
                    "id": "#gpx_qsubmit_trnascan.cwl/seqids"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.output)"
                    },
                    "id": "#gpx_qsubmit_trnascan.cwl/jobs"
                }
            ],
            "id": "#gpx_qsubmit_trnascan.cwl"
        },
        {
            "label": "Run tRNAScan, transform",
            "class": "CommandLineTool",
            "baseCommand": "trnascan_dump",
            "arguments": [
                "-X",
                "20"
            ],
            "inputs": [
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-input"
                    },
                    "id": "#trnascan_dump.cwl/input"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "trnascan.asn",
                    "inputBinding": {
                        "prefix": "-oasn"
                    },
                    "id": "#trnascan_dump.cwl/oasn"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "struct.tar.gz",
                    "inputBinding": {
                        "prefix": "-ostruc"
                    },
                    "id": "#trnascan_dump.cwl/ostruct"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.oasn)"
                    },
                    "id": "#trnascan_dump.cwl/outasn"
                },
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.ostruct)"
                    },
                    "id": "#trnascan_dump.cwl/outstruct"
                }
            ],
            "id": "#trnascan_dump.cwl"
        },
        {
            "label": "Run tRNAScan, execution",
            "class": "CommandLineTool",
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "InitialWorkDirRequirement",
                    "listing": [
                        {
                            "entry": "$(inputs.asn_cache)",
                            "writable": false
                        }
                    ]
                }
            ],
            "baseCommand": "trnascan_wnode",
            "arguments": [
                "-X",
                "20",
                "-Q",
                "-H",
                "-b",
                "-q",
                "-nogenbank"
            ],
            "inputs": [
                {
                    "type": "Directory",
                    "inputBinding": {
                        "prefix": "-asn-cache"
                    },
                    "id": "#trnascan_wnode.cwl/asn_cache"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "/panfs/pan1.be-md.ncbi.nlm.nih.gov/gpipe/ThirdParty/tRNAscan-SE/production/bin/tRNAscan-SE",
                    "inputBinding": {
                        "prefix": "-tRNAscan"
                    },
                    "id": "#trnascan_wnode.cwl/binary"
                },
                {
                    "type": "boolean",
                    "default": true,
                    "inputBinding": {
                        "valueFrom": "${if (inputs.superkingdom==2157) { return true; } else {return false; } }",
                        "prefix": "-A"
                    },
                    "id": "#trnascan_wnode.cwl/cove_flag_archaea"
                },
                {
                    "type": "boolean",
                    "default": true,
                    "inputBinding": {
                        "valueFrom": "${if (inputs.superkingdom==2)    { return true; } else {return false; } }",
                        "prefix": "-B"
                    },
                    "id": "#trnascan_wnode.cwl/cove_flag_bacteria"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "prefix": "-g"
                    },
                    "id": "#trnascan_wnode.cwl/gcode_othmito"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-input-jobs"
                    },
                    "id": "#trnascan_wnode.cwl/input_jobs"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "output",
                    "inputBinding": {
                        "prefix": "-O"
                    },
                    "id": "#trnascan_wnode.cwl/output_dir"
                },
                {
                    "type": "int",
                    "id": "#trnascan_wnode.cwl/superkingdom"
                },
                {
                    "type": "int",
                    "inputBinding": {
                        "prefix": "-taxid"
                    },
                    "id": "#trnascan_wnode.cwl/taxid"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-taxon-db"
                    },
                    "id": "#trnascan_wnode.cwl/taxon_db"
                }
            ],
            "outputs": [
                {
                    "type": "Directory",
                    "outputBinding": {
                        "glob": "$(inputs.output_dir)"
                    },
                    "id": "#trnascan_wnode.cwl/outdir"
                }
            ],
            "id": "#trnascan_wnode.cwl"
        },
        {
            "class": "Workflow",
            "label": "trnascan_wnode and gpx_qdump combined",
            "inputs": [
                {
                    "type": "Directory",
                    "id": "#wf_scan_and_dump.cwl/asn_cache"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "id": "#wf_scan_and_dump.cwl/gcode_othmito"
                },
                {
                    "type": "File",
                    "id": "#wf_scan_and_dump.cwl/input_jobs"
                },
                {
                    "type": "int",
                    "id": "#wf_scan_and_dump.cwl/superkingdom"
                },
                {
                    "type": "int",
                    "id": "#wf_scan_and_dump.cwl/taxid"
                },
                {
                    "type": "File",
                    "id": "#wf_scan_and_dump.cwl/taxon_db"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputSource": "#wf_scan_and_dump.cwl/Run_tRNAScan_dump/intermediate",
                    "id": "#wf_scan_and_dump.cwl/intermediate"
                }
            ],
            "steps": [
                {
                    "run": "#gpx_qdump.cwl_4",
                    "in": [
                        {
                            "source": "#wf_scan_and_dump.cwl/Run_tRNAScan_wnode/outdir",
                            "id": "#wf_scan_and_dump.cwl/Run_tRNAScan_dump/input_path"
                        }
                    ],
                    "out": [
                        "#wf_scan_and_dump.cwl/Run_tRNAScan_dump/intermediate"
                    ],
                    "id": "#wf_scan_and_dump.cwl/Run_tRNAScan_dump"
                },
                {
                    "run": "#trnascan_wnode.cwl",
                    "in": [
                        {
                            "source": "#wf_scan_and_dump.cwl/asn_cache",
                            "id": "#wf_scan_and_dump.cwl/Run_tRNAScan_wnode/asn_cache"
                        },
                        {
                            "source": "#wf_scan_and_dump.cwl/gcode_othmito",
                            "id": "#wf_scan_and_dump.cwl/Run_tRNAScan_wnode/gcode_othmito"
                        },
                        {
                            "source": "#wf_scan_and_dump.cwl/input_jobs",
                            "id": "#wf_scan_and_dump.cwl/Run_tRNAScan_wnode/input_jobs"
                        },
                        {
                            "source": "#wf_scan_and_dump.cwl/superkingdom",
                            "id": "#wf_scan_and_dump.cwl/Run_tRNAScan_wnode/superkingdom"
                        },
                        {
                            "source": "#wf_scan_and_dump.cwl/taxid",
                            "id": "#wf_scan_and_dump.cwl/Run_tRNAScan_wnode/taxid"
                        },
                        {
                            "source": "#wf_scan_and_dump.cwl/taxon_db",
                            "id": "#wf_scan_and_dump.cwl/Run_tRNAScan_wnode/taxon_db"
                        }
                    ],
                    "out": [
                        "#wf_scan_and_dump.cwl/Run_tRNAScan_wnode/outdir"
                    ],
                    "id": "#wf_scan_and_dump.cwl/Run_tRNAScan_wnode"
                }
            ],
            "id": "#wf_scan_and_dump.cwl"
        },
        {
            "label": "Run tRNAScan",
            "class": "Workflow",
            "requirements": [
                {
                    "class": "SubworkflowFeatureRequirement"
                },
                {
                    "class": "ScatterFeatureRequirement"
                }
            ],
            "inputs": [
                {
                    "type": "Directory",
                    "id": "#wf_trnascan.cwl/asn_cache"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "boolean"
                    },
                    "id": "#wf_trnascan.cwl/go"
                },
                {
                    "type": "string",
                    "id": "#wf_trnascan.cwl/scatter_gather_nchunks"
                },
                {
                    "type": "File",
                    "id": "#wf_trnascan.cwl/seqids"
                },
                {
                    "type": "int",
                    "id": "#wf_trnascan.cwl/taxid"
                },
                {
                    "type": "File",
                    "id": "#wf_trnascan.cwl/taxon_db"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputSource": "#wf_trnascan.cwl/Run_tRNAScan_trnascan_dump/outasn",
                    "id": "#wf_trnascan.cwl/annots"
                }
            ],
            "steps": [
                {
                    "run": "#compute_gencode.cwl",
                    "in": [
                        {
                            "default": true,
                            "id": "#wf_trnascan.cwl/Compute_Gencode_for_trna/gencode"
                        },
                        {
                            "source": "#wf_trnascan.cwl/taxid",
                            "id": "#wf_trnascan.cwl/Compute_Gencode_for_trna/taxid"
                        },
                        {
                            "source": "#wf_trnascan.cwl/taxon_db",
                            "id": "#wf_trnascan.cwl/Compute_Gencode_for_trna/taxon_db"
                        }
                    ],
                    "out": [
                        "#wf_trnascan.cwl/Compute_Gencode_for_trna/output"
                    ],
                    "id": "#wf_trnascan.cwl/Compute_Gencode_for_trna"
                },
                {
                    "run": "#file2int.cwl",
                    "in": [
                        {
                            "source": "#wf_trnascan.cwl/Compute_Gencode_for_trna/output",
                            "id": "#wf_trnascan.cwl/Compute_Gencode_int_for_trna/input"
                        }
                    ],
                    "out": [
                        "#wf_trnascan.cwl/Compute_Gencode_int_for_trna/value"
                    ],
                    "id": "#wf_trnascan.cwl/Compute_Gencode_int_for_trna"
                },
                {
                    "run": "#compute_gencode.cwl",
                    "in": [
                        {
                            "default": true,
                            "id": "#wf_trnascan.cwl/Compute_Superkingdom_for_trna/superkingdom"
                        },
                        {
                            "source": "#wf_trnascan.cwl/taxid",
                            "id": "#wf_trnascan.cwl/Compute_Superkingdom_for_trna/taxid"
                        },
                        {
                            "source": "#wf_trnascan.cwl/taxon_db",
                            "id": "#wf_trnascan.cwl/Compute_Superkingdom_for_trna/taxon_db"
                        }
                    ],
                    "out": [
                        "#wf_trnascan.cwl/Compute_Superkingdom_for_trna/output"
                    ],
                    "id": "#wf_trnascan.cwl/Compute_Superkingdom_for_trna"
                },
                {
                    "run": "#file2int.cwl",
                    "in": [
                        {
                            "source": "#wf_trnascan.cwl/Compute_Superkingdom_for_trna/output",
                            "id": "#wf_trnascan.cwl/Compute_Superkingdom_int_for_trna/input"
                        }
                    ],
                    "out": [
                        "#wf_trnascan.cwl/Compute_Superkingdom_int_for_trna/value"
                    ],
                    "id": "#wf_trnascan.cwl/Compute_Superkingdom_int_for_trna"
                },
                {
                    "run": "#gencode2trnamodel.cwl",
                    "in": [
                        {
                            "source": "#wf_trnascan.cwl/Compute_Gencode_int_for_trna/value",
                            "id": "#wf_trnascan.cwl/Get_TRNA_model/gencode"
                        }
                    ],
                    "out": [
                        "#wf_trnascan.cwl/Get_TRNA_model/output"
                    ],
                    "id": "#wf_trnascan.cwl/Get_TRNA_model"
                },
                {
                    "run": "#wf_scan_and_dump.cwl",
                    "scatter": "#wf_trnascan.cwl/Run_scan_and_dump/input_jobs",
                    "in": [
                        {
                            "source": "#wf_trnascan.cwl/asn_cache",
                            "id": "#wf_trnascan.cwl/Run_scan_and_dump/asn_cache"
                        },
                        {
                            "source": "#wf_trnascan.cwl/Get_TRNA_model/output",
                            "id": "#wf_trnascan.cwl/Run_scan_and_dump/gcode_othmito"
                        },
                        {
                            "source": "#wf_trnascan.cwl/split_jobs/jobs",
                            "id": "#wf_trnascan.cwl/Run_scan_and_dump/input_jobs"
                        },
                        {
                            "source": "#wf_trnascan.cwl/Compute_Superkingdom_int_for_trna/value",
                            "id": "#wf_trnascan.cwl/Run_scan_and_dump/superkingdom"
                        },
                        {
                            "source": "#wf_trnascan.cwl/taxid",
                            "id": "#wf_trnascan.cwl/Run_scan_and_dump/taxid"
                        },
                        {
                            "source": "#wf_trnascan.cwl/taxon_db",
                            "id": "#wf_trnascan.cwl/Run_scan_and_dump/taxon_db"
                        }
                    ],
                    "out": [
                        "#wf_trnascan.cwl/Run_scan_and_dump/intermediate"
                    ],
                    "id": "#wf_trnascan.cwl/Run_scan_and_dump"
                },
                {
                    "run": "#gpx_qsubmit_trnascan.cwl",
                    "in": [
                        {
                            "source": "#wf_trnascan.cwl/asn_cache",
                            "id": "#wf_trnascan.cwl/Run_tRNAScan_submit/asn_cache"
                        },
                        {
                            "source": "#wf_trnascan.cwl/seqids",
                            "id": "#wf_trnascan.cwl/Run_tRNAScan_submit/seqids"
                        }
                    ],
                    "out": [
                        "#wf_trnascan.cwl/Run_tRNAScan_submit/jobs"
                    ],
                    "id": "#wf_trnascan.cwl/Run_tRNAScan_submit"
                },
                {
                    "run": "#trnascan_dump.cwl",
                    "in": [
                        {
                            "source": "#wf_trnascan.cwl/collect_intermediate/file_out",
                            "id": "#wf_trnascan.cwl/Run_tRNAScan_trnascan_dump/input"
                        }
                    ],
                    "out": [
                        "#wf_trnascan.cwl/Run_tRNAScan_trnascan_dump/outasn",
                        "#wf_trnascan.cwl/Run_tRNAScan_trnascan_dump/outstruct"
                    ],
                    "id": "#wf_trnascan.cwl/Run_tRNAScan_trnascan_dump"
                },
                {
                    "run": "#cat_array_of_files.cwl",
                    "in": [
                        {
                            "source": "#wf_trnascan.cwl/Run_scan_and_dump/intermediate",
                            "id": "#wf_trnascan.cwl/collect_intermediate/files_in"
                        }
                    ],
                    "out": [
                        "#wf_trnascan.cwl/collect_intermediate/file_out"
                    ],
                    "id": "#wf_trnascan.cwl/collect_intermediate"
                },
                {
                    "run": "#split.cwl",
                    "in": [
                        {
                            "source": "#wf_trnascan.cwl/Run_tRNAScan_submit/jobs",
                            "id": "#wf_trnascan.cwl/split_jobs/input"
                        },
                        {
                            "source": "#wf_trnascan.cwl/scatter_gather_nchunks",
                            "id": "#wf_trnascan.cwl/split_jobs/nchunks"
                        }
                    ],
                    "out": [
                        "#wf_trnascan.cwl/split_jobs/jobs"
                    ],
                    "id": "#wf_trnascan.cwl/split_jobs"
                }
            ],
            "id": "#wf_trnascan.cwl"
        },
        {
            "label": "Cache Entrez Gene",
            "class": "CommandLineTool",
            "baseCommand": "cache_entrez_gene",
            "arguments": [
                "-nogenbank"
            ],
            "inputs": [
                {
                    "type": {
                        "type": "array",
                        "items": "Directory"
                    },
                    "inputBinding": {
                        "prefix": "-asn-cache",
                        "itemSeparator": ","
                    },
                    "id": "#cache_entrez_gene.cwl/asn_cache"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-egene-ini"
                    },
                    "id": "#cache_entrez_gene.cwl/egene_ini"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "boolean"
                    },
                    "id": "#cache_entrez_gene.cwl/go"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-input"
                    },
                    "id": "#cache_entrez_gene.cwl/input"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "prok_entrez_gene_stuff.xml",
                    "inputBinding": {
                        "prefix": "-prok-entrez-gene-stuff"
                    },
                    "id": "#cache_entrez_gene.cwl/outfile"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.outfile)"
                    },
                    "id": "#cache_entrez_gene.cwl/prok_entrez_gene_stuff"
                }
            ],
            "id": "#cache_entrez_gene.cwl"
        },
        {
            "label": "Split input directory into subpath flows",
            "class": "ExpressionTool",
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                }
            ],
            "inputs": [
                {
                    "type": [
                        "null",
                        "Directory"
                    ],
                    "id": "#blast_hits_cache_data_split_dir.cwl/data"
                }
            ],
            "expression": "${\n  var r = {};\n  if(inputs.data != null) {\n    var l = inputs.data.listing;\n    var n = l.length;\n    for (var i = 0; i < n; i++) {\n      switch (l[i].basename) {\n        case 'blast_hits.sqlite':\n          r['blast_hits_cache'] = l[i];\n          break;\n        case 'genus-list':\n          r['genus_list'] = l[i];\n          break;\n      }\n    }\n  }\n  else {\n    r['blast_hits_cache'] =  r['genus_list'] = null;\n  }\n  return r;\n}\n",
            "outputs": [
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "id": "#blast_hits_cache_data_split_dir.cwl/blast_hits_cache"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "id": "#blast_hits_cache_data_split_dir.cwl/genus_list"
                }
            ],
            "id": "#blast_hits_cache_data_split_dir.cwl"
        },
        {
            "label": "Split input directory into subpath flows",
            "class": "ExpressionTool",
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                }
            ],
            "inputs": [
                {
                    "type": "Directory",
                    "id": "#supplemental_data_split_dir.cwl/data"
                }
            ],
            "expression": "${\n  var r = {};\n  var l = inputs.data.listing;\n  var n = l.length;\n  for (var i = 0; i < n; i++) {\n    switch (l[i].basename) {\n      case '16S_rRNA':\n        r['16s_blastdb_dir'] = l[i];\n        break;\n      case '23S_rRNA':\n        r['23s_blastdb_dir'] = l[i];\n        break;\n      case 'RF00001.cm':\n        r['5s_model_path'] = l[i];\n        break;\n      case 'SSU.cm':\n        r['16s_model_path'] = l[i];\n        break;\n      case 'LSU.cm':\n        r['23s_model_path'] = l[i];\n        break;\n      case 'AntiFamLib':\n        r['AntiFamLib'] = l[i];\n        break;\n      case 'asn2pas.xsl':\n        r['asn2pas_xsl'] = l[i];\n        break;\n      case 'CDD2':\n        r['CDDdata'] = l[i];\n        break;\n      case 'cdd_add':\n        r['CDDdata2'] = l[i];\n        break;\n      case 'gencoll.sqlite':\n        r['gc_cache'] = l[i];\n        break;    \n      case 'product_rules.prt':\n        r['defline_cleanup_rules'] = l[i];\n        break;\n      case 'gene_master.ini':\n        r['gene_master_ini'] = l[i];\n        break;\n      case 'packages.versions':\n        r['package_versions'] = l[i];\n        break;\n      case 'rfam-amendments.xml':\n        r['rfam_amendments'] = l[i];\n        break;\n      case 'Rfam.selected1.cm':\n        r['rfam_model_path'] = l[i];\n        break;\n      case 'Rfam.seed':\n        r['rfam_stockholm'] = l[i];\n        break;\n      case 'selenoproteins':\n        r['selenoproteins'] = l[i];\n        break;\n      case 'thresholds.xml':\n        r['thresholds'] = l[i];\n        break;\n      case 'species_genome_size.txt':\n        r['species_genome_size'] = l[i];\n        break;\n      case 'uniColl_path':\n        var ul = l[i].listing;\n        var un = ul.length;\n        for (var j = 0; j < un; j++) {\n          switch (ul[j].basename) {\n            case 'blast_dir':\n              r['identification_db_dir'] = ul[j];\n              var wl = ul[j].listing;\n              var wn = wl.length;\n              for (var h = 0; h < wn; h++) {\n                switch (wl[h].basename) {\n                  case 'order-specific.mft':\n                    r['all_order_specific_blastdb_file'] = wl[h];\n                    break;\n                }\n              }\n              break;\n            case 'real_hmms':\n              r['hmm_path'] = ul[j];\n              break;\n            case 'real_hmms.tab':\n              r['hmms_tab'] = ul[j];\n              break;\n            case 'naming_hmms':\n              r['naming_hmms_combined'] = ul[j];\n              break;\n            case 'naming_hmms.tab':\n              r['naming_hmms_tab'] = ul[j];\n              break;\n            case 'naming.sqlite':\n              r['naming_sqlite'] = ul[j];\n              break;\n            case 'taxonomy.sqlite3':\n              r['taxon_db'] = ul[j];\n              break;\n            case 'cache':\n              r['uniColl_cache'] = ul[j];\n              break;\n            case 'nuc_cache':\n              r['uniColl_nuc_cache'] = ul[j];\n              break;\n            case 'universal.xml':\n              r['univ_prot_xml'] = ul[j];\n              break;\n            case 'wp-hashes.sqlite':\n              r['wp_hashes'] = ul[j];\n              break;\n          }\n        }\n        break;\n      case 'validation-results.xml':\n        r['val_res_den_xml'] = l[i];\n        break;\n      }\n  }\n  return r;\n}\n",
            "outputs": [
                {
                    "type": "File",
                    "id": "#supplemental_data_split_dir.cwl/16s_model_path"
                },
                {
                    "type": "File",
                    "id": "#supplemental_data_split_dir.cwl/23s_model_path"
                },
                {
                    "type": "File",
                    "id": "#supplemental_data_split_dir.cwl/5s_model_path"
                },
                {
                    "type": "Directory",
                    "id": "#supplemental_data_split_dir.cwl/AntiFamLib"
                },
                {
                    "type": "Directory",
                    "id": "#supplemental_data_split_dir.cwl/CDDdata"
                },
                {
                    "type": "Directory",
                    "id": "#supplemental_data_split_dir.cwl/CDDdata2"
                },
                {
                    "type": "File",
                    "id": "#supplemental_data_split_dir.cwl/all_order_specific_blastdb_file"
                },
                {
                    "type": "File",
                    "id": "#supplemental_data_split_dir.cwl/asn2pas_xsl"
                },
                {
                    "type": "File",
                    "id": "#supplemental_data_split_dir.cwl/defline_cleanup_rules"
                },
                {
                    "type": "File",
                    "id": "#supplemental_data_split_dir.cwl/gc_cache"
                },
                {
                    "type": "File",
                    "id": "#supplemental_data_split_dir.cwl/gene_master_ini"
                },
                {
                    "type": "Directory",
                    "id": "#supplemental_data_split_dir.cwl/hmm_path"
                },
                {
                    "type": "File",
                    "id": "#supplemental_data_split_dir.cwl/hmms_tab"
                },
                {
                    "type": "Directory",
                    "id": "#supplemental_data_split_dir.cwl/identification_db_dir"
                },
                {
                    "type": "Directory",
                    "id": "#supplemental_data_split_dir.cwl/naming_hmms_combined"
                },
                {
                    "type": "File",
                    "id": "#supplemental_data_split_dir.cwl/naming_hmms_tab"
                },
                {
                    "type": "File",
                    "id": "#supplemental_data_split_dir.cwl/naming_sqlite"
                },
                {
                    "type": "File",
                    "id": "#supplemental_data_split_dir.cwl/package_versions"
                },
                {
                    "type": "File",
                    "id": "#supplemental_data_split_dir.cwl/rfam_amendments"
                },
                {
                    "type": "File",
                    "id": "#supplemental_data_split_dir.cwl/rfam_model_path"
                },
                {
                    "type": "File",
                    "id": "#supplemental_data_split_dir.cwl/rfam_stockholm"
                },
                {
                    "type": "Directory",
                    "id": "#supplemental_data_split_dir.cwl/selenoproteins"
                },
                {
                    "type": "File",
                    "id": "#supplemental_data_split_dir.cwl/species_genome_size"
                },
                {
                    "type": "File",
                    "id": "#supplemental_data_split_dir.cwl/taxon_db"
                },
                {
                    "type": "File",
                    "id": "#supplemental_data_split_dir.cwl/thresholds"
                },
                {
                    "type": "Directory",
                    "id": "#supplemental_data_split_dir.cwl/uniColl_cache"
                },
                {
                    "type": "Directory",
                    "id": "#supplemental_data_split_dir.cwl/uniColl_nuc_cache"
                },
                {
                    "type": "File",
                    "id": "#supplemental_data_split_dir.cwl/univ_prot_xml"
                },
                {
                    "type": "File",
                    "id": "#supplemental_data_split_dir.cwl/val_res_den_xml"
                },
                {
                    "type": "File",
                    "id": "#supplemental_data_split_dir.cwl/wp_hashes"
                }
            ],
            "id": "#supplemental_data_split_dir.cwl"
        },
        {
            "label": "Extract Assembly Information II",
            "class": "CommandLineTool",
            "baseCommand": "gc_asm_xml_description",
            "inputs": [
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-i"
                    },
                    "id": "#gc_asm_xml_description.cwl/asnfile"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "assembly.report.xml",
                    "inputBinding": {
                        "prefix": "-o"
                    },
                    "id": "#gc_asm_xml_description.cwl/outfile"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.outfile)"
                    },
                    "id": "#gc_asm_xml_description.cwl/stats_report"
                }
            ],
            "id": "#gc_asm_xml_description.cwl"
        },
        {
            "label": "Create Assembly From Sequences",
            "class": "CommandLineTool",
            "requirements": [
                {
                    "class": "InitialWorkDirRequirement",
                    "listing": [
                        {
                            "entry": "$(inputs.asn_cache)",
                            "writable": false
                        }
                    ]
                }
            ],
            "baseCommand": "gc_create",
            "arguments": [
                "-nogenbank"
            ],
            "inputs": [
                {
                    "type": "Directory",
                    "inputBinding": {
                        "prefix": "-asn-cache"
                    },
                    "id": "#gc_create.cwl/asn_cache"
                },
                {
                    "type": "string",
                    "inputBinding": {
                        "prefix": "-gc-assm-name"
                    },
                    "id": "#gc_create.cwl/gc_assm_name"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "gencoll.asn",
                    "inputBinding": {
                        "prefix": "-o"
                    },
                    "id": "#gc_create.cwl/outfile"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-unplaced"
                    },
                    "id": "#gc_create.cwl/unplaced"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.outfile)"
                    },
                    "id": "#gc_create.cwl/gencoll_asn"
                }
            ],
            "id": "#gc_create.cwl"
        },
        {
            "label": "Extract Assembly Information I",
            "class": "CommandLineTool",
            "baseCommand": "gc_get_molecules",
            "arguments": [
                "-level",
                "top-level",
                "-nogenbank"
            ],
            "inputs": [
                {
                    "type": "string",
                    "inputBinding": {
                        "prefix": "-filter"
                    },
                    "id": "#gc_get_molecules.cwl/filter"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-gc-assembly"
                    },
                    "id": "#gc_get_molecules.cwl/gc_assembly"
                },
                {
                    "type": "string",
                    "inputBinding": {
                        "prefix": "-o"
                    },
                    "id": "#gc_get_molecules.cwl/outfile"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.outfile)"
                    },
                    "id": "#gc_get_molecules.cwl/seqid_list"
                }
            ],
            "id": "#gc_get_molecules.cwl"
        },
        {
            "label": "Create Genomic Collection for Bacterial Pipeline, ASN.1 input",
            "class": "Workflow",
            "requirements": [
                {
                    "class": "ScatterFeatureRequirement"
                }
            ],
            "inputs": [
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "id": "#wf_genomic_source_asn.cwl/entries"
                },
                {
                    "type": "string",
                    "id": "#wf_genomic_source_asn.cwl/gc_assm_name"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "id": "#wf_genomic_source_asn.cwl/seq_submit"
                },
                {
                    "type": "File",
                    "id": "#wf_genomic_source_asn.cwl/taxon_db"
                }
            ],
            "outputs": [
                {
                    "type": "Directory",
                    "outputSource": "#wf_genomic_source_asn.cwl/Cache_Seq_entries/asn_cache",
                    "id": "#wf_genomic_source_asn.cwl/asncache"
                },
                {
                    "type": "File",
                    "outputSource": "#wf_genomic_source_asn.cwl/Create_Assembly_From_Sequences/gencoll_asn",
                    "id": "#wf_genomic_source_asn.cwl/gencoll_asn"
                },
                {
                    "type": "File",
                    "outputSource": "#wf_genomic_source_asn.cwl/Cache_Seq_entries/oseq_ids",
                    "id": "#wf_genomic_source_asn.cwl/ids_out"
                },
                {
                    "type": "File",
                    "outputSource": "#wf_genomic_source_asn.cwl/Prepare_Seq_entries/order",
                    "id": "#wf_genomic_source_asn.cwl/order"
                },
                {
                    "type": "File",
                    "outputSource": "#wf_genomic_source_asn.cwl/Extract_Assembly_Information/seqid_list",
                    "id": "#wf_genomic_source_asn.cwl/seqid_list"
                },
                {
                    "type": "File",
                    "outputSource": "#wf_genomic_source_asn.cwl/Extract_Assembly_Information_XML/stats_report",
                    "id": "#wf_genomic_source_asn.cwl/stats_report"
                },
                {
                    "type": "File",
                    "outputSource": "#wf_genomic_source_asn.cwl/Prepare_Seq_entries/submit_block",
                    "id": "#wf_genomic_source_asn.cwl/submit_block_template"
                }
            ],
            "steps": [
                {
                    "run": "#prime_cache.cwl",
                    "in": [
                        {
                            "default": "asn-seq-entry",
                            "id": "#wf_genomic_source_asn.cwl/Cache_Seq_entries/ifmt"
                        },
                        {
                            "source": "#wf_genomic_source_asn.cwl/Prepare_Seq_entries/output_entries",
                            "id": "#wf_genomic_source_asn.cwl/Cache_Seq_entries/input"
                        },
                        {
                            "source": "#wf_genomic_source_asn.cwl/taxon_db",
                            "id": "#wf_genomic_source_asn.cwl/Cache_Seq_entries/taxon_db"
                        }
                    ],
                    "out": [
                        "#wf_genomic_source_asn.cwl/Cache_Seq_entries/oseq_ids",
                        "#wf_genomic_source_asn.cwl/Cache_Seq_entries/asn_cache"
                    ],
                    "id": "#wf_genomic_source_asn.cwl/Cache_Seq_entries"
                },
                {
                    "run": "#gc_create.cwl",
                    "in": [
                        {
                            "source": "#wf_genomic_source_asn.cwl/Cache_Seq_entries/asn_cache",
                            "id": "#wf_genomic_source_asn.cwl/Create_Assembly_From_Sequences/asn_cache"
                        },
                        {
                            "source": "#wf_genomic_source_asn.cwl/gc_assm_name",
                            "id": "#wf_genomic_source_asn.cwl/Create_Assembly_From_Sequences/gc_assm_name"
                        },
                        {
                            "source": "#wf_genomic_source_asn.cwl/Cache_Seq_entries/oseq_ids",
                            "id": "#wf_genomic_source_asn.cwl/Create_Assembly_From_Sequences/unplaced"
                        }
                    ],
                    "out": [
                        "#wf_genomic_source_asn.cwl/Create_Assembly_From_Sequences/gencoll_asn"
                    ],
                    "id": "#wf_genomic_source_asn.cwl/Create_Assembly_From_Sequences"
                },
                {
                    "run": "#gc_get_molecules.cwl",
                    "in": [
                        {
                            "default": "all",
                            "id": "#wf_genomic_source_asn.cwl/Extract_Assembly_Information/filter"
                        },
                        {
                            "source": "#wf_genomic_source_asn.cwl/Create_Assembly_From_Sequences/gencoll_asn",
                            "id": "#wf_genomic_source_asn.cwl/Extract_Assembly_Information/gc_assembly"
                        },
                        {
                            "default": "all.gi",
                            "id": "#wf_genomic_source_asn.cwl/Extract_Assembly_Information/outfile"
                        }
                    ],
                    "out": [
                        "#wf_genomic_source_asn.cwl/Extract_Assembly_Information/seqid_list"
                    ],
                    "id": "#wf_genomic_source_asn.cwl/Extract_Assembly_Information"
                },
                {
                    "run": "#gc_asm_xml_description.cwl",
                    "in": [
                        {
                            "source": "#wf_genomic_source_asn.cwl/Create_Assembly_From_Sequences/gencoll_asn",
                            "id": "#wf_genomic_source_asn.cwl/Extract_Assembly_Information_XML/asnfile"
                        }
                    ],
                    "out": [
                        "#wf_genomic_source_asn.cwl/Extract_Assembly_Information_XML/stats_report"
                    ],
                    "id": "#wf_genomic_source_asn.cwl/Extract_Assembly_Information_XML"
                },
                {
                    "run": "#prepare_seq_entry_input.cwl",
                    "in": [
                        {
                            "source": "#wf_genomic_source_asn.cwl/entries",
                            "id": "#wf_genomic_source_asn.cwl/Prepare_Seq_entries/entries"
                        },
                        {
                            "source": "#wf_genomic_source_asn.cwl/seq_submit",
                            "id": "#wf_genomic_source_asn.cwl/Prepare_Seq_entries/seq_submit"
                        }
                    ],
                    "out": [
                        "#wf_genomic_source_asn.cwl/Prepare_Seq_entries/order",
                        "#wf_genomic_source_asn.cwl/Prepare_Seq_entries/submit_block",
                        "#wf_genomic_source_asn.cwl/Prepare_Seq_entries/output_entries"
                    ],
                    "id": "#wf_genomic_source_asn.cwl/Prepare_Seq_entries"
                }
            ],
            "id": "#wf_genomic_source_asn.cwl"
        },
        {
            "label": "add_locus_tags",
            "class": "CommandLineTool",
            "baseCommand": "add_locus_tags",
            "inputs": [
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "extdb",
                    "inputBinding": {
                        "prefix": "-dbname"
                    },
                    "id": "#add_locus_tags.cwl/dbname"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-input"
                    },
                    "id": "#add_locus_tags.cwl/input"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "pgaptmp_",
                    "inputBinding": {
                        "prefix": "-locus-tag-prefix"
                    },
                    "id": "#add_locus_tags.cwl/locus_tag_prefix"
                },
                {
                    "type": "string",
                    "default": "annotation.asn",
                    "inputBinding": {
                        "prefix": "-output"
                    },
                    "id": "#add_locus_tags.cwl/output_impl"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.output_impl)"
                    },
                    "id": "#add_locus_tags.cwl/output"
                }
            ],
            "id": "#add_locus_tags.cwl"
        },
        {
            "label": "add_prot_names_to_annot",
            "class": "CommandLineTool",
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "InitialWorkDirRequirement",
                    "listing": [
                        {
                            "entryname": "proteins.mft",
                            "entry": "${var blob = '# proteins.mft created for add_prot_names_to_annot from input proteins Array of Files\\n'; for (var i = 0; i < inputs.proteins.length; i++) { blob += inputs.proteins[i].path + '\\n'; } return blob; }"
                        }
                    ]
                }
            ],
            "baseCommand": "add_prot_names_to_annot",
            "inputs": [
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "Directory"
                        }
                    ],
                    "inputBinding": {
                        "prefix": "-asn-cache",
                        "itemSeparator": ","
                    },
                    "id": "#add_prot_names_to_annot.cwl/asn_cache"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-defline-cleanup-rules"
                    },
                    "id": "#add_prot_names_to_annot.cwl/defline_cleanup_rules"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-input"
                    },
                    "id": "#add_prot_names_to_annot.cwl/input"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "inputBinding": {
                        "prefix": "-nogenbank"
                    },
                    "id": "#add_prot_names_to_annot.cwl/nogenbank"
                },
                {
                    "type": "string",
                    "default": "annotation.asn",
                    "inputBinding": {
                        "prefix": "-o"
                    },
                    "id": "#add_prot_names_to_annot.cwl/out_annotation_name"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "id": "#add_prot_names_to_annot.cwl/proteins"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "proteins.mft",
                    "inputBinding": {
                        "prefix": "-proteins"
                    },
                    "id": "#add_prot_names_to_annot.cwl/proteins_mft"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "inputBinding": {
                        "prefix": "-submission-mode-genbank"
                    },
                    "id": "#add_prot_names_to_annot.cwl/submission_mode_genbank"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-unicoll_sqlite"
                    },
                    "id": "#add_prot_names_to_annot.cwl/unicoll_sqlite"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.out_annotation_name)"
                    },
                    "id": "#add_prot_names_to_annot.cwl/out_annotation"
                }
            ],
            "id": "#add_prot_names_to_annot.cwl"
        },
        {
            "label": "align_filter",
            "class": "CommandLineTool",
            "baseCommand": "align_filter",
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "InitialWorkDirRequirement",
                    "listing": [
                        {
                            "entryname": "aligns.mft",
                            "entry": "${var blob = '# aligns.mft created for align_filter from input \"input\" Array of Files\\n'; for (var i = 0; i < inputs.input.length; i++) { blob += inputs.input[i].path + '\\n'; } return blob; }"
                        }
                    ]
                }
            ],
            "inputs": [
                {
                    "type": {
                        "type": "array",
                        "items": "Directory"
                    },
                    "inputBinding": {
                        "prefix": "-asn-cache",
                        "itemSeparator": ","
                    },
                    "id": "#align_filter.cwl/asn_cache"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "prefix": "-filter"
                    },
                    "id": "#align_filter.cwl/filter"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "prefix": "-ifmt"
                    },
                    "id": "#align_filter.cwl/ifmt"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "id": "#align_filter.cwl/input"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "aligns.mft",
                    "inputBinding": {
                        "prefix": "-input-manifest"
                    },
                    "id": "#align_filter.cwl/input_mft"
                },
                {
                    "type": "boolean",
                    "default": true,
                    "inputBinding": {
                        "prefix": "-nogenbank"
                    },
                    "id": "#align_filter.cwl/nogenbank"
                },
                {
                    "type": "string",
                    "default": "align.asn",
                    "inputBinding": {
                        "prefix": "-o"
                    },
                    "id": "#align_filter.cwl/o_name"
                },
                {
                    "type": "string",
                    "default": "align-nomatch.asn",
                    "inputBinding": {
                        "prefix": "-non-match-output"
                    },
                    "id": "#align_filter.cwl/onon_match_name"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "inputBinding": {
                        "prefix": "-subject-whitelist"
                    },
                    "id": "#align_filter.cwl/subject_whitelist"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.o_name)"
                    },
                    "id": "#align_filter.cwl/o"
                },
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.onon_match_name)"
                    },
                    "id": "#align_filter.cwl/onon_match"
                }
            ],
            "id": "#align_filter.cwl"
        },
        {
            "label": "align_sort",
            "class": "CommandLineTool",
            "baseCommand": "align_sort",
            "inputs": [
                {
                    "type": [
                        "null",
                        "Directory"
                    ],
                    "inputBinding": {
                        "prefix": "-asn-cache"
                    },
                    "id": "#align_sort.cwl/asn_cache"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "inputBinding": {
                        "prefix": "-group"
                    },
                    "id": "#align_sort.cwl/group"
                },
                {
                    "type": "string",
                    "inputBinding": {
                        "prefix": "-ifmt"
                    },
                    "id": "#align_sort.cwl/ifmt"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "inputBinding": {
                        "prefix": "-input"
                    },
                    "id": "#align_sort.cwl/input"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "inputBinding": {
                        "prefix": "-input-manifest"
                    },
                    "id": "#align_sort.cwl/input_manifest"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "prefix": "-k"
                    },
                    "id": "#align_sort.cwl/k"
                },
                {
                    "type": "boolean",
                    "inputBinding": {
                        "prefix": "-nogenbank"
                    },
                    "id": "#align_sort.cwl/nogenbank"
                },
                {
                    "type": "string",
                    "default": "align.asn",
                    "inputBinding": {
                        "prefix": "-o"
                    },
                    "id": "#align_sort.cwl/output_name"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "inputBinding": {
                        "prefix": "-top"
                    },
                    "id": "#align_sort.cwl/top"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.output_name)"
                    },
                    "id": "#align_sort.cwl/output"
                }
            ],
            "id": "#align_sort.cwl"
        },
        {
            "class": "CommandLineTool",
            "baseCommand": "annot_checksum",
            "inputs": [
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "prefix": "-ifmt"
                    },
                    "id": "#annot_checksum.cwl/ifmt"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "inputBinding": {
                        "prefix": "-input"
                    },
                    "id": "#annot_checksum.cwl/input"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "inputBinding": {
                        "prefix": "-it"
                    },
                    "id": "#annot_checksum.cwl/it"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "prefix": "-mode"
                    },
                    "id": "#annot_checksum.cwl/mode"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "inputBinding": {
                        "prefix": "-ot"
                    },
                    "id": "#annot_checksum.cwl/ot"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "annot_checksum.asn",
                    "inputBinding": {
                        "prefix": "-output"
                    },
                    "id": "#annot_checksum.cwl/output_name"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "inputBinding": {
                        "prefix": "-t"
                    },
                    "id": "#annot_checksum.cwl/t"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.output_name)"
                    },
                    "id": "#annot_checksum.cwl/output"
                }
            ],
            "id": "#annot_checksum.cwl"
        },
        {
            "class": "CommandLineTool",
            "baseCommand": "annot_ribo_operons",
            "label": "annot_ribo_operons",
            "inputs": [
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-input-16S"
                    },
                    "id": "#annot_ribo_operons.cwl/input_16S"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-input-23S"
                    },
                    "id": "#annot_ribo_operons.cwl/input_23S"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-input-5S"
                    },
                    "id": "#annot_ribo_operons.cwl/input_5S"
                },
                {
                    "type": "string",
                    "default": "16S.asn",
                    "inputBinding": {
                        "prefix": "-output-16S"
                    },
                    "id": "#annot_ribo_operons.cwl/output_16S_name"
                },
                {
                    "type": "string",
                    "default": "23S.asn",
                    "inputBinding": {
                        "prefix": "-output-23S"
                    },
                    "id": "#annot_ribo_operons.cwl/output_23S_name"
                },
                {
                    "type": "string",
                    "default": "5S.asn",
                    "inputBinding": {
                        "prefix": "-output-5S"
                    },
                    "id": "#annot_ribo_operons.cwl/output_5S_name"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.output_16S_name)"
                    },
                    "id": "#annot_ribo_operons.cwl/output_16S"
                },
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.output_23S_name)"
                    },
                    "id": "#annot_ribo_operons.cwl/output_23S"
                },
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.output_5S_name)"
                    },
                    "id": "#annot_ribo_operons.cwl/output_5S"
                }
            ],
            "id": "#annot_ribo_operons.cwl"
        },
        {
            "label": "asn2fasta",
            "class": "CommandLineTool",
            "baseCommand": "asn2fasta",
            "arguments": [
                "-nogenbank"
            ],
            "inputs": [
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "prefix": "-o"
                    },
                    "id": "#asn2fasta.cwl/fasta_name"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-i"
                    },
                    "id": "#asn2fasta.cwl/i"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "prefix": "-on"
                    },
                    "id": "#asn2fasta.cwl/nuc_fasta_name"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "prefix": "-op"
                    },
                    "id": "#asn2fasta.cwl/prot_fasta_name"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "inputBinding": {
                        "prefix": "-prots-only"
                    },
                    "id": "#asn2fasta.cwl/prots_only"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "prefix": "-serial"
                    },
                    "id": "#asn2fasta.cwl/serial"
                },
                {
                    "type": "string",
                    "inputBinding": {
                        "prefix": "-type"
                    },
                    "id": "#asn2fasta.cwl/type"
                }
            ],
            "outputs": [
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "outputBinding": {
                        "glob": "$(inputs.fasta_name)"
                    },
                    "id": "#asn2fasta.cwl/fasta"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "outputBinding": {
                        "glob": "$(inputs.nuc_fasta_name)"
                    },
                    "id": "#asn2fasta.cwl/nuc_fasta"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "outputBinding": {
                        "glob": "$(inputs.prot_fasta_name)"
                    },
                    "id": "#asn2fasta.cwl/prot_fasta"
                }
            ],
            "id": "#asn2fasta.cwl"
        },
        {
            "label": "asn2flat",
            "class": "CommandLineTool",
            "baseCommand": "asn2flat",
            "inputs": [
                {
                    "type": "boolean",
                    "inputBinding": {
                        "prefix": "-gbload"
                    },
                    "id": "#asn2flat.cwl/gbload"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-i"
                    },
                    "id": "#asn2flat.cwl/input"
                },
                {
                    "type": "string",
                    "inputBinding": {
                        "prefix": "-mode"
                    },
                    "id": "#asn2flat.cwl/mode"
                },
                {
                    "type": "boolean",
                    "inputBinding": {
                        "prefix": "-no-external"
                    },
                    "id": "#asn2flat.cwl/no_external"
                },
                {
                    "type": "string",
                    "default": "annot.gbk",
                    "inputBinding": {
                        "prefix": "-o"
                    },
                    "id": "#asn2flat.cwl/oname"
                },
                {
                    "type": "string",
                    "inputBinding": {
                        "prefix": "-style"
                    },
                    "id": "#asn2flat.cwl/style"
                },
                {
                    "type": "string",
                    "inputBinding": {
                        "prefix": "-type"
                    },
                    "id": "#asn2flat.cwl/type"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.oname)"
                    },
                    "id": "#asn2flat.cwl/output"
                }
            ],
            "id": "#asn2flat.cwl"
        },
        {
            "label": "asn_cleanup",
            "class": "CommandLineTool",
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                }
            ],
            "baseCommand": "asn_cleanup",
            "inputs": [
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-i"
                    },
                    "id": "#asn_cleanup.cwl/inp_annotation"
                },
                {
                    "type": "string",
                    "default": "cleaned-annotation.asn",
                    "inputBinding": {
                        "prefix": "-o"
                    },
                    "id": "#asn_cleanup.cwl/out_annotation_name"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "text",
                    "inputBinding": {
                        "prefix": "-outformat"
                    },
                    "id": "#asn_cleanup.cwl/outformat"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.out_annotation_name)"
                    },
                    "id": "#asn_cleanup.cwl/annotation"
                }
            ],
            "id": "#asn_cleanup.cwl"
        },
        {
            "label": "asn_translator",
            "class": "CommandLineTool",
            "baseCommand": "asn_translator",
            "inputs": [
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "prefix": "-class"
                    },
                    "id": "#asn_translator.cwl/class1"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "inputBinding": {
                        "prefix": "-conffile"
                    },
                    "id": "#asn_translator.cwl/conffile"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "inputBinding": {
                        "prefix": "-input"
                    },
                    "id": "#asn_translator.cwl/input"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "inputBinding": {
                        "prefix": "-input-manifest"
                    },
                    "id": "#asn_translator.cwl/input_manifest"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "prefix": "-input-mask"
                    },
                    "id": "#asn_translator.cwl/input_mask"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "prefix": "-input-path"
                    },
                    "id": "#asn_translator.cwl/input_path"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "inputBinding": {
                        "prefix": "-items-per-chunk"
                    },
                    "id": "#asn_translator.cwl/items_per_chunk"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "inputBinding": {
                        "prefix": "-len"
                    },
                    "id": "#asn_translator.cwl/len"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "prefix": "-logfile"
                    },
                    "id": "#asn_translator.cwl/logfile_output"
                },
                {
                    "type": [
                        "null",
                        "long"
                    ],
                    "inputBinding": {
                        "prefix": "-max-chunk-size"
                    },
                    "id": "#asn_translator.cwl/max_chunk_size"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "inputBinding": {
                        "prefix": "-max-files-per-dir"
                    },
                    "id": "#asn_translator.cwl/max_files_per_dir"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "inputBinding": {
                        "prefix": "-max-objects"
                    },
                    "id": "#asn_translator.cwl/max_objects"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "inputBinding": {
                        "prefix": "-min-chunk-size"
                    },
                    "id": "#asn_translator.cwl/min_chunk_size"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "inputBinding": {
                        "prefix": "-num-partitions"
                    },
                    "id": "#asn_translator.cwl/num_partitions"
                },
                {
                    "type": [
                        "null",
                        "long"
                    ],
                    "inputBinding": {
                        "prefix": "-offset"
                    },
                    "id": "#asn_translator.cwl/offset"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "asn_translated.asn",
                    "inputBinding": {
                        "prefix": "-output"
                    },
                    "id": "#asn_translator.cwl/output_name"
                }
            ],
            "outputs": [
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "outputBinding": {
                        "glob": "$(inputs.logfile_output)"
                    },
                    "id": "#asn_translator.cwl/logfile"
                },
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.output_name)"
                    },
                    "id": "#asn_translator.cwl/output"
                }
            ],
            "id": "#asn_translator.cwl"
        },
        {
            "label": "asndisc_cpp",
            "class": "CommandLineTool",
            "baseCommand": "asndisc_cpp",
            "inputs": [
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "prefix": "-L"
                    },
                    "id": "#asndisc_cpp.cwl/L"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "prefix": "-P"
                    },
                    "id": "#asndisc_cpp.cwl/P"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "prefix": "-X"
                    },
                    "id": "#asndisc_cpp.cwl/X"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "inputBinding": {
                        "prefix": "-XML"
                    },
                    "id": "#asndisc_cpp.cwl/XML"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "prefix": "-a"
                    },
                    "id": "#asndisc_cpp.cwl/a"
                },
                {
                    "type": [
                        "null",
                        "Directory"
                    ],
                    "inputBinding": {
                        "prefix": "-asn-cache"
                    },
                    "id": "#asndisc_cpp.cwl/asn_cache"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "prefix": "-blastdb"
                    },
                    "id": "#asndisc_cpp.cwl/blastdb"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "inputBinding": {
                        "prefix": "-conffile"
                    },
                    "id": "#asndisc_cpp.cwl/conffile"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "inputBinding": {
                        "itemSeparator": ",",
                        "prefix": "-d"
                    },
                    "id": "#asndisc_cpp.cwl/d"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "prefix": "-e"
                    },
                    "id": "#asndisc_cpp.cwl/e"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "inputBinding": {
                        "prefix": "-genbank"
                    },
                    "id": "#asndisc_cpp.cwl/genbank"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "inputBinding": {
                        "prefix": "-i"
                    },
                    "id": "#asndisc_cpp.cwl/i"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "inputBinding": {
                        "prefix": "-indir"
                    },
                    "id": "#asndisc_cpp.cwl/indir"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "prefix": "-lds2"
                    },
                    "id": "#asndisc_cpp.cwl/lds2"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "asndisc_cpp.applog",
                    "inputBinding": {
                        "prefix": "-logfile"
                    },
                    "id": "#asndisc_cpp.cwl/logfile_output"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "asndisc_cpp.xml",
                    "inputBinding": {
                        "prefix": "-o"
                    },
                    "id": "#asndisc_cpp.cwl/o_output"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "prefix": "-outdir"
                    },
                    "id": "#asndisc_cpp.cwl/outdir_name"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "prefix": "-s"
                    },
                    "id": "#asndisc_cpp.cwl/s"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "prefix": "-sra-acc"
                    },
                    "id": "#asndisc_cpp.cwl/sra_acc"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "prefix": "-sra-file"
                    },
                    "id": "#asndisc_cpp.cwl/sra_file"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "prefix": "-vdb-path"
                    },
                    "id": "#asndisc_cpp.cwl/vdb_path"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "inputBinding": {
                        "prefix": "-w"
                    },
                    "id": "#asndisc_cpp.cwl/w"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "prefix": "-x"
                    },
                    "id": "#asndisc_cpp.cwl/x"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.logfile_output)"
                    },
                    "id": "#asndisc_cpp.cwl/logfile"
                },
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.o_output)"
                    },
                    "id": "#asndisc_cpp.cwl/o"
                }
            ],
            "id": "#asndisc_cpp.cwl"
        },
        {
            "label": "asnvalidate",
            "class": "CommandLineTool",
            "baseCommand": "asnvalidate",
            "inputs": [
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "inputBinding": {
                        "prefix": "-A"
                    },
                    "id": "#asnvalidate.cwl/A"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "prefix": "-E"
                    },
                    "id": "#asnvalidate.cwl/E"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "prefix": "-L"
                    },
                    "id": "#asnvalidate.cwl/L_output"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "inputBinding": {
                        "prefix": "-N"
                    },
                    "id": "#asnvalidate.cwl/N"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "inputBinding": {
                        "prefix": "-P"
                    },
                    "id": "#asnvalidate.cwl/P"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "inputBinding": {
                        "prefix": "-Q"
                    },
                    "id": "#asnvalidate.cwl/Q"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "inputBinding": {
                        "prefix": "-R"
                    },
                    "id": "#asnvalidate.cwl/R"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "inputBinding": {
                        "prefix": "-U"
                    },
                    "id": "#asnvalidate.cwl/U"
                },
                {
                    "type": [
                        "null",
                        "Directory"
                    ],
                    "inputBinding": {
                        "prefix": "-asn-cache"
                    },
                    "id": "#asnvalidate.cwl/asn_cache"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "prefix": "-blastdb"
                    },
                    "id": "#asnvalidate.cwl/blastdb"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "inputBinding": {
                        "prefix": "-conffile"
                    },
                    "id": "#asnvalidate.cwl/conffile"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "prefix": "-f"
                    },
                    "id": "#asnvalidate.cwl/f_output"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "inputBinding": {
                        "prefix": "-i"
                    },
                    "id": "#asnvalidate.cwl/i"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "prefix": "-lds2"
                    },
                    "id": "#asnvalidate.cwl/lds2"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "prefix": "-logfile"
                    },
                    "id": "#asnvalidate.cwl/logfile_output"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "asnvalidate.xml",
                    "inputBinding": {
                        "prefix": "-o"
                    },
                    "id": "#asnvalidate.cwl/o_output"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "inputBinding": {
                        "prefix": "-p"
                    },
                    "id": "#asnvalidate.cwl/p"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "prefix": "-sra-acc"
                    },
                    "id": "#asnvalidate.cwl/sra_acc"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "prefix": "-sra-file"
                    },
                    "id": "#asnvalidate.cwl/sra_file"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "inputBinding": {
                        "prefix": "-v"
                    },
                    "id": "#asnvalidate.cwl/v"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "prefix": "-vdb-path"
                    },
                    "id": "#asnvalidate.cwl/vdb-path"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "prefix": "-x"
                    },
                    "id": "#asnvalidate.cwl/x"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "inputBinding": {
                        "prefix": "-y"
                    },
                    "id": "#asnvalidate.cwl/y"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "inputBinding": {
                        "prefix": "-z"
                    },
                    "id": "#asnvalidate.cwl/z"
                }
            ],
            "outputs": [
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "outputBinding": {
                        "glob": "$(inputs.L_output)"
                    },
                    "id": "#asnvalidate.cwl/L"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "outputBinding": {
                        "glob": "$(inputs.f_output)"
                    },
                    "id": "#asnvalidate.cwl/f"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "outputBinding": {
                        "glob": "$(inputs.logfile_output)"
                    },
                    "id": "#asnvalidate.cwl/logfile"
                },
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.o_output)"
                    },
                    "id": "#asnvalidate.cwl/o"
                }
            ],
            "id": "#asnvalidate.cwl"
        },
        {
            "label": "assign_cluster",
            "class": "CommandLineTool",
            "requirements": [
                {
                    "class": "InitialWorkDirRequirement",
                    "listing": [
                        {
                            "entry": "$(inputs.namedb_dir)",
                            "writable": false
                        },
                        {
                            "entry": "$(inputs.proteins)",
                            "writable": false
                        }
                    ]
                }
            ],
            "baseCommand": "assign_cluster",
            "inputs": [
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "Directory"
                        }
                    ],
                    "inputBinding": {
                        "prefix": "-asn-cache",
                        "itemSeparator": ","
                    },
                    "id": "#assign_cluster.cwl/asn_cache"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "prefix": "-comp_based_stats"
                    },
                    "id": "#assign_cluster.cwl/comp_based_stats"
                },
                {
                    "type": [
                        "null",
                        "float"
                    ],
                    "inputBinding": {
                        "prefix": "-cutoff"
                    },
                    "id": "#assign_cluster.cwl/cutoff"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "prefix": "-hfmt"
                    },
                    "id": "#assign_cluster.cwl/hfmt"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-hits"
                    },
                    "id": "#assign_cluster.cwl/hits"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "inputBinding": {
                        "prefix": "-lds2"
                    },
                    "id": "#assign_cluster.cwl/lds2"
                },
                {
                    "type": [
                        "null",
                        "float"
                    ],
                    "inputBinding": {
                        "prefix": "-margin"
                    },
                    "id": "#assign_cluster.cwl/margin"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "prefix": "-namedb",
                        "valueFrom": "$(inputs.namedb_dir.path)/$(inputs.namedb)"
                    },
                    "id": "#assign_cluster.cwl/namedb"
                },
                {
                    "type": [
                        "null",
                        "Directory"
                    ],
                    "id": "#assign_cluster.cwl/namedb_dir"
                },
                {
                    "type": "boolean",
                    "inputBinding": {
                        "prefix": "-nogenbank"
                    },
                    "id": "#assign_cluster.cwl/nogenbank"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "id": "#assign_cluster.cwl/proteins"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "prefix": "-seg"
                    },
                    "id": "#assign_cluster.cwl/seg"
                },
                {
                    "type": [
                        "null",
                        "float"
                    ],
                    "inputBinding": {
                        "prefix": "-sure-cutoff"
                    },
                    "id": "#assign_cluster.cwl/sure_cutoff"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "prefix": "-task"
                    },
                    "id": "#assign_cluster.cwl/task"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "inputBinding": {
                        "prefix": "-threshold"
                    },
                    "id": "#assign_cluster.cwl/threshold"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-unicoll_sqlite"
                    },
                    "id": "#assign_cluster.cwl/unicoll_sqlite"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "inputBinding": {
                        "prefix": "-word_size"
                    },
                    "id": "#assign_cluster.cwl/word_size"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "protein_assignments.xml",
                    "inputBinding": {
                        "prefix": "-o"
                    },
                    "id": "#assign_cluster.cwl/xml_name"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.xml_name)"
                    },
                    "id": "#assign_cluster.cwl/protein_assignments"
                }
            ],
            "id": "#assign_cluster.cwl"
        },
        {
            "label": "assign_hmm",
            "class": "CommandLineTool",
            "baseCommand": "assign_hmm",
            "inputs": [
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-db"
                    },
                    "id": "#assign_hmm.cwl/db"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-input"
                    },
                    "id": "#assign_hmm.cwl/input"
                },
                {
                    "type": "string",
                    "default": "hmm-assignments.xml",
                    "inputBinding": {
                        "prefix": "-o"
                    },
                    "id": "#assign_hmm.cwl/oname"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.oname)"
                    },
                    "id": "#assign_hmm.cwl/assignments"
                }
            ],
            "id": "#assign_hmm.cwl"
        },
        {
            "label": "bact_annot_filter",
            "class": "CommandLineTool",
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "InitialWorkDirRequirement",
                    "listing": [
                        {
                            "entryname": "annotation.mft",
                            "entry": "${var blob = '# annotation.mft created for bact_annot_filter.mft from input input Array of Files\\n'; for (var i = 0; i < inputs.input.length; i++) { blob += inputs.input[i].path + '\\n'; } return blob; }"
                        }
                    ]
                }
            ],
            "baseCommand": "bact_annot_filter",
            "inputs": [
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "inputBinding": {
                        "prefix": "-abs-short-model-limit"
                    },
                    "id": "#bact_annot_filter.cwl/abs_short_model_limit"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "Directory"
                        }
                    ],
                    "inputBinding": {
                        "prefix": "-asn-cache",
                        "itemSeparator": ","
                    },
                    "id": "#bact_annot_filter.cwl/asn_cache"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "id": "#bact_annot_filter.cwl/input"
                },
                {
                    "type": "string",
                    "default": "annotation.mft",
                    "inputBinding": {
                        "prefix": "-input-manifest"
                    },
                    "id": "#bact_annot_filter.cwl/input_mft"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "inputBinding": {
                        "prefix": "-long-model-limit"
                    },
                    "id": "#bact_annot_filter.cwl/long_model_limit"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "inputBinding": {
                        "prefix": "-max-overlap"
                    },
                    "id": "#bact_annot_filter.cwl/max_overlap"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "inputBinding": {
                        "prefix": "-max-unannotated-region"
                    },
                    "id": "#bact_annot_filter.cwl/max_unannotated_region"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "inputBinding": {
                        "prefix": "-nogenbank"
                    },
                    "id": "#bact_annot_filter.cwl/nogenbank"
                },
                {
                    "type": "string",
                    "default": "out-annotation.asn",
                    "inputBinding": {
                        "prefix": "-o"
                    },
                    "id": "#bact_annot_filter.cwl/out_annotation_name"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "inputBinding": {
                        "prefix": "-short-model-limit"
                    },
                    "id": "#bact_annot_filter.cwl/short_model_limit"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-thr"
                    },
                    "id": "#bact_annot_filter.cwl/thr"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.out_annotation_name)"
                    },
                    "id": "#bact_annot_filter.cwl/out_annotation"
                }
            ],
            "id": "#bact_annot_filter.cwl"
        },
        {
            "label": "bact_best_evidence_alignments",
            "class": "CommandLineTool",
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "InitialWorkDirRequirement",
                    "listing": [
                        {
                            "entryname": "align.mft",
                            "entry": "${var blob = '# align.mft created for bact_best_evidence_alignments from input align Array of Files\\n'; for (var i = 0; i < inputs.align.length; i++) { blob += inputs.align[i].path + '\\n'; } return blob; }"
                        },
                        {
                            "entryname": "annotation.mft",
                            "entry": "${var blob = '# annotation.mft created for bact_best_evidence_alignments from input annotation Array of Files\\n'; for (var i = 0; i < inputs.annotation.length; i++) { blob += inputs.annotation[i].path + '\\n'; } return blob; }"
                        }
                    ]
                }
            ],
            "baseCommand": "bact_best_evidence_alignments",
            "arguments": [
                "-support-threshold",
                "25.0",
                "-weak-threshold",
                "20"
            ],
            "inputs": [
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "id": "#bact_best_evidence_alignments.cwl/align"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "id": "#bact_best_evidence_alignments.cwl/annotation"
                },
                {
                    "type": "string",
                    "default": "annotation.mft",
                    "inputBinding": {
                        "prefix": "-annotation"
                    },
                    "id": "#bact_best_evidence_alignments.cwl/annotation_manifest"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "Directory"
                        }
                    ],
                    "inputBinding": {
                        "prefix": "-asn-cache",
                        "itemSeparator": ","
                    },
                    "id": "#bact_best_evidence_alignments.cwl/asn_cache"
                },
                {
                    "type": "string",
                    "default": "align.mft",
                    "inputBinding": {
                        "prefix": "-input-manifest"
                    },
                    "id": "#bact_best_evidence_alignments.cwl/input_manifest"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "inputBinding": {
                        "prefix": "-max-overlap"
                    },
                    "id": "#bact_best_evidence_alignments.cwl/max_overlap"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "inputBinding": {
                        "prefix": "-nogenbank"
                    },
                    "id": "#bact_best_evidence_alignments.cwl/nogenbank"
                },
                {
                    "type": "string",
                    "default": "best_aligns.asn",
                    "inputBinding": {
                        "prefix": "-o"
                    },
                    "id": "#bact_best_evidence_alignments.cwl/output_align_name"
                },
                {
                    "type": "Directory",
                    "id": "#bact_best_evidence_alignments.cwl/selenoproteins"
                },
                {
                    "type": "string",
                    "inputBinding": {
                        "prefix": "-selenoproteins",
                        "valueFrom": "$(inputs.selenoproteins.path)/$(inputs.selenoproteins_db)"
                    },
                    "id": "#bact_best_evidence_alignments.cwl/selenoproteins_db"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "inputBinding": {
                        "prefix": "-start-stop-allowance"
                    },
                    "id": "#bact_best_evidence_alignments.cwl/start_stop_allowance"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-thr"
                    },
                    "id": "#bact_best_evidence_alignments.cwl/thr"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-unicoll_sqlite"
                    },
                    "id": "#bact_best_evidence_alignments.cwl/unicoll_sqlite"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.output_align_name)"
                    },
                    "id": "#bact_best_evidence_alignments.cwl/out_align"
                }
            ],
            "id": "#bact_best_evidence_alignments.cwl"
        },
        {
            "label": "bact_entries_merge",
            "class": "CommandLineTool",
            "baseCommand": "bact_entries_merge",
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "InitialWorkDirRequirement",
                    "listing": [
                        {
                            "entryname": "annotation.mft",
                            "entry": "${var blob = '# annotation.mft created for bact_entries_merge from input annotation Array of Files\\n';for (var i = 0; i < inputs.annotation.length; i++) {blob += inputs.annotation[i].path  + '\\n';}return blob;}"
                        },
                        {
                            "entryname": "ab_initio.mft",
                            "entry": "${var blob = '# ab_initio.mft created for bact_entries_merge from input ab_initio Array of Files\\n';for (var i = 0; i < inputs.ab_initio.length; i++) {blob += inputs.ab_initio[i].path  + '\\n';}return blob;}"
                        }
                    ]
                }
            ],
            "inputs": [
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "id": "#bact_entries_merge.cwl/ab_initio"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "ab_initio.mft",
                    "inputBinding": {
                        "prefix": "-ab_initio-manifest"
                    },
                    "id": "#bact_entries_merge.cwl/ab_initio_mft"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "id": "#bact_entries_merge.cwl/annotation"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "annotation.mft",
                    "inputBinding": {
                        "prefix": "-input-manifest"
                    },
                    "id": "#bact_entries_merge.cwl/annotation_mft"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "models.asn",
                    "inputBinding": {
                        "prefix": "-o"
                    },
                    "id": "#bact_entries_merge.cwl/output_name"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.output_name)"
                    },
                    "id": "#bact_entries_merge.cwl/out_annotation"
                }
            ],
            "id": "#bact_entries_merge.cwl"
        },
        {
            "label": "bact_filter_preserved",
            "class": "CommandLineTool",
            "baseCommand": "bact_filter_preserved",
            "inputs": [
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-input"
                    },
                    "id": "#bact_filter_preserved.cwl/annotation"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "prefix": "-ifmt"
                    },
                    "id": "#bact_filter_preserved.cwl/ifmt"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "inputBinding": {
                        "prefix": "-nogenbank"
                    },
                    "id": "#bact_filter_preserved.cwl/nogenbank"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-only-those-ids"
                    },
                    "id": "#bact_filter_preserved.cwl/only_those_ids"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "annotation.ent",
                    "inputBinding": {
                        "prefix": "-o"
                    },
                    "id": "#bact_filter_preserved.cwl/output_annotation_name"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.output_annotation_name)"
                    },
                    "id": "#bact_filter_preserved.cwl/out_annotation"
                }
            ],
            "id": "#bact_filter_preserved.cwl"
        },
        {
            "label": "bact_univ_prot_stats",
            "class": "CommandLineTool",
            "baseCommand": "bact_univ_prot_stats",
            "inputs": [
                {
                    "type": "int",
                    "inputBinding": {
                        "prefix": "-annot-request-id"
                    },
                    "id": "#bact_univ_prot_stats.cwl/annot_request_id"
                },
                {
                    "type": "string",
                    "default": "bact_univ_prot_stats_old.xml",
                    "inputBinding": {
                        "prefix": "-o"
                    },
                    "id": "#bact_univ_prot_stats.cwl/bact_univ_prot_stats_old_xml_name"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-hmm-search"
                    },
                    "id": "#bact_univ_prot_stats.cwl/hmm_search"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-hmm-search-proteins"
                    },
                    "id": "#bact_univ_prot_stats.cwl/hmm_search_proteins"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-input"
                    },
                    "id": "#bact_univ_prot_stats.cwl/input"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "inputBinding": {
                        "prefix": "-it"
                    },
                    "id": "#bact_univ_prot_stats.cwl/it"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-univ-prot-xml"
                    },
                    "id": "#bact_univ_prot_stats.cwl/univ_prot_xml"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-val-res-den-xml"
                    },
                    "id": "#bact_univ_prot_stats.cwl/val_res_den_xml"
                },
                {
                    "type": "string",
                    "default": "var_bact_univ_prot_details.xml",
                    "inputBinding": {
                        "prefix": "-xml-pgap-details"
                    },
                    "id": "#bact_univ_prot_stats.cwl/var_bact_univ_prot_details_xml_name"
                },
                {
                    "type": "string",
                    "default": "var_bact_univ_prot_stats.xml",
                    "inputBinding": {
                        "prefix": "-xml-pgap-output"
                    },
                    "id": "#bact_univ_prot_stats.cwl/var_bact_univ_prot_stats_xml_name"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.bact_univ_prot_stats_old_xml_name)"
                    },
                    "id": "#bact_univ_prot_stats.cwl/bact_univ_prot_stats_old_xml"
                },
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.var_bact_univ_prot_details_xml_name)"
                    },
                    "id": "#bact_univ_prot_stats.cwl/var_bact_univ_prot_details_xml"
                },
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.var_bact_univ_prot_stats_xml_name)"
                    },
                    "id": "#bact_univ_prot_stats.cwl/var_bact_univ_prot_stats_xml"
                }
            ],
            "id": "#bact_univ_prot_stats.cwl"
        },
        {
            "label": "bacterial_resolve_conflicts",
            "class": "CommandLineTool",
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "InitialWorkDirRequirement",
                    "listing": [
                        {
                            "entryname": "features.mft",
                            "entry": "${var blob = '# features.mft created for bacterial_resolve_conflicts from input features Array of Files\\n'; if ( ! inputs.hasOwnProperty('features') ) { return blob; }; for (var i = 0; i < inputs.features.length; i++) { blob += inputs.features[i].path + '\\n'; } return blob; }"
                        },
                        {
                            "entryname": "prot.mft",
                            "entry": "${var blob = '# prot.mft created for bacterial_resolve_conflicts from input prots Array of Files\\n'; if ( ! inputs.hasOwnProperty('prots') ) { return blob; }; for (var i = 0; i < inputs.prots.length; i++) { blob += inputs.prots[i].path + '\\n'; } return blob; }"
                        }
                    ]
                }
            ],
            "baseCommand": "bacterial_resolve_conflicts",
            "arguments": [
                "-nogenbank"
            ],
            "inputs": [
                {
                    "type": "string",
                    "default": "accept-align.asn",
                    "inputBinding": {
                        "prefix": "-accept-align"
                    },
                    "id": "#bacterial_resolve_conflicts.cwl/accept_align_name"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "Directory"
                    },
                    "inputBinding": {
                        "prefix": "-asn-cache",
                        "itemSeparator": ","
                    },
                    "id": "#bacterial_resolve_conflicts.cwl/asn_cache"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "id": "#bacterial_resolve_conflicts.cwl/features"
                },
                {
                    "type": "string",
                    "default": "features.mft",
                    "inputBinding": {
                        "prefix": "-features"
                    },
                    "id": "#bacterial_resolve_conflicts.cwl/features_mft"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "File"
                        }
                    ],
                    "id": "#bacterial_resolve_conflicts.cwl/input_annotation"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "File"
                        }
                    ],
                    "id": "#bacterial_resolve_conflicts.cwl/mapped_regions"
                },
                {
                    "type": "string",
                    "default": "accept.asn",
                    "inputBinding": {
                        "prefix": "-accept"
                    },
                    "id": "#bacterial_resolve_conflicts.cwl/out_annotation_name"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "File"
                        }
                    ],
                    "id": "#bacterial_resolve_conflicts.cwl/prot"
                },
                {
                    "type": "string",
                    "default": "prot.mft",
                    "inputBinding": {
                        "prefix": "-prot"
                    },
                    "id": "#bacterial_resolve_conflicts.cwl/prot_mft"
                },
                {
                    "type": "string",
                    "default": "review.asn",
                    "inputBinding": {
                        "prefix": "-review"
                    },
                    "id": "#bacterial_resolve_conflicts.cwl/review_name"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-thr"
                    },
                    "id": "#bacterial_resolve_conflicts.cwl/thr"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.out_annotation_name)"
                    },
                    "id": "#bacterial_resolve_conflicts.cwl/annotation"
                },
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.accept_align_name)"
                    },
                    "id": "#bacterial_resolve_conflicts.cwl/protein_aligns"
                },
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.review_name)"
                    },
                    "id": "#bacterial_resolve_conflicts.cwl/review"
                }
            ],
            "id": "#bacterial_resolve_conflicts.cwl"
        },
        {
            "baseCommand": "cat",
            "class": "CommandLineTool",
            "doc": "concatenates input File[] to output File",
            "stdout": "$(inputs.output_file_name)",
            "inputs": [
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "inputBinding": {
                        "position": 1
                    },
                    "id": "#cat.cwl/input"
                },
                {
                    "type": "string",
                    "default": "concatenated.file",
                    "id": "#cat.cwl/output_file_name"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "id": "#cat.cwl/output",
                    "outputBinding": {
                        "glob": "$(inputs.output_file_name)"
                    }
                }
            ],
            "id": "#cat.cwl"
        },
        {
            "baseCommand": "cat",
            "class": "CommandLineTool",
            "doc": "concatenates input File[] to screen",
            "inputs": [
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "inputBinding": {
                        "position": 1
                    },
                    "id": "#catlog.cwl/input"
                }
            ],
            "outputs": [],
            "id": "#catlog.cwl"
        },
        {
            "label": "cluster_blastp_wnode",
            "class": "CommandLineTool",
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "ResourceRequirement",
                    "ramMax": 5000
                },
                {
                    "class": "InitialWorkDirRequirement",
                    "listing": [
                        {
                            "entry": "$(inputs.blastdb_dir)",
                            "writable": false
                        },
                        {
                            "entry": "${ var cs=0; var s=inputs.asn_cache.length-1; var as = cs; if(as >= s) {as = s }; return inputs.asn_cache[as]; }",
                            "writable": false
                        },
                        {
                            "entry": "${ var cs=1; var s=inputs.asn_cache.length-1; var as = cs; if(as >= s) {as = s }; return inputs.asn_cache[as]; }",
                            "writable": false
                        },
                        {
                            "entry": "$(inputs.lds2)",
                            "writable": true
                        },
                        {
                            "entry": "$(inputs.proteins)",
                            "writable": false
                        }
                    ]
                }
            ],
            "baseCommand": "cluster_blastp_wnode",
            "inputs": [
                {
                    "type": "string",
                    "inputBinding": {
                        "prefix": "-align_filter"
                    },
                    "id": "#cluster_blastp_wnode.cwl/align_filter"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "inputBinding": {
                        "prefix": "-allow-intersection"
                    },
                    "id": "#cluster_blastp_wnode.cwl/allow_intersection"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "Directory"
                    },
                    "inputBinding": {
                        "prefix": "-asn-cache",
                        "itemSeparator": ","
                    },
                    "id": "#cluster_blastp_wnode.cwl/asn_cache"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "inputBinding": {
                        "prefix": "-backlog"
                    },
                    "id": "#cluster_blastp_wnode.cwl/backlog"
                },
                {
                    "type": "Directory",
                    "id": "#cluster_blastp_wnode.cwl/blastdb_dir"
                },
                {
                    "type": "string",
                    "inputBinding": {
                        "prefix": "-comp_based_stats"
                    },
                    "id": "#cluster_blastp_wnode.cwl/comp_based_stats"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "inputBinding": {
                        "prefix": "-compart"
                    },
                    "id": "#cluster_blastp_wnode.cwl/compart"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "prefix": "-dbsize"
                    },
                    "id": "#cluster_blastp_wnode.cwl/dbsize"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "inputBinding": {
                        "prefix": "-delay"
                    },
                    "id": "#cluster_blastp_wnode.cwl/delay"
                },
                {
                    "type": [
                        "null",
                        "float"
                    ],
                    "inputBinding": {
                        "prefix": "-evalue"
                    },
                    "id": "#cluster_blastp_wnode.cwl/evalue"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "inputBinding": {
                        "prefix": "-extra-coverage"
                    },
                    "id": "#cluster_blastp_wnode.cwl/extra_coverage"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-input-jobs"
                    },
                    "id": "#cluster_blastp_wnode.cwl/input_jobs"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "inputBinding": {
                        "prefix": "-lds2"
                    },
                    "id": "#cluster_blastp_wnode.cwl/lds2"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "inputBinding": {
                        "prefix": "-max-jobs"
                    },
                    "id": "#cluster_blastp_wnode.cwl/max_jobs"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "inputBinding": {
                        "prefix": "-max_target_seqs"
                    },
                    "id": "#cluster_blastp_wnode.cwl/max_target_seqs"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "inputBinding": {
                        "prefix": "-no-merge"
                    },
                    "id": "#cluster_blastp_wnode.cwl/no_merge"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "inputBinding": {
                        "prefix": "-nogenbank"
                    },
                    "id": "#cluster_blastp_wnode.cwl/nogenbank"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "prefix": "-ofmt"
                    },
                    "id": "#cluster_blastp_wnode.cwl/ofmt"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "output",
                    "inputBinding": {
                        "prefix": "-O"
                    },
                    "id": "#cluster_blastp_wnode.cwl/output_dir"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "id": "#cluster_blastp_wnode.cwl/proteins"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "prefix": "-seg"
                    },
                    "id": "#cluster_blastp_wnode.cwl/seg"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "inputBinding": {
                        "prefix": "-short-protein-threshold"
                    },
                    "id": "#cluster_blastp_wnode.cwl/short_protein_threshold"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "prefix": "-soft_masking"
                    },
                    "id": "#cluster_blastp_wnode.cwl/soft_masking"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "inputBinding": {
                        "prefix": "-threshold"
                    },
                    "id": "#cluster_blastp_wnode.cwl/threshold"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "inputBinding": {
                        "prefix": "-top-by-score"
                    },
                    "id": "#cluster_blastp_wnode.cwl/top_by_score"
                },
                {
                    "type": "int",
                    "inputBinding": {
                        "prefix": "-word_size"
                    },
                    "id": "#cluster_blastp_wnode.cwl/word_size"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "inputBinding": {
                        "prefix": "-workers"
                    },
                    "id": "#cluster_blastp_wnode.cwl/workers"
                },
                {
                    "type": [
                        "null",
                        "float"
                    ],
                    "inputBinding": {
                        "prefix": "-workers-per-cpu"
                    },
                    "id": "#cluster_blastp_wnode.cwl/workers_per_cpu"
                }
            ],
            "outputs": [
                {
                    "type": "Directory",
                    "outputBinding": {
                        "glob": "$(inputs.output_dir)"
                    },
                    "id": "#cluster_blastp_wnode.cwl/outdir"
                }
            ],
            "id": "#cluster_blastp_wnode.cwl"
        },
        {
            "label": "collect_annot_stats",
            "class": "CommandLineTool",
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "InitialWorkDirRequirement",
                    "listing": [
                        {
                            "entryname": "proc_annot_stats_or_details.mft",
                            "entry": "${var blob = '# proc_annot_stats_or_details.mft created for collect_annot_stats from input input Array of Files\\n'; for (var i = 0; i < inputs.input.length; i++) { blob += inputs.input[i].path + '\\n'; } return blob; }"
                        }
                    ]
                }
            ],
            "baseCommand": "collect_annot_stats",
            "inputs": [
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "id": "#collect_annot_stats.cwl/input"
                },
                {
                    "type": "string",
                    "default": "proc_annot_stats_or_details.mft",
                    "inputBinding": {
                        "prefix": "-input-manifest"
                    },
                    "id": "#collect_annot_stats.cwl/input_manifest"
                },
                {
                    "type": "string",
                    "inputBinding": {
                        "prefix": "-o"
                    },
                    "id": "#collect_annot_stats.cwl/output_name"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.output_name)"
                    },
                    "id": "#collect_annot_stats.cwl/output"
                }
            ],
            "id": "#collect_annot_stats.cwl"
        },
        {
            "label": "compute_gencode",
            "class": "CommandLineTool",
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                }
            ],
            "baseCommand": "compute_gencode",
            "inputs": [
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "inputBinding": {
                        "prefix": "-gencode"
                    },
                    "id": "#compute_gencode.cwl/gencode"
                },
                {
                    "type": "string",
                    "default": "gencode.txt",
                    "inputBinding": {
                        "prefix": "-output"
                    },
                    "id": "#compute_gencode.cwl/output_impl"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "inputBinding": {
                        "prefix": "-superkingdom"
                    },
                    "id": "#compute_gencode.cwl/superkingdom"
                },
                {
                    "type": "int",
                    "inputBinding": {
                        "prefix": "-taxid"
                    },
                    "id": "#compute_gencode.cwl/taxid"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-taxon-db"
                    },
                    "id": "#compute_gencode.cwl/taxon_db"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.output_impl)"
                    },
                    "id": "#compute_gencode.cwl/output"
                }
            ],
            "id": "#compute_gencode.cwl"
        },
        {
            "label": "dumb_down_as_required",
            "class": "CommandLineTool",
            "baseCommand": "dumb_down_as_required",
            "inputs": [
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-annotation"
                    },
                    "id": "#dumb_down_as_required.cwl/annotation"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "Directory"
                    },
                    "inputBinding": {
                        "prefix": "-asn-cache",
                        "itemSeparator": ","
                    },
                    "id": "#dumb_down_as_required.cwl/asn_cache"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "inputBinding": {
                        "prefix": "-drop-partial-in-the-middle"
                    },
                    "id": "#dumb_down_as_required.cwl/drop_partial_in_the_middle"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "inputBinding": {
                        "prefix": "-it"
                    },
                    "id": "#dumb_down_as_required.cwl/it"
                },
                {
                    "type": [
                        "null",
                        "float"
                    ],
                    "inputBinding": {
                        "prefix": "-max-x-ratio"
                    },
                    "id": "#dumb_down_as_required.cwl/max_x_ratio"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "inputBinding": {
                        "prefix": "-max-x-run"
                    },
                    "id": "#dumb_down_as_required.cwl/max_x_run"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "inputBinding": {
                        "prefix": "-nogenbank"
                    },
                    "id": "#dumb_down_as_required.cwl/nogenbank"
                },
                {
                    "type": "string",
                    "default": "annot.ent",
                    "inputBinding": {
                        "prefix": "-outent"
                    },
                    "id": "#dumb_down_as_required.cwl/outent_name"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "inputBinding": {
                        "prefix": "-partial-cov-threshold"
                    },
                    "id": "#dumb_down_as_required.cwl/partial_cov_threshold"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "inputBinding": {
                        "prefix": "-partial-len-threshold"
                    },
                    "id": "#dumb_down_as_required.cwl/partial_len_threshold"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "inputBinding": {
                        "prefix": "-submission-mode-genbank"
                    },
                    "id": "#dumb_down_as_required.cwl/submission_mode_genbank"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "inputBinding": {
                        "prefix": "-submol_block_json"
                    },
                    "id": "#dumb_down_as_required.cwl/submol_block_json"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.outent_name)"
                    },
                    "id": "#dumb_down_as_required.cwl/outent"
                }
            ],
            "id": "#dumb_down_as_required.cwl"
        },
        {
            "label": "ent2sqn",
            "class": "CommandLineTool",
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "InitialWorkDirRequirement",
                    "listing": [
                        {
                            "entryname": "submit_block_template.mft",
                            "entry": "${var blob = '# submit_block_template.mft created for ent2sqn from input submit_block_template Array of Files\\n'; for (var i = 0; i < inputs.submit_block_template.length; i++) { blob += inputs.submit_block_template[i].path + '\\n'; } return blob; }"
                        }
                    ]
                }
            ],
            "baseCommand": "ent2sqn",
            "arguments": [
                "-nogenbank"
            ],
            "inputs": [
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-annotation"
                    },
                    "id": "#ent2sqn.cwl/annotation"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "Directory"
                    },
                    "inputBinding": {
                        "prefix": "-asn-cache",
                        "itemSeparator": ","
                    },
                    "id": "#ent2sqn.cwl/asn_cache"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "default": true,
                    "inputBinding": {
                        "prefix": "-contact-as-author-possible"
                    },
                    "id": "#ent2sqn.cwl/contact_as_author_possible"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-gc-assembly"
                    },
                    "id": "#ent2sqn.cwl/gc_assembly"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "inputBinding": {
                        "prefix": "-it"
                    },
                    "id": "#ent2sqn.cwl/it"
                },
                {
                    "type": "string",
                    "default": "annot.sqn",
                    "inputBinding": {
                        "prefix": "-out"
                    },
                    "id": "#ent2sqn.cwl/output_impl"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "id": "#ent2sqn.cwl/submit_block_template"
                },
                {
                    "type": "string",
                    "default": "submit_block_template.mft",
                    "inputBinding": {
                        "prefix": "-submit-block-template"
                    },
                    "id": "#ent2sqn.cwl/submit_block_template_mft"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.output_impl)"
                    },
                    "id": "#ent2sqn.cwl/output"
                }
            ],
            "id": "#ent2sqn.cwl"
        },
        {
            "class": "ExpressionTool",
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                }
            ],
            "inputs": [
                {
                    "type": "File",
                    "inputBinding": {
                        "loadContents": true
                    },
                    "id": "#file2basenames.cwl/input"
                }
            ],
            "expression": "${\n  var values=[];\n  var lines=[];\n  if(inputs.input != null) {\n      lines = inputs.input.contents.split(\"\\n\");\n  }\n  for(var i = 0; i<lines.length; i++) {\n    var basename = lines[i];\n    var last_slash_i = basename.lastIndexOf(\"/\");\n    if(last_slash_i>-1) {\n      basename = basename.substr(last_slash_i + 1).trim();\n    }\n    if(basename.length > 0) {\n      values.push (basename);\n    }\n  }\n  return { \"values\": values }; \n}\n",
            "outputs": [
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#file2basenames.cwl/values"
                }
            ],
            "id": "#file2basenames.cwl"
        },
        {
            "class": "ExpressionTool",
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                }
            ],
            "inputs": [
                {
                    "type": "File",
                    "inputBinding": {
                        "loadContents": true
                    },
                    "id": "#file2int.cwl/input"
                }
            ],
            "expression": "${ return { \"value\": parseInt(inputs.input.contents) }; }\n",
            "outputs": [
                {
                    "type": "int",
                    "id": "#file2int.cwl/value"
                }
            ],
            "id": "#file2int.cwl"
        },
        {
            "class": "ExpressionTool",
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                }
            ],
            "inputs": [
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "inputBinding": {
                        "loadContents": true
                    },
                    "id": "#file2ints.cwl/input"
                }
            ],
            "expression": "${\n  var values=[];\n  if(inputs.input != null) {\n      var lines = inputs.input.contents.split(\"\\n\");\n      for(var i=0; i<lines.length; i++) {\n        if(lines[i].length == 0) {\n          continue;\n        }\n        var myint = parseInt(lines[i]);\n        if(myint != null) {\n          values.push(myint)  ;\n        }\n      }\n  }\n  return { \"values\": values }; \n}\n",
            "outputs": [
                {
                    "type": {
                        "type": "array",
                        "items": "int"
                    },
                    "id": "#file2ints.cwl/values"
                }
            ],
            "id": "#file2ints.cwl"
        },
        {
            "label": "final_bact_asn",
            "class": "CommandLineTool",
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "InitialWorkDirRequirement",
                    "listing": [
                        {
                            "entryname": "cleaned-annotation.mft",
                            "entry": "${var blob = '# cleaned-annotation.mft created for final_bact_asn from input annotation Array of Files\\n'; for (var i = 0; i < inputs.annotation.length; i++) { blob += inputs.annotation[i].path + '\\n'; } return blob; }"
                        }
                    ]
                }
            ],
            "baseCommand": "final_bact_asn",
            "inputs": [
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "id": "#final_bact_asn.cwl/annotation"
                },
                {
                    "type": "string",
                    "default": "cleaned-annotation.mft",
                    "inputBinding": {
                        "prefix": "-annotation"
                    },
                    "id": "#final_bact_asn.cwl/annotation_mft"
                },
                {
                    "type": "Directory",
                    "inputBinding": {
                        "prefix": "-asn-cache"
                    },
                    "id": "#final_bact_asn.cwl/asn_cache"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-gc-assembly"
                    },
                    "id": "#final_bact_asn.cwl/gc_assembly"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "inputBinding": {
                        "prefix": "-it"
                    },
                    "id": "#final_bact_asn.cwl/it"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-master-desc"
                    },
                    "id": "#final_bact_asn.cwl/master_desc"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "inputBinding": {
                        "prefix": "-nogenbank"
                    },
                    "id": "#final_bact_asn.cwl/nogenbank"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "inputBinding": {
                        "prefix": "-order"
                    },
                    "id": "#final_bact_asn.cwl/order"
                },
                {
                    "type": "string",
                    "default": "annot-full.ent",
                    "inputBinding": {
                        "prefix": "-outfull"
                    },
                    "id": "#final_bact_asn.cwl/outfull_name"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "inputBinding": {
                        "prefix": "-submission-mode-genbank"
                    },
                    "id": "#final_bact_asn.cwl/submission_mode_genbank"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.outfull_name)"
                    },
                    "id": "#final_bact_asn.cwl/outfull"
                }
            ],
            "id": "#final_bact_asn.cwl"
        },
        {
            "label": "find_orthologs",
            "class": "CommandLineTool",
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "InitialWorkDirRequirement",
                    "listing": [
                        {
                            "entryname": "annots1.mft",
                            "entry": "${var blob = '# annots1.mft created for find_orthologs from input annots1 File\\n';  if(inputs.annots1 != null) { blob += inputs.annots1.path + '\\n'; } return blob; }"
                        }
                    ]
                }
            ],
            "baseCommand": "find_orthologs",
            "inputs": [
                {
                    "type": "File",
                    "id": "#find_orthologs.cwl/annots1"
                },
                {
                    "type": "string",
                    "default": "annots1.mft",
                    "inputBinding": {
                        "prefix": "-annots1"
                    },
                    "id": "#find_orthologs.cwl/annots1impl"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "Directory"
                    },
                    "inputBinding": {
                        "prefix": "-asn-cache",
                        "itemSeparator": ","
                    },
                    "id": "#find_orthologs.cwl/asn_cache"
                },
                {
                    "type": "boolean",
                    "default": true,
                    "id": "#find_orthologs.cwl/check_exome"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-gc1"
                    },
                    "id": "#find_orthologs.cwl/gc1"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-gc2"
                    },
                    "id": "#find_orthologs.cwl/gc2"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "orthologs.rpt",
                    "inputBinding": {
                        "prefix": "-o_orthologs"
                    },
                    "id": "#find_orthologs.cwl/o_orthologs"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "stats.xml",
                    "inputBinding": {
                        "prefix": "-o_stats"
                    },
                    "id": "#find_orthologs.cwl/o_stats"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-prot_hits"
                    },
                    "id": "#find_orthologs.cwl/prot_hits"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.o_orthologs)"
                    },
                    "id": "#find_orthologs.cwl/orthologs"
                }
            ],
            "id": "#find_orthologs.cwl"
        },
        {
            "label": "gc_get_assembly",
            "class": "CommandLineTool",
            "baseCommand": "gc_get_assembly",
            "inputs": [
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-gc-cache"
                    },
                    "id": "#gc_get_assembly.cwl/gc_cache"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "prefix": "-mode"
                    },
                    "id": "#gc_get_assembly.cwl/mode"
                },
                {
                    "type": "string",
                    "default": "gencoll.asn",
                    "inputBinding": {
                        "prefix": "-o"
                    },
                    "id": "#gc_get_assembly.cwl/output_name"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "inputBinding": {
                        "prefix": "-release_id_list"
                    },
                    "id": "#gc_get_assembly.cwl/release_id_list"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.output_name)"
                    },
                    "id": "#gc_get_assembly.cwl/gencoll_asn"
                }
            ],
            "id": "#gc_get_assembly.cwl"
        },
        {
            "label": "gc_get_molecules",
            "class": "CommandLineTool",
            "baseCommand": "gc_get_molecules",
            "arguments": [
                "-nogenbank"
            ],
            "inputs": [
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "all",
                    "inputBinding": {
                        "prefix": "-filter"
                    },
                    "id": "#gc_get_molecules.cwl_2/filter"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-gc-assembly"
                    },
                    "id": "#gc_get_molecules.cwl_2/gc_assembly"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "top-level",
                    "inputBinding": {
                        "prefix": "-level"
                    },
                    "id": "#gc_get_molecules.cwl_2/level"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "assembly.molecules.ids",
                    "inputBinding": {
                        "prefix": "-o"
                    },
                    "id": "#gc_get_molecules.cwl_2/output_name"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.output_name)"
                    },
                    "id": "#gc_get_molecules.cwl_2/molecules"
                }
            ],
            "id": "#gc_get_molecules.cwl_2"
        },
        {
            "class": "ExpressionTool",
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                }
            ],
            "inputs": [
                {
                    "type": "int",
                    "id": "#gencode2trnamodel.cwl/gencode"
                }
            ],
            "expression": "${ var gc = inputs.gencode; var gc2 = \"\"; if( gc == 4 ) { gc2=\"othmito\"; } else if ( gc==6 ) { gc2=\"cilnuc\"; } else if ( gc == 9) { gc2 = \"echdmito\" } else if ( gc == 5) { gc2 = \"invmito\"  } else if ( gc == 2) { gc2 = \"vertmito\"  } else if ( gc == 3) { gc2 = \"ystmito\"  } ; if ( gc2 != \"\" ) { return { \"output\": \"/panfs/pan1.be-md.ncbi.nlm.nih.gov/gpipe/ThirdParty/tRNAscan-SE/production/lib/tRNAscan-SE/gcode/gcode.\"+gc2 }; } else { return { \"output\": null }; } }\n",
            "outputs": [
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "id": "#gencode2trnamodel.cwl/output"
                }
            ],
            "id": "#gencode2trnamodel.cwl"
        },
        {
            "label": "genemark",
            "class": "CommandLineTool",
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "InitialWorkDirRequirement",
                    "listing": [
                        {
                            "entryname": "annotation.mft",
                            "entry": "${ var blob = '# annotation.mft created for genemark from input annotation File\\n'; if ( inputs.annotation == null ) { return blob; } else { return blob + inputs.annotation.path; } }"
                        },
                        {
                            "entryname": "sequences.mft",
                            "entry": "${ var blob = '# sequences.mft created for genemark from input sequences File\\n'; if ( inputs.sequences == null) { return blob; }  else { return blob + inputs.sequences.path; } }"
                        },
                        {
                            "entryname": "alignments.mft",
                            "entry": "${ var blob = '# alignments.mft created for genemark from input alignments File\\n'; if ( inputs.alignments == null ) { return blob; }  else { return blob + inputs.alignments.path; } }"
                        }
                    ]
                }
            ],
            "baseCommand": "genemark",
            "inputs": [
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "id": "#genemark.cwl/alignments"
                },
                {
                    "type": "string",
                    "default": "alignments.mft",
                    "inputBinding": {
                        "prefix": "-alignments"
                    },
                    "id": "#genemark.cwl/alignments_manifest"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "id": "#genemark.cwl/annotation"
                },
                {
                    "type": "string",
                    "default": "annotation.mft",
                    "inputBinding": {
                        "prefix": "-annotation"
                    },
                    "id": "#genemark.cwl/annotation_manifest"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "Directory"
                    },
                    "inputBinding": {
                        "prefix": "-asn-cache",
                        "itemSeparator": ","
                    },
                    "id": "#genemark.cwl/asn_cache"
                },
                {
                    "type": "string",
                    "inputBinding": {
                        "prefix": "-genemark-path"
                    },
                    "id": "#genemark.cwl/genemark_path"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "inputBinding": {
                        "prefix": "-hmm-params"
                    },
                    "id": "#genemark.cwl/hmm_params"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "marked-annotation.asn",
                    "inputBinding": {
                        "prefix": "-marked-annotation"
                    },
                    "id": "#genemark.cwl/marked_annotation_name"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "inputBinding": {
                        "prefix": "-min_seq_len"
                    },
                    "id": "#genemark.cwl/min_seq_len"
                },
                {
                    "type": "boolean",
                    "inputBinding": {
                        "prefix": "-nogenbank"
                    },
                    "id": "#genemark.cwl/nogenbank"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "preliminary-models.asn",
                    "inputBinding": {
                        "prefix": "-out"
                    },
                    "id": "#genemark.cwl/preliminary_models_name"
                },
                {
                    "type": "File",
                    "id": "#genemark.cwl/sequences"
                },
                {
                    "type": "string",
                    "default": "sequences.mft",
                    "inputBinding": {
                        "prefix": "-sequences"
                    },
                    "id": "#genemark.cwl/sequences_manifests"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-thr"
                    },
                    "id": "#genemark.cwl/thr"
                },
                {
                    "type": "string",
                    "default": ".",
                    "inputBinding": {
                        "prefix": "-tmp"
                    },
                    "id": "#genemark.cwl/tmp"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.marked_annotation_name)"
                    },
                    "id": "#genemark.cwl/marked_annotation"
                },
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.preliminary_models_name)"
                    },
                    "id": "#genemark.cwl/preliminary_models"
                }
            ],
            "id": "#genemark.cwl"
        },
        {
            "label": "genemark_post",
            "class": "CommandLineTool",
            "baseCommand": "genemark_post",
            "inputs": [
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "inputBinding": {
                        "prefix": "-abs-short-model-limit"
                    },
                    "id": "#genemark_post.cwl/abs_short_model_limit"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "Directory"
                    },
                    "inputBinding": {
                        "prefix": "-asn-cache",
                        "itemSeparator": ","
                    },
                    "id": "#genemark_post.cwl/asn_cache"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-genemark-annot"
                    },
                    "id": "#genemark_post.cwl/genemark_annot"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "inputBinding": {
                        "prefix": "-max-overlap"
                    },
                    "id": "#genemark_post.cwl/max_overlap"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "inputBinding": {
                        "prefix": "-max-unannotated-region"
                    },
                    "id": "#genemark_post.cwl/max_unannotated_region"
                },
                {
                    "type": "string",
                    "default": "models.asn",
                    "inputBinding": {
                        "prefix": "-out"
                    },
                    "id": "#genemark_post.cwl/models_name"
                },
                {
                    "type": "boolean",
                    "inputBinding": {
                        "prefix": "-nogenbank"
                    },
                    "id": "#genemark_post.cwl/nogenbank"
                },
                {
                    "type": "string",
                    "default": "all-proteins.ids",
                    "inputBinding": {
                        "prefix": "-out-product-ids"
                    },
                    "id": "#genemark_post.cwl/out_product_ids_name"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "inputBinding": {
                        "prefix": "-pre-annot"
                    },
                    "id": "#genemark_post.cwl/pre_annot"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "prefix": "-product-id-prefix"
                    },
                    "id": "#genemark_post.cwl/product_id_prefix"
                },
                {
                    "type": "Directory",
                    "id": "#genemark_post.cwl/selenoproteins"
                },
                {
                    "type": "string",
                    "inputBinding": {
                        "prefix": "-selenoproteins",
                        "valueFrom": "$(inputs.selenoproteins.path)/$(inputs.selenoproteins_db)"
                    },
                    "id": "#genemark_post.cwl/selenoproteins_db"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "inputBinding": {
                        "prefix": "-short-model-limit"
                    },
                    "id": "#genemark_post.cwl/short_model_limit"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-unicoll_sqlite"
                    },
                    "id": "#genemark_post.cwl/unicoll_sqlite"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.models_name)"
                    },
                    "id": "#genemark_post.cwl/models"
                }
            ],
            "id": "#genemark_post.cwl"
        },
        {
            "label": "genemark_training",
            "class": "CommandLineTool",
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "InitialWorkDirRequirement",
                    "listing": [
                        {
                            "entryname": "annotation.mft",
                            "entry": "${ var blob = '# annotation.mft created for genemark_training from input annotation File\\n'; if ( inputs.annotation == null ) { return blob; } else { return blob + inputs.annotation.path; } }"
                        },
                        {
                            "entryname": "sequences.mft",
                            "entry": "${ var blob = '# sequences.mft created for genemark_training from input sequences File\\n'; if ( inputs.sequences == null) { return blob; }  else { return blob + inputs.sequences.path; } }"
                        },
                        {
                            "entryname": "alignments.mft",
                            "entry": "${ var blob = '# alignments.mft created for genemark_training from input alignments File\\n'; if ( inputs.alignments == null ) { return blob; }  else { return blob + inputs.alignments.path; } }"
                        }
                    ]
                }
            ],
            "baseCommand": "genemark",
            "inputs": [
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "id": "#genemark_training.cwl/alignments"
                },
                {
                    "type": "string",
                    "default": "alignments.mft",
                    "inputBinding": {
                        "prefix": "-alignments"
                    },
                    "id": "#genemark_training.cwl/alignments_manifest"
                },
                {
                    "type": "File",
                    "id": "#genemark_training.cwl/annotation"
                },
                {
                    "type": "string",
                    "default": "annotation.mft",
                    "inputBinding": {
                        "prefix": "-annotation"
                    },
                    "id": "#genemark_training.cwl/annotation_manifest"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "Directory"
                    },
                    "inputBinding": {
                        "prefix": "-asn-cache",
                        "itemSeparator": ","
                    },
                    "id": "#genemark_training.cwl/asn_cache"
                },
                {
                    "type": "string",
                    "inputBinding": {
                        "prefix": "-genemark-path"
                    },
                    "id": "#genemark_training.cwl/genemark_path"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "prefix": "-marked-annotation"
                    },
                    "id": "#genemark_training.cwl/marked_annotation_name"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "inputBinding": {
                        "prefix": "-min_seq_len"
                    },
                    "id": "#genemark_training.cwl/min_seq_len"
                },
                {
                    "type": "boolean",
                    "inputBinding": {
                        "prefix": "-nogenbank"
                    },
                    "id": "#genemark_training.cwl/nogenbank"
                },
                {
                    "type": "string",
                    "default": "GeneMark_hmm_combined.mod",
                    "id": "#genemark_training.cwl/out_hmm_params_name"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "preliminary-models.asn",
                    "inputBinding": {
                        "prefix": "-out"
                    },
                    "id": "#genemark_training.cwl/preliminary_models_name"
                },
                {
                    "type": "File",
                    "id": "#genemark_training.cwl/sequences"
                },
                {
                    "type": "string",
                    "default": "sequences.mft",
                    "inputBinding": {
                        "prefix": "-sequences"
                    },
                    "id": "#genemark_training.cwl/sequences_manifests"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-thr"
                    },
                    "id": "#genemark_training.cwl/thr"
                },
                {
                    "type": "string",
                    "default": ".",
                    "inputBinding": {
                        "prefix": "-tmp"
                    },
                    "id": "#genemark_training.cwl/tmp"
                }
            ],
            "outputs": [
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "outputBinding": {
                        "glob": "$(inputs.marked_annotation_name)"
                    },
                    "id": "#genemark_training.cwl/marked_annotation"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "outputBinding": {
                        "glob": "$(inputs.tmp)/$(inputs.out_hmm_params_name)"
                    },
                    "id": "#genemark_training.cwl/out_hmm_params"
                },
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.preliminary_models_name)"
                    },
                    "id": "#genemark_training.cwl/preliminary_models"
                }
            ],
            "id": "#genemark_training.cwl"
        },
        {
            "label": "get_orthologous_assembly",
            "class": "CommandLineTool",
            "baseCommand": "get_orthologous_assembly",
            "inputs": [
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "orthologous.assembly.gcid",
                    "inputBinding": {
                        "prefix": "-output"
                    },
                    "id": "#get_orthologous_assembly.cwl/output_name"
                },
                {
                    "type": "int",
                    "inputBinding": {
                        "prefix": "-taxid"
                    },
                    "id": "#get_orthologous_assembly.cwl/taxid"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-taxon-db"
                    },
                    "id": "#get_orthologous_assembly.cwl/taxon_db"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-unicoll_sqlite"
                    },
                    "id": "#get_orthologous_assembly.cwl/unicoll_sqlite"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.output_name)"
                    },
                    "id": "#get_orthologous_assembly.cwl/output"
                }
            ],
            "id": "#get_orthologous_assembly.cwl"
        },
        {
            "label": "gp_annot_format",
            "class": "CommandLineTool",
            "baseCommand": "gp_annot_format",
            "inputs": [
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "inputBinding": {
                        "prefix": "-exclude-external"
                    },
                    "id": "#gp_annot_format.cwl/exclude_external"
                },
                {
                    "type": "string",
                    "inputBinding": {
                        "prefix": "-ifmt"
                    },
                    "id": "#gp_annot_format.cwl/ifmt"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-input"
                    },
                    "id": "#gp_annot_format.cwl/input"
                },
                {
                    "type": "string",
                    "inputBinding": {
                        "prefix": "-ofmt"
                    },
                    "id": "#gp_annot_format.cwl/ofmt"
                },
                {
                    "type": "string",
                    "default": "annot.gff",
                    "inputBinding": {
                        "prefix": "-o"
                    },
                    "id": "#gp_annot_format.cwl/oname"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "inputBinding": {
                        "prefix": "-t"
                    },
                    "id": "#gp_annot_format.cwl/t"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.oname)"
                    },
                    "id": "#gp_annot_format.cwl/output"
                }
            ],
            "id": "#gp_annot_format.cwl"
        },
        {
            "label": "gp_fetch_sequences",
            "class": "CommandLineTool",
            "requirements": [
                {
                    "class": "InitialWorkDirRequirement",
                    "listing": [
                        {
                            "entry": "$(inputs.proteins)",
                            "writable": false
                        }
                    ]
                }
            ],
            "baseCommand": "gp_fetch_sequences",
            "arguments": [
                "-nogenbank"
            ],
            "inputs": [
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "Directory"
                        }
                    ],
                    "inputBinding": {
                        "prefix": "-asn-cache",
                        "itemSeparator": ","
                    },
                    "id": "#gp_fetch_sequences.cwl/asn_cache"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-input"
                    },
                    "id": "#gp_fetch_sequences.cwl/input"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "inputBinding": {
                        "prefix": "-lds2"
                    },
                    "id": "#gp_fetch_sequences.cwl/lds2"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "out_asn_name.asn",
                    "inputBinding": {
                        "prefix": "-o"
                    },
                    "id": "#gp_fetch_sequences.cwl/out_asn_name"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "id": "#gp_fetch_sequences.cwl/proteins"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.out_asn_name)"
                    },
                    "id": "#gp_fetch_sequences.cwl/output"
                }
            ],
            "id": "#gp_fetch_sequences.cwl"
        },
        {
            "label": "gp_getorf",
            "class": "CommandLineTool",
            "baseCommand": "gp_getorf",
            "arguments": [
                "-nogenbank"
            ],
            "inputs": [
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "from-stop-to-stop",
                    "inputBinding": {
                        "prefix": "-allowable-starts"
                    },
                    "id": "#gp_getorf.cwl/allowable_starts"
                },
                {
                    "type": "Directory",
                    "inputBinding": {
                        "prefix": "-asn-cache"
                    },
                    "id": "#gp_getorf.cwl/asn_cache"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "seq-entries-b",
                    "inputBinding": {
                        "prefix": "-ifmt"
                    },
                    "id": "#gp_getorf.cwl/ifmt"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-input"
                    },
                    "id": "#gp_getorf.cwl/input"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "default": 10000,
                    "inputBinding": {
                        "prefix": "-max-seq-gap"
                    },
                    "id": "#gp_getorf.cwl/max_seq_gap"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "default": 42,
                    "inputBinding": {
                        "prefix": "-minsize"
                    },
                    "id": "#gp_getorf.cwl/minsize"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "entries.asnb",
                    "inputBinding": {
                        "prefix": "-seq-output"
                    },
                    "id": "#gp_getorf.cwl/outfile"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.outfile)"
                    },
                    "id": "#gp_getorf.cwl/outseqs"
                }
            ],
            "id": "#gp_getorf.cwl"
        },
        {
            "label": "gp_makeblastdb",
            "class": "Workflow",
            "requirements": [
                {
                    "class": "StepInputExpressionRequirement"
                }
            ],
            "inputs": [
                {
                    "type": {
                        "type": "array",
                        "items": "Directory"
                    },
                    "id": "#gp_makeblastdb.cwl/asn_cache"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "id": "#gp_makeblastdb.cwl/asnb"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "id": "#gp_makeblastdb.cwl/asnt"
                },
                {
                    "type": "string",
                    "id": "#gp_makeblastdb.cwl/dbtype"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "id": "#gp_makeblastdb.cwl/fasta"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "id": "#gp_makeblastdb.cwl/hardmask"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "id": "#gp_makeblastdb.cwl/ids"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "id": "#gp_makeblastdb.cwl/lds2"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "id": "#gp_makeblastdb.cwl/molecules"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "id": "#gp_makeblastdb.cwl/softmask"
                },
                {
                    "type": "string",
                    "id": "#gp_makeblastdb.cwl/title"
                }
            ],
            "steps": [
                {
                    "run": {
                        "class": "CommandLineTool",
                        "requirements": [
                            {
                                "class": "InitialWorkDirRequirement",
                                "listing": [
                                    {
                                        "entry": "$(inputs.molecules)",
                                        "writable": false
                                    }
                                ]
                            }
                        ],
                        "baseCommand": "gp_makeblastdb",
                        "arguments": [
                            "-nogenbank"
                        ],
                        "inputs": [
                            {
                                "type": {
                                    "type": "array",
                                    "items": "Directory"
                                },
                                "inputBinding": {
                                    "prefix": "-asn-cache",
                                    "itemSeparator": ","
                                },
                                "id": "#gp_makeblastdb.cwl/actual/run/asn_cache"
                            },
                            {
                                "type": [
                                    "null",
                                    "File"
                                ],
                                "inputBinding": {
                                    "prefix": "-asnb"
                                },
                                "id": "#gp_makeblastdb.cwl/actual/run/asnb"
                            },
                            {
                                "type": [
                                    "null",
                                    "File"
                                ],
                                "inputBinding": {
                                    "prefix": "-asnt"
                                },
                                "id": "#gp_makeblastdb.cwl/actual/run/asnt"
                            },
                            {
                                "type": "string",
                                "inputBinding": {
                                    "prefix": "-dbtype"
                                },
                                "id": "#gp_makeblastdb.cwl/actual/run/dbtype"
                            },
                            {
                                "type": [
                                    "null",
                                    "File"
                                ],
                                "inputBinding": {
                                    "prefix": "-fasta"
                                },
                                "id": "#gp_makeblastdb.cwl/actual/run/fasta"
                            },
                            {
                                "type": "string",
                                "default": "found_ids.txt",
                                "inputBinding": {
                                    "prefix": "-found-ids-output"
                                },
                                "id": "#gp_makeblastdb.cwl/actual/run/found_ids_output_file"
                            },
                            {
                                "type": "string",
                                "default": "found_ids.mft",
                                "inputBinding": {
                                    "prefix": "-found-ids-output-manifest"
                                },
                                "id": "#gp_makeblastdb.cwl/actual/run/found_ids_output_manifest"
                            },
                            {
                                "type": [
                                    "null",
                                    "File"
                                ],
                                "inputBinding": {
                                    "prefix": "-hardmask"
                                },
                                "id": "#gp_makeblastdb.cwl/actual/run/hardmask"
                            },
                            {
                                "type": [
                                    "null",
                                    "File"
                                ],
                                "inputBinding": {
                                    "prefix": "-ids"
                                },
                                "id": "#gp_makeblastdb.cwl/actual/run/ids"
                            },
                            {
                                "type": [
                                    "null",
                                    "File"
                                ],
                                "inputBinding": {
                                    "prefix": "-lds2"
                                },
                                "id": "#gp_makeblastdb.cwl/actual/run/lds2"
                            },
                            {
                                "type": [
                                    "null",
                                    "File"
                                ],
                                "id": "#gp_makeblastdb.cwl/actual/run/molecules"
                            },
                            {
                                "type": "string",
                                "default": "blastdb",
                                "inputBinding": {
                                    "prefix": "-db"
                                },
                                "id": "#gp_makeblastdb.cwl/actual/run/output_db_file"
                            },
                            {
                                "type": "string",
                                "default": "blastdb.mft",
                                "inputBinding": {
                                    "prefix": "-output-manifest"
                                },
                                "id": "#gp_makeblastdb.cwl/actual/run/output_db_manifest"
                            },
                            {
                                "type": [
                                    "null",
                                    "File"
                                ],
                                "inputBinding": {
                                    "prefix": "-softmask"
                                },
                                "id": "#gp_makeblastdb.cwl/actual/run/softmask"
                            },
                            {
                                "type": "string",
                                "inputBinding": {
                                    "prefix": "-title"
                                },
                                "id": "#gp_makeblastdb.cwl/actual/run/title"
                            }
                        ],
                        "outputs": [
                            {
                                "type": {
                                    "type": "array",
                                    "items": "File"
                                },
                                "outputBinding": {
                                    "glob": "blastdb.*"
                                },
                                "id": "#gp_makeblastdb.cwl/actual/run/blastfiles"
                            },
                            {
                                "type": "string",
                                "outputBinding": {
                                    "outputEval": "$(inputs.output_db_file)"
                                },
                                "id": "#gp_makeblastdb.cwl/actual/run/dbname"
                            },
                            {
                                "type": "File",
                                "outputBinding": {
                                    "glob": "$(inputs.found_ids_output_file)"
                                },
                                "id": "#gp_makeblastdb.cwl/actual/run/found_ids"
                            }
                        ]
                    },
                    "in": [
                        {
                            "source": "#gp_makeblastdb.cwl/asn_cache",
                            "id": "#gp_makeblastdb.cwl/actual/asn_cache"
                        },
                        {
                            "source": "#gp_makeblastdb.cwl/asnb",
                            "id": "#gp_makeblastdb.cwl/actual/asnb"
                        },
                        {
                            "source": "#gp_makeblastdb.cwl/asnt",
                            "id": "#gp_makeblastdb.cwl/actual/asnt"
                        },
                        {
                            "source": "#gp_makeblastdb.cwl/dbtype",
                            "id": "#gp_makeblastdb.cwl/actual/dbtype"
                        },
                        {
                            "source": "#gp_makeblastdb.cwl/fasta",
                            "id": "#gp_makeblastdb.cwl/actual/fasta"
                        },
                        {
                            "source": "#gp_makeblastdb.cwl/hardmask",
                            "id": "#gp_makeblastdb.cwl/actual/hardmask"
                        },
                        {
                            "source": "#gp_makeblastdb.cwl/ids",
                            "id": "#gp_makeblastdb.cwl/actual/ids"
                        },
                        {
                            "source": "#gp_makeblastdb.cwl/softmask",
                            "id": "#gp_makeblastdb.cwl/actual/softmask"
                        },
                        {
                            "source": "#gp_makeblastdb.cwl/title",
                            "id": "#gp_makeblastdb.cwl/actual/title"
                        }
                    ],
                    "out": [
                        "#gp_makeblastdb.cwl/actual/blastfiles"
                    ],
                    "id": "#gp_makeblastdb.cwl/actual"
                },
                {
                    "run": {
                        "class": "CommandLineTool",
                        "requirements": [
                            {
                                "class": "ShellCommandRequirement"
                            }
                        ],
                        "arguments": [
                            {
                                "shellQuote": false,
                                "valueFrom": "mkdir $(inputs.blastdir) && cp"
                            }
                        ],
                        "inputs": [
                            {
                                "type": "string",
                                "inputBinding": {
                                    "position": 2
                                },
                                "id": "#gp_makeblastdb.cwl/mkdir/run/blastdir"
                            },
                            {
                                "type": {
                                    "type": "array",
                                    "items": "File"
                                },
                                "inputBinding": {
                                    "position": 1
                                },
                                "id": "#gp_makeblastdb.cwl/mkdir/run/blastfiles"
                            }
                        ],
                        "outputs": [
                            {
                                "type": "Directory",
                                "outputBinding": {
                                    "glob": "$(inputs.blastdir)"
                                },
                                "id": "#gp_makeblastdb.cwl/mkdir/run/blastdb"
                            }
                        ]
                    },
                    "in": [
                        {
                            "default": "blastdir",
                            "id": "#gp_makeblastdb.cwl/mkdir/blastdir"
                        },
                        {
                            "source": "#gp_makeblastdb.cwl/actual/blastfiles",
                            "id": "#gp_makeblastdb.cwl/mkdir/blastfiles"
                        }
                    ],
                    "out": [
                        "#gp_makeblastdb.cwl/mkdir/blastdb"
                    ],
                    "id": "#gp_makeblastdb.cwl/mkdir"
                }
            ],
            "outputs": [
                {
                    "type": "Directory",
                    "outputSource": "#gp_makeblastdb.cwl/mkdir/blastdb",
                    "id": "#gp_makeblastdb.cwl/blastdb"
                }
            ],
            "id": "#gp_makeblastdb.cwl"
        },
        {
            "label": "gpx_qdump",
            "class": "CommandLineTool",
            "arguments": [
                "-produce-empty-file"
            ],
            "baseCommand": "gpx_qdump",
            "inputs": [
                {
                    "type": "Directory",
                    "inputBinding": {
                        "prefix": "-input-path"
                    },
                    "id": "#gpx_qdump.cwl_5/input_path"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "output.asn",
                    "inputBinding": {
                        "prefix": "-output"
                    },
                    "id": "#gpx_qdump.cwl_5/output_name"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "prefix": "-unzip"
                    },
                    "id": "#gpx_qdump.cwl_5/unzip"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.output_name)"
                    },
                    "id": "#gpx_qdump.cwl_5/output"
                }
            ],
            "id": "#gpx_qdump.cwl_5"
        },
        {
            "label": "gpx_qsubmit",
            "doc": "This workflow is specialized for the case when there is an LDS2 input  LDS2 is a _reference_ object, the kind that CWL does not like we need to provide actual input: proteins which matches the name of ASN.1 object references in LDS2 Another limitation is that it can handle no more than two item arrays in blastdb_dir and asn_cache Workaround used so far: in:\n  proteins:\n    default:\n        class: File\n        path: '/dev/null'\n        basename: 'null'\n        contents: ''\n",
            "class": "CommandLineTool",
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "InitialWorkDirRequirement",
                    "listing": [
                        {
                            "entry": "$(inputs.proteins)",
                            "writable": false
                        },
                        {
                            "entry": "$(inputs.blastdb_dir)",
                            "writable": false
                        },
                        {
                            "entry": "${ var cs=0; var s=inputs.asn_cache.length-1; var as = cs; if(as >= s) {as = s }; return inputs.asn_cache[as]; }",
                            "writable": false
                        },
                        {
                            "entry": "${ var cs=1; var s=inputs.asn_cache.length-1; var as = cs; if(as >= s) {as = s }; return inputs.asn_cache[as]; }",
                            "writable": false
                        },
                        {
                            "entryname": "ids.mft",
                            "entry": "${var blob = '# ids.mft created for gpx_qsubmit from input ids Array of Files\\n';for (var i = 0; i < inputs.ids.length; i++) {blob += inputs.ids[i].path  + '\\n';}return blob;}"
                        }
                    ]
                }
            ],
            "baseCommand": "gpx_qsubmit",
            "inputs": [
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "inputBinding": {
                        "prefix": "-NxM-threshold"
                    },
                    "id": "#gpx_qsubmit.cwl_3/NxM_threshold"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "subject",
                    "inputBinding": {
                        "prefix": "-affinity"
                    },
                    "id": "#gpx_qsubmit.cwl_3/affinity"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "Directory"
                        }
                    ],
                    "inputBinding": {
                        "prefix": "-asn-cache",
                        "itemSeparator": ","
                    },
                    "id": "#gpx_qsubmit.cwl_3/asn_cache"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "inputBinding": {
                        "prefix": "-batch-size"
                    },
                    "id": "#gpx_qsubmit.cwl_3/batch_size"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "inputBinding": {
                        "prefix": "-db",
                        "valueFrom": "${ var blob = ''; for (var i = 0; i < inputs.blastdb.length; i++) { blob += inputs.blastdb_dir.path + '/' + inputs.blastdb[i]; if(i != inputs.blastdb.length-1) blob += ','; } return blob; }"
                    },
                    "id": "#gpx_qsubmit.cwl_3/blastdb"
                },
                {
                    "type": [
                        "null",
                        "Directory"
                    ],
                    "id": "#gpx_qsubmit.cwl_3/blastdb_dir"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "File"
                        }
                    ],
                    "id": "#gpx_qsubmit.cwl_3/ids"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "ids.mft",
                    "inputBinding": {
                        "prefix": "-ids-manifest"
                    },
                    "id": "#gpx_qsubmit.cwl_3/ids_manifest"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "inputBinding": {
                        "prefix": "-lds2"
                    },
                    "id": "#gpx_qsubmit.cwl_3/lds2"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "inputBinding": {
                        "prefix": "-max-batch-length"
                    },
                    "id": "#gpx_qsubmit.cwl_3/max_batch_length"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "default": true,
                    "inputBinding": {
                        "prefix": "-nogenbank"
                    },
                    "id": "#gpx_qsubmit.cwl_3/nogenbank"
                },
                {
                    "type": "string",
                    "default": "jobs.xml",
                    "inputBinding": {
                        "prefix": "-o"
                    },
                    "id": "#gpx_qsubmit.cwl_3/output_xml_jobs"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "inputBinding": {
                        "prefix": "-overlap"
                    },
                    "id": "#gpx_qsubmit.cwl_3/overlap"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "id": "#gpx_qsubmit.cwl_3/proteins"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "inputBinding": {
                        "prefix": "-queries-gc-id-list"
                    },
                    "id": "#gpx_qsubmit.cwl_3/queries_gc_id_list"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "inputBinding": {
                        "prefix": "-subjects-gc-id-list"
                    },
                    "id": "#gpx_qsubmit.cwl_3/subjects_gc_id_list"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "inputBinding": {
                        "prefix": "-subseq-size"
                    },
                    "id": "#gpx_qsubmit.cwl_3/subseq_size"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "inputBinding": {
                        "prefix": "-xml-jobs"
                    },
                    "id": "#gpx_qsubmit.cwl_3/xml_jobs"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.output_xml_jobs)"
                    },
                    "id": "#gpx_qsubmit.cwl_3/jobs"
                }
            ],
            "id": "#gpx_qsubmit.cwl_3"
        },
        {
            "label": "hmmsearch_create_jobs",
            "class": "CommandLineTool",
            "requirements": [
                {
                    "class": "InitialWorkDirRequirement",
                    "listing": [
                        {
                            "entry": "$(inputs.hmm_path)",
                            "writable": false
                        }
                    ]
                }
            ],
            "baseCommand": "hmmsearch_create_jobs",
            "arguments": [
                "-no-merge-hmms"
            ],
            "inputs": [
                {
                    "type": "Directory",
                    "inputBinding": {
                        "prefix": "-hmm-path"
                    },
                    "id": "#hmmsearch_create_jobs.cwl/hmm_path"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "jobs.xml",
                    "inputBinding": {
                        "prefix": "-output"
                    },
                    "id": "#hmmsearch_create_jobs.cwl/output"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-seqids"
                    },
                    "id": "#hmmsearch_create_jobs.cwl/seqids"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "workpath",
                    "inputBinding": {
                        "prefix": "-workpath"
                    },
                    "id": "#hmmsearch_create_jobs.cwl/workpath"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.output)"
                    },
                    "id": "#hmmsearch_create_jobs.cwl/jobs"
                },
                {
                    "type": "Directory",
                    "outputBinding": {
                        "glob": "$(inputs.workpath)"
                    },
                    "id": "#hmmsearch_create_jobs.cwl/workdir"
                }
            ],
            "id": "#hmmsearch_create_jobs.cwl"
        },
        {
            "label": "hmmsearch_wnode",
            "class": "CommandLineTool",
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "ResourceRequirement",
                    "ramMax": 3000
                },
                {
                    "class": "InitialWorkDirRequirement",
                    "listing": [
                        {
                            "entry": "$(inputs.hmm_path)",
                            "writable": false
                        },
                        {
                            "entry": "$(inputs.proteins)",
                            "writable": false
                        },
                        {
                            "entry": "$(inputs.workdir)",
                            "writable": false
                        },
                        {
                            "entry": "$(inputs.asn_cache)",
                            "writable": false
                        },
                        {
                            "entryname": "fam.mft",
                            "entry": "${ var blob = '# fam.mft created for hmmsearch_wnode from input hmms_tab File\\n'; if ( inputs.hmms_tab == null ) { return blob; }  else { return blob + inputs.hmms_tab.path; } }"
                        }
                    ]
                }
            ],
            "baseCommand": "hmmsearch_wnode",
            "arguments": [
                "-backlog",
                "1",
                "-cut_ga",
                "-nogenbank"
            ],
            "inputs": [
                {
                    "type": "Directory",
                    "inputBinding": {
                        "prefix": "-asn-cache"
                    },
                    "id": "#hmmsearch_wnode.cwl/asn_cache"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "fam.mft",
                    "inputBinding": {
                        "prefix": "-fam"
                    },
                    "id": "#hmmsearch_wnode.cwl/fam"
                },
                {
                    "type": "Directory",
                    "id": "#hmmsearch_wnode.cwl/hmm_path"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "id": "#hmmsearch_wnode.cwl/hmms_tab"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "/panfs/pan1.be-md.ncbi.nlm.nih.gov/gpipe/bacterial_pipeline/system/bin",
                    "inputBinding": {
                        "prefix": "-hmmsearch-path"
                    },
                    "id": "#hmmsearch_wnode.cwl/hmmsearch_path"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-input-jobs"
                    },
                    "id": "#hmmsearch_wnode.cwl/input_jobs"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-lds2"
                    },
                    "id": "#hmmsearch_wnode.cwl/lds2"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "output",
                    "inputBinding": {
                        "prefix": "-O"
                    },
                    "id": "#hmmsearch_wnode.cwl/output_dir"
                },
                {
                    "type": "File",
                    "id": "#hmmsearch_wnode.cwl/proteins"
                },
                {
                    "type": "Directory",
                    "id": "#hmmsearch_wnode.cwl/workdir"
                }
            ],
            "outputs": [
                {
                    "type": "Directory",
                    "outputBinding": {
                        "glob": "$(inputs.output_dir)"
                    },
                    "id": "#hmmsearch_wnode.cwl/output"
                }
            ],
            "id": "#hmmsearch_wnode.cwl"
        },
        {
            "label": "identify_wp",
            "class": "CommandLineTool",
            "baseCommand": "identify_wp",
            "arguments": [
                "-nogenbank"
            ],
            "inputs": [
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "Directory"
                        }
                    ],
                    "inputBinding": {
                        "prefix": "-asn-cache",
                        "itemSeparator": ","
                    },
                    "id": "#identify_wp.cwl/asn_cache"
                },
                {
                    "type": "boolean",
                    "inputBinding": {
                        "prefix": "-fast"
                    },
                    "id": "#identify_wp.cwl/fast"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "prefix": "-ifmt"
                    },
                    "id": "#identify_wp.cwl/ifmt"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-lds2"
                    },
                    "id": "#identify_wp.cwl/lds2"
                },
                {
                    "type": "string",
                    "default": "names.xml",
                    "inputBinding": {
                        "prefix": "-onames"
                    },
                    "id": "#identify_wp.cwl/names"
                },
                {
                    "type": "File",
                    "id": "#identify_wp.cwl/proteins"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-input"
                    },
                    "id": "#identify_wp.cwl/sequences"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-taxon-db"
                    },
                    "id": "#identify_wp.cwl/taxon_db"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-wp-hashes"
                    },
                    "id": "#identify_wp.cwl/wp_hashes"
                }
            ],
            "stderr": "application.log",
            "stdout": "application.out",
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.names)"
                    },
                    "id": "#identify_wp.cwl/out_names"
                },
                {
                    "type": "File",
                    "id": "#identify_wp.cwl/stderr",
                    "outputBinding": {
                        "glob": "application.log"
                    }
                },
                {
                    "type": "File",
                    "id": "#identify_wp.cwl/stdout",
                    "outputBinding": {
                        "glob": "application.out"
                    }
                }
            ],
            "id": "#identify_wp.cwl"
        },
        {
            "label": "orf_hits_cache_retrieve",
            "class": "CommandLineTool",
            "baseCommand": "orf_hits_cache_retrieve",
            "arguments": [
                "-nogenbank"
            ],
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "InitialWorkDirRequirement",
                    "listing": [
                        {
                            "entry": "$(inputs.proteins)",
                            "writable": false
                        },
                        {
                            "entryname": "ids.mft",
                            "entry": "${\n  var blob = '# ids.mft created for orf_hits_cache_retrieve from input \"orfs\" Array of Files' +\n    String.fromCharCode(10) ; \n  for (var i = 0; i < inputs.orfs.length; i++) { \n    blob += inputs.orfs[i].path + String.fromCharCode(10); \n  } \n  return blob; \n}"
                        }
                    ]
                }
            ],
            "inputs": [
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "prefix": "-blast-type"
                    },
                    "id": "#orf_hits_cache_retrieve.cwl/blast_type"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "int"
                        }
                    ],
                    "inputBinding": {
                        "prefix": "-genus-list",
                        "itemSeparator": ","
                    },
                    "id": "#orf_hits_cache_retrieve.cwl/genus_list"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "retrieved_hits.asn",
                    "inputBinding": {
                        "prefix": "-hits-output"
                    },
                    "id": "#orf_hits_cache_retrieve.cwl/hits_output_name"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-lds2"
                    },
                    "id": "#orf_hits_cache_retrieve.cwl/lds2"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "not_found.ids",
                    "inputBinding": {
                        "prefix": "-not-found-output"
                    },
                    "id": "#orf_hits_cache_retrieve.cwl/not_found_output_name"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "id": "#orf_hits_cache_retrieve.cwl/orfs"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "ids.mft",
                    "inputBinding": {
                        "prefix": "-orfs-manifest"
                    },
                    "id": "#orf_hits_cache_retrieve.cwl/orfs_manifest"
                },
                {
                    "type": "File",
                    "id": "#orf_hits_cache_retrieve.cwl/proteins"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "inputBinding": {
                        "prefix": "-blast-hits-sqlite-cache"
                    },
                    "id": "#orf_hits_cache_retrieve.cwl/sqlite_cache"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "inputBinding": {
                        "prefix": "-taxid"
                    },
                    "id": "#orf_hits_cache_retrieve.cwl/taxid"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-taxon-db"
                    },
                    "id": "#orf_hits_cache_retrieve.cwl/taxon_db"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.hits_output_name)"
                    },
                    "id": "#orf_hits_cache_retrieve.cwl/hits_output"
                },
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.not_found_output_name)"
                    },
                    "id": "#orf_hits_cache_retrieve.cwl/not_found_output"
                }
            ],
            "id": "#orf_hits_cache_retrieve.cwl"
        },
        {
            "label": "pgapx_input_check",
            "class": "CommandLineTool",
            "baseCommand": "pgapx_input_check",
            "arguments": [
                "-nogenbank"
            ],
            "inputs": [
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "inputBinding": {
                        "prefix": "-conffile"
                    },
                    "id": "#pgapx_input_check.cwl/conffile"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "inputBinding": {
                        "prefix": "-ignore-all-errors"
                    },
                    "id": "#pgapx_input_check.cwl/ignore_all_errors"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-input"
                    },
                    "id": "#pgapx_input_check.cwl/input"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "prefix": "-logfile"
                    },
                    "id": "#pgapx_input_check.cwl/logfile_output"
                },
                {
                    "type": "long",
                    "inputBinding": {
                        "prefix": "-max-size"
                    },
                    "id": "#pgapx_input_check.cwl/max_size"
                },
                {
                    "type": "long",
                    "inputBinding": {
                        "prefix": "-min-size"
                    },
                    "id": "#pgapx_input_check.cwl/min_size"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-species-genome-size"
                    },
                    "id": "#pgapx_input_check.cwl/species_genome_size"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "inputBinding": {
                        "prefix": "-taxon-db"
                    },
                    "id": "#pgapx_input_check.cwl/taxon_db"
                }
            ],
            "outputs": [
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "outputBinding": {
                        "glob": "$(inputs.logfile_output)"
                    },
                    "id": "#pgapx_input_check.cwl/logfile"
                }
            ],
            "id": "#pgapx_input_check.cwl"
        },
        {
            "label": "pinger",
            "class": "CommandLineTool",
            "baseCommand": "pinger.sh",
            "stdout": "pinger.out",
            "inputs": [
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "File"
                        }
                    ],
                    "id": "#pinger.cwl/infile"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "dummyarg",
                    "id": "#pinger.cwl/instring"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "inputBinding": {
                        "position": 1,
                        "prefix": "make_uuid"
                    },
                    "id": "#pinger.cwl/make_uuid"
                },
                {
                    "type": "boolean",
                    "inputBinding": {
                        "position": 0,
                        "prefix": "do_report"
                    },
                    "id": "#pinger.cwl/report_usage"
                },
                {
                    "type": "string",
                    "inputBinding": {
                        "position": 3,
                        "prefix": "state",
                        "itemSeparator": " "
                    },
                    "id": "#pinger.cwl/state"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "inputBinding": {
                        "position": 2
                    },
                    "id": "#pinger.cwl/uuid_in"
                },
                {
                    "type": "string",
                    "inputBinding": {
                        "position": 4,
                        "prefix": "workflow",
                        "itemSeparator": " "
                    },
                    "id": "#pinger.cwl/workflow"
                }
            ],
            "outputs": [
                {
                    "type": "string",
                    "outputBinding": {
                        "outputEval": "$(inputs.instring)"
                    },
                    "id": "#pinger.cwl/outstring"
                },
                {
                    "type": "File",
                    "id": "#pinger.cwl/stdout",
                    "outputBinding": {
                        "glob": "pinger.out"
                    }
                },
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "uuid.txt"
                    },
                    "id": "#pinger.cwl/uuid_out"
                }
            ],
            "id": "#pinger.cwl"
        },
        {
            "label": "prepare_seq_entry_input",
            "doc": "",
            "class": "CommandLineTool",
            "baseCommand": "prepare_seq_entry_input",
            "arguments": [
                "-nogenbank"
            ],
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                }
            ],
            "inputs": [
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "id": "#prepare_seq_entry_input.cwl/entries"
                },
                {
                    "type": "string",
                    "default": "/dev/null",
                    "inputBinding": {
                        "prefix": "-ifmt",
                        "valueFrom": "${ if( inputs.seq_submit != null ) {return 'seq-submit'; } else { return 'seq-entry'; } }"
                    },
                    "id": "#prepare_seq_entry_input.cwl/ifmt"
                },
                {
                    "type": "string",
                    "default": "/dev/null",
                    "inputBinding": {
                        "prefix": "-input",
                        "valueFrom": "${ if( inputs.seq_submit != null ) { return  inputs.seq_submit.path; } else { return inputs.entries.path;  } }"
                    },
                    "id": "#prepare_seq_entry_input.cwl/input"
                },
                {
                    "type": "string",
                    "default": "order.seqids",
                    "inputBinding": {
                        "prefix": "-order"
                    },
                    "id": "#prepare_seq_entry_input.cwl/order_name"
                },
                {
                    "type": "string",
                    "default": "entries.asn",
                    "inputBinding": {
                        "prefix": "-output"
                    },
                    "id": "#prepare_seq_entry_input.cwl/output_entries_name"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "default": true,
                    "inputBinding": {
                        "prefix": "-pathogen-mode"
                    },
                    "id": "#prepare_seq_entry_input.cwl/pathogen_mode"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "id": "#prepare_seq_entry_input.cwl/seq_submit"
                },
                {
                    "type": "string",
                    "default": "submit_block_template.asn",
                    "inputBinding": {
                        "prefix": "-submit-block"
                    },
                    "id": "#prepare_seq_entry_input.cwl/submit_block_name"
                },
                {
                    "type": "boolean",
                    "default": true,
                    "inputBinding": {
                        "prefix": "-t"
                    },
                    "id": "#prepare_seq_entry_input.cwl/t"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$( inputs.order_name )"
                    },
                    "id": "#prepare_seq_entry_input.cwl/order"
                },
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$( inputs.output_entries_name  )"
                    },
                    "id": "#prepare_seq_entry_input.cwl/output_entries"
                },
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$( inputs.submit_block_name  )"
                    },
                    "id": "#prepare_seq_entry_input.cwl/submit_block"
                }
            ],
            "id": "#prepare_seq_entry_input.cwl"
        },
        {
            "label": "prepare_sparclbl_input",
            "class": "CommandLineTool",
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "InitialWorkDirRequirement",
                    "listing": [
                        {
                            "entryname": "other_assignments.mft",
                            "entry": "${var blob = '# other_assignments.mft created for prepare_sparclbl_input from input other_assignments Array of Files\\n'; for (var i = 0; i < inputs.other_assignments.length; i++) { blob += inputs.other_assignments[i].path + '\\n'; } return blob; }"
                        }
                    ]
                }
            ],
            "baseCommand": "prepare_sparclbl_input",
            "inputs": [
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-input"
                    },
                    "id": "#prepare_sparclbl_input.cwl/input"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "id": "#prepare_sparclbl_input.cwl/other_assignments"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "other_assignments.mft",
                    "inputBinding": {
                        "prefix": "-other-assignments"
                    },
                    "id": "#prepare_sparclbl_input.cwl/other_assignments_mft"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "precedences.tsv",
                    "inputBinding": {
                        "prefix": "-precedences"
                    },
                    "id": "#prepare_sparclbl_input.cwl/precedence_filename"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "prot.seq_ids",
                    "inputBinding": {
                        "prefix": "-o"
                    },
                    "id": "#prepare_sparclbl_input.cwl/prot_ids_filename"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-unicoll_sqlite"
                    },
                    "id": "#prepare_sparclbl_input.cwl/unicoll_sqlite"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.precedence_filename)"
                    },
                    "id": "#prepare_sparclbl_input.cwl/precedences"
                },
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.prot_ids_filename)"
                    },
                    "id": "#prepare_sparclbl_input.cwl/prot_ids"
                }
            ],
            "id": "#prepare_sparclbl_input.cwl"
        },
        {
            "label": "prime_cache",
            "class": "CommandLineTool",
            "baseCommand": "prime_cache",
            "inputs": [
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "prefix": "-biosource"
                    },
                    "id": "#prime_cache.cwl/biosource"
                },
                {
                    "type": "string",
                    "default": "sequence_cache",
                    "inputBinding": {
                        "prefix": "-cache"
                    },
                    "id": "#prime_cache.cwl/cache_dir"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "fasta",
                    "inputBinding": {
                        "prefix": "-ifmt"
                    },
                    "id": "#prime_cache.cwl/ifmt"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-i"
                    },
                    "id": "#prime_cache.cwl/input"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "prefix": "-inst-mol"
                    },
                    "id": "#prime_cache.cwl/inst_mol"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "prefix": "-molinfo"
                    },
                    "id": "#prime_cache.cwl/molinfo"
                },
                {
                    "type": "string",
                    "default": "oseq-ids.seqids",
                    "inputBinding": {
                        "prefix": "-oseq-ids"
                    },
                    "id": "#prime_cache.cwl/seq_ids_name"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "inputBinding": {
                        "prefix": "-submit-block-template"
                    },
                    "id": "#prime_cache.cwl/submit_block_template"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "inputBinding": {
                        "prefix": "-taxid"
                    },
                    "id": "#prime_cache.cwl/taxid"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "inputBinding": {
                        "prefix": "-taxon-db"
                    },
                    "id": "#prime_cache.cwl/taxon_db"
                }
            ],
            "outputs": [
                {
                    "type": "Directory",
                    "outputBinding": {
                        "glob": "$(inputs.cache_dir)"
                    },
                    "id": "#prime_cache.cwl/asn_cache"
                },
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.seq_ids_name)"
                    },
                    "id": "#prime_cache.cwl/oseq_ids"
                }
            ],
            "id": "#prime_cache.cwl"
        },
        {
            "label": "proc_annot_stats",
            "class": "CommandLineTool",
            "baseCommand": "proc_annot_stats",
            "inputs": [
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-input"
                    },
                    "id": "#proc_annot_stats.cwl/input"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "inputBinding": {
                        "prefix": "-it"
                    },
                    "id": "#proc_annot_stats.cwl/it"
                },
                {
                    "type": "int",
                    "inputBinding": {
                        "prefix": "-max-unannotated-region"
                    },
                    "id": "#proc_annot_stats.cwl/max_unannotated_region"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-univ-prot-xml"
                    },
                    "id": "#proc_annot_stats.cwl/univ_prot_xml"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-val-res-den-xml"
                    },
                    "id": "#proc_annot_stats.cwl/val_res_den_xml"
                },
                {
                    "type": "string",
                    "default": "var_proc_annot_details.xml",
                    "inputBinding": {
                        "prefix": "-xml-pgap-details"
                    },
                    "id": "#proc_annot_stats.cwl/var_proc_annot_details_xml_name"
                },
                {
                    "type": "string",
                    "default": "var_proc_annot_stats.xml",
                    "inputBinding": {
                        "prefix": "-xml-pgap-output"
                    },
                    "id": "#proc_annot_stats.cwl/var_proc_annot_stats_xml_name"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.var_proc_annot_details_xml_name)"
                    },
                    "id": "#proc_annot_stats.cwl/var_proc_annot_details_xml"
                },
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.var_proc_annot_stats_xml_name)"
                    },
                    "id": "#proc_annot_stats.cwl/var_proc_annot_stats_xml"
                }
            ],
            "id": "#proc_annot_stats.cwl"
        },
        {
            "label": "propagate_symbols_to_genes",
            "class": "CommandLineTool",
            "baseCommand": "propagate_symbols_to_genes",
            "inputs": [
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-input"
                    },
                    "id": "#propagate_symbols_to_genes.cwl/input"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "default": false,
                    "inputBinding": {
                        "prefix": "-it"
                    },
                    "id": "#propagate_symbols_to_genes.cwl/it"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-orthologs"
                    },
                    "id": "#propagate_symbols_to_genes.cwl/orthologs"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "propagated_gene_symbols_annot.asn",
                    "inputBinding": {
                        "prefix": "-output"
                    },
                    "id": "#propagate_symbols_to_genes.cwl/output_name"
                },
                {
                    "type": [
                        "null",
                        "float"
                    ],
                    "default": 0.8,
                    "inputBinding": {
                        "prefix": "-prot_similarity_threshold"
                    },
                    "id": "#propagate_symbols_to_genes.cwl/prot_similarity_threshold"
                },
                {
                    "type": [
                        "null",
                        "float"
                    ],
                    "default": 0.9,
                    "inputBinding": {
                        "prefix": "-q_coverage_threshold"
                    },
                    "id": "#propagate_symbols_to_genes.cwl/q_coverage_threshold"
                },
                {
                    "type": [
                        "null",
                        "float"
                    ],
                    "default": 0.9,
                    "inputBinding": {
                        "prefix": "-s_coverage_threshold"
                    },
                    "id": "#propagate_symbols_to_genes.cwl/s_coverage_threshold"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.output_name)"
                    },
                    "id": "#propagate_symbols_to_genes.cwl/output"
                }
            ],
            "id": "#propagate_symbols_to_genes.cwl"
        },
        {
            "label": "protein_extract",
            "class": "Workflow",
            "inputs": [
                {
                    "type": "File",
                    "id": "#protein_extract.cwl/input"
                },
                {
                    "type": "boolean",
                    "id": "#protein_extract.cwl/nogenbank"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "id": "#protein_extract.cwl/olds2"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "id": "#protein_extract.cwl/oproteins"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "id": "#protein_extract.cwl/oseqids"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputSource": "#protein_extract.cwl/lds2_fix/lds2",
                    "id": "#protein_extract.cwl/lds2"
                },
                {
                    "type": "File",
                    "outputSource": "#protein_extract.cwl/protein_extract/proteins",
                    "id": "#protein_extract.cwl/proteins"
                },
                {
                    "type": "File",
                    "outputSource": "#protein_extract.cwl/protein_extract/seqids",
                    "id": "#protein_extract.cwl/seqids"
                }
            ],
            "steps": [
                {
                    "in": [
                        {
                            "source": "#protein_extract.cwl/protein_extract/lds2",
                            "id": "#protein_extract.cwl/lds2_fix/in_lds2"
                        }
                    ],
                    "out": [
                        "#protein_extract.cwl/lds2_fix/lds2"
                    ],
                    "run": {
                        "class": "CommandLineTool",
                        "requirements": [
                            {
                                "listing": [
                                    {
                                        "entry": "$(inputs.in_lds2)",
                                        "writable": true
                                    }
                                ],
                                "class": "InitialWorkDirRequirement"
                            }
                        ],
                        "baseCommand": "sqlite3",
                        "inputs": [
                            {
                                "type": "File",
                                "inputBinding": {
                                    "position": 1
                                },
                                "id": "#protein_extract.cwl/lds2_fix/run/in_lds2"
                            },
                            {
                                "type": [
                                    "null",
                                    "string"
                                ],
                                "default": "update file set file_name=replace(file_name, rtrim(file_name, replace(file_name, '/', '')), '');",
                                "inputBinding": {
                                    "position": 2
                                },
                                "id": "#protein_extract.cwl/lds2_fix/run/sql"
                            }
                        ],
                        "outputs": [
                            {
                                "type": "File",
                                "outputBinding": {
                                    "glob": "$(inputs.in_lds2.basename)"
                                },
                                "id": "#protein_extract.cwl/lds2_fix/run/lds2"
                            }
                        ]
                    },
                    "id": "#protein_extract.cwl/lds2_fix"
                },
                {
                    "in": [
                        {
                            "source": "#protein_extract.cwl/input",
                            "id": "#protein_extract.cwl/protein_extract/input"
                        },
                        {
                            "source": "#protein_extract.cwl/nogenbank",
                            "id": "#protein_extract.cwl/protein_extract/nogenbank"
                        },
                        {
                            "source": "#protein_extract.cwl/olds2",
                            "id": "#protein_extract.cwl/protein_extract/olds2"
                        },
                        {
                            "source": "#protein_extract.cwl/oproteins",
                            "id": "#protein_extract.cwl/protein_extract/oproteins"
                        },
                        {
                            "source": "#protein_extract.cwl/oseqids",
                            "id": "#protein_extract.cwl/protein_extract/oseqids"
                        }
                    ],
                    "out": [
                        "#protein_extract.cwl/protein_extract/proteins",
                        "#protein_extract.cwl/protein_extract/lds2",
                        "#protein_extract.cwl/protein_extract/seqids"
                    ],
                    "run": {
                        "class": "CommandLineTool",
                        "baseCommand": "protein_extract",
                        "inputs": [
                            {
                                "type": "File",
                                "inputBinding": {
                                    "prefix": "-input"
                                },
                                "id": "#protein_extract.cwl/protein_extract/run/input"
                            },
                            {
                                "type": "boolean",
                                "inputBinding": {
                                    "prefix": "-nogenbank"
                                },
                                "id": "#protein_extract.cwl/protein_extract/run/nogenbank"
                            },
                            {
                                "type": [
                                    "null",
                                    "string"
                                ],
                                "default": "LDS2",
                                "inputBinding": {
                                    "prefix": "-olds2"
                                },
                                "id": "#protein_extract.cwl/protein_extract/run/olds2"
                            },
                            {
                                "type": [
                                    "null",
                                    "string"
                                ],
                                "default": "proteins.asn",
                                "inputBinding": {
                                    "prefix": "-o"
                                },
                                "id": "#protein_extract.cwl/protein_extract/run/oproteins"
                            },
                            {
                                "type": [
                                    "null",
                                    "string"
                                ],
                                "default": "proteins.seq_ids",
                                "inputBinding": {
                                    "prefix": "-oseqids"
                                },
                                "id": "#protein_extract.cwl/protein_extract/run/oseqids"
                            }
                        ],
                        "outputs": [
                            {
                                "type": "File",
                                "outputBinding": {
                                    "glob": "$(inputs.olds2)"
                                },
                                "id": "#protein_extract.cwl/protein_extract/run/lds2"
                            },
                            {
                                "type": "File",
                                "outputBinding": {
                                    "glob": "$(inputs.oproteins)"
                                },
                                "id": "#protein_extract.cwl/protein_extract/run/proteins"
                            },
                            {
                                "type": "File",
                                "outputBinding": {
                                    "glob": "$(inputs.oseqids)"
                                },
                                "id": "#protein_extract.cwl/protein_extract/run/seqids"
                            }
                        ]
                    },
                    "id": "#protein_extract.cwl/protein_extract"
                }
            ],
            "id": "#protein_extract.cwl"
        },
        {
            "label": "reduce",
            "class": "CommandLineTool",
            "baseCommand": "reduce",
            "arguments": [
                "-nogenbank"
            ],
            "inputs": [
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-aligns"
                    },
                    "id": "#reduce.cwl/aligns"
                },
                {
                    "type": "string",
                    "default": "protein.seqids",
                    "inputBinding": {
                        "prefix": "-oseqids"
                    },
                    "id": "#reduce.cwl/oseqids_name"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.oseqids_name)"
                    },
                    "id": "#reduce.cwl/oseqids"
                }
            ],
            "id": "#reduce.cwl"
        },
        {
            "label": "separate_plasmid_orfs",
            "class": "CommandLineTool",
            "baseCommand": "separate_plasmid_orfs",
            "inputs": [
                {
                    "type": "string",
                    "default": "chromosome_orf.ids",
                    "inputBinding": {
                        "prefix": "-chromosome_orfs"
                    },
                    "id": "#separate_plasmid_orfs.cwl/chomosome_orfs_out"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-orf_entries"
                    },
                    "id": "#separate_plasmid_orfs.cwl/orf_entries"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-orf_ids"
                    },
                    "id": "#separate_plasmid_orfs.cwl/orf_ids"
                },
                {
                    "type": "string",
                    "default": "plasmid_orf.ids",
                    "inputBinding": {
                        "prefix": "-plasmid_orfs"
                    },
                    "id": "#separate_plasmid_orfs.cwl/plasmid_orfs_out"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-plasmids"
                    },
                    "id": "#separate_plasmid_orfs.cwl/plasmids"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-raw_seqs"
                    },
                    "id": "#separate_plasmid_orfs.cwl/raw_seqs"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.chomosome_orfs_out)"
                    },
                    "id": "#separate_plasmid_orfs.cwl/chomosome_orfs"
                },
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.plasmid_orfs_out)"
                    },
                    "id": "#separate_plasmid_orfs.cwl/plasmid_orfs"
                }
            ],
            "id": "#separate_plasmid_orfs.cwl"
        },
        {
            "label": "set_operation",
            "class": "CommandLineTool",
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "InitialWorkDirRequirement",
                    "listing": [
                        {
                            "entryname": "A.mft",
                            "entry": "${var blob = '# A.mft created for set_operation from input A Array of Files\\n'; for (var i = 0; i < inputs.A.length; i++) { blob += inputs.A[i].path + '\\n'; } return blob; }"
                        },
                        {
                            "entryname": "B.mft",
                            "entry": "${var blob = '# B.mft created for set_operation from input B Array of Files\\n'; for (var i = 0; i < inputs.B.length; i++) { blob += inputs.B[i].path + '\\n'; } return blob; }"
                        }
                    ]
                }
            ],
            "baseCommand": "set_operation",
            "inputs": [
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "id": "#set_operation.cwl/A"
                },
                {
                    "type": "string",
                    "default": "A.mft",
                    "inputBinding": {
                        "prefix": "-A-manifest"
                    },
                    "id": "#set_operation.cwl/A_impl"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "id": "#set_operation.cwl/B"
                },
                {
                    "type": "string",
                    "default": "B.mft",
                    "inputBinding": {
                        "prefix": "-B-manifest"
                    },
                    "id": "#set_operation.cwl/B_impl"
                },
                {
                    "type": "string",
                    "inputBinding": {
                        "prefix": "-operation"
                    },
                    "id": "#set_operation.cwl/operation"
                },
                {
                    "type": "string",
                    "default": "result.lst",
                    "inputBinding": {
                        "prefix": "-output"
                    },
                    "id": "#set_operation.cwl/output_impl"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.output_impl)"
                    },
                    "id": "#set_operation.cwl/output"
                }
            ],
            "id": "#set_operation.cwl"
        },
        {
            "label": "sparclbl",
            "class": "CommandLineTool",
            "requirements": [
                {
                    "class": "ResourceRequirement",
                    "ramMax": 15000
                }
            ],
            "baseCommand": "sparclbl_mp.sh",
            "inputs": [
                {
                    "type": "Directory",
                    "id": "#sparclbl.cwl/b"
                },
                {
                    "type": "string",
                    "default": "cdd_split8",
                    "inputBinding": {
                        "prefix": "-b",
                        "valueFrom": "$(inputs.b.path)/$(inputs.blastdb)"
                    },
                    "id": "#sparclbl.cwl/blastdb"
                },
                {
                    "type": "Directory",
                    "inputBinding": {
                        "prefix": "-d"
                    },
                    "id": "#sparclbl.cwl/d"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "inputBinding": {
                        "prefix": "-m"
                    },
                    "id": "#sparclbl.cwl/m"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "inputBinding": {
                        "prefix": "-n"
                    },
                    "id": "#sparclbl.cwl/n"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-p"
                    },
                    "id": "#sparclbl.cwl/p"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "proteins.xml",
                    "inputBinding": {
                        "prefix": "-o"
                    },
                    "id": "#sparclbl.cwl/protein_assignments_name"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "inputBinding": {
                        "prefix": "-s"
                    },
                    "id": "#sparclbl.cwl/s"
                },
                {
                    "type": "int",
                    "inputBinding": {
                        "prefix": "-x"
                    },
                    "id": "#sparclbl.cwl/x"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.protein_assignments_name)"
                    },
                    "id": "#sparclbl.cwl/protein_assignments"
                }
            ],
            "id": "#sparclbl.cwl"
        },
        {
            "label": "sqn2gbent",
            "class": "CommandLineTool",
            "baseCommand": "sqn2gbent",
            "inputs": [
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-input"
                    },
                    "id": "#sqn2gbent.cwl/input"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "inputBinding": {
                        "prefix": "-it"
                    },
                    "id": "#sqn2gbent.cwl/it"
                },
                {
                    "type": "string",
                    "default": "annot-gb.ent",
                    "inputBinding": {
                        "prefix": "-out"
                    },
                    "id": "#sqn2gbent.cwl/out_name"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.out_name)"
                    },
                    "id": "#sqn2gbent.cwl/output"
                }
            ],
            "id": "#sqn2gbent.cwl"
        },
        {
            "label": "std_validation",
            "class": "CommandLineTool",
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "InitialWorkDirRequirement",
                    "listing": [
                        {
                            "entryname": "submit_block_template.mft",
                            "entry": "${var blob = '# submit_block_template.mft created for std_validation from input submit_block_template Array of Files\\n'; for (var i = 0; i < inputs.submit_block_template.length; i++) { blob += inputs.submit_block_template[i].path + '\\n'; } return blob; }"
                        },
                        {
                            "entryname": "master_desc_mft.mft",
                            "entry": "${var blob = '# master_desc_mft.mft created for std_validation from input master_desc Array of Files\\n'; for (var i = 0; i < inputs.master_desc.length; i++) { blob += inputs.master_desc[i].path + '\\n'; } return blob; }"
                        }
                    ]
                }
            ],
            "baseCommand": "std_validation",
            "inputs": [
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-annotation"
                    },
                    "id": "#std_validation.cwl/annotation"
                },
                {
                    "type": "Directory",
                    "inputBinding": {
                        "prefix": "-asn-cache"
                    },
                    "id": "#std_validation.cwl/asn_cache"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "inputBinding": {
                        "prefix": "-exclude-asndisc-codes",
                        "itemSeparator": ","
                    },
                    "id": "#std_validation.cwl/exclude_asndisc_codes"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-inent"
                    },
                    "id": "#std_validation.cwl/inent"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-ingb"
                    },
                    "id": "#std_validation.cwl/ingb"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-insqn"
                    },
                    "id": "#std_validation.cwl/insqn"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "inputBinding": {
                        "prefix": "-it"
                    },
                    "id": "#std_validation.cwl/it"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "id": "#std_validation.cwl/master_desc"
                },
                {
                    "type": "string",
                    "default": "master_desc_mft.mft",
                    "inputBinding": {
                        "prefix": "-master-desc-manifest"
                    },
                    "id": "#std_validation.cwl/master_desc_mft"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "inputBinding": {
                        "prefix": "-nogenbank"
                    },
                    "id": "#std_validation.cwl/nogenbank"
                },
                {
                    "type": "string",
                    "default": "annot.disc",
                    "inputBinding": {
                        "prefix": "-outdisc"
                    },
                    "id": "#std_validation.cwl/outdisc_name"
                },
                {
                    "type": "string",
                    "default": "annot.disc.xml",
                    "inputBinding": {
                        "prefix": "-outdiscxml"
                    },
                    "id": "#std_validation.cwl/outdiscxml_name"
                },
                {
                    "type": "string",
                    "default": "meta.master.xml",
                    "inputBinding": {
                        "prefix": "-outmetamaster"
                    },
                    "id": "#std_validation.cwl/outmetamaster_name"
                },
                {
                    "type": "string",
                    "default": "meta.annot.val",
                    "inputBinding": {
                        "prefix": "-outval"
                    },
                    "id": "#std_validation.cwl/outval_name"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "inputBinding": {
                        "prefix": "-submission-mode-genbank"
                    },
                    "id": "#std_validation.cwl/submission_mode_genbank"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "id": "#std_validation.cwl/submit_block_template"
                },
                {
                    "type": "string",
                    "default": "submit_block_template.mft",
                    "inputBinding": {
                        "prefix": "-submit-block-template"
                    },
                    "id": "#std_validation.cwl/submit_block_template_mft"
                },
                {
                    "type": "string",
                    "default": "var",
                    "inputBinding": {
                        "prefix": "-tempdir"
                    },
                    "id": "#std_validation.cwl/tempdir_name"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.outdisc_name)"
                    },
                    "id": "#std_validation.cwl/outdisc"
                },
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.outdiscxml_name)"
                    },
                    "id": "#std_validation.cwl/outdiscxml"
                },
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.outmetamaster_name)"
                    },
                    "id": "#std_validation.cwl/outmetamaster"
                },
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.outval_name)"
                    },
                    "id": "#std_validation.cwl/outval"
                }
            ],
            "id": "#std_validation.cwl"
        },
        {
            "label": "val_stats",
            "class": "CommandLineTool",
            "baseCommand": "val_stats",
            "inputs": [
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-i"
                    },
                    "id": "#val_stats.cwl/annot_val"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "inputBinding": {
                        "prefix": "-c-toolkit"
                    },
                    "id": "#val_stats.cwl/c_toolkit"
                },
                {
                    "type": "string",
                    "default": "annot.val.summary",
                    "inputBinding": {
                        "prefix": "-o"
                    },
                    "id": "#val_stats.cwl/output_impl"
                },
                {
                    "type": "string",
                    "default": "annot.val.summary.xml",
                    "inputBinding": {
                        "prefix": "-xml-output"
                    },
                    "id": "#val_stats.cwl/xml_impl"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.output_impl)"
                    },
                    "id": "#val_stats.cwl/output"
                },
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.xml_impl)"
                    },
                    "id": "#val_stats.cwl/xml"
                }
            ],
            "id": "#val_stats.cwl"
        },
        {
            "label": "xml_evaluate",
            "class": "CommandLineTool",
            "baseCommand": "xml_evaluate",
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                }
            ],
            "stdout": "$(inputs.stdout_redir)",
            "inputs": [
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "inputBinding": {
                        "prefix": "-conffile"
                    },
                    "id": "#xml_evaluate.cwl/conffile"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "inputBinding": {
                        "prefix": "-ignore-all-errors"
                    },
                    "id": "#xml_evaluate.cwl/ignore_all_errors"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "inputBinding": {
                        "prefix": "-input"
                    },
                    "id": "#xml_evaluate.cwl/input"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "inputBinding": {
                        "prefix": "-input-manifest"
                    },
                    "id": "#xml_evaluate.cwl/input_manifest"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "prefix": "-input-mask"
                    },
                    "id": "#xml_evaluate.cwl/input_mask"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "prefix": "-input-path"
                    },
                    "id": "#xml_evaluate.cwl/input_path"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "prefix": "-logfile"
                    },
                    "id": "#xml_evaluate.cwl/logfile_output"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "stdout",
                    "id": "#xml_evaluate.cwl/stdout_redir"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "prefix": "-xml-output"
                    },
                    "id": "#xml_evaluate.cwl/xml_output_output"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "prefix": "-xpath-fail"
                    },
                    "id": "#xml_evaluate.cwl/xpath_fail"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "prefix": "-xpath-success"
                    },
                    "id": "#xml_evaluate.cwl/xpath_success"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "inputBinding": {
                        "prefix": "-xslt"
                    },
                    "id": "#xml_evaluate.cwl/xslt"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "inputBinding": {
                        "prefix": "-xslt-manifest"
                    },
                    "id": "#xml_evaluate.cwl/xslt_manifest"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "prefix": "-xslt-mask"
                    },
                    "id": "#xml_evaluate.cwl/xslt_mask"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "prefix": "-xslt-path"
                    },
                    "id": "#xml_evaluate.cwl/xslt_path"
                }
            ],
            "outputs": [
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "outputBinding": {
                        "glob": "$(inputs.logfile_output)"
                    },
                    "id": "#xml_evaluate.cwl/logfile"
                },
                {
                    "type": "boolean",
                    "outputBinding": {
                        "outputEval": "$(true)"
                    },
                    "id": "#xml_evaluate.cwl/success"
                },
                {
                    "type": "File",
                    "id": "#xml_evaluate.cwl/xml_output",
                    "outputBinding": {
                        "glob": "$(inputs.stdout_redir)"
                    }
                }
            ],
            "id": "#xml_evaluate.cwl"
        },
        {
            "label": "xsltproc",
            "class": "CommandLineTool",
            "baseCommand": "xsltproc",
            "inputs": [
                {
                    "type": "string",
                    "default": "var_proc_annot_stats.val.xml",
                    "inputBinding": {
                        "prefix": "--output"
                    },
                    "id": "#xsltproc.cwl/output_name"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "position": 2
                    },
                    "id": "#xsltproc.cwl/xml"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "position": 1
                    },
                    "id": "#xsltproc.cwl/xslt"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.output_name)"
                    },
                    "id": "#xsltproc.cwl/output"
                }
            ],
            "id": "#xsltproc.cwl"
        },
        {
            "class": "CommandLineTool",
            "label": "Filter Protein Alignments",
            "requirements": [
                {
                    "class": "InitialWorkDirRequirement",
                    "listing": [
                        {
                            "entry": "$(inputs.asn_cache)",
                            "writable": false
                        },
                        {
                            "entry": "$(inputs.uniColl_asn_cache)",
                            "writable": false
                        }
                    ]
                }
            ],
            "baseCommand": "align_filter",
            "arguments": [
                "-filter",
                "pct_identity_gapopen_only >= 50 AND ( (query_start<=20 AND SUB(query_length, query_end)<=20) OR pct_identity_gapopen_only >= 60 ) AND (SUB(subject_end, subject_start) > 90 || SUB(subject_end, subject_start) > MUL(query_length,1.5) || num_ident >=60) AND (query_length > 30 || (pct_identity_gapopen_only >= 80 AND SUB(subject_end, subject_start) >= MUL(query_length,2.4)))",
                "-ifmt",
                "seq-align",
                "-nogenbank"
            ],
            "inputs": [
                {
                    "type": "Directory",
                    "inputBinding": {
                        "prefix": "-asn-cache",
                        "valueFrom": "$(inputs.asn_cache.basename),$(inputs.uniColl_asn_cache.basename)"
                    },
                    "id": "#align_filter.cwl_2/asn_cache"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-input"
                    },
                    "id": "#align_filter.cwl_2/file_in"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "align.asn",
                    "inputBinding": {
                        "prefix": "-o"
                    },
                    "id": "#align_filter.cwl_2/output"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "align-nomatch.asn",
                    "inputBinding": {
                        "prefix": "-non-match-output"
                    },
                    "id": "#align_filter.cwl_2/output_non_match"
                },
                {
                    "type": "Directory",
                    "id": "#align_filter.cwl_2/uniColl_asn_cache"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.output)"
                    },
                    "id": "#align_filter.cwl_2/align"
                },
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.output_non_match)"
                    },
                    "id": "#align_filter.cwl_2/align_non_match"
                }
            ],
            "id": "#align_filter.cwl_2"
        },
        {
            "class": "CommandLineTool",
            "label": "Sort Seed Hits, align_sort",
            "requirements": [
                {
                    "class": "InitialWorkDirRequirement",
                    "listing": [
                        {
                            "entry": "$(inputs.asn_cache)",
                            "writable": false
                        },
                        {
                            "entry": "$(inputs.uniColl_asn_cache)",
                            "writable": false
                        }
                    ]
                }
            ],
            "baseCommand": "align_sort",
            "arguments": [
                "-ifmt",
                "seq-align-set",
                "-k",
                "query,subject",
                "-nogenbank"
            ],
            "inputs": [
                {
                    "type": "Directory",
                    "inputBinding": {
                        "prefix": "-asn-cache",
                        "valueFrom": "$(inputs.asn_cache.basename),$(inputs.uniColl_asn_cache.basename)"
                    },
                    "id": "#align_sort.cwl_2/asn_cache"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-input"
                    },
                    "id": "#align_sort.cwl_2/blast_aligns"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "prefix": "-limit-mem"
                    },
                    "id": "#align_sort.cwl_2/limit_mem"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "align.asn",
                    "inputBinding": {
                        "prefix": "-o"
                    },
                    "id": "#align_sort.cwl_2/output"
                },
                {
                    "type": "Directory",
                    "id": "#align_sort.cwl_2/uniColl_asn_cache"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.output)"
                    },
                    "id": "#align_sort.cwl_2/sorted_aligns"
                }
            ],
            "id": "#align_sort.cwl_2"
        },
        {
            "class": "CommandLineTool",
            "label": "Get Proteins, bacterial_prot_src",
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "InitialWorkDirRequirement",
                    "listing": [
                        {
                            "entry": "$(inputs.uniColl_asn_cache)",
                            "writable": false
                        },
                        {
                            "entry": "$(inputs.blastdb_dir)",
                            "writable": false
                        },
                        {
                            "entryname": "blastdbs.mft",
                            "entry": "${            var blob = '# blastdbs.mft created for bacterial_prot_src from input \"blastdb\" Array of blastdbs' +              '\\n' ;             var i = 0;            for (i = 0; i < inputs.blastdb.length; i++) {               blob += inputs.blastdb_dir.path + '/' + inputs.blastdb[i] + String.fromCharCode(10);             }             for (i = 0; i < inputs.all_order_specific_blastdb.length; i++) {               blob += inputs.blastdb_dir.path + '/' + inputs.all_order_specific_blastdb[i] + String.fromCharCode(10);             }             return blob;           }"
                        }
                    ]
                }
            ],
            "baseCommand": "bacterial_prot_src",
            "arguments": [
                "-no-phage",
                "-nogenbank"
            ],
            "inputs": [
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#bacterial_prot_src.cwl/all_order_specific_blastdb"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#bacterial_prot_src.cwl/blastdb"
                },
                {
                    "type": "Directory",
                    "inputBinding": {
                        "prefix": "-blastdbs-manifest",
                        "valueFrom": "blastdbs.mft"
                    },
                    "id": "#bacterial_prot_src.cwl/blastdb_dir"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "universal_clusters.inf",
                    "inputBinding": {
                        "prefix": "-ouniversal-clusters"
                    },
                    "id": "#bacterial_prot_src.cwl/clust_output"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-unicoll_sqlite"
                    },
                    "id": "#bacterial_prot_src.cwl/naming_sqlite"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "all_prots.seqid",
                    "inputBinding": {
                        "prefix": "-oall"
                    },
                    "id": "#bacterial_prot_src.cwl/prot_output"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "selected_blastdb.mft",
                    "inputBinding": {
                        "prefix": "-selected-blastdb-manifest"
                    },
                    "id": "#bacterial_prot_src.cwl/selected_blastdb_output"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-taxon-db"
                    },
                    "id": "#bacterial_prot_src.cwl/tax_sql_file"
                },
                {
                    "type": "int",
                    "inputBinding": {
                        "prefix": "-taxid"
                    },
                    "id": "#bacterial_prot_src.cwl/taxid"
                },
                {
                    "type": "Directory",
                    "inputBinding": {
                        "prefix": "-asn-cache"
                    },
                    "id": "#bacterial_prot_src.cwl/uniColl_asn_cache"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.prot_output)"
                    },
                    "id": "#bacterial_prot_src.cwl/all_prots"
                },
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.selected_blastdb_output)"
                    },
                    "id": "#bacterial_prot_src.cwl/selected_blastdb"
                },
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.clust_output)"
                    },
                    "id": "#bacterial_prot_src.cwl/universal_clusters"
                }
            ],
            "id": "#bacterial_prot_src.cwl"
        },
        {
            "class": "CommandLineTool",
            "label": "Filter Full-Coverage Alignments",
            "requirements": [
                {
                    "class": "ResourceRequirement",
                    "ramMax": 8000
                },
                {
                    "class": "InitialWorkDirRequirement",
                    "listing": [
                        {
                            "entry": "$(inputs.asn_cache)",
                            "writable": false
                        },
                        {
                            "entry": "$(inputs.uniColl_asn_cache)",
                            "writable": false
                        }
                    ]
                }
            ],
            "baseCommand": "bacterial_protalign_filter",
            "arguments": [
                "-filter-accept",
                "pct_coverage = 100 AND qframe = 0 AND sframe = 0 AND cds_internal_stops = 0",
                "-nogenbank"
            ],
            "inputs": [
                {
                    "type": "Directory",
                    "inputBinding": {
                        "prefix": "-asn-cache",
                        "valueFrom": "$(inputs.asn_cache.basename),$(inputs.uniColl_asn_cache.basename)"
                    },
                    "id": "#bacterial_protalign_filter.cwl/asn_cache"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "align_full_cov.asn",
                    "inputBinding": {
                        "prefix": "-ofull"
                    },
                    "id": "#bacterial_protalign_filter.cwl/full_output"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "align_partial_cov.asn",
                    "inputBinding": {
                        "prefix": "-opartial"
                    },
                    "id": "#bacterial_protalign_filter.cwl/part_output"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-i"
                    },
                    "id": "#bacterial_protalign_filter.cwl/sorted_seeds"
                },
                {
                    "type": "Directory",
                    "id": "#bacterial_protalign_filter.cwl/uniColl_asn_cache"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.full_output)"
                    },
                    "id": "#bacterial_protalign_filter.cwl/blast_full_cov"
                },
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.part_output)"
                    },
                    "id": "#bacterial_protalign_filter.cwl/blast_partial_cov"
                }
            ],
            "id": "#bacterial_protalign_filter.cwl"
        },
        {
            "class": "CommandLineTool",
            "label": "file concatenation",
            "baseCommand": "cat",
            "stdout": "out.asn",
            "inputs": [
                {
                    "type": "File",
                    "inputBinding": {
                        "position": 1
                    },
                    "id": "#cat.cwl_2/file_in_1"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "position": 2
                    },
                    "id": "#cat.cwl_2/file_in_2"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "id": "#cat.cwl_2/file_out",
                    "outputBinding": {
                        "glob": "out.asn"
                    }
                }
            ],
            "id": "#cat.cwl_2"
        },
        {
            "class": "CommandLineTool",
            "label": "Seed Protein Alignments, gather",
            "baseCommand": "gpx_make_outputs",
            "arguments": [
                "-unzip",
                "*",
                "-num-partitions",
                "1"
            ],
            "inputs": [
                {
                    "type": "Directory",
                    "inputBinding": {
                        "prefix": "-input-path"
                    },
                    "id": "#gpx_make_outputs.cwl/input_path"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "blast.#.asn",
                    "inputBinding": {
                        "prefix": "-output"
                    },
                    "id": "#gpx_make_outputs.cwl/output_name"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "blast.*.asn"
                    },
                    "id": "#gpx_make_outputs.cwl/blast_align"
                }
            ],
            "id": "#gpx_make_outputs.cwl"
        },
        {
            "class": "CommandLineTool",
            "label": "Seed Search Compartments, gather",
            "baseCommand": "gpx_qdump",
            "arguments": [
                "-unzip",
                "*",
                "-produce-empty-file"
            ],
            "inputs": [
                {
                    "type": "Directory",
                    "inputBinding": {
                        "prefix": "-input-path"
                    },
                    "id": "#gpx_qdump.cwl_6/input_path"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "blast.asn",
                    "inputBinding": {
                        "prefix": "-output"
                    },
                    "id": "#gpx_qdump.cwl_6/output_name"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.output_name)"
                    },
                    "id": "#gpx_qdump.cwl_6/seed_align"
                }
            ],
            "id": "#gpx_qdump.cwl_6"
        },
        {
            "class": "CommandLineTool",
            "label": "Find ProSplign Alignments, gather",
            "baseCommand": "gpx_qdump",
            "arguments": [
                "-unzip",
                "*"
            ],
            "inputs": [
                {
                    "type": "Directory",
                    "inputBinding": {
                        "prefix": "-input-path"
                    },
                    "id": "#gpx_qdump_pro.cwl/input_path"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "prosplign.asn",
                    "inputBinding": {
                        "prefix": "-output"
                    },
                    "id": "#gpx_qdump_pro.cwl/output_name"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.output_name)"
                    },
                    "id": "#gpx_qdump_pro.cwl/prosplign_align"
                }
            ],
            "id": "#gpx_qdump_pro.cwl"
        },
        {
            "class": "CommandLineTool",
            "label": "Seed Search Compartments, scatter",
            "requirements": [
                {
                    "class": "InitialWorkDirRequirement",
                    "listing": [
                        {
                            "entry": "$(inputs.asn_cache)",
                            "writable": false
                        },
                        {
                            "entry": "$(inputs.uniColl_asn_cache)",
                            "writable": false
                        }
                    ]
                }
            ],
            "baseCommand": "gpx_qsubmit",
            "arguments": [
                "-affinity",
                "subject",
                "-batch-size",
                "1",
                "-nogenbank"
            ],
            "inputs": [
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-asn"
                    },
                    "id": "#gpx_qsubmit.cwl_4/asn"
                },
                {
                    "type": "Directory",
                    "inputBinding": {
                        "prefix": "-asn-cache",
                        "valueFrom": "$(inputs.asn_cache.basename),$(inputs.uniColl_asn_cache.basename)"
                    },
                    "id": "#gpx_qsubmit.cwl_4/asn_cache"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "jobs.xml",
                    "inputBinding": {
                        "prefix": "-output"
                    },
                    "id": "#gpx_qsubmit.cwl_4/output"
                },
                {
                    "type": "Directory",
                    "id": "#gpx_qsubmit.cwl_4/uniColl_asn_cache"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.output)"
                    },
                    "id": "#gpx_qsubmit.cwl_4/jobs"
                }
            ],
            "id": "#gpx_qsubmit.cwl_4"
        },
        {
            "class": "CommandLineTool",
            "label": "Seed Protein Alignments, scatter",
            "requirements": [
                {
                    "class": "InitialWorkDirRequirement",
                    "listing": [
                        {
                            "entry": "$(inputs.asn_cache)",
                            "writable": false
                        },
                        {
                            "entry": "$(inputs.uniColl_asn_cache)",
                            "writable": false
                        },
                        {
                            "entry": "$(inputs.blastdb_dir)",
                            "writable": false
                        }
                    ]
                }
            ],
            "baseCommand": "gpx_qsubmit",
            "arguments": [
                "-affinity",
                "subject",
                "-max-batch-length",
                "10000",
                "-nogenbank"
            ],
            "inputs": [
                {
                    "type": "Directory",
                    "inputBinding": {
                        "prefix": "-asn-cache",
                        "valueFrom": "$(inputs.asn_cache.basename),$(inputs.uniColl_asn_cache.basename)"
                    },
                    "id": "#gpx_qsubmit_1.cwl/asn_cache"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "blastdb",
                    "inputBinding": {
                        "prefix": "-db",
                        "valueFrom": "$(inputs.blastdb_dir.path)/$(inputs.blastdb)"
                    },
                    "id": "#gpx_qsubmit_1.cwl/blastdb"
                },
                {
                    "type": "Directory",
                    "id": "#gpx_qsubmit_1.cwl/blastdb_dir"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "jobs.xml",
                    "inputBinding": {
                        "prefix": "-output"
                    },
                    "id": "#gpx_qsubmit_1.cwl/output"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-ids"
                    },
                    "id": "#gpx_qsubmit_1.cwl/seqids"
                },
                {
                    "type": "Directory",
                    "id": "#gpx_qsubmit_1.cwl/uniColl_asn_cache"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.output)"
                    },
                    "id": "#gpx_qsubmit_1.cwl/jobs"
                }
            ],
            "id": "#gpx_qsubmit_1.cwl"
        },
        {
            "class": "CommandLineTool",
            "label": "Find ProSplign Alignments, scatter",
            "requirements": [
                {
                    "class": "InitialWorkDirRequirement",
                    "listing": [
                        {
                            "entry": "$(inputs.asn_cache)",
                            "writable": false
                        },
                        {
                            "entry": "$(inputs.uniColl_asn_cache)",
                            "writable": false
                        }
                    ]
                }
            ],
            "baseCommand": "gpx_qsubmit",
            "arguments": [
                "-NxM-threshold",
                "10000",
                "-affinity",
                "subject",
                "-nogenbank"
            ],
            "inputs": [
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-asn"
                    },
                    "id": "#gpx_qsubmit_pro.cwl/asn"
                },
                {
                    "type": "Directory",
                    "inputBinding": {
                        "prefix": "-asn-cache",
                        "valueFrom": "$(inputs.asn_cache.basename),$(inputs.uniColl_asn_cache.basename)"
                    },
                    "id": "#gpx_qsubmit_pro.cwl/asn_cache"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "jobs.xml",
                    "inputBinding": {
                        "prefix": "-output"
                    },
                    "id": "#gpx_qsubmit_pro.cwl/output"
                },
                {
                    "type": "Directory",
                    "id": "#gpx_qsubmit_pro.cwl/uniColl_asn_cache"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.output)"
                    },
                    "id": "#gpx_qsubmit_pro.cwl/jobs"
                }
            ],
            "id": "#gpx_qsubmit_pro.cwl"
        },
        {
            "class": "CommandLineTool",
            "label": "Filter Protein Seeds, compart",
            "requirements": [
                {
                    "class": "InitialWorkDirRequirement",
                    "listing": [
                        {
                            "entry": "$(inputs.asn_cache)",
                            "writable": false
                        },
                        {
                            "entry": "$(inputs.uniColl_asn_cache)",
                            "writable": false
                        }
                    ]
                },
                {
                    "class": "ResourceRequirement",
                    "ramMax": 15000
                }
            ],
            "baseCommand": "prosplign_compart",
            "arguments": [
                "-compartment_penalty",
                "0.10",
                "-max_extent",
                "100",
                "-max_intron",
                "100",
                "-maximize",
                "coverage",
                "-min_compartment_idty",
                "0.05",
                "-min_singleton_idty",
                "0.05",
                "-nogenbank",
                "-prosplign-gaps",
                "-ifmt",
                "seq-align"
            ],
            "inputs": [
                {
                    "type": "Directory",
                    "inputBinding": {
                        "prefix": "-asn-cache",
                        "valueFrom": "$(inputs.asn_cache.basename),$(inputs.uniColl_asn_cache.basename)"
                    },
                    "id": "#prosplign_compart.cwl/asn_cache"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "unfiltered_compartments.asn",
                    "inputBinding": {
                        "prefix": "-o"
                    },
                    "id": "#prosplign_compart.cwl/output"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-input"
                    },
                    "id": "#prosplign_compart.cwl/seed_hits"
                },
                {
                    "type": "Directory",
                    "id": "#prosplign_compart.cwl/uniColl_asn_cache"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.output)"
                    },
                    "id": "#prosplign_compart.cwl/unfilt_comp"
                }
            ],
            "id": "#prosplign_compart.cwl"
        },
        {
            "class": "CommandLineTool",
            "label": "Filter Protein Seeds, compart filter",
            "requirements": [
                {
                    "class": "InitialWorkDirRequirement",
                    "listing": [
                        {
                            "entry": "$(inputs.asn_cache)",
                            "writable": false
                        },
                        {
                            "entry": "$(inputs.uniColl_asn_cache)",
                            "writable": false
                        }
                    ]
                }
            ],
            "baseCommand": "prosplign_compart_filter",
            "inputs": [
                {
                    "type": "Directory",
                    "inputBinding": {
                        "prefix": "-asn-cache",
                        "valueFrom": "$(inputs.asn_cache.basename),$(inputs.uniColl_asn_cache.basename)"
                    },
                    "id": "#prosplign_compart_filter.cwl/asn_cache"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-gc-assembly"
                    },
                    "id": "#prosplign_compart_filter.cwl/gc_assembly"
                },
                {
                    "type": "int",
                    "default": 5000,
                    "inputBinding": {
                        "prefix": "-max_compart_count"
                    },
                    "id": "#prosplign_compart_filter.cwl/max_compart_count"
                },
                {
                    "type": "float",
                    "default": 0.05,
                    "inputBinding": {
                        "prefix": "-min_prot_coverage"
                    },
                    "id": "#prosplign_compart_filter.cwl/min_prot_coverage"
                },
                {
                    "type": "float",
                    "default": 0.5,
                    "inputBinding": {
                        "prefix": "-min_scaffold_coverage"
                    },
                    "id": "#prosplign_compart_filter.cwl/min_scaffold_coverage"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "default": true,
                    "inputBinding": {
                        "prefix": "-nogenbank"
                    },
                    "id": "#prosplign_compart_filter.cwl/nogenbank"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "compartments.asn",
                    "inputBinding": {
                        "prefix": "-o"
                    },
                    "id": "#prosplign_compart_filter.cwl/output"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "inputBinding": {
                        "prefix": "-sufficient_compart_length"
                    },
                    "id": "#prosplign_compart_filter.cwl/sufficient_compart_length"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-i"
                    },
                    "id": "#prosplign_compart_filter.cwl/unfilt_comp"
                },
                {
                    "type": "Directory",
                    "id": "#prosplign_compart_filter.cwl/uniColl_asn_cache"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.output)"
                    },
                    "id": "#prosplign_compart_filter.cwl/compartments"
                }
            ],
            "id": "#prosplign_compart_filter.cwl"
        },
        {
            "class": "CommandLineTool",
            "label": "Seed Search Compartments, execute\"",
            "requirements": [
                {
                    "class": "ResourceRequirement",
                    "ramMax": 4000
                },
                {
                    "class": "InitialWorkDirRequirement",
                    "listing": [
                        {
                            "entry": "$(inputs.asn_cache)",
                            "writable": false
                        },
                        {
                            "entry": "$(inputs.uniColl_asn_cache)",
                            "writable": false
                        }
                    ]
                }
            ],
            "baseCommand": "prosplign_wnode",
            "arguments": [
                "-compartment_penalty",
                "0.10",
                "-cut_flank_partial_codons",
                "true",
                "-cut_flanks_with_posit_drop",
                "true",
                "-cut_flanks_with_posit_dropoff",
                "40",
                "-cut_flanks_with_posit_gap_ratio",
                "18",
                "-cut_flanks_with_posit_max_len",
                "48",
                "-cut_flanks_with_posit_window",
                "150",
                "-fill_holes",
                "true",
                "-flank_positives",
                "49",
                "-frameshift_opening",
                "30",
                "-gap_extension",
                "1",
                "-gap_opening",
                "10",
                "-intron_AT",
                "25",
                "-intron_GC",
                "20",
                "-intron_GT",
                "15",
                "-intron_non_consensus",
                "34",
                "-inverted_intron_extension",
                "1000",
                "-max_bad_len",
                "45",
                "-max_extent",
                "100",
                "-max_intron",
                "100",
                "-max_overlap",
                "60",
                "-maximize",
                "coverage",
                "-min-jobs",
                "5",
                "-min_compartment_idty",
                "0.05",
                "-min_exon_ident",
                "30",
                "-min_exon_positives",
                "55",
                "-min_flanking_exon_len",
                "41",
                "-min_good_len",
                "41",
                "-min_intron_len",
                "30",
                "-min_positives",
                "15",
                "-min_singleton_idty",
                "0.05",
                "-score_matrix",
                "BLOSUM62",
                "-start_bonus",
                "8",
                "-stop_bonus",
                "8",
                "-total_positives",
                "55",
                "-allow_alt_starts",
                "-no_introns",
                "-nogenbank"
            ],
            "inputs": [
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-input-file"
                    },
                    "id": "#prosplign_wnode.cwl/asn"
                },
                {
                    "type": "Directory",
                    "inputBinding": {
                        "prefix": "-asn-cache",
                        "valueFrom": "$(inputs.asn_cache.basename),$(inputs.uniColl_asn_cache.basename)"
                    },
                    "id": "#prosplign_wnode.cwl/asn_cache"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-input-jobs"
                    },
                    "id": "#prosplign_wnode.cwl/input_jobs"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "output",
                    "inputBinding": {
                        "prefix": "-O"
                    },
                    "id": "#prosplign_wnode.cwl/output_dir"
                },
                {
                    "type": "Directory",
                    "id": "#prosplign_wnode.cwl/uniColl_asn_cache"
                }
            ],
            "outputs": [
                {
                    "type": "Directory",
                    "outputBinding": {
                        "glob": "$(inputs.output_dir)"
                    },
                    "id": "#prosplign_wnode.cwl/outdir"
                }
            ],
            "id": "#prosplign_wnode.cwl"
        },
        {
            "class": "CommandLineTool",
            "label": "Seed Search Compartments, execute\"",
            "requirements": [
                {
                    "class": "ResourceRequirement",
                    "ramMax": 3000
                },
                {
                    "class": "InitialWorkDirRequirement",
                    "listing": [
                        {
                            "entry": "$(inputs.asn_cache)",
                            "writable": false
                        },
                        {
                            "entry": "$(inputs.uniColl_asn_cache)",
                            "writable": false
                        }
                    ]
                }
            ],
            "baseCommand": "tblastn_wnode",
            "arguments": [
                "-comp_based_stats",
                "F",
                "-dbsize",
                "6000000000",
                "-delay",
                "0",
                "-evalue",
                "0.1",
                "-gapextend",
                "2",
                "-gapopen",
                "9",
                "-matrix",
                "BLOSUM62",
                "-seg",
                "no",
                "-soft_masking",
                "true",
                "-threshold",
                "12",
                "-word_size",
                "3",
                "-nogenbank"
            ],
            "inputs": [
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-input-file"
                    },
                    "id": "#tblastn_wnode.cwl/asn"
                },
                {
                    "type": "Directory",
                    "inputBinding": {
                        "prefix": "-asn-cache",
                        "valueFrom": "$(inputs.asn_cache.basename),$(inputs.uniColl_asn_cache.basename)"
                    },
                    "id": "#tblastn_wnode.cwl/asn_cache"
                },
                {
                    "type": "int",
                    "inputBinding": {
                        "prefix": "-db_gencode"
                    },
                    "id": "#tblastn_wnode.cwl/db_gencode"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-input-jobs"
                    },
                    "id": "#tblastn_wnode.cwl/input_jobs"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "output",
                    "inputBinding": {
                        "prefix": "-O"
                    },
                    "id": "#tblastn_wnode.cwl/output_dir"
                },
                {
                    "type": "Directory",
                    "id": "#tblastn_wnode.cwl/uniColl_asn_cache"
                }
            ],
            "outputs": [
                {
                    "type": "Directory",
                    "outputBinding": {
                        "glob": "$(inputs.output_dir)"
                    },
                    "id": "#tblastn_wnode.cwl/outdir"
                }
            ],
            "id": "#tblastn_wnode.cwl"
        },
        {
            "class": "CommandLineTool",
            "label": "Seed Protein Alignments, execute",
            "requirements": [
                {
                    "class": "ResourceRequirement",
                    "ramMax": 4000
                },
                {
                    "class": "InitialWorkDirRequirement",
                    "listing": [
                        {
                            "entry": "$(inputs.asn_cache)",
                            "writable": false
                        },
                        {
                            "entry": "$(inputs.uniColl_asn_cache)",
                            "writable": false
                        },
                        {
                            "entry": "$(inputs.blastdb_dir)",
                            "writable": false
                        }
                    ]
                }
            ],
            "baseCommand": "tblastn_wnode",
            "arguments": [
                "-align_filter",
                "pct_identity_gapopen_only >= 75",
                "-backlog",
                "1",
                "-comp_based_stats",
                "F",
                "-dbsize",
                "6000000000",
                "-delay",
                "0",
                "-evalue",
                "0.1",
                "-gapextend",
                "2",
                "-gapopen",
                "9",
                "-matrix",
                "BLOSUM62",
                "-max-jobs",
                "1",
                "-seg",
                "no",
                "-soft_masking",
                "true",
                "-threshold",
                "21",
                "-word_size",
                "6",
                "-nogenbank",
                "-short-protein-threshold",
                "30"
            ],
            "inputs": [
                {
                    "type": "Directory",
                    "inputBinding": {
                        "prefix": "-asn-cache",
                        "valueFrom": "$(inputs.asn_cache.basename),$(inputs.uniColl_asn_cache.basename)"
                    },
                    "id": "#tblastn_wnode_1.cwl/asn_cache"
                },
                {
                    "type": "Directory",
                    "id": "#tblastn_wnode_1.cwl/blastdb_dir"
                },
                {
                    "type": "int",
                    "inputBinding": {
                        "prefix": "-db_gencode"
                    },
                    "id": "#tblastn_wnode_1.cwl/db_gencode"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-input-jobs"
                    },
                    "id": "#tblastn_wnode_1.cwl/input_jobs"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "output",
                    "inputBinding": {
                        "prefix": "-O"
                    },
                    "id": "#tblastn_wnode_1.cwl/output_dir"
                },
                {
                    "type": "Directory",
                    "id": "#tblastn_wnode_1.cwl/uniColl_asn_cache"
                }
            ],
            "outputs": [
                {
                    "type": "Directory",
                    "outputBinding": {
                        "glob": "$(inputs.output_dir)"
                    },
                    "id": "#tblastn_wnode_1.cwl/outdir"
                }
            ],
            "id": "#tblastn_wnode_1.cwl"
        },
        {
            "class": "Workflow",
            "label": "Filter Protein Alignments",
            "inputs": [
                {
                    "type": "Directory",
                    "id": "#wf_align_filter.cwl/asn_cache"
                },
                {
                    "type": "File",
                    "id": "#wf_align_filter.cwl/blast_full"
                },
                {
                    "type": "File",
                    "id": "#wf_align_filter.cwl/prosplign"
                },
                {
                    "type": "Directory",
                    "id": "#wf_align_filter.cwl/uniColl_asn_cache"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputSource": "#wf_align_filter.cwl/align_filter/align",
                    "id": "#wf_align_filter.cwl/align"
                },
                {
                    "type": "File",
                    "outputSource": "#wf_align_filter.cwl/align_filter/align_non_match",
                    "id": "#wf_align_filter.cwl/align_non_match"
                }
            ],
            "steps": [
                {
                    "run": "#align_filter.cwl_2",
                    "in": [
                        {
                            "source": "#wf_align_filter.cwl/asn_cache",
                            "id": "#wf_align_filter.cwl/align_filter/asn_cache"
                        },
                        {
                            "source": "#wf_align_filter.cwl/cat/file_out",
                            "id": "#wf_align_filter.cwl/align_filter/file_in"
                        },
                        {
                            "source": "#wf_align_filter.cwl/uniColl_asn_cache",
                            "id": "#wf_align_filter.cwl/align_filter/uniColl_asn_cache"
                        }
                    ],
                    "out": [
                        "#wf_align_filter.cwl/align_filter/align",
                        "#wf_align_filter.cwl/align_filter/align_non_match"
                    ],
                    "id": "#wf_align_filter.cwl/align_filter"
                },
                {
                    "run": "#cat.cwl_2",
                    "in": [
                        {
                            "source": "#wf_align_filter.cwl/blast_full",
                            "id": "#wf_align_filter.cwl/cat/file_in_1"
                        },
                        {
                            "source": "#wf_align_filter.cwl/prosplign",
                            "id": "#wf_align_filter.cwl/cat/file_in_2"
                        }
                    ],
                    "out": [
                        "#wf_align_filter.cwl/cat/file_out"
                    ],
                    "id": "#wf_align_filter.cwl/cat"
                }
            ],
            "id": "#wf_align_filter.cwl"
        },
        {
            "class": "Workflow",
            "label": "Filter Protein Seeds; Find ProSplign Alignments",
            "inputs": [
                {
                    "type": "Directory",
                    "id": "#wf_compart_filter_prosplign.cwl/asn_cache"
                },
                {
                    "type": "File",
                    "id": "#wf_compart_filter_prosplign.cwl/gc_assembly"
                },
                {
                    "type": "File",
                    "id": "#wf_compart_filter_prosplign.cwl/seed_hits"
                },
                {
                    "type": "Directory",
                    "id": "#wf_compart_filter_prosplign.cwl/uniColl_asn_cache"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputSource": "#wf_compart_filter_prosplign.cwl/Find_ProSplign_Alignments_gpx_qdump/prosplign_align",
                    "id": "#wf_compart_filter_prosplign.cwl/prosplign_align"
                }
            ],
            "steps": [
                {
                    "run": "#prosplign_compart.cwl",
                    "in": [
                        {
                            "source": "#wf_compart_filter_prosplign.cwl/asn_cache",
                            "id": "#wf_compart_filter_prosplign.cwl/Filter_Protein_Seeds_prosplign_compart/asn_cache"
                        },
                        {
                            "source": "#wf_compart_filter_prosplign.cwl/seed_hits",
                            "id": "#wf_compart_filter_prosplign.cwl/Filter_Protein_Seeds_prosplign_compart/seed_hits"
                        },
                        {
                            "source": "#wf_compart_filter_prosplign.cwl/uniColl_asn_cache",
                            "id": "#wf_compart_filter_prosplign.cwl/Filter_Protein_Seeds_prosplign_compart/uniColl_asn_cache"
                        }
                    ],
                    "out": [
                        "#wf_compart_filter_prosplign.cwl/Filter_Protein_Seeds_prosplign_compart/unfilt_comp"
                    ],
                    "id": "#wf_compart_filter_prosplign.cwl/Filter_Protein_Seeds_prosplign_compart"
                },
                {
                    "run": "#prosplign_compart_filter.cwl",
                    "in": [
                        {
                            "source": "#wf_compart_filter_prosplign.cwl/asn_cache",
                            "id": "#wf_compart_filter_prosplign.cwl/Filter_Protein_Seeds_prosplign_compart_filter/asn_cache"
                        },
                        {
                            "source": "#wf_compart_filter_prosplign.cwl/gc_assembly",
                            "id": "#wf_compart_filter_prosplign.cwl/Filter_Protein_Seeds_prosplign_compart_filter/gc_assembly"
                        },
                        {
                            "default": 1500,
                            "id": "#wf_compart_filter_prosplign.cwl/Filter_Protein_Seeds_prosplign_compart_filter/sufficient_compart_length"
                        },
                        {
                            "source": "#wf_compart_filter_prosplign.cwl/Filter_Protein_Seeds_prosplign_compart/unfilt_comp",
                            "id": "#wf_compart_filter_prosplign.cwl/Filter_Protein_Seeds_prosplign_compart_filter/unfilt_comp"
                        },
                        {
                            "source": "#wf_compart_filter_prosplign.cwl/uniColl_asn_cache",
                            "id": "#wf_compart_filter_prosplign.cwl/Filter_Protein_Seeds_prosplign_compart_filter/uniColl_asn_cache"
                        }
                    ],
                    "out": [
                        "#wf_compart_filter_prosplign.cwl/Filter_Protein_Seeds_prosplign_compart_filter/compartments"
                    ],
                    "id": "#wf_compart_filter_prosplign.cwl/Filter_Protein_Seeds_prosplign_compart_filter"
                },
                {
                    "run": "#gpx_qdump_pro.cwl",
                    "in": [
                        {
                            "source": "#wf_compart_filter_prosplign.cwl/Find_ProSplign_Alignments_prosplign_wnode/outdir",
                            "id": "#wf_compart_filter_prosplign.cwl/Find_ProSplign_Alignments_gpx_qdump/input_path"
                        }
                    ],
                    "out": [
                        "#wf_compart_filter_prosplign.cwl/Find_ProSplign_Alignments_gpx_qdump/prosplign_align"
                    ],
                    "id": "#wf_compart_filter_prosplign.cwl/Find_ProSplign_Alignments_gpx_qdump"
                },
                {
                    "run": "#gpx_qsubmit_pro.cwl",
                    "in": [
                        {
                            "source": "#wf_compart_filter_prosplign.cwl/Filter_Protein_Seeds_prosplign_compart_filter/compartments",
                            "id": "#wf_compart_filter_prosplign.cwl/Find_ProSplign_Alignments_gpx_qsubmit/asn"
                        },
                        {
                            "source": "#wf_compart_filter_prosplign.cwl/asn_cache",
                            "id": "#wf_compart_filter_prosplign.cwl/Find_ProSplign_Alignments_gpx_qsubmit/asn_cache"
                        },
                        {
                            "source": "#wf_compart_filter_prosplign.cwl/uniColl_asn_cache",
                            "id": "#wf_compart_filter_prosplign.cwl/Find_ProSplign_Alignments_gpx_qsubmit/uniColl_asn_cache"
                        }
                    ],
                    "out": [
                        "#wf_compart_filter_prosplign.cwl/Find_ProSplign_Alignments_gpx_qsubmit/jobs"
                    ],
                    "id": "#wf_compart_filter_prosplign.cwl/Find_ProSplign_Alignments_gpx_qsubmit"
                },
                {
                    "run": "#prosplign_wnode.cwl",
                    "in": [
                        {
                            "source": "#wf_compart_filter_prosplign.cwl/Filter_Protein_Seeds_prosplign_compart_filter/compartments",
                            "id": "#wf_compart_filter_prosplign.cwl/Find_ProSplign_Alignments_prosplign_wnode/asn"
                        },
                        {
                            "source": "#wf_compart_filter_prosplign.cwl/asn_cache",
                            "id": "#wf_compart_filter_prosplign.cwl/Find_ProSplign_Alignments_prosplign_wnode/asn_cache"
                        },
                        {
                            "source": "#wf_compart_filter_prosplign.cwl/Find_ProSplign_Alignments_gpx_qsubmit/jobs",
                            "id": "#wf_compart_filter_prosplign.cwl/Find_ProSplign_Alignments_prosplign_wnode/input_jobs"
                        },
                        {
                            "source": "#wf_compart_filter_prosplign.cwl/uniColl_asn_cache",
                            "id": "#wf_compart_filter_prosplign.cwl/Find_ProSplign_Alignments_prosplign_wnode/uniColl_asn_cache"
                        }
                    ],
                    "out": [
                        "#wf_compart_filter_prosplign.cwl/Find_ProSplign_Alignments_prosplign_wnode/outdir"
                    ],
                    "id": "#wf_compart_filter_prosplign.cwl/Find_ProSplign_Alignments_prosplign_wnode"
                }
            ],
            "id": "#wf_compart_filter_prosplign.cwl"
        },
        {
            "class": "Workflow",
            "label": "Align reference proteins plane complete workflow",
            "requirements": [
                {
                    "class": "SubworkflowFeatureRequirement"
                }
            ],
            "inputs": [
                {
                    "type": "File",
                    "id": "#wf_protein_alignment.cwl/all_prots"
                },
                {
                    "type": "Directory",
                    "id": "#wf_protein_alignment.cwl/asn_cache"
                },
                {
                    "type": "Directory",
                    "id": "#wf_protein_alignment.cwl/blastdb_dir"
                },
                {
                    "type": "File",
                    "id": "#wf_protein_alignment.cwl/compartments"
                },
                {
                    "type": "File",
                    "id": "#wf_protein_alignment.cwl/gc_assembly"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "boolean"
                    },
                    "id": "#wf_protein_alignment.cwl/go"
                },
                {
                    "type": "File",
                    "id": "#wf_protein_alignment.cwl/tax_sql_file"
                },
                {
                    "type": "int",
                    "id": "#wf_protein_alignment.cwl/taxid"
                },
                {
                    "type": "Directory",
                    "id": "#wf_protein_alignment.cwl/uniColl_asn_cache"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputSource": "#wf_protein_alignment.cwl/Filter_Protein_Alignments/align",
                    "id": "#wf_protein_alignment.cwl/align"
                },
                {
                    "type": "File",
                    "outputSource": "#wf_protein_alignment.cwl/Filter_Protein_Alignments/align_non_match",
                    "id": "#wf_protein_alignment.cwl/align_non_match"
                }
            ],
            "steps": [
                {
                    "run": "#compute_gencode.cwl",
                    "in": [
                        {
                            "default": true,
                            "id": "#wf_protein_alignment.cwl/Compute_Gencode/gencode"
                        },
                        {
                            "source": "#wf_protein_alignment.cwl/taxid",
                            "id": "#wf_protein_alignment.cwl/Compute_Gencode/taxid"
                        },
                        {
                            "source": "#wf_protein_alignment.cwl/tax_sql_file",
                            "id": "#wf_protein_alignment.cwl/Compute_Gencode/taxon_db"
                        }
                    ],
                    "out": [
                        "#wf_protein_alignment.cwl/Compute_Gencode/output"
                    ],
                    "id": "#wf_protein_alignment.cwl/Compute_Gencode"
                },
                {
                    "run": "#file2int.cwl",
                    "in": [
                        {
                            "source": "#wf_protein_alignment.cwl/Compute_Gencode/output",
                            "id": "#wf_protein_alignment.cwl/Compute_Gencode_int/input"
                        }
                    ],
                    "out": [
                        "#wf_protein_alignment.cwl/Compute_Gencode_int/value"
                    ],
                    "id": "#wf_protein_alignment.cwl/Compute_Gencode_int"
                },
                {
                    "run": "#bacterial_protalign_filter.cwl",
                    "in": [
                        {
                            "source": "#wf_protein_alignment.cwl/asn_cache",
                            "id": "#wf_protein_alignment.cwl/Filter_Full_Coverage_Alignments/asn_cache"
                        },
                        {
                            "source": "#wf_protein_alignment.cwl/Sort_Seed_Hits/sorted_aligns",
                            "id": "#wf_protein_alignment.cwl/Filter_Full_Coverage_Alignments/sorted_seeds"
                        },
                        {
                            "source": "#wf_protein_alignment.cwl/uniColl_asn_cache",
                            "id": "#wf_protein_alignment.cwl/Filter_Full_Coverage_Alignments/uniColl_asn_cache"
                        }
                    ],
                    "out": [
                        "#wf_protein_alignment.cwl/Filter_Full_Coverage_Alignments/blast_full_cov",
                        "#wf_protein_alignment.cwl/Filter_Full_Coverage_Alignments/blast_partial_cov"
                    ],
                    "id": "#wf_protein_alignment.cwl/Filter_Full_Coverage_Alignments"
                },
                {
                    "run": "#wf_align_filter.cwl",
                    "in": [
                        {
                            "source": "#wf_protein_alignment.cwl/asn_cache",
                            "id": "#wf_protein_alignment.cwl/Filter_Protein_Alignments/asn_cache"
                        },
                        {
                            "source": "#wf_protein_alignment.cwl/Filter_Full_Coverage_Alignments/blast_full_cov",
                            "id": "#wf_protein_alignment.cwl/Filter_Protein_Alignments/blast_full"
                        },
                        {
                            "source": "#wf_protein_alignment.cwl/compart_filter_prosplign/prosplign_align",
                            "id": "#wf_protein_alignment.cwl/Filter_Protein_Alignments/prosplign"
                        },
                        {
                            "source": "#wf_protein_alignment.cwl/uniColl_asn_cache",
                            "id": "#wf_protein_alignment.cwl/Filter_Protein_Alignments/uniColl_asn_cache"
                        }
                    ],
                    "out": [
                        "#wf_protein_alignment.cwl/Filter_Protein_Alignments/align",
                        "#wf_protein_alignment.cwl/Filter_Protein_Alignments/align_non_match"
                    ],
                    "id": "#wf_protein_alignment.cwl/Filter_Protein_Alignments"
                },
                {
                    "run": "#wf_seed_1.cwl",
                    "in": [
                        {
                            "source": "#wf_protein_alignment.cwl/asn_cache",
                            "id": "#wf_protein_alignment.cwl/Seed_Protein_Alignments/asn_cache"
                        },
                        {
                            "source": "#wf_protein_alignment.cwl/blastdb_dir",
                            "id": "#wf_protein_alignment.cwl/Seed_Protein_Alignments/blastdb_dir"
                        },
                        {
                            "source": "#wf_protein_alignment.cwl/Compute_Gencode_int/value",
                            "id": "#wf_protein_alignment.cwl/Seed_Protein_Alignments/db_gencode"
                        },
                        {
                            "source": "#wf_protein_alignment.cwl/all_prots",
                            "id": "#wf_protein_alignment.cwl/Seed_Protein_Alignments/seqids"
                        },
                        {
                            "source": "#wf_protein_alignment.cwl/uniColl_asn_cache",
                            "id": "#wf_protein_alignment.cwl/Seed_Protein_Alignments/uniColl_asn_cache"
                        }
                    ],
                    "out": [
                        "#wf_protein_alignment.cwl/Seed_Protein_Alignments/blast_align"
                    ],
                    "id": "#wf_protein_alignment.cwl/Seed_Protein_Alignments"
                },
                {
                    "run": "#wf_seed.cwl",
                    "in": [
                        {
                            "source": "#wf_protein_alignment.cwl/asn_cache",
                            "id": "#wf_protein_alignment.cwl/Seed_Search_Compartments/asn_cache"
                        },
                        {
                            "source": "#wf_protein_alignment.cwl/compartments",
                            "id": "#wf_protein_alignment.cwl/Seed_Search_Compartments/compartments"
                        },
                        {
                            "source": "#wf_protein_alignment.cwl/Compute_Gencode_int/value",
                            "id": "#wf_protein_alignment.cwl/Seed_Search_Compartments/db_gencode"
                        },
                        {
                            "source": "#wf_protein_alignment.cwl/uniColl_asn_cache",
                            "id": "#wf_protein_alignment.cwl/Seed_Search_Compartments/uniColl_asn_cache"
                        }
                    ],
                    "out": [
                        "#wf_protein_alignment.cwl/Seed_Search_Compartments/blast_align"
                    ],
                    "id": "#wf_protein_alignment.cwl/Seed_Search_Compartments"
                },
                {
                    "run": "#align_sort.cwl_2",
                    "in": [
                        {
                            "source": "#wf_protein_alignment.cwl/asn_cache",
                            "id": "#wf_protein_alignment.cwl/Sort_Seed_Hits/asn_cache"
                        },
                        {
                            "source": "#wf_protein_alignment.cwl/cat/file_out",
                            "id": "#wf_protein_alignment.cwl/Sort_Seed_Hits/blast_aligns"
                        },
                        {
                            "default": "1G",
                            "id": "#wf_protein_alignment.cwl/Sort_Seed_Hits/limit_mem"
                        },
                        {
                            "source": "#wf_protein_alignment.cwl/uniColl_asn_cache",
                            "id": "#wf_protein_alignment.cwl/Sort_Seed_Hits/uniColl_asn_cache"
                        }
                    ],
                    "out": [
                        "#wf_protein_alignment.cwl/Sort_Seed_Hits/sorted_aligns"
                    ],
                    "id": "#wf_protein_alignment.cwl/Sort_Seed_Hits"
                },
                {
                    "run": "#cat.cwl_2",
                    "in": [
                        {
                            "source": "#wf_protein_alignment.cwl/Seed_Protein_Alignments/blast_align",
                            "id": "#wf_protein_alignment.cwl/cat/file_in_1"
                        },
                        {
                            "source": "#wf_protein_alignment.cwl/Seed_Search_Compartments/blast_align",
                            "id": "#wf_protein_alignment.cwl/cat/file_in_2"
                        }
                    ],
                    "out": [
                        "#wf_protein_alignment.cwl/cat/file_out"
                    ],
                    "id": "#wf_protein_alignment.cwl/cat"
                },
                {
                    "run": "#wf_compart_filter_prosplign.cwl",
                    "in": [
                        {
                            "source": "#wf_protein_alignment.cwl/asn_cache",
                            "id": "#wf_protein_alignment.cwl/compart_filter_prosplign/asn_cache"
                        },
                        {
                            "source": "#wf_protein_alignment.cwl/gc_assembly",
                            "id": "#wf_protein_alignment.cwl/compart_filter_prosplign/gc_assembly"
                        },
                        {
                            "source": "#wf_protein_alignment.cwl/Filter_Full_Coverage_Alignments/blast_partial_cov",
                            "id": "#wf_protein_alignment.cwl/compart_filter_prosplign/seed_hits"
                        },
                        {
                            "source": "#wf_protein_alignment.cwl/uniColl_asn_cache",
                            "id": "#wf_protein_alignment.cwl/compart_filter_prosplign/uniColl_asn_cache"
                        }
                    ],
                    "out": [
                        "#wf_protein_alignment.cwl/compart_filter_prosplign/prosplign_align"
                    ],
                    "id": "#wf_protein_alignment.cwl/compart_filter_prosplign"
                }
            ],
            "id": "#wf_protein_alignment.cwl"
        },
        {
            "class": "Workflow",
            "label": "Seed Search Compartments",
            "inputs": [
                {
                    "type": "Directory",
                    "id": "#wf_seed.cwl/asn_cache"
                },
                {
                    "type": "File",
                    "id": "#wf_seed.cwl/compartments"
                },
                {
                    "type": "int",
                    "id": "#wf_seed.cwl/db_gencode"
                },
                {
                    "type": "Directory",
                    "id": "#wf_seed.cwl/uniColl_asn_cache"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputSource": "#wf_seed.cwl/gpx_dump/seed_align",
                    "id": "#wf_seed.cwl/blast_align"
                }
            ],
            "steps": [
                {
                    "run": "#gpx_qdump.cwl_6",
                    "in": [
                        {
                            "source": "#wf_seed.cwl/tblastn_wnode/outdir",
                            "id": "#wf_seed.cwl/gpx_dump/input_path"
                        }
                    ],
                    "out": [
                        "#wf_seed.cwl/gpx_dump/seed_align"
                    ],
                    "id": "#wf_seed.cwl/gpx_dump"
                },
                {
                    "run": "#gpx_qsubmit.cwl_4",
                    "in": [
                        {
                            "source": "#wf_seed.cwl/compartments",
                            "id": "#wf_seed.cwl/gpx_qsubmit/asn"
                        },
                        {
                            "source": "#wf_seed.cwl/asn_cache",
                            "id": "#wf_seed.cwl/gpx_qsubmit/asn_cache"
                        },
                        {
                            "source": "#wf_seed.cwl/uniColl_asn_cache",
                            "id": "#wf_seed.cwl/gpx_qsubmit/uniColl_asn_cache"
                        }
                    ],
                    "out": [
                        "#wf_seed.cwl/gpx_qsubmit/jobs"
                    ],
                    "id": "#wf_seed.cwl/gpx_qsubmit"
                },
                {
                    "run": "#tblastn_wnode.cwl",
                    "in": [
                        {
                            "source": "#wf_seed.cwl/compartments",
                            "id": "#wf_seed.cwl/tblastn_wnode/asn"
                        },
                        {
                            "source": "#wf_seed.cwl/asn_cache",
                            "id": "#wf_seed.cwl/tblastn_wnode/asn_cache"
                        },
                        {
                            "source": "#wf_seed.cwl/db_gencode",
                            "id": "#wf_seed.cwl/tblastn_wnode/db_gencode"
                        },
                        {
                            "source": "#wf_seed.cwl/gpx_qsubmit/jobs",
                            "id": "#wf_seed.cwl/tblastn_wnode/input_jobs"
                        },
                        {
                            "source": "#wf_seed.cwl/uniColl_asn_cache",
                            "id": "#wf_seed.cwl/tblastn_wnode/uniColl_asn_cache"
                        }
                    ],
                    "out": [
                        "#wf_seed.cwl/tblastn_wnode/outdir"
                    ],
                    "id": "#wf_seed.cwl/tblastn_wnode"
                }
            ],
            "id": "#wf_seed.cwl"
        },
        {
            "class": "Workflow",
            "label": "Seed Protein Alignments",
            "inputs": [
                {
                    "type": "Directory",
                    "id": "#wf_seed_1.cwl/asn_cache"
                },
                {
                    "type": "Directory",
                    "id": "#wf_seed_1.cwl/blastdb_dir"
                },
                {
                    "type": "int",
                    "id": "#wf_seed_1.cwl/db_gencode"
                },
                {
                    "type": "File",
                    "id": "#wf_seed_1.cwl/seqids"
                },
                {
                    "type": "Directory",
                    "id": "#wf_seed_1.cwl/uniColl_asn_cache"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputSource": "#wf_seed_1.cwl/gpx_make_outputs/blast_align",
                    "id": "#wf_seed_1.cwl/blast_align"
                }
            ],
            "steps": [
                {
                    "run": "#gpx_make_outputs.cwl",
                    "in": [
                        {
                            "source": "#wf_seed_1.cwl/tblastn_wnode/outdir",
                            "id": "#wf_seed_1.cwl/gpx_make_outputs/input_path"
                        }
                    ],
                    "out": [
                        "#wf_seed_1.cwl/gpx_make_outputs/blast_align"
                    ],
                    "id": "#wf_seed_1.cwl/gpx_make_outputs"
                },
                {
                    "run": "#gpx_qsubmit_1.cwl",
                    "in": [
                        {
                            "source": "#wf_seed_1.cwl/asn_cache",
                            "id": "#wf_seed_1.cwl/gpx_qsubmit/asn_cache"
                        },
                        {
                            "source": "#wf_seed_1.cwl/blastdb_dir",
                            "id": "#wf_seed_1.cwl/gpx_qsubmit/blastdb_dir"
                        },
                        {
                            "source": "#wf_seed_1.cwl/seqids",
                            "id": "#wf_seed_1.cwl/gpx_qsubmit/seqids"
                        },
                        {
                            "source": "#wf_seed_1.cwl/uniColl_asn_cache",
                            "id": "#wf_seed_1.cwl/gpx_qsubmit/uniColl_asn_cache"
                        }
                    ],
                    "out": [
                        "#wf_seed_1.cwl/gpx_qsubmit/jobs"
                    ],
                    "id": "#wf_seed_1.cwl/gpx_qsubmit"
                },
                {
                    "run": "#tblastn_wnode_1.cwl",
                    "in": [
                        {
                            "source": "#wf_seed_1.cwl/asn_cache",
                            "id": "#wf_seed_1.cwl/tblastn_wnode/asn_cache"
                        },
                        {
                            "source": "#wf_seed_1.cwl/blastdb_dir",
                            "id": "#wf_seed_1.cwl/tblastn_wnode/blastdb_dir"
                        },
                        {
                            "source": "#wf_seed_1.cwl/db_gencode",
                            "id": "#wf_seed_1.cwl/tblastn_wnode/db_gencode"
                        },
                        {
                            "source": "#wf_seed_1.cwl/gpx_qsubmit/jobs",
                            "id": "#wf_seed_1.cwl/tblastn_wnode/input_jobs"
                        },
                        {
                            "source": "#wf_seed_1.cwl/uniColl_asn_cache",
                            "id": "#wf_seed_1.cwl/tblastn_wnode/uniColl_asn_cache"
                        }
                    ],
                    "out": [
                        "#wf_seed_1.cwl/tblastn_wnode/outdir"
                    ],
                    "id": "#wf_seed_1.cwl/tblastn_wnode"
                }
            ],
            "id": "#wf_seed_1.cwl"
        },
        {
            "class": "CommandLineTool",
            "label": "file concatenation",
            "baseCommand": "cat",
            "stdout": "cat.out",
            "inputs": [
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "inputBinding": {
                        "position": 1
                    },
                    "id": "#cat_array_of_files.cwl/files_in"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "id": "#cat_array_of_files.cwl/file_out",
                    "outputBinding": {
                        "glob": "cat.out"
                    }
                }
            ],
            "id": "#cat_array_of_files.cwl"
        },
        {
            "class": "CommandLineTool",
            "label": "cwl split wrapper",
            "baseCommand": "split",
            "inputs": [
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "position": 1,
                        "prefix": "-l"
                    },
                    "id": "#split.cwl/chunk_size"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "position": 4
                    },
                    "id": "#split.cwl/input"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "jobs",
                    "inputBinding": {
                        "position": 5,
                        "valueFrom": "$(inputs.mask)"
                    },
                    "id": "#split.cwl/mask"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "position": 2,
                        "prefix": "-n l//",
                        "separate": false
                    },
                    "id": "#split.cwl/nchunks"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": ".xml",
                    "inputBinding": {
                        "position": 3,
                        "separate": false,
                        "prefix": "--additional-suffix="
                    },
                    "id": "#split.cwl/suffix"
                }
            ],
            "outputs": [
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "outputBinding": {
                        "glob": "$(inputs.mask)?*$(inputs.suffix)"
                    },
                    "id": "#split.cwl/jobs"
                }
            ],
            "id": "#split.cwl"
        },
        {
            "label": "spurious_annot",
            "class": "Workflow",
            "requirements": [
                {
                    "class": "SubworkflowFeatureRequirement"
                }
            ],
            "inputs": [
                {
                    "type": "Directory",
                    "id": "#wf_spurious_annot_pass1.cwl/AntiFamLib"
                },
                {
                    "type": "File",
                    "id": "#wf_spurious_annot_pass1.cwl/Extract_ORF_Proteins_lds2"
                },
                {
                    "type": "File",
                    "id": "#wf_spurious_annot_pass1.cwl/Extract_ORF_Proteins_proteins"
                },
                {
                    "type": "File",
                    "id": "#wf_spurious_annot_pass1.cwl/Extract_ORF_Proteins_seqids"
                },
                {
                    "type": "string",
                    "id": "#wf_spurious_annot_pass1.cwl/scatter_gather_nchunks"
                },
                {
                    "type": "Directory",
                    "id": "#wf_spurious_annot_pass1.cwl/sequence_cache"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputSource": "#wf_spurious_annot_pass1.cwl/AntiFam_tainted_proteins_I/oseqids",
                    "id": "#wf_spurious_annot_pass1.cwl/AntiFam_tainted_proteins_I___oseqids"
                }
            ],
            "steps": [
                {
                    "label": "AntiFam tainted proteins I",
                    "run": "#reduce.cwl",
                    "in": [
                        {
                            "source": "#wf_spurious_annot_pass1.cwl/Search_AntiFam_I/hmm_hits",
                            "id": "#wf_spurious_annot_pass1.cwl/AntiFam_tainted_proteins_I/aligns"
                        }
                    ],
                    "out": [
                        "#wf_spurious_annot_pass1.cwl/AntiFam_tainted_proteins_I/oseqids"
                    ],
                    "id": "#wf_spurious_annot_pass1.cwl/AntiFam_tainted_proteins_I"
                },
                {
                    "label": "Search AntiFam I",
                    "run": "#tt_hmmsearch_wnode.cwl",
                    "in": [
                        {
                            "source": "#wf_spurious_annot_pass1.cwl/sequence_cache",
                            "id": "#wf_spurious_annot_pass1.cwl/Search_AntiFam_I/asn_cache"
                        },
                        {
                            "source": "#wf_spurious_annot_pass1.cwl/AntiFamLib",
                            "id": "#wf_spurious_annot_pass1.cwl/Search_AntiFam_I/hmm_path"
                        },
                        {
                            "source": "#wf_spurious_annot_pass1.cwl/Extract_ORF_Proteins_lds2",
                            "id": "#wf_spurious_annot_pass1.cwl/Search_AntiFam_I/lds2"
                        },
                        {
                            "source": "#wf_spurious_annot_pass1.cwl/Extract_ORF_Proteins_proteins",
                            "id": "#wf_spurious_annot_pass1.cwl/Search_AntiFam_I/proteins"
                        },
                        {
                            "source": "#wf_spurious_annot_pass1.cwl/scatter_gather_nchunks",
                            "id": "#wf_spurious_annot_pass1.cwl/Search_AntiFam_I/scatter_gather_nchunks"
                        },
                        {
                            "source": "#wf_spurious_annot_pass1.cwl/Extract_ORF_Proteins_seqids",
                            "id": "#wf_spurious_annot_pass1.cwl/Search_AntiFam_I/seqids"
                        }
                    ],
                    "out": [
                        "#wf_spurious_annot_pass1.cwl/Search_AntiFam_I/hmm_hits"
                    ],
                    "id": "#wf_spurious_annot_pass1.cwl/Search_AntiFam_I"
                }
            ],
            "id": "#wf_spurious_annot_pass1.cwl"
        },
        {
            "label": "spurious_annot pass2",
            "class": "Workflow",
            "requirements": [
                {
                    "class": "SubworkflowFeatureRequirement"
                }
            ],
            "inputs": [
                {
                    "type": "Directory",
                    "id": "#wf_spurious_annot_pass2.cwl/AntiFamLib"
                },
                {
                    "type": "File",
                    "id": "#wf_spurious_annot_pass2.cwl/Extract_Model_Proteins_lds2"
                },
                {
                    "type": "File",
                    "id": "#wf_spurious_annot_pass2.cwl/Extract_Model_Proteins_proteins"
                },
                {
                    "type": "File",
                    "id": "#wf_spurious_annot_pass2.cwl/Extract_Model_Proteins_seqids"
                },
                {
                    "type": "File",
                    "id": "#wf_spurious_annot_pass2.cwl/input_models"
                },
                {
                    "type": "string",
                    "id": "#wf_spurious_annot_pass2.cwl/scatter_gather_nchunks"
                },
                {
                    "type": "Directory",
                    "id": "#wf_spurious_annot_pass2.cwl/sequence_cache"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputSource": "#wf_spurious_annot_pass2.cwl/AntiFam_tainted_proteins/oseqids",
                    "id": "#wf_spurious_annot_pass2.cwl/AntiFam_tainted_proteins___oseqids"
                },
                {
                    "type": "File",
                    "outputSource": "#wf_spurious_annot_pass2.cwl/Good_AntiFam_filtered_annotations/out_annotation",
                    "id": "#wf_spurious_annot_pass2.cwl/Good_AntiFam_filtered_annotations_out"
                },
                {
                    "type": "File",
                    "outputSource": "#wf_spurious_annot_pass2.cwl/Good_AntiFam_filtered_proteins/output",
                    "id": "#wf_spurious_annot_pass2.cwl/Good_AntiFam_filtered_proteins_output"
                }
            ],
            "steps": [
                {
                    "label": "AntiFam tainted proteins",
                    "run": "#reduce.cwl",
                    "in": [
                        {
                            "source": "#wf_spurious_annot_pass2.cwl/Search_AntiFam/hmm_hits",
                            "id": "#wf_spurious_annot_pass2.cwl/AntiFam_tainted_proteins/aligns"
                        }
                    ],
                    "out": [
                        "#wf_spurious_annot_pass2.cwl/AntiFam_tainted_proteins/oseqids"
                    ],
                    "id": "#wf_spurious_annot_pass2.cwl/AntiFam_tainted_proteins"
                },
                {
                    "label": "Good, AntiFam filtered annotations",
                    "run": "#bact_filter_preserved.cwl",
                    "in": [
                        {
                            "source": "#wf_spurious_annot_pass2.cwl/input_models",
                            "id": "#wf_spurious_annot_pass2.cwl/Good_AntiFam_filtered_annotations/annotation"
                        },
                        {
                            "default": "seq-entry",
                            "id": "#wf_spurious_annot_pass2.cwl/Good_AntiFam_filtered_annotations/ifmt"
                        },
                        {
                            "default": true,
                            "id": "#wf_spurious_annot_pass2.cwl/Good_AntiFam_filtered_annotations/nogenbank"
                        },
                        {
                            "source": "#wf_spurious_annot_pass2.cwl/Good_AntiFam_filtered_proteins/output",
                            "id": "#wf_spurious_annot_pass2.cwl/Good_AntiFam_filtered_annotations/only_those_ids"
                        }
                    ],
                    "out": [
                        "#wf_spurious_annot_pass2.cwl/Good_AntiFam_filtered_annotations/out_annotation"
                    ],
                    "id": "#wf_spurious_annot_pass2.cwl/Good_AntiFam_filtered_annotations"
                },
                {
                    "label": "Good, AntiFam filtered proteins",
                    "run": "#set_operation.cwl",
                    "in": [
                        {
                            "source": [
                                "#wf_spurious_annot_pass2.cwl/Extract_Model_Proteins_seqids"
                            ],
                            "linkMerge": "merge_flattened",
                            "id": "#wf_spurious_annot_pass2.cwl/Good_AntiFam_filtered_proteins/A"
                        },
                        {
                            "source": [
                                "#wf_spurious_annot_pass2.cwl/AntiFam_tainted_proteins/oseqids"
                            ],
                            "linkMerge": "merge_flattened",
                            "id": "#wf_spurious_annot_pass2.cwl/Good_AntiFam_filtered_proteins/B"
                        },
                        {
                            "default": "-",
                            "id": "#wf_spurious_annot_pass2.cwl/Good_AntiFam_filtered_proteins/operation"
                        }
                    ],
                    "out": [
                        "#wf_spurious_annot_pass2.cwl/Good_AntiFam_filtered_proteins/output"
                    ],
                    "id": "#wf_spurious_annot_pass2.cwl/Good_AntiFam_filtered_proteins"
                },
                {
                    "label": "Search AntiFam",
                    "run": "#tt_hmmsearch_wnode.cwl",
                    "in": [
                        {
                            "source": "#wf_spurious_annot_pass2.cwl/sequence_cache",
                            "id": "#wf_spurious_annot_pass2.cwl/Search_AntiFam/asn_cache"
                        },
                        {
                            "source": "#wf_spurious_annot_pass2.cwl/AntiFamLib",
                            "id": "#wf_spurious_annot_pass2.cwl/Search_AntiFam/hmm_path"
                        },
                        {
                            "source": "#wf_spurious_annot_pass2.cwl/Extract_Model_Proteins_lds2",
                            "id": "#wf_spurious_annot_pass2.cwl/Search_AntiFam/lds2"
                        },
                        {
                            "source": "#wf_spurious_annot_pass2.cwl/Extract_Model_Proteins_proteins",
                            "id": "#wf_spurious_annot_pass2.cwl/Search_AntiFam/proteins"
                        },
                        {
                            "source": "#wf_spurious_annot_pass2.cwl/scatter_gather_nchunks",
                            "id": "#wf_spurious_annot_pass2.cwl/Search_AntiFam/scatter_gather_nchunks"
                        },
                        {
                            "source": "#wf_spurious_annot_pass2.cwl/Extract_Model_Proteins_seqids",
                            "id": "#wf_spurious_annot_pass2.cwl/Search_AntiFam/seqids"
                        }
                    ],
                    "out": [
                        "#wf_spurious_annot_pass2.cwl/Search_AntiFam/hmm_hits"
                    ],
                    "id": "#wf_spurious_annot_pass2.cwl/Search_AntiFam"
                }
            ],
            "id": "#wf_spurious_annot_pass2.cwl"
        },
        {
            "label": "blastp_wnode_naming",
            "class": "Workflow",
            "requirements": [
                {
                    "class": "SubworkflowFeatureRequirement"
                },
                {
                    "class": "ScatterFeatureRequirement"
                }
            ],
            "inputs": [
                {
                    "type": "string",
                    "id": "#tt_blastp_wnode_naming.cwl/affinity"
                },
                {
                    "type": "string",
                    "id": "#tt_blastp_wnode_naming.cwl/align_filter"
                },
                {
                    "type": "boolean",
                    "id": "#tt_blastp_wnode_naming.cwl/allow_intersection"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "Directory"
                    },
                    "id": "#tt_blastp_wnode_naming.cwl/asn_cache"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "id": "#tt_blastp_wnode_naming.cwl/batch-size"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "id": "#tt_blastp_wnode_naming.cwl/blast_hits_cache"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "id": "#tt_blastp_wnode_naming.cwl/blast_type"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#tt_blastp_wnode_naming.cwl/blastdb"
                },
                {
                    "type": "Directory",
                    "id": "#tt_blastp_wnode_naming.cwl/blastdb_dir"
                },
                {
                    "type": "string",
                    "id": "#tt_blastp_wnode_naming.cwl/comp_based_stats"
                },
                {
                    "type": "boolean",
                    "id": "#tt_blastp_wnode_naming.cwl/compart"
                },
                {
                    "type": "string",
                    "id": "#tt_blastp_wnode_naming.cwl/dbsize"
                },
                {
                    "type": [
                        "null",
                        "float"
                    ],
                    "id": "#tt_blastp_wnode_naming.cwl/evalue"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "id": "#tt_blastp_wnode_naming.cwl/extra_coverage"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "int"
                    },
                    "id": "#tt_blastp_wnode_naming.cwl/genus_list"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "id": "#tt_blastp_wnode_naming.cwl/ids"
                },
                {
                    "type": "File",
                    "id": "#tt_blastp_wnode_naming.cwl/lds2"
                },
                {
                    "type": "int",
                    "id": "#tt_blastp_wnode_naming.cwl/max_batch_length"
                },
                {
                    "type": "int",
                    "id": "#tt_blastp_wnode_naming.cwl/max_jobs"
                },
                {
                    "type": "int",
                    "id": "#tt_blastp_wnode_naming.cwl/max_target_seqs"
                },
                {
                    "type": "boolean",
                    "id": "#tt_blastp_wnode_naming.cwl/no_merge"
                },
                {
                    "type": "boolean",
                    "id": "#tt_blastp_wnode_naming.cwl/nogenbank"
                },
                {
                    "type": "string",
                    "id": "#tt_blastp_wnode_naming.cwl/ofmt"
                },
                {
                    "type": "File",
                    "id": "#tt_blastp_wnode_naming.cwl/proteins"
                },
                {
                    "type": "string",
                    "id": "#tt_blastp_wnode_naming.cwl/scatter_gather_nchunks"
                },
                {
                    "type": "string",
                    "id": "#tt_blastp_wnode_naming.cwl/seg"
                },
                {
                    "type": "string",
                    "id": "#tt_blastp_wnode_naming.cwl/soft_masking"
                },
                {
                    "type": "int",
                    "id": "#tt_blastp_wnode_naming.cwl/taxid"
                },
                {
                    "type": "File",
                    "id": "#tt_blastp_wnode_naming.cwl/taxon_db"
                },
                {
                    "type": "int",
                    "id": "#tt_blastp_wnode_naming.cwl/threshold"
                },
                {
                    "type": "int",
                    "id": "#tt_blastp_wnode_naming.cwl/top_by_score"
                },
                {
                    "type": "int",
                    "id": "#tt_blastp_wnode_naming.cwl/word_size"
                }
            ],
            "outputs": [
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "outputSource": [
                        "#tt_blastp_wnode_naming.cwl/collect_aligns/file_out",
                        "#tt_blastp_wnode_naming.cwl/retrieve_cached_hits/hits_output"
                    ],
                    "id": "#tt_blastp_wnode_naming.cwl/blast_align"
                }
            ],
            "steps": [
                {
                    "run": "#tt_cluster_and_qdump.cwl",
                    "scatter": "#tt_blastp_wnode_naming.cwl/cluster_and_qdump/input_jobs",
                    "in": [
                        {
                            "source": "#tt_blastp_wnode_naming.cwl/align_filter",
                            "id": "#tt_blastp_wnode_naming.cwl/cluster_and_qdump/align_filter"
                        },
                        {
                            "source": "#tt_blastp_wnode_naming.cwl/allow_intersection",
                            "id": "#tt_blastp_wnode_naming.cwl/cluster_and_qdump/allow_intersection"
                        },
                        {
                            "source": "#tt_blastp_wnode_naming.cwl/asn_cache",
                            "id": "#tt_blastp_wnode_naming.cwl/cluster_and_qdump/asn_cache"
                        },
                        {
                            "source": "#tt_blastp_wnode_naming.cwl/blastdb_dir",
                            "id": "#tt_blastp_wnode_naming.cwl/cluster_and_qdump/blastdb_dir"
                        },
                        {
                            "source": "#tt_blastp_wnode_naming.cwl/comp_based_stats",
                            "id": "#tt_blastp_wnode_naming.cwl/cluster_and_qdump/comp_based_stats"
                        },
                        {
                            "source": "#tt_blastp_wnode_naming.cwl/compart",
                            "id": "#tt_blastp_wnode_naming.cwl/cluster_and_qdump/compart"
                        },
                        {
                            "source": "#tt_blastp_wnode_naming.cwl/dbsize",
                            "id": "#tt_blastp_wnode_naming.cwl/cluster_and_qdump/dbsize"
                        },
                        {
                            "source": "#tt_blastp_wnode_naming.cwl/evalue",
                            "id": "#tt_blastp_wnode_naming.cwl/cluster_and_qdump/evalue"
                        },
                        {
                            "source": "#tt_blastp_wnode_naming.cwl/extra_coverage",
                            "id": "#tt_blastp_wnode_naming.cwl/cluster_and_qdump/extra_coverage"
                        },
                        {
                            "source": "#tt_blastp_wnode_naming.cwl/split_jobs/jobs",
                            "id": "#tt_blastp_wnode_naming.cwl/cluster_and_qdump/input_jobs"
                        },
                        {
                            "source": "#tt_blastp_wnode_naming.cwl/lds2",
                            "id": "#tt_blastp_wnode_naming.cwl/cluster_and_qdump/lds2"
                        },
                        {
                            "source": "#tt_blastp_wnode_naming.cwl/max_jobs",
                            "id": "#tt_blastp_wnode_naming.cwl/cluster_and_qdump/max_jobs"
                        },
                        {
                            "source": "#tt_blastp_wnode_naming.cwl/max_target_seqs",
                            "id": "#tt_blastp_wnode_naming.cwl/cluster_and_qdump/max_target_seqs"
                        },
                        {
                            "source": "#tt_blastp_wnode_naming.cwl/no_merge",
                            "id": "#tt_blastp_wnode_naming.cwl/cluster_and_qdump/no_merge"
                        },
                        {
                            "source": "#tt_blastp_wnode_naming.cwl/nogenbank",
                            "id": "#tt_blastp_wnode_naming.cwl/cluster_and_qdump/nogenbank"
                        },
                        {
                            "source": "#tt_blastp_wnode_naming.cwl/ofmt",
                            "id": "#tt_blastp_wnode_naming.cwl/cluster_and_qdump/ofmt"
                        },
                        {
                            "source": "#tt_blastp_wnode_naming.cwl/proteins",
                            "id": "#tt_blastp_wnode_naming.cwl/cluster_and_qdump/proteins"
                        },
                        {
                            "source": "#tt_blastp_wnode_naming.cwl/seg",
                            "id": "#tt_blastp_wnode_naming.cwl/cluster_and_qdump/seg"
                        },
                        {
                            "source": "#tt_blastp_wnode_naming.cwl/soft_masking",
                            "id": "#tt_blastp_wnode_naming.cwl/cluster_and_qdump/soft_masking"
                        },
                        {
                            "source": "#tt_blastp_wnode_naming.cwl/threshold",
                            "id": "#tt_blastp_wnode_naming.cwl/cluster_and_qdump/threshold"
                        },
                        {
                            "source": "#tt_blastp_wnode_naming.cwl/top_by_score",
                            "id": "#tt_blastp_wnode_naming.cwl/cluster_and_qdump/top_by_score"
                        },
                        {
                            "source": "#tt_blastp_wnode_naming.cwl/word_size",
                            "id": "#tt_blastp_wnode_naming.cwl/cluster_and_qdump/word_size"
                        }
                    ],
                    "out": [
                        "#tt_blastp_wnode_naming.cwl/cluster_and_qdump/blast_align"
                    ],
                    "id": "#tt_blastp_wnode_naming.cwl/cluster_and_qdump"
                },
                {
                    "run": "#cat_array_of_files.cwl",
                    "in": [
                        {
                            "source": "#tt_blastp_wnode_naming.cwl/cluster_and_qdump/blast_align",
                            "id": "#tt_blastp_wnode_naming.cwl/collect_aligns/files_in"
                        }
                    ],
                    "out": [
                        "#tt_blastp_wnode_naming.cwl/collect_aligns/file_out"
                    ],
                    "id": "#tt_blastp_wnode_naming.cwl/collect_aligns"
                },
                {
                    "run": "#gpx_qsubmit.cwl_3",
                    "in": [
                        {
                            "source": "#tt_blastp_wnode_naming.cwl/affinity",
                            "id": "#tt_blastp_wnode_naming.cwl/gpx_qsubmit/affinity"
                        },
                        {
                            "source": "#tt_blastp_wnode_naming.cwl/asn_cache",
                            "id": "#tt_blastp_wnode_naming.cwl/gpx_qsubmit/asn_cache"
                        },
                        {
                            "source": "#tt_blastp_wnode_naming.cwl/batch-size",
                            "id": "#tt_blastp_wnode_naming.cwl/gpx_qsubmit/batch_size"
                        },
                        {
                            "source": "#tt_blastp_wnode_naming.cwl/blastdb",
                            "id": "#tt_blastp_wnode_naming.cwl/gpx_qsubmit/blastdb"
                        },
                        {
                            "source": "#tt_blastp_wnode_naming.cwl/blastdb_dir",
                            "id": "#tt_blastp_wnode_naming.cwl/gpx_qsubmit/blastdb_dir"
                        },
                        {
                            "source": [
                                "#tt_blastp_wnode_naming.cwl/retrieve_cached_hits/not_found_output"
                            ],
                            "linkMerge": "merge_flattened",
                            "id": "#tt_blastp_wnode_naming.cwl/gpx_qsubmit/ids"
                        },
                        {
                            "source": "#tt_blastp_wnode_naming.cwl/lds2",
                            "id": "#tt_blastp_wnode_naming.cwl/gpx_qsubmit/lds2"
                        },
                        {
                            "source": "#tt_blastp_wnode_naming.cwl/max_batch_length",
                            "id": "#tt_blastp_wnode_naming.cwl/gpx_qsubmit/max_batch_length"
                        },
                        {
                            "source": "#tt_blastp_wnode_naming.cwl/nogenbank",
                            "id": "#tt_blastp_wnode_naming.cwl/gpx_qsubmit/nogenbank"
                        },
                        {
                            "source": "#tt_blastp_wnode_naming.cwl/proteins",
                            "id": "#tt_blastp_wnode_naming.cwl/gpx_qsubmit/proteins"
                        }
                    ],
                    "out": [
                        "#tt_blastp_wnode_naming.cwl/gpx_qsubmit/jobs"
                    ],
                    "id": "#tt_blastp_wnode_naming.cwl/gpx_qsubmit"
                },
                {
                    "run": "#orf_hits_cache_retrieve.cwl",
                    "in": [
                        {
                            "source": "#tt_blastp_wnode_naming.cwl/blast_type",
                            "id": "#tt_blastp_wnode_naming.cwl/retrieve_cached_hits/blast_type"
                        },
                        {
                            "source": "#tt_blastp_wnode_naming.cwl/genus_list",
                            "id": "#tt_blastp_wnode_naming.cwl/retrieve_cached_hits/genus_list"
                        },
                        {
                            "source": "#tt_blastp_wnode_naming.cwl/lds2",
                            "id": "#tt_blastp_wnode_naming.cwl/retrieve_cached_hits/lds2"
                        },
                        {
                            "source": "#tt_blastp_wnode_naming.cwl/ids",
                            "id": "#tt_blastp_wnode_naming.cwl/retrieve_cached_hits/orfs"
                        },
                        {
                            "source": "#tt_blastp_wnode_naming.cwl/proteins",
                            "id": "#tt_blastp_wnode_naming.cwl/retrieve_cached_hits/proteins"
                        },
                        {
                            "source": "#tt_blastp_wnode_naming.cwl/blast_hits_cache",
                            "id": "#tt_blastp_wnode_naming.cwl/retrieve_cached_hits/sqlite_cache"
                        },
                        {
                            "source": "#tt_blastp_wnode_naming.cwl/taxid",
                            "id": "#tt_blastp_wnode_naming.cwl/retrieve_cached_hits/taxid"
                        },
                        {
                            "source": "#tt_blastp_wnode_naming.cwl/taxon_db",
                            "id": "#tt_blastp_wnode_naming.cwl/retrieve_cached_hits/taxon_db"
                        }
                    ],
                    "out": [
                        "#tt_blastp_wnode_naming.cwl/retrieve_cached_hits/hits_output",
                        "#tt_blastp_wnode_naming.cwl/retrieve_cached_hits/not_found_output"
                    ],
                    "id": "#tt_blastp_wnode_naming.cwl/retrieve_cached_hits"
                },
                {
                    "run": "#split.cwl",
                    "in": [
                        {
                            "source": "#tt_blastp_wnode_naming.cwl/gpx_qsubmit/jobs",
                            "id": "#tt_blastp_wnode_naming.cwl/split_jobs/input"
                        },
                        {
                            "source": "#tt_blastp_wnode_naming.cwl/scatter_gather_nchunks",
                            "id": "#tt_blastp_wnode_naming.cwl/split_jobs/nchunks"
                        }
                    ],
                    "out": [
                        "#tt_blastp_wnode_naming.cwl/split_jobs/jobs"
                    ],
                    "id": "#tt_blastp_wnode_naming.cwl/split_jobs"
                }
            ],
            "id": "#tt_blastp_wnode_naming.cwl"
        },
        {
            "label": "blastp_wnode_struct",
            "class": "Workflow",
            "requirements": [
                {
                    "class": "SubworkflowFeatureRequirement"
                },
                {
                    "class": "ScatterFeatureRequirement"
                }
            ],
            "inputs": [
                {
                    "type": "string",
                    "id": "#tt_blastp_wnode_struct.cwl/affinity"
                },
                {
                    "type": "string",
                    "id": "#tt_blastp_wnode_struct.cwl/align_filter"
                },
                {
                    "type": "boolean",
                    "id": "#tt_blastp_wnode_struct.cwl/allow_intersection"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "Directory"
                    },
                    "id": "#tt_blastp_wnode_struct.cwl/asn_cache"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "id": "#tt_blastp_wnode_struct.cwl/batch-size"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "id": "#tt_blastp_wnode_struct.cwl/blast_hits_cache"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "id": "#tt_blastp_wnode_struct.cwl/blast_type"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#tt_blastp_wnode_struct.cwl/blastdb"
                },
                {
                    "type": "Directory",
                    "id": "#tt_blastp_wnode_struct.cwl/blastdb_dir"
                },
                {
                    "type": "string",
                    "id": "#tt_blastp_wnode_struct.cwl/comp_based_stats"
                },
                {
                    "type": "boolean",
                    "id": "#tt_blastp_wnode_struct.cwl/compart"
                },
                {
                    "type": "string",
                    "id": "#tt_blastp_wnode_struct.cwl/dbsize"
                },
                {
                    "type": [
                        "null",
                        "float"
                    ],
                    "id": "#tt_blastp_wnode_struct.cwl/evalue"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "id": "#tt_blastp_wnode_struct.cwl/extra_coverage"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "int"
                    },
                    "id": "#tt_blastp_wnode_struct.cwl/genus_list"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "id": "#tt_blastp_wnode_struct.cwl/ids"
                },
                {
                    "type": "File",
                    "id": "#tt_blastp_wnode_struct.cwl/lds2"
                },
                {
                    "type": "int",
                    "id": "#tt_blastp_wnode_struct.cwl/max_batch_length"
                },
                {
                    "type": "int",
                    "id": "#tt_blastp_wnode_struct.cwl/max_jobs"
                },
                {
                    "type": "int",
                    "id": "#tt_blastp_wnode_struct.cwl/max_target_seqs"
                },
                {
                    "type": "boolean",
                    "id": "#tt_blastp_wnode_struct.cwl/no_merge"
                },
                {
                    "type": "boolean",
                    "id": "#tt_blastp_wnode_struct.cwl/nogenbank"
                },
                {
                    "type": "string",
                    "id": "#tt_blastp_wnode_struct.cwl/ofmt"
                },
                {
                    "type": "File",
                    "id": "#tt_blastp_wnode_struct.cwl/proteins"
                },
                {
                    "type": "string",
                    "id": "#tt_blastp_wnode_struct.cwl/scatter_gather_nchunks"
                },
                {
                    "type": "string",
                    "id": "#tt_blastp_wnode_struct.cwl/seg"
                },
                {
                    "type": "string",
                    "id": "#tt_blastp_wnode_struct.cwl/soft_masking"
                },
                {
                    "type": "int",
                    "id": "#tt_blastp_wnode_struct.cwl/taxid"
                },
                {
                    "type": "File",
                    "id": "#tt_blastp_wnode_struct.cwl/taxon_db"
                },
                {
                    "type": "int",
                    "id": "#tt_blastp_wnode_struct.cwl/threshold"
                },
                {
                    "type": "int",
                    "id": "#tt_blastp_wnode_struct.cwl/top_by_score"
                },
                {
                    "type": "int",
                    "id": "#tt_blastp_wnode_struct.cwl/word_size"
                }
            ],
            "outputs": [
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "outputSource": "#tt_blastp_wnode_struct.cwl/cluster_and_qdump/blast_align",
                    "id": "#tt_blastp_wnode_struct.cwl/blast_align"
                }
            ],
            "steps": [
                {
                    "run": "#tt_cluster_and_qdump.cwl",
                    "scatter": "#tt_blastp_wnode_struct.cwl/cluster_and_qdump/input_jobs",
                    "in": [
                        {
                            "source": "#tt_blastp_wnode_struct.cwl/align_filter",
                            "id": "#tt_blastp_wnode_struct.cwl/cluster_and_qdump/align_filter"
                        },
                        {
                            "source": "#tt_blastp_wnode_struct.cwl/allow_intersection",
                            "id": "#tt_blastp_wnode_struct.cwl/cluster_and_qdump/allow_intersection"
                        },
                        {
                            "source": "#tt_blastp_wnode_struct.cwl/asn_cache",
                            "id": "#tt_blastp_wnode_struct.cwl/cluster_and_qdump/asn_cache"
                        },
                        {
                            "source": "#tt_blastp_wnode_struct.cwl/blastdb_dir",
                            "id": "#tt_blastp_wnode_struct.cwl/cluster_and_qdump/blastdb_dir"
                        },
                        {
                            "source": "#tt_blastp_wnode_struct.cwl/comp_based_stats",
                            "id": "#tt_blastp_wnode_struct.cwl/cluster_and_qdump/comp_based_stats"
                        },
                        {
                            "source": "#tt_blastp_wnode_struct.cwl/compart",
                            "id": "#tt_blastp_wnode_struct.cwl/cluster_and_qdump/compart"
                        },
                        {
                            "source": "#tt_blastp_wnode_struct.cwl/dbsize",
                            "id": "#tt_blastp_wnode_struct.cwl/cluster_and_qdump/dbsize"
                        },
                        {
                            "source": "#tt_blastp_wnode_struct.cwl/evalue",
                            "id": "#tt_blastp_wnode_struct.cwl/cluster_and_qdump/evalue"
                        },
                        {
                            "source": "#tt_blastp_wnode_struct.cwl/extra_coverage",
                            "id": "#tt_blastp_wnode_struct.cwl/cluster_and_qdump/extra_coverage"
                        },
                        {
                            "source": "#tt_blastp_wnode_struct.cwl/split_jobs/jobs",
                            "id": "#tt_blastp_wnode_struct.cwl/cluster_and_qdump/input_jobs"
                        },
                        {
                            "source": "#tt_blastp_wnode_struct.cwl/lds2",
                            "id": "#tt_blastp_wnode_struct.cwl/cluster_and_qdump/lds2"
                        },
                        {
                            "source": "#tt_blastp_wnode_struct.cwl/max_jobs",
                            "id": "#tt_blastp_wnode_struct.cwl/cluster_and_qdump/max_jobs"
                        },
                        {
                            "source": "#tt_blastp_wnode_struct.cwl/max_target_seqs",
                            "id": "#tt_blastp_wnode_struct.cwl/cluster_and_qdump/max_target_seqs"
                        },
                        {
                            "source": "#tt_blastp_wnode_struct.cwl/no_merge",
                            "id": "#tt_blastp_wnode_struct.cwl/cluster_and_qdump/no_merge"
                        },
                        {
                            "source": "#tt_blastp_wnode_struct.cwl/nogenbank",
                            "id": "#tt_blastp_wnode_struct.cwl/cluster_and_qdump/nogenbank"
                        },
                        {
                            "source": "#tt_blastp_wnode_struct.cwl/ofmt",
                            "id": "#tt_blastp_wnode_struct.cwl/cluster_and_qdump/ofmt"
                        },
                        {
                            "source": "#tt_blastp_wnode_struct.cwl/proteins",
                            "id": "#tt_blastp_wnode_struct.cwl/cluster_and_qdump/proteins"
                        },
                        {
                            "source": "#tt_blastp_wnode_struct.cwl/seg",
                            "id": "#tt_blastp_wnode_struct.cwl/cluster_and_qdump/seg"
                        },
                        {
                            "default": 30,
                            "id": "#tt_blastp_wnode_struct.cwl/cluster_and_qdump/short_protein_threshold"
                        },
                        {
                            "source": "#tt_blastp_wnode_struct.cwl/soft_masking",
                            "id": "#tt_blastp_wnode_struct.cwl/cluster_and_qdump/soft_masking"
                        },
                        {
                            "source": "#tt_blastp_wnode_struct.cwl/threshold",
                            "id": "#tt_blastp_wnode_struct.cwl/cluster_and_qdump/threshold"
                        },
                        {
                            "source": "#tt_blastp_wnode_struct.cwl/top_by_score",
                            "id": "#tt_blastp_wnode_struct.cwl/cluster_and_qdump/top_by_score"
                        },
                        {
                            "source": "#tt_blastp_wnode_struct.cwl/word_size",
                            "id": "#tt_blastp_wnode_struct.cwl/cluster_and_qdump/word_size"
                        }
                    ],
                    "out": [
                        "#tt_blastp_wnode_struct.cwl/cluster_and_qdump/blast_align"
                    ],
                    "id": "#tt_blastp_wnode_struct.cwl/cluster_and_qdump"
                },
                {
                    "run": "#cat_array_of_files.cwl",
                    "in": [
                        {
                            "source": "#tt_blastp_wnode_struct.cwl/cluster_and_qdump/blast_align",
                            "id": "#tt_blastp_wnode_struct.cwl/collect_aligns/files_in"
                        }
                    ],
                    "out": [
                        "#tt_blastp_wnode_struct.cwl/collect_aligns/file_out"
                    ],
                    "id": "#tt_blastp_wnode_struct.cwl/collect_aligns"
                },
                {
                    "run": "#gpx_qsubmit.cwl_3",
                    "in": [
                        {
                            "source": "#tt_blastp_wnode_struct.cwl/affinity",
                            "id": "#tt_blastp_wnode_struct.cwl/gpx_qsubmit/affinity"
                        },
                        {
                            "source": "#tt_blastp_wnode_struct.cwl/asn_cache",
                            "id": "#tt_blastp_wnode_struct.cwl/gpx_qsubmit/asn_cache"
                        },
                        {
                            "source": "#tt_blastp_wnode_struct.cwl/batch-size",
                            "id": "#tt_blastp_wnode_struct.cwl/gpx_qsubmit/batch_size"
                        },
                        {
                            "source": "#tt_blastp_wnode_struct.cwl/blastdb",
                            "id": "#tt_blastp_wnode_struct.cwl/gpx_qsubmit/blastdb"
                        },
                        {
                            "source": "#tt_blastp_wnode_struct.cwl/blastdb_dir",
                            "id": "#tt_blastp_wnode_struct.cwl/gpx_qsubmit/blastdb_dir"
                        },
                        {
                            "source": [
                                "#tt_blastp_wnode_struct.cwl/ids"
                            ],
                            "linkMerge": "merge_flattened",
                            "id": "#tt_blastp_wnode_struct.cwl/gpx_qsubmit/ids"
                        },
                        {
                            "source": "#tt_blastp_wnode_struct.cwl/lds2",
                            "id": "#tt_blastp_wnode_struct.cwl/gpx_qsubmit/lds2"
                        },
                        {
                            "source": "#tt_blastp_wnode_struct.cwl/max_batch_length",
                            "id": "#tt_blastp_wnode_struct.cwl/gpx_qsubmit/max_batch_length"
                        },
                        {
                            "source": "#tt_blastp_wnode_struct.cwl/nogenbank",
                            "id": "#tt_blastp_wnode_struct.cwl/gpx_qsubmit/nogenbank"
                        },
                        {
                            "source": "#tt_blastp_wnode_struct.cwl/proteins",
                            "id": "#tt_blastp_wnode_struct.cwl/gpx_qsubmit/proteins"
                        }
                    ],
                    "out": [
                        "#tt_blastp_wnode_struct.cwl/gpx_qsubmit/jobs"
                    ],
                    "id": "#tt_blastp_wnode_struct.cwl/gpx_qsubmit"
                },
                {
                    "run": "#split.cwl",
                    "in": [
                        {
                            "source": "#tt_blastp_wnode_struct.cwl/gpx_qsubmit/jobs",
                            "id": "#tt_blastp_wnode_struct.cwl/split_jobs/input"
                        },
                        {
                            "source": "#tt_blastp_wnode_struct.cwl/scatter_gather_nchunks",
                            "id": "#tt_blastp_wnode_struct.cwl/split_jobs/nchunks"
                        }
                    ],
                    "out": [
                        "#tt_blastp_wnode_struct.cwl/split_jobs/jobs"
                    ],
                    "id": "#tt_blastp_wnode_struct.cwl/split_jobs"
                }
            ],
            "id": "#tt_blastp_wnode_struct.cwl"
        },
        {
            "class": "Workflow",
            "label": "cluster_blastp_wnode and gpx_qdump combined",
            "requirements": [
                {
                    "class": "SubworkflowFeatureRequirement"
                }
            ],
            "inputs": [
                {
                    "type": "string",
                    "id": "#tt_cluster_and_qdump.cwl/align_filter"
                },
                {
                    "type": "boolean",
                    "id": "#tt_cluster_and_qdump.cwl/allow_intersection"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "Directory"
                    },
                    "id": "#tt_cluster_and_qdump.cwl/asn_cache"
                },
                {
                    "type": "Directory",
                    "id": "#tt_cluster_and_qdump.cwl/blastdb_dir"
                },
                {
                    "type": "string",
                    "id": "#tt_cluster_and_qdump.cwl/comp_based_stats"
                },
                {
                    "type": "boolean",
                    "id": "#tt_cluster_and_qdump.cwl/compart"
                },
                {
                    "type": "string",
                    "id": "#tt_cluster_and_qdump.cwl/dbsize"
                },
                {
                    "type": [
                        "null",
                        "float"
                    ],
                    "id": "#tt_cluster_and_qdump.cwl/evalue"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "id": "#tt_cluster_and_qdump.cwl/extra_coverage"
                },
                {
                    "type": "File",
                    "id": "#tt_cluster_and_qdump.cwl/input_jobs"
                },
                {
                    "type": "File",
                    "id": "#tt_cluster_and_qdump.cwl/lds2"
                },
                {
                    "type": "int",
                    "id": "#tt_cluster_and_qdump.cwl/max_jobs"
                },
                {
                    "type": "int",
                    "id": "#tt_cluster_and_qdump.cwl/max_target_seqs"
                },
                {
                    "type": "boolean",
                    "id": "#tt_cluster_and_qdump.cwl/no_merge"
                },
                {
                    "type": "boolean",
                    "id": "#tt_cluster_and_qdump.cwl/nogenbank"
                },
                {
                    "type": "string",
                    "id": "#tt_cluster_and_qdump.cwl/ofmt"
                },
                {
                    "type": "File",
                    "id": "#tt_cluster_and_qdump.cwl/proteins"
                },
                {
                    "type": "string",
                    "id": "#tt_cluster_and_qdump.cwl/seg"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "id": "#tt_cluster_and_qdump.cwl/short_protein_threshold"
                },
                {
                    "type": "string",
                    "id": "#tt_cluster_and_qdump.cwl/soft_masking"
                },
                {
                    "type": "int",
                    "id": "#tt_cluster_and_qdump.cwl/threshold"
                },
                {
                    "type": "int",
                    "id": "#tt_cluster_and_qdump.cwl/top_by_score"
                },
                {
                    "type": "int",
                    "id": "#tt_cluster_and_qdump.cwl/word_size"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputSource": "#tt_cluster_and_qdump.cwl/gpx_qdump/output",
                    "id": "#tt_cluster_and_qdump.cwl/blast_align"
                }
            ],
            "steps": [
                {
                    "run": "#cluster_blastp_wnode.cwl",
                    "in": [
                        {
                            "source": "#tt_cluster_and_qdump.cwl/align_filter",
                            "id": "#tt_cluster_and_qdump.cwl/cluster_blastp_wnode/align_filter"
                        },
                        {
                            "source": "#tt_cluster_and_qdump.cwl/allow_intersection",
                            "id": "#tt_cluster_and_qdump.cwl/cluster_blastp_wnode/allow_intersection"
                        },
                        {
                            "source": "#tt_cluster_and_qdump.cwl/asn_cache",
                            "id": "#tt_cluster_and_qdump.cwl/cluster_blastp_wnode/asn_cache"
                        },
                        {
                            "source": "#tt_cluster_and_qdump.cwl/blastdb_dir",
                            "id": "#tt_cluster_and_qdump.cwl/cluster_blastp_wnode/blastdb_dir"
                        },
                        {
                            "source": "#tt_cluster_and_qdump.cwl/comp_based_stats",
                            "id": "#tt_cluster_and_qdump.cwl/cluster_blastp_wnode/comp_based_stats"
                        },
                        {
                            "source": "#tt_cluster_and_qdump.cwl/compart",
                            "id": "#tt_cluster_and_qdump.cwl/cluster_blastp_wnode/compart"
                        },
                        {
                            "source": "#tt_cluster_and_qdump.cwl/dbsize",
                            "id": "#tt_cluster_and_qdump.cwl/cluster_blastp_wnode/dbsize"
                        },
                        {
                            "source": "#tt_cluster_and_qdump.cwl/evalue",
                            "id": "#tt_cluster_and_qdump.cwl/cluster_blastp_wnode/evalue"
                        },
                        {
                            "source": "#tt_cluster_and_qdump.cwl/extra_coverage",
                            "id": "#tt_cluster_and_qdump.cwl/cluster_blastp_wnode/extra_coverage"
                        },
                        {
                            "source": "#tt_cluster_and_qdump.cwl/input_jobs",
                            "id": "#tt_cluster_and_qdump.cwl/cluster_blastp_wnode/input_jobs"
                        },
                        {
                            "source": "#tt_cluster_and_qdump.cwl/lds2",
                            "id": "#tt_cluster_and_qdump.cwl/cluster_blastp_wnode/lds2"
                        },
                        {
                            "source": "#tt_cluster_and_qdump.cwl/max_jobs",
                            "id": "#tt_cluster_and_qdump.cwl/cluster_blastp_wnode/max_jobs"
                        },
                        {
                            "source": "#tt_cluster_and_qdump.cwl/max_target_seqs",
                            "id": "#tt_cluster_and_qdump.cwl/cluster_blastp_wnode/max_target_seqs"
                        },
                        {
                            "source": "#tt_cluster_and_qdump.cwl/no_merge",
                            "id": "#tt_cluster_and_qdump.cwl/cluster_blastp_wnode/no_merge"
                        },
                        {
                            "source": "#tt_cluster_and_qdump.cwl/nogenbank",
                            "id": "#tt_cluster_and_qdump.cwl/cluster_blastp_wnode/nogenbank"
                        },
                        {
                            "source": "#tt_cluster_and_qdump.cwl/ofmt",
                            "id": "#tt_cluster_and_qdump.cwl/cluster_blastp_wnode/ofmt"
                        },
                        {
                            "source": "#tt_cluster_and_qdump.cwl/proteins",
                            "id": "#tt_cluster_and_qdump.cwl/cluster_blastp_wnode/proteins"
                        },
                        {
                            "source": "#tt_cluster_and_qdump.cwl/seg",
                            "id": "#tt_cluster_and_qdump.cwl/cluster_blastp_wnode/seg"
                        },
                        {
                            "source": "#tt_cluster_and_qdump.cwl/short_protein_threshold",
                            "id": "#tt_cluster_and_qdump.cwl/cluster_blastp_wnode/short_protein_threshold"
                        },
                        {
                            "source": "#tt_cluster_and_qdump.cwl/soft_masking",
                            "id": "#tt_cluster_and_qdump.cwl/cluster_blastp_wnode/soft_masking"
                        },
                        {
                            "source": "#tt_cluster_and_qdump.cwl/threshold",
                            "id": "#tt_cluster_and_qdump.cwl/cluster_blastp_wnode/threshold"
                        },
                        {
                            "source": "#tt_cluster_and_qdump.cwl/top_by_score",
                            "id": "#tt_cluster_and_qdump.cwl/cluster_blastp_wnode/top_by_score"
                        },
                        {
                            "source": "#tt_cluster_and_qdump.cwl/word_size",
                            "id": "#tt_cluster_and_qdump.cwl/cluster_blastp_wnode/word_size"
                        },
                        {
                            "default": 1.0,
                            "id": "#tt_cluster_and_qdump.cwl/cluster_blastp_wnode/workers_per_cpu"
                        }
                    ],
                    "out": [
                        "#tt_cluster_and_qdump.cwl/cluster_blastp_wnode/outdir"
                    ],
                    "id": "#tt_cluster_and_qdump.cwl/cluster_blastp_wnode"
                },
                {
                    "run": "#gpx_qdump.cwl_5",
                    "in": [
                        {
                            "source": "#tt_cluster_and_qdump.cwl/cluster_blastp_wnode/outdir",
                            "id": "#tt_cluster_and_qdump.cwl/gpx_qdump/input_path"
                        },
                        {
                            "default": "*",
                            "id": "#tt_cluster_and_qdump.cwl/gpx_qdump/unzip"
                        }
                    ],
                    "out": [
                        "#tt_cluster_and_qdump.cwl/gpx_qdump/output"
                    ],
                    "id": "#tt_cluster_and_qdump.cwl/gpx_qdump"
                }
            ],
            "id": "#tt_cluster_and_qdump.cwl"
        },
        {
            "label": "gcaccess_from_list",
            "class": "Workflow",
            "inputs": [
                {
                    "type": "File",
                    "id": "#tt_gcaccess_from_list.cwl/gc_cache"
                },
                {
                    "type": "File",
                    "id": "#tt_gcaccess_from_list.cwl/gc_id_list"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputSource": "#tt_gcaccess_from_list.cwl/gc_get_assembly/gencoll_asn",
                    "id": "#tt_gcaccess_from_list.cwl/gencoll_asn"
                }
            ],
            "steps": [
                {
                    "run": "#gc_get_assembly.cwl",
                    "in": [
                        {
                            "source": "#tt_gcaccess_from_list.cwl/gc_cache",
                            "id": "#tt_gcaccess_from_list.cwl/gc_get_assembly/gc_cache"
                        },
                        {
                            "default": "AllSequences",
                            "id": "#tt_gcaccess_from_list.cwl/gc_get_assembly/mode"
                        },
                        {
                            "source": "#tt_gcaccess_from_list.cwl/gc_id_list",
                            "id": "#tt_gcaccess_from_list.cwl/gc_get_assembly/release_id_list"
                        }
                    ],
                    "out": [
                        "#tt_gcaccess_from_list.cwl/gc_get_assembly/gencoll_asn"
                    ],
                    "id": "#tt_gcaccess_from_list.cwl/gc_get_assembly"
                }
            ],
            "id": "#tt_gcaccess_from_list.cwl"
        },
        {
            "class": "Workflow",
            "requirements": [
                {
                    "class": "ScatterFeatureRequirement"
                },
                {
                    "class": "SubworkflowFeatureRequirement"
                }
            ],
            "inputs": [
                {
                    "type": "Directory",
                    "id": "#tt_hmmsearch_wnode.cwl/asn_cache"
                },
                {
                    "type": "Directory",
                    "id": "#tt_hmmsearch_wnode.cwl/hmm_path"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "id": "#tt_hmmsearch_wnode.cwl/hmms_tab"
                },
                {
                    "type": "File",
                    "id": "#tt_hmmsearch_wnode.cwl/lds2"
                },
                {
                    "type": "File",
                    "id": "#tt_hmmsearch_wnode.cwl/proteins"
                },
                {
                    "type": "string",
                    "id": "#tt_hmmsearch_wnode.cwl/scatter_gather_nchunks"
                },
                {
                    "type": "File",
                    "id": "#tt_hmmsearch_wnode.cwl/seqids"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputSource": "#tt_hmmsearch_wnode.cwl/collect_hmm_results/file_out",
                    "id": "#tt_hmmsearch_wnode.cwl/hmm_hits"
                },
                {
                    "type": "File",
                    "outputSource": "#tt_hmmsearch_wnode.cwl/hmmsearch_create_jobs/jobs",
                    "id": "#tt_hmmsearch_wnode.cwl/jobs"
                },
                {
                    "type": "Directory",
                    "outputSource": "#tt_hmmsearch_wnode.cwl/hmmsearch_create_jobs/workdir",
                    "id": "#tt_hmmsearch_wnode.cwl/workdir"
                }
            ],
            "steps": [
                {
                    "run": "#cat_array_of_files.cwl",
                    "in": [
                        {
                            "source": "#tt_hmmsearch_wnode.cwl/hmmsearch_wnode_qdump/output",
                            "id": "#tt_hmmsearch_wnode.cwl/collect_hmm_results/files_in"
                        }
                    ],
                    "out": [
                        "#tt_hmmsearch_wnode.cwl/collect_hmm_results/file_out"
                    ],
                    "id": "#tt_hmmsearch_wnode.cwl/collect_hmm_results"
                },
                {
                    "run": "#hmmsearch_create_jobs.cwl",
                    "in": [
                        {
                            "source": "#tt_hmmsearch_wnode.cwl/hmm_path",
                            "id": "#tt_hmmsearch_wnode.cwl/hmmsearch_create_jobs/hmm_path"
                        },
                        {
                            "source": "#tt_hmmsearch_wnode.cwl/seqids",
                            "id": "#tt_hmmsearch_wnode.cwl/hmmsearch_create_jobs/seqids"
                        }
                    ],
                    "out": [
                        "#tt_hmmsearch_wnode.cwl/hmmsearch_create_jobs/jobs",
                        "#tt_hmmsearch_wnode.cwl/hmmsearch_create_jobs/workdir"
                    ],
                    "id": "#tt_hmmsearch_wnode.cwl/hmmsearch_create_jobs"
                },
                {
                    "run": "#tt_hmmsearch_wnode_plus_qdump.cwl",
                    "scatter": "#tt_hmmsearch_wnode.cwl/hmmsearch_wnode_qdump/input_jobs",
                    "in": [
                        {
                            "source": "#tt_hmmsearch_wnode.cwl/asn_cache",
                            "id": "#tt_hmmsearch_wnode.cwl/hmmsearch_wnode_qdump/asn_cache"
                        },
                        {
                            "source": "#tt_hmmsearch_wnode.cwl/hmm_path",
                            "id": "#tt_hmmsearch_wnode.cwl/hmmsearch_wnode_qdump/hmm_path"
                        },
                        {
                            "source": "#tt_hmmsearch_wnode.cwl/hmms_tab",
                            "id": "#tt_hmmsearch_wnode.cwl/hmmsearch_wnode_qdump/hmms_tab"
                        },
                        {
                            "source": "#tt_hmmsearch_wnode.cwl/split_jobs/jobs",
                            "id": "#tt_hmmsearch_wnode.cwl/hmmsearch_wnode_qdump/input_jobs"
                        },
                        {
                            "source": "#tt_hmmsearch_wnode.cwl/lds2",
                            "id": "#tt_hmmsearch_wnode.cwl/hmmsearch_wnode_qdump/lds2"
                        },
                        {
                            "source": "#tt_hmmsearch_wnode.cwl/proteins",
                            "id": "#tt_hmmsearch_wnode.cwl/hmmsearch_wnode_qdump/proteins"
                        },
                        {
                            "source": "#tt_hmmsearch_wnode.cwl/hmmsearch_create_jobs/workdir",
                            "id": "#tt_hmmsearch_wnode.cwl/hmmsearch_wnode_qdump/workdir"
                        }
                    ],
                    "out": [
                        "#tt_hmmsearch_wnode.cwl/hmmsearch_wnode_qdump/output"
                    ],
                    "id": "#tt_hmmsearch_wnode.cwl/hmmsearch_wnode_qdump"
                },
                {
                    "run": "#split.cwl",
                    "in": [
                        {
                            "source": "#tt_hmmsearch_wnode.cwl/hmmsearch_create_jobs/jobs",
                            "id": "#tt_hmmsearch_wnode.cwl/split_jobs/input"
                        },
                        {
                            "source": "#tt_hmmsearch_wnode.cwl/scatter_gather_nchunks",
                            "id": "#tt_hmmsearch_wnode.cwl/split_jobs/nchunks"
                        }
                    ],
                    "out": [
                        "#tt_hmmsearch_wnode.cwl/split_jobs/jobs"
                    ],
                    "id": "#tt_hmmsearch_wnode.cwl/split_jobs"
                }
            ],
            "id": "#tt_hmmsearch_wnode.cwl"
        },
        {
            "class": "Workflow",
            "label": "hmmsearch_wnode and gpx_qdump combined workflow to apply scatter/gather",
            "inputs": [
                {
                    "type": "Directory",
                    "id": "#tt_hmmsearch_wnode_plus_qdump.cwl/asn_cache"
                },
                {
                    "type": "Directory",
                    "id": "#tt_hmmsearch_wnode_plus_qdump.cwl/hmm_path"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "id": "#tt_hmmsearch_wnode_plus_qdump.cwl/hmms_tab"
                },
                {
                    "type": "File",
                    "id": "#tt_hmmsearch_wnode_plus_qdump.cwl/input_jobs"
                },
                {
                    "type": "File",
                    "id": "#tt_hmmsearch_wnode_plus_qdump.cwl/lds2"
                },
                {
                    "type": "File",
                    "id": "#tt_hmmsearch_wnode_plus_qdump.cwl/proteins"
                },
                {
                    "type": "Directory",
                    "id": "#tt_hmmsearch_wnode_plus_qdump.cwl/workdir"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputSource": "#tt_hmmsearch_wnode_plus_qdump.cwl/gpx_qdump/output",
                    "id": "#tt_hmmsearch_wnode_plus_qdump.cwl/output"
                }
            ],
            "steps": [
                {
                    "run": "#gpx_qdump.cwl_5",
                    "in": [
                        {
                            "source": "#tt_hmmsearch_wnode_plus_qdump.cwl/hmmsearch_wnode/output",
                            "id": "#tt_hmmsearch_wnode_plus_qdump.cwl/gpx_qdump/input_path"
                        },
                        {
                            "default": "hmm_hits.asn",
                            "id": "#tt_hmmsearch_wnode_plus_qdump.cwl/gpx_qdump/output_name"
                        },
                        {
                            "default": "*",
                            "id": "#tt_hmmsearch_wnode_plus_qdump.cwl/gpx_qdump/unzip"
                        }
                    ],
                    "out": [
                        "#tt_hmmsearch_wnode_plus_qdump.cwl/gpx_qdump/output"
                    ],
                    "id": "#tt_hmmsearch_wnode_plus_qdump.cwl/gpx_qdump"
                },
                {
                    "run": "#hmmsearch_wnode.cwl",
                    "in": [
                        {
                            "source": "#tt_hmmsearch_wnode_plus_qdump.cwl/asn_cache",
                            "id": "#tt_hmmsearch_wnode_plus_qdump.cwl/hmmsearch_wnode/asn_cache"
                        },
                        {
                            "source": "#tt_hmmsearch_wnode_plus_qdump.cwl/hmm_path",
                            "id": "#tt_hmmsearch_wnode_plus_qdump.cwl/hmmsearch_wnode/hmm_path"
                        },
                        {
                            "source": "#tt_hmmsearch_wnode_plus_qdump.cwl/hmms_tab",
                            "id": "#tt_hmmsearch_wnode_plus_qdump.cwl/hmmsearch_wnode/hmms_tab"
                        },
                        {
                            "source": "#tt_hmmsearch_wnode_plus_qdump.cwl/input_jobs",
                            "id": "#tt_hmmsearch_wnode_plus_qdump.cwl/hmmsearch_wnode/input_jobs"
                        },
                        {
                            "source": "#tt_hmmsearch_wnode_plus_qdump.cwl/lds2",
                            "id": "#tt_hmmsearch_wnode_plus_qdump.cwl/hmmsearch_wnode/lds2"
                        },
                        {
                            "source": "#tt_hmmsearch_wnode_plus_qdump.cwl/proteins",
                            "id": "#tt_hmmsearch_wnode_plus_qdump.cwl/hmmsearch_wnode/proteins"
                        },
                        {
                            "source": "#tt_hmmsearch_wnode_plus_qdump.cwl/workdir",
                            "id": "#tt_hmmsearch_wnode_plus_qdump.cwl/hmmsearch_wnode/workdir"
                        }
                    ],
                    "out": [
                        "#tt_hmmsearch_wnode_plus_qdump.cwl/hmmsearch_wnode/output"
                    ],
                    "id": "#tt_hmmsearch_wnode_plus_qdump.cwl/hmmsearch_wnode"
                }
            ],
            "id": "#tt_hmmsearch_wnode_plus_qdump.cwl"
        },
        {
            "class": "Workflow",
            "label": "Get Proteins",
            "requirements": [
                {
                    "class": "SubworkflowFeatureRequirement"
                }
            ],
            "inputs": [
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#wf_bacterial_prot_src.cwl/all_order_specific_blastdb"
                },
                {
                    "type": "Directory",
                    "id": "#wf_bacterial_prot_src.cwl/blastdb_dir"
                },
                {
                    "type": "File",
                    "id": "#wf_bacterial_prot_src.cwl/naming_sqlite"
                },
                {
                    "type": "File",
                    "id": "#wf_bacterial_prot_src.cwl/tax_sql_file"
                },
                {
                    "type": "int",
                    "id": "#wf_bacterial_prot_src.cwl/taxid"
                },
                {
                    "type": "Directory",
                    "id": "#wf_bacterial_prot_src.cwl/uniColl_asn_cache"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputSource": "#wf_bacterial_prot_src.cwl/Get_Proteins_app/all_prots",
                    "id": "#wf_bacterial_prot_src.cwl/all_prots"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "outputSource": "#wf_bacterial_prot_src.cwl/File2Basenames/values",
                    "id": "#wf_bacterial_prot_src.cwl/selected_blastdb"
                },
                {
                    "type": "File",
                    "outputSource": "#wf_bacterial_prot_src.cwl/Get_Proteins_app/universal_clusters",
                    "id": "#wf_bacterial_prot_src.cwl/universal_clusters"
                }
            ],
            "steps": [
                {
                    "run": "#file2basenames.cwl",
                    "in": [
                        {
                            "source": "#wf_bacterial_prot_src.cwl/Get_Proteins_app/selected_blastdb",
                            "id": "#wf_bacterial_prot_src.cwl/File2Basenames/input"
                        }
                    ],
                    "out": [
                        "#wf_bacterial_prot_src.cwl/File2Basenames/values"
                    ],
                    "id": "#wf_bacterial_prot_src.cwl/File2Basenames"
                },
                {
                    "label": "Get Proteins: application run",
                    "run": "#bacterial_prot_src.cwl",
                    "in": [
                        {
                            "source": "#wf_bacterial_prot_src.cwl/all_order_specific_blastdb",
                            "id": "#wf_bacterial_prot_src.cwl/Get_Proteins_app/all_order_specific_blastdb"
                        },
                        {
                            "default": [
                                "blastdb",
                                "blast_rules_db"
                            ],
                            "linkMerge": "merge_flattened",
                            "id": "#wf_bacterial_prot_src.cwl/Get_Proteins_app/blastdb"
                        },
                        {
                            "source": "#wf_bacterial_prot_src.cwl/blastdb_dir",
                            "id": "#wf_bacterial_prot_src.cwl/Get_Proteins_app/blastdb_dir"
                        },
                        {
                            "source": "#wf_bacterial_prot_src.cwl/naming_sqlite",
                            "id": "#wf_bacterial_prot_src.cwl/Get_Proteins_app/naming_sqlite"
                        },
                        {
                            "source": "#wf_bacterial_prot_src.cwl/tax_sql_file",
                            "id": "#wf_bacterial_prot_src.cwl/Get_Proteins_app/tax_sql_file"
                        },
                        {
                            "source": "#wf_bacterial_prot_src.cwl/taxid",
                            "id": "#wf_bacterial_prot_src.cwl/Get_Proteins_app/taxid"
                        },
                        {
                            "source": "#wf_bacterial_prot_src.cwl/uniColl_asn_cache",
                            "id": "#wf_bacterial_prot_src.cwl/Get_Proteins_app/uniColl_asn_cache"
                        }
                    ],
                    "out": [
                        "#wf_bacterial_prot_src.cwl/Get_Proteins_app/universal_clusters",
                        "#wf_bacterial_prot_src.cwl/Get_Proteins_app/all_prots",
                        "#wf_bacterial_prot_src.cwl/Get_Proteins_app/selected_blastdb"
                    ],
                    "id": "#wf_bacterial_prot_src.cwl/Get_Proteins_app"
                }
            ],
            "id": "#wf_bacterial_prot_src.cwl"
        },
        {
            "label": "PGAP Pipeline",
            "class": "Workflow",
            "doc": "PGAP pipeline for external usage, powered via containers",
            "requirements": [
                {
                    "class": "SubworkflowFeatureRequirement"
                },
                {
                    "class": "MultipleInputFeatureRequirement"
                },
                {
                    "class": "LoadListingRequirement",
                    "loadListing": "deep_listing"
                },
                {
                    "class": "NetworkAccess",
                    "networkAccess": true
                }
            ],
            "inputs": [
                {
                    "type": [
                        "null",
                        "Directory"
                    ],
                    "id": "#main/blast_hits_cache_data"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "id": "#main/contact_as_author_possible"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "id": "#main/dbname"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "id": "#main/entries"
                },
                {
                    "type": "string",
                    "id": "#main/gc_assm_name"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "boolean"
                    },
                    "id": "#main/go"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "id": "#main/ignore_all_errors"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "id": "#main/locus_tag_prefix"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "default": true,
                    "id": "#main/make_uuid"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "id": "#main/no_internet"
                },
                {
                    "type": "boolean",
                    "id": "#main/report_usage"
                },
                {
                    "type": "string",
                    "default": "1",
                    "id": "#main/scatter_gather_nchunks"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "id": "#main/seq_submit"
                },
                {
                    "type": "File",
                    "id": "#main/submol_block_json"
                },
                {
                    "type": "Directory",
                    "id": "#main/supplemental_data"
                },
                {
                    "type": "int",
                    "id": "#main/taxid"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "id": "#main/uuid_in"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "doc": "The default: setting is for standard call of pgap.cwl (for example, from pgap.py)",
                    "default": "//*[@severity=\"FATAL\"]",
                    "id": "#main/xpath_fail_final_asndisc"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "doc": "The default: setting is for standard call of pgap.cwl (for example, from pgap.py)",
                    "default": "//*[( @severity=\"ERROR\" or @severity=\"REJECT\" )\n    and not(contains(@code, \"GENERIC_MissingPubRequirement\")) \n    and not(contains(@code, \"SEQ_DESCR_ChromosomeLocation\")) \n    and not(contains(@code, \"SEQ_DESCR_MissingLineage\")) \n    and not(contains(@code, \"SEQ_DESCR_NoTaxonID\")) \n    and not(contains(@code, \"SEQ_DESCR_OrganismIsUndefinedSpecies\"))\n    and not(contains(@code, \"SEQ_DESCR_StrainWithEnvironSample\"))\n    and not(contains(@code, \"SEQ_DESCR_BacteriaMissingSourceQualifier\"))\n    and not(contains(@code, \"SEQ_DESCR_UnwantedCompleteFlag\")) \n    and not(contains(@code, \"SEQ_FEAT_BadCharInAuthorLastName\")) \n    and not(contains(@code, \"SEQ_FEAT_ShortIntron\")) \n    and not(contains(@code, \"SEQ_INST_InternalNsInSeqRaw\")) \n    and not(contains(@code, \"SEQ_INST_ProteinsHaveGeneralID\")) \n    and not(contains(@code, \"SEQ_PKG_ComponentMissingTitle\")) \n    and not(contains(@code, \"SEQ_PKG_NucProtProblem\")) \n]\n",
                    "id": "#main/xpath_fail_final_asnvalidate"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "doc": "The default: setting is for standard call of pgap.cwl (for example, from pgap.py)",
                    "default": "//*[@severity=\"FATAL\"]",
                    "id": "#main/xpath_fail_initial_asndisc"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "doc": "The default: setting is for standard call of pgap.cwl (for example, from pgap.py)",
                    "default": "//*[\n    ( @severity=\"ERROR\" or @severity=\"REJECT\" )\n    and not(contains(@code, \"GENERIC_MissingPubRequirement\")) \n    and not(contains(@code, \"SEQ_DESCR_ChromosomeLocation\")) \n    and not(contains(@code, \"SEQ_DESCR_MissingLineage\")) \n    and not(contains(@code, \"SEQ_DESCR_NoTaxonID\")) \n    and not(contains(@code, \"SEQ_DESCR_OrganismIsUndefinedSpecies\"))\n    and not(contains(@code, \"SEQ_DESCR_StrainWithEnvironSample\"))\n    and not(contains(@code, \"SEQ_DESCR_BacteriaMissingSourceQualifier\"))\n    and not(contains(@code, \"SEQ_DESCR_UnwantedCompleteFlag\")) \n    and not(contains(@code, \"SEQ_FEAT_BadCharInAuthorLastName\")) \n    and not(contains(@code, \"SEQ_FEAT_ShortIntron\")) \n    and not(contains(@code, \"SEQ_INST_InternalNsInSeqRaw\")) \n    and not(contains(@code, \"SEQ_INST_ProteinsHaveGeneralID\")) \n    and not(contains(@code, \"SEQ_PKG_NucProtProblem\")) \n    and not(contains(@code, \"SEQ_PKG_ComponentMissingTitle\")) \n]\n",
                    "id": "#main/xpath_fail_initial_asnvalidate"
                }
            ],
            "steps": [
                {
                    "run": "#add_locus_tags.cwl",
                    "in": [
                        {
                            "source": "#main/dbname",
                            "id": "#main/Add_Locus_Tags/dbname"
                        },
                        {
                            "source": "#main/bacterial_annot_4/out_annotation",
                            "id": "#main/Add_Locus_Tags/input"
                        },
                        {
                            "source": "#main/locus_tag_prefix",
                            "id": "#main/Add_Locus_Tags/locus_tag_prefix"
                        }
                    ],
                    "out": [
                        "#main/Add_Locus_Tags/output"
                    ],
                    "id": "#main/Add_Locus_Tags"
                },
                {
                    "label": "Cache Entrez Gene",
                    "run": "#cache_entrez_gene.cwl",
                    "in": [
                        {
                            "source": [
                                "#main/genomic_source/asncache",
                                "#main/passdata/uniColl_cache"
                            ],
                            "id": "#main/Cache_Entrez_Gene/asn_cache"
                        },
                        {
                            "source": "#main/passdata/gene_master_ini",
                            "id": "#main/Cache_Entrez_Gene/egene_ini"
                        },
                        {
                            "source": [
                                "#main/Prepare_Unannotated_Sequences_asndisc_evaluate/success",
                                "#main/Prepare_Unannotated_Sequences_asnvalidate_evaluate/success"
                            ],
                            "id": "#main/Cache_Entrez_Gene/go"
                        },
                        {
                            "source": "#main/Prepare_Unannotated_Sequences/sequences",
                            "id": "#main/Cache_Entrez_Gene/input"
                        }
                    ],
                    "out": [
                        "#main/Cache_Entrez_Gene/prok_entrez_gene_stuff"
                    ],
                    "id": "#main/Cache_Entrez_Gene"
                },
                {
                    "label": "Create Genomic BLASTdb",
                    "run": "#gp_makeblastdb.cwl",
                    "in": [
                        {
                            "source": [
                                "#main/genomic_source/asncache"
                            ],
                            "linkMerge": "merge_flattened",
                            "id": "#main/Create_Genomic_BLASTdb/asn_cache"
                        },
                        {
                            "default": "nucl",
                            "id": "#main/Create_Genomic_BLASTdb/dbtype"
                        },
                        {
                            "source": "#main/genomic_source/ids_out",
                            "id": "#main/Create_Genomic_BLASTdb/ids"
                        },
                        {
                            "default": "BLASTdb  created by GPipe",
                            "id": "#main/Create_Genomic_BLASTdb/title"
                        }
                    ],
                    "out": [
                        "#main/Create_Genomic_BLASTdb/blastdb"
                    ],
                    "id": "#main/Create_Genomic_BLASTdb"
                },
                {
                    "run": "#asn_cleanup.cwl",
                    "in": [
                        {
                            "source": "#main/bacterial_orthology_conditional/output",
                            "id": "#main/Final_Bacterial_Package_asn_cleanup/inp_annotation"
                        }
                    ],
                    "out": [
                        "#main/Final_Bacterial_Package_asn_cleanup/annotation"
                    ],
                    "id": "#main/Final_Bacterial_Package_asn_cleanup"
                },
                {
                    "run": "#xml_evaluate.cwl",
                    "in": [
                        {
                            "source": "#main/ignore_all_errors",
                            "id": "#main/Final_Bacterial_Package_asndisc_evaluate/ignore_all_errors"
                        },
                        {
                            "source": "#main/Final_Bacterial_Package_std_validation/outdisc",
                            "id": "#main/Final_Bacterial_Package_asndisc_evaluate/input"
                        },
                        {
                            "default": "final_asndisc_diag.xml",
                            "id": "#main/Final_Bacterial_Package_asndisc_evaluate/stdout_redir"
                        },
                        {
                            "source": "#main/xpath_fail_final_asndisc",
                            "id": "#main/Final_Bacterial_Package_asndisc_evaluate/xpath_fail"
                        }
                    ],
                    "out": [
                        "#main/Final_Bacterial_Package_asndisc_evaluate/xml_output"
                    ],
                    "id": "#main/Final_Bacterial_Package_asndisc_evaluate"
                },
                {
                    "run": "#xml_evaluate.cwl",
                    "in": [
                        {
                            "source": "#main/ignore_all_errors",
                            "id": "#main/Final_Bacterial_Package_asnvalidate_evaluate/ignore_all_errors"
                        },
                        {
                            "source": "#main/Final_Bacterial_Package_std_validation/outval",
                            "id": "#main/Final_Bacterial_Package_asnvalidate_evaluate/input"
                        },
                        {
                            "default": "final_asnval_diag.xml",
                            "id": "#main/Final_Bacterial_Package_asnvalidate_evaluate/stdout_redir"
                        },
                        {
                            "source": "#main/xpath_fail_final_asnvalidate",
                            "id": "#main/Final_Bacterial_Package_asnvalidate_evaluate/xpath_fail"
                        }
                    ],
                    "out": [
                        "#main/Final_Bacterial_Package_asnvalidate_evaluate/success",
                        "#main/Final_Bacterial_Package_asnvalidate_evaluate/xml_output"
                    ],
                    "id": "#main/Final_Bacterial_Package_asnvalidate_evaluate"
                },
                {
                    "run": "#dumb_down_as_required.cwl",
                    "in": [
                        {
                            "source": "#main/Final_Bacterial_Package_final_bact_asn/outfull",
                            "id": "#main/Final_Bacterial_Package_dumb_down_as_required/annotation"
                        },
                        {
                            "source": [
                                "#main/genomic_source/asncache"
                            ],
                            "linkMerge": "merge_flattened",
                            "id": "#main/Final_Bacterial_Package_dumb_down_as_required/asn_cache"
                        },
                        {
                            "default": true,
                            "id": "#main/Final_Bacterial_Package_dumb_down_as_required/drop_partial_in_the_middle"
                        },
                        {
                            "default": true,
                            "id": "#main/Final_Bacterial_Package_dumb_down_as_required/it"
                        },
                        {
                            "default": 0.1,
                            "id": "#main/Final_Bacterial_Package_dumb_down_as_required/max_x_ratio"
                        },
                        {
                            "default": 3,
                            "id": "#main/Final_Bacterial_Package_dumb_down_as_required/max_x_run"
                        },
                        {
                            "default": true,
                            "id": "#main/Final_Bacterial_Package_dumb_down_as_required/nogenbank"
                        },
                        {
                            "default": 65,
                            "id": "#main/Final_Bacterial_Package_dumb_down_as_required/partial_cov_threshold"
                        },
                        {
                            "default": 30,
                            "id": "#main/Final_Bacterial_Package_dumb_down_as_required/partial_len_threshold"
                        },
                        {
                            "default": true,
                            "id": "#main/Final_Bacterial_Package_dumb_down_as_required/submission_mode_genbank"
                        },
                        {
                            "source": "#main/submol_block_json",
                            "id": "#main/Final_Bacterial_Package_dumb_down_as_required/submol_block_json"
                        }
                    ],
                    "out": [
                        "#main/Final_Bacterial_Package_dumb_down_as_required/outent"
                    ],
                    "id": "#main/Final_Bacterial_Package_dumb_down_as_required"
                },
                {
                    "run": "#ent2sqn.cwl",
                    "in": [
                        {
                            "source": "#main/Final_Bacterial_Package_dumb_down_as_required/outent",
                            "id": "#main/Final_Bacterial_Package_ent2sqn/annotation"
                        },
                        {
                            "source": [
                                "#main/genomic_source/asncache"
                            ],
                            "linkMerge": "merge_flattened",
                            "id": "#main/Final_Bacterial_Package_ent2sqn/asn_cache"
                        },
                        {
                            "source": "#main/contact_as_author_possible",
                            "id": "#main/Final_Bacterial_Package_ent2sqn/contact_as_author_possible"
                        },
                        {
                            "source": "#main/genomic_source/gencoll_asn",
                            "id": "#main/Final_Bacterial_Package_ent2sqn/gc_assembly"
                        },
                        {
                            "default": true,
                            "id": "#main/Final_Bacterial_Package_ent2sqn/it"
                        },
                        {
                            "default": "annot-wo-checksum.sqn",
                            "id": "#main/Final_Bacterial_Package_ent2sqn/output_impl"
                        },
                        {
                            "source": [
                                "#main/genomic_source/submit_block_template"
                            ],
                            "linkMerge": "merge_flattened",
                            "id": "#main/Final_Bacterial_Package_ent2sqn/submit_block_template"
                        }
                    ],
                    "out": [
                        "#main/Final_Bacterial_Package_ent2sqn/output"
                    ],
                    "id": "#main/Final_Bacterial_Package_ent2sqn"
                },
                {
                    "run": "#final_bact_asn.cwl",
                    "in": [
                        {
                            "source": [
                                "#main/Final_Bacterial_Package_asn_cleanup/annotation"
                            ],
                            "linkMerge": "merge_flattened",
                            "id": "#main/Final_Bacterial_Package_final_bact_asn/annotation"
                        },
                        {
                            "source": "#main/genomic_source/asncache",
                            "id": "#main/Final_Bacterial_Package_final_bact_asn/asn_cache"
                        },
                        {
                            "source": "#main/genomic_source/gencoll_asn",
                            "id": "#main/Final_Bacterial_Package_final_bact_asn/gc_assembly"
                        },
                        {
                            "default": true,
                            "id": "#main/Final_Bacterial_Package_final_bact_asn/it"
                        },
                        {
                            "source": "#main/Prepare_Unannotated_Sequences/master_desc",
                            "id": "#main/Final_Bacterial_Package_final_bact_asn/master_desc"
                        },
                        {
                            "default": true,
                            "id": "#main/Final_Bacterial_Package_final_bact_asn/nogenbank"
                        },
                        {
                            "source": "#main/genomic_source/order",
                            "id": "#main/Final_Bacterial_Package_final_bact_asn/order"
                        },
                        {
                            "default": true,
                            "id": "#main/Final_Bacterial_Package_final_bact_asn/submission_mode_genbank"
                        }
                    ],
                    "out": [
                        "#main/Final_Bacterial_Package_final_bact_asn/outfull"
                    ],
                    "id": "#main/Final_Bacterial_Package_final_bact_asn"
                },
                {
                    "run": "#sqn2gbent.cwl",
                    "doc": "We are not taking here sqn with added annot checksum.",
                    "in": [
                        {
                            "source": "#main/Final_Bacterial_Package_ent2sqn/output",
                            "id": "#main/Final_Bacterial_Package_sqn2gbent/input"
                        },
                        {
                            "default": true,
                            "id": "#main/Final_Bacterial_Package_sqn2gbent/it"
                        },
                        {
                            "default": "annot-gb-wo-checksum.ent",
                            "id": "#main/Final_Bacterial_Package_sqn2gbent/out_name"
                        }
                    ],
                    "out": [
                        "#main/Final_Bacterial_Package_sqn2gbent/output"
                    ],
                    "id": "#main/Final_Bacterial_Package_sqn2gbent"
                },
                {
                    "run": "#std_validation.cwl",
                    "in": [
                        {
                            "source": "#main/Final_Bacterial_Package_dumb_down_as_required/outent",
                            "id": "#main/Final_Bacterial_Package_std_validation/annotation"
                        },
                        {
                            "source": [
                                "#main/genomic_source/asncache"
                            ],
                            "id": "#main/Final_Bacterial_Package_std_validation/asn_cache"
                        },
                        {
                            "default": [
                                "AUTODEF_USER_OBJECT",
                                "FEATURE_LIST",
                                "BACTERIAL_PARTIAL_NONEXTENDABLE_PROBLEMS",
                                "PARTIAL_CDS_COMPLETE_SEQUENCE",
                                "MISSING_AFFIL",
                                "OVERLAPPING_CDS",
                                "BAD_BGPIPE_QUALS",
                                "FLATFILE_FIND",
                                "COMMENT_PRESENT",
                                "SHORT_PROT_SEQUENCES",
                                "OVERLAPPING_GENES",
                                "EXTRA_GENES",
                                "N_RUNS",
                                "BAD_LOCUS_TAG_FORMAT",
                                "TAX_LOOKUP_MISMATCH",
                                "TAX_LOOKUP_MISSING"
                            ],
                            "id": "#main/Final_Bacterial_Package_std_validation/exclude_asndisc_codes"
                        },
                        {
                            "source": "#main/Final_Bacterial_Package_dumb_down_as_required/outent",
                            "id": "#main/Final_Bacterial_Package_std_validation/inent"
                        },
                        {
                            "source": "#main/Final_Bacterial_Package_sqn2gbent/output",
                            "id": "#main/Final_Bacterial_Package_std_validation/ingb"
                        },
                        {
                            "source": "#main/Final_Bacterial_Package_ent2sqn/output",
                            "id": "#main/Final_Bacterial_Package_std_validation/insqn"
                        },
                        {
                            "default": true,
                            "id": "#main/Final_Bacterial_Package_std_validation/it"
                        },
                        {
                            "source": [
                                "#main/Prepare_Unannotated_Sequences/master_desc"
                            ],
                            "linkMerge": "merge_flattened",
                            "id": "#main/Final_Bacterial_Package_std_validation/master_desc"
                        },
                        {
                            "default": true,
                            "id": "#main/Final_Bacterial_Package_std_validation/nogenbank"
                        },
                        {
                            "default": true,
                            "id": "#main/Final_Bacterial_Package_std_validation/submission_mode_genbank"
                        },
                        {
                            "source": [
                                "#main/genomic_source/submit_block_template"
                            ],
                            "linkMerge": "merge_flattened",
                            "id": "#main/Final_Bacterial_Package_std_validation/submit_block_template"
                        }
                    ],
                    "out": [
                        {
                            "id": "#main/Final_Bacterial_Package_std_validation/outdisc"
                        },
                        {
                            "id": "#main/Final_Bacterial_Package_std_validation/outdiscxml"
                        },
                        {
                            "id": "#main/Final_Bacterial_Package_std_validation/outmetamaster"
                        },
                        {
                            "id": "#main/Final_Bacterial_Package_std_validation/outval"
                        }
                    ],
                    "id": "#main/Final_Bacterial_Package_std_validation"
                },
                {
                    "run": "#val_stats.cwl",
                    "in": [
                        {
                            "source": "#main/Final_Bacterial_Package_std_validation/outval",
                            "id": "#main/Final_Bacterial_Package_val_stats/annot_val"
                        },
                        {
                            "default": true,
                            "id": "#main/Final_Bacterial_Package_val_stats/c_toolkit"
                        }
                    ],
                    "out": [
                        "#main/Final_Bacterial_Package_val_stats/output",
                        "#main/Final_Bacterial_Package_val_stats/xml"
                    ],
                    "id": "#main/Final_Bacterial_Package_val_stats"
                },
                {
                    "run": "#asn2flat.cwl",
                    "in": [
                        {
                            "default": false,
                            "id": "#main/Generate_Annotation_Reports_gbk/gbload"
                        },
                        {
                            "source": "#main/Final_Bacterial_Package_sqn2gbent/output",
                            "id": "#main/Generate_Annotation_Reports_gbk/input"
                        },
                        {
                            "default": "entrez",
                            "id": "#main/Generate_Annotation_Reports_gbk/mode"
                        },
                        {
                            "default": true,
                            "id": "#main/Generate_Annotation_Reports_gbk/no_external"
                        },
                        {
                            "default": "master",
                            "id": "#main/Generate_Annotation_Reports_gbk/style"
                        },
                        {
                            "default": "seq-entry",
                            "id": "#main/Generate_Annotation_Reports_gbk/type"
                        }
                    ],
                    "out": [
                        "#main/Generate_Annotation_Reports_gbk/output"
                    ],
                    "id": "#main/Generate_Annotation_Reports_gbk"
                },
                {
                    "run": "#gp_annot_format.cwl",
                    "in": [
                        {
                            "default": true,
                            "id": "#main/Generate_Annotation_Reports_gff/exclude_external"
                        },
                        {
                            "default": "seq-entry",
                            "id": "#main/Generate_Annotation_Reports_gff/ifmt"
                        },
                        {
                            "source": "#main/Final_Bacterial_Package_dumb_down_as_required/outent",
                            "id": "#main/Generate_Annotation_Reports_gff/input"
                        },
                        {
                            "default": "gff3",
                            "id": "#main/Generate_Annotation_Reports_gff/ofmt"
                        },
                        {
                            "default": true,
                            "id": "#main/Generate_Annotation_Reports_gff/t"
                        }
                    ],
                    "out": [
                        "#main/Generate_Annotation_Reports_gff/output"
                    ],
                    "id": "#main/Generate_Annotation_Reports_gff"
                },
                {
                    "run": "#asn2fasta.cwl",
                    "in": [
                        {
                            "source": "#main/Final_Bacterial_Package_sqn2gbent/output",
                            "id": "#main/Generate_Annotation_Reports_nuc_fasta/i"
                        },
                        {
                            "default": "annot.fna",
                            "id": "#main/Generate_Annotation_Reports_nuc_fasta/nuc_fasta_name"
                        },
                        {
                            "default": "seq-entry",
                            "id": "#main/Generate_Annotation_Reports_nuc_fasta/type"
                        }
                    ],
                    "out": [
                        "#main/Generate_Annotation_Reports_nuc_fasta/nuc_fasta"
                    ],
                    "id": "#main/Generate_Annotation_Reports_nuc_fasta"
                },
                {
                    "run": "#asn2fasta.cwl",
                    "in": [
                        {
                            "source": "#main/Final_Bacterial_Package_sqn2gbent/output",
                            "id": "#main/Generate_Annotation_Reports_prot_fasta/i"
                        },
                        {
                            "default": "annot.faa",
                            "id": "#main/Generate_Annotation_Reports_prot_fasta/prot_fasta_name"
                        },
                        {
                            "default": "seq-entry",
                            "id": "#main/Generate_Annotation_Reports_prot_fasta/type"
                        }
                    ],
                    "out": [
                        "#main/Generate_Annotation_Reports_prot_fasta/prot_fasta"
                    ],
                    "id": "#main/Generate_Annotation_Reports_prot_fasta"
                },
                {
                    "label": "Get List of Order Specific Databases in the form of string[]",
                    "run": "#file2basenames.cwl",
                    "in": [
                        {
                            "source": "#main/passdata/all_order_specific_blastdb_file",
                            "id": "#main/Get_Order_Specific_Strings/input"
                        }
                    ],
                    "out": [
                        "#main/Get_Order_Specific_Strings/values"
                    ],
                    "id": "#main/Get_Order_Specific_Strings"
                },
                {
                    "label": "Get Proteins",
                    "run": "#wf_bacterial_prot_src.cwl",
                    "in": [
                        {
                            "source": "#main/Get_Order_Specific_Strings/values",
                            "id": "#main/Get_Proteins/all_order_specific_blastdb"
                        },
                        {
                            "source": "#main/passdata/identification_db_dir",
                            "id": "#main/Get_Proteins/blastdb_dir"
                        },
                        {
                            "source": "#main/passdata/naming_sqlite",
                            "id": "#main/Get_Proteins/naming_sqlite"
                        },
                        {
                            "source": "#main/passdata/taxon_db",
                            "id": "#main/Get_Proteins/tax_sql_file"
                        },
                        {
                            "source": "#main/taxid",
                            "id": "#main/Get_Proteins/taxid"
                        },
                        {
                            "source": "#main/passdata/uniColl_cache",
                            "id": "#main/Get_Proteins/uniColl_asn_cache"
                        }
                    ],
                    "out": [
                        "#main/Get_Proteins/universal_clusters",
                        "#main/Get_Proteins/all_prots",
                        "#main/Get_Proteins/selected_blastdb"
                    ],
                    "id": "#main/Get_Proteins"
                },
                {
                    "label": "Prepare Unannotated Sequences",
                    "run": "#bacterial_prepare_unannotated.cwl",
                    "in": [
                        {
                            "source": "#main/genomic_source/asncache",
                            "id": "#main/Prepare_Unannotated_Sequences/asn_cache"
                        },
                        {
                            "source": "#main/genomic_source/gencoll_asn",
                            "id": "#main/Prepare_Unannotated_Sequences/gc_assembly"
                        },
                        {
                            "source": "#main/genomic_source/seqid_list",
                            "id": "#main/Prepare_Unannotated_Sequences/ids"
                        },
                        {
                            "source": "#main/no_internet",
                            "id": "#main/Prepare_Unannotated_Sequences/no_internet"
                        },
                        {
                            "source": "#main/genomic_source/submit_block_template",
                            "id": "#main/Prepare_Unannotated_Sequences/submit_block"
                        },
                        {
                            "source": "#main/passdata/taxon_db",
                            "id": "#main/Prepare_Unannotated_Sequences/taxon_db"
                        }
                    ],
                    "out": [
                        "#main/Prepare_Unannotated_Sequences/master_desc",
                        "#main/Prepare_Unannotated_Sequences/sequences",
                        "#main/Prepare_Unannotated_Sequences/plasmids"
                    ],
                    "id": "#main/Prepare_Unannotated_Sequences"
                },
                {
                    "run": "#asndisc_cpp.cwl",
                    "in": [
                        {
                            "default": "t",
                            "id": "#main/Prepare_Unannotated_Sequences_asndisc_cpp/P"
                        },
                        {
                            "default": true,
                            "id": "#main/Prepare_Unannotated_Sequences_asndisc_cpp/XML"
                        },
                        {
                            "default": "c",
                            "id": "#main/Prepare_Unannotated_Sequences_asndisc_cpp/a"
                        },
                        {
                            "source": "#main/genomic_source/asncache",
                            "id": "#main/Prepare_Unannotated_Sequences_asndisc_cpp/asn_cache"
                        },
                        {
                            "default": [
                                "AUTODEF_USER_OBJECT",
                                "FEATURE_LIST",
                                "BACTERIAL_PARTIAL_NONEXTENDABLE_PROBLEMS",
                                "PARTIAL_CDS_COMPLETE_SEQUENCE",
                                "MISSING_AFFIL",
                                "OVERLAPPING_CDS",
                                "BAD_BGPIPE_QUALS",
                                "FLATFILE_FIND",
                                "COMMENT_PRESENT",
                                "SHORT_PROT_SEQUENCES",
                                "OVERLAPPING_GENES",
                                "EXTRA_GENES",
                                "N_RUNS",
                                "TAX_LOOKUP_MISMATCH",
                                "TAX_LOOKUP_MISSING"
                            ],
                            "id": "#main/Prepare_Unannotated_Sequences_asndisc_cpp/d"
                        },
                        {
                            "default": false,
                            "id": "#main/Prepare_Unannotated_Sequences_asndisc_cpp/genbank"
                        },
                        {
                            "source": "#main/Prepare_Unannotated_Sequences_text/output",
                            "id": "#main/Prepare_Unannotated_Sequences_asndisc_cpp/i"
                        },
                        {
                            "default": "sequences.disc.xml",
                            "id": "#main/Prepare_Unannotated_Sequences_asndisc_cpp/o_output"
                        }
                    ],
                    "out": [
                        "#main/Prepare_Unannotated_Sequences_asndisc_cpp/o"
                    ],
                    "id": "#main/Prepare_Unannotated_Sequences_asndisc_cpp"
                },
                {
                    "run": "#xml_evaluate.cwl",
                    "in": [
                        {
                            "source": "#main/ignore_all_errors",
                            "id": "#main/Prepare_Unannotated_Sequences_asndisc_evaluate/ignore_all_errors"
                        },
                        {
                            "source": "#main/Prepare_Unannotated_Sequences_asndisc_cpp/o",
                            "id": "#main/Prepare_Unannotated_Sequences_asndisc_evaluate/input"
                        },
                        {
                            "default": "initial_asndisc_diag.xml",
                            "id": "#main/Prepare_Unannotated_Sequences_asndisc_evaluate/stdout_redir"
                        },
                        {
                            "source": "#main/xpath_fail_initial_asndisc",
                            "id": "#main/Prepare_Unannotated_Sequences_asndisc_evaluate/xpath_fail"
                        }
                    ],
                    "out": [
                        "#main/Prepare_Unannotated_Sequences_asndisc_evaluate/success",
                        "#main/Prepare_Unannotated_Sequences_asndisc_evaluate/xml_output"
                    ],
                    "id": "#main/Prepare_Unannotated_Sequences_asndisc_evaluate"
                },
                {
                    "run": "#asnvalidate.cwl",
                    "in": [
                        {
                            "default": true,
                            "id": "#main/Prepare_Unannotated_Sequences_asnvalidate/A"
                        },
                        {
                            "default": 0,
                            "id": "#main/Prepare_Unannotated_Sequences_asnvalidate/Q"
                        },
                        {
                            "default": 5,
                            "id": "#main/Prepare_Unannotated_Sequences_asnvalidate/R"
                        },
                        {
                            "default": true,
                            "id": "#main/Prepare_Unannotated_Sequences_asnvalidate/U"
                        },
                        {
                            "default": true,
                            "id": "#main/Prepare_Unannotated_Sequences_asnvalidate/Z"
                        },
                        {
                            "source": "#main/Prepare_Unannotated_Sequences/sequences",
                            "id": "#main/Prepare_Unannotated_Sequences_asnvalidate/i"
                        },
                        {
                            "default": "sequences.val",
                            "id": "#main/Prepare_Unannotated_Sequences_asnvalidate/o_output"
                        },
                        {
                            "default": 4,
                            "id": "#main/Prepare_Unannotated_Sequences_asnvalidate/v"
                        },
                        {
                            "default": true,
                            "id": "#main/Prepare_Unannotated_Sequences_asnvalidate/y"
                        }
                    ],
                    "out": [
                        "#main/Prepare_Unannotated_Sequences_asnvalidate/o"
                    ],
                    "id": "#main/Prepare_Unannotated_Sequences_asnvalidate"
                },
                {
                    "run": "#xml_evaluate.cwl",
                    "in": [
                        {
                            "source": "#main/ignore_all_errors",
                            "id": "#main/Prepare_Unannotated_Sequences_asnvalidate_evaluate/ignore_all_errors"
                        },
                        {
                            "source": "#main/Prepare_Unannotated_Sequences_asnvalidate/o",
                            "id": "#main/Prepare_Unannotated_Sequences_asnvalidate_evaluate/input"
                        },
                        {
                            "default": "initial_asnval_diag.xml",
                            "id": "#main/Prepare_Unannotated_Sequences_asnvalidate_evaluate/stdout_redir"
                        },
                        {
                            "source": "#main/xpath_fail_initial_asnvalidate",
                            "id": "#main/Prepare_Unannotated_Sequences_asnvalidate_evaluate/xpath_fail"
                        }
                    ],
                    "out": [
                        "#main/Prepare_Unannotated_Sequences_asnvalidate_evaluate/success",
                        "#main/Prepare_Unannotated_Sequences_asnvalidate_evaluate/xml_output"
                    ],
                    "id": "#main/Prepare_Unannotated_Sequences_asnvalidate_evaluate"
                },
                {
                    "run": "#pgapx_input_check.cwl",
                    "in": [
                        {
                            "source": "#main/ignore_all_errors",
                            "id": "#main/Prepare_Unannotated_Sequences_pgapx_input_check/ignore_all_errors"
                        },
                        {
                            "source": "#main/Prepare_Unannotated_Sequences/sequences",
                            "id": "#main/Prepare_Unannotated_Sequences_pgapx_input_check/input"
                        },
                        {
                            "default": 15000000,
                            "id": "#main/Prepare_Unannotated_Sequences_pgapx_input_check/max_size"
                        },
                        {
                            "default": 300,
                            "id": "#main/Prepare_Unannotated_Sequences_pgapx_input_check/min_size"
                        },
                        {
                            "source": "#main/passdata/species_genome_size",
                            "id": "#main/Prepare_Unannotated_Sequences_pgapx_input_check/species_genome_size"
                        },
                        {
                            "source": "#main/passdata/taxon_db",
                            "id": "#main/Prepare_Unannotated_Sequences_pgapx_input_check/taxon_db"
                        }
                    ],
                    "out": [],
                    "id": "#main/Prepare_Unannotated_Sequences_pgapx_input_check"
                },
                {
                    "run": "#asn_translator.cwl",
                    "in": [
                        {
                            "source": "#main/Prepare_Unannotated_Sequences/sequences",
                            "id": "#main/Prepare_Unannotated_Sequences_text/input"
                        },
                        {
                            "default": "sequences.text.asn",
                            "id": "#main/Prepare_Unannotated_Sequences_text/output_output"
                        }
                    ],
                    "out": [
                        "#main/Prepare_Unannotated_Sequences_text/output"
                    ],
                    "id": "#main/Prepare_Unannotated_Sequences_text"
                },
                {
                    "run": "#bact_univ_prot_stats.cwl",
                    "in": [
                        {
                            "default": -1,
                            "id": "#main/Validate_Annotation_bact_univ_prot_stats/annot_request_id"
                        },
                        {
                            "source": "#main/bacterial_annot_3/Search_Naming_HMMs_hmm_hits",
                            "id": "#main/Validate_Annotation_bact_univ_prot_stats/hmm_search"
                        },
                        {
                            "source": "#main/bacterial_annot_3/PGAP_plus_ab_initio_annotation",
                            "id": "#main/Validate_Annotation_bact_univ_prot_stats/hmm_search_proteins"
                        },
                        {
                            "source": "#main/Final_Bacterial_Package_final_bact_asn/outfull",
                            "id": "#main/Validate_Annotation_bact_univ_prot_stats/input"
                        },
                        {
                            "default": true,
                            "id": "#main/Validate_Annotation_bact_univ_prot_stats/it"
                        },
                        {
                            "source": "#main/passdata/univ_prot_xml",
                            "id": "#main/Validate_Annotation_bact_univ_prot_stats/univ_prot_xml"
                        },
                        {
                            "source": "#main/passdata/val_res_den_xml",
                            "id": "#main/Validate_Annotation_bact_univ_prot_stats/val_res_den_xml"
                        }
                    ],
                    "out": [
                        "#main/Validate_Annotation_bact_univ_prot_stats/bact_univ_prot_stats_old_xml",
                        "#main/Validate_Annotation_bact_univ_prot_stats/var_bact_univ_prot_details_xml",
                        "#main/Validate_Annotation_bact_univ_prot_stats/var_bact_univ_prot_stats_xml"
                    ],
                    "id": "#main/Validate_Annotation_bact_univ_prot_stats"
                },
                {
                    "run": "#collect_annot_stats.cwl",
                    "in": [
                        {
                            "source": [
                                "#main/Validate_Annotation_bact_univ_prot_stats/var_bact_univ_prot_details_xml",
                                "#main/Validate_Annotation_proc_annot_stats/var_proc_annot_details_xml"
                            ],
                            "linkMerge": "merge_flattened",
                            "id": "#main/Validate_Annotation_collect_annot_details/input"
                        },
                        {
                            "default": "proc_annot_details.xml",
                            "id": "#main/Validate_Annotation_collect_annot_details/output_name"
                        }
                    ],
                    "out": [
                        "#main/Validate_Annotation_collect_annot_details/output"
                    ],
                    "id": "#main/Validate_Annotation_collect_annot_details"
                },
                {
                    "run": "#collect_annot_stats.cwl",
                    "in": [
                        {
                            "source": [
                                "#main/Validate_Annotation_bact_univ_prot_stats/var_bact_univ_prot_stats_xml",
                                "#main/Validate_Annotation_proc_annot_stats/var_proc_annot_stats_xml",
                                "#main/Validate_Annotation_xsltproc_asndisc/output",
                                "#main/Validate_Annotation_xsltproc_asnvalidate/output"
                            ],
                            "linkMerge": "merge_flattened",
                            "id": "#main/Validate_Annotation_collect_annot_stats/input"
                        },
                        {
                            "default": "proc_annot_stats.xml",
                            "id": "#main/Validate_Annotation_collect_annot_stats/output_name"
                        }
                    ],
                    "out": [
                        "#main/Validate_Annotation_collect_annot_stats/output"
                    ],
                    "id": "#main/Validate_Annotation_collect_annot_stats"
                },
                {
                    "run": "#proc_annot_stats.cwl",
                    "in": [
                        {
                            "source": "#main/Final_Bacterial_Package_dumb_down_as_required/outent",
                            "id": "#main/Validate_Annotation_proc_annot_stats/input"
                        },
                        {
                            "default": true,
                            "id": "#main/Validate_Annotation_proc_annot_stats/it"
                        },
                        {
                            "default": 5000,
                            "id": "#main/Validate_Annotation_proc_annot_stats/max_unannotated_region"
                        },
                        {
                            "source": "#main/passdata/univ_prot_xml",
                            "id": "#main/Validate_Annotation_proc_annot_stats/univ_prot_xml"
                        },
                        {
                            "source": "#main/passdata/val_res_den_xml",
                            "id": "#main/Validate_Annotation_proc_annot_stats/val_res_den_xml"
                        }
                    ],
                    "out": [
                        {
                            "id": "#main/Validate_Annotation_proc_annot_stats/var_proc_annot_stats_xml"
                        },
                        {
                            "id": "#main/Validate_Annotation_proc_annot_stats/var_proc_annot_details_xml"
                        }
                    ],
                    "id": "#main/Validate_Annotation_proc_annot_stats"
                },
                {
                    "run": "#xsltproc.cwl",
                    "in": [
                        {
                            "default": "var_proc_annot_stats.disc.xml",
                            "id": "#main/Validate_Annotation_xsltproc_asndisc/output_name"
                        },
                        {
                            "source": "#main/Final_Bacterial_Package_std_validation/outdiscxml",
                            "id": "#main/Validate_Annotation_xsltproc_asndisc/xml"
                        },
                        {
                            "source": "#main/passdata/asn2pas_xsl",
                            "id": "#main/Validate_Annotation_xsltproc_asndisc/xslt"
                        }
                    ],
                    "out": [
                        "#main/Validate_Annotation_xsltproc_asndisc/output"
                    ],
                    "id": "#main/Validate_Annotation_xsltproc_asndisc"
                },
                {
                    "run": "#xsltproc.cwl",
                    "in": [
                        {
                            "default": "var_proc_annot_stats.val.xml",
                            "id": "#main/Validate_Annotation_xsltproc_asnvalidate/output_name"
                        },
                        {
                            "source": "#main/Final_Bacterial_Package_val_stats/xml",
                            "id": "#main/Validate_Annotation_xsltproc_asnvalidate/xml"
                        },
                        {
                            "source": "#main/passdata/asn2pas_xsl",
                            "id": "#main/Validate_Annotation_xsltproc_asnvalidate/xslt"
                        }
                    ],
                    "out": [
                        "#main/Validate_Annotation_xsltproc_asnvalidate/output"
                    ],
                    "id": "#main/Validate_Annotation_xsltproc_asnvalidate"
                },
                {
                    "label": "Add Checksum to Genbank class ENT",
                    "run": "#annot_checksum.cwl",
                    "in": [
                        {
                            "default": "seq-entry",
                            "id": "#main/add_checksum_gbent/ifmt"
                        },
                        {
                            "source": "#main/Final_Bacterial_Package_sqn2gbent/output",
                            "id": "#main/add_checksum_gbent/input"
                        },
                        {
                            "default": "add",
                            "id": "#main/add_checksum_gbent/mode"
                        },
                        {
                            "default": "annot-gb.ent",
                            "id": "#main/add_checksum_gbent/output_name"
                        },
                        {
                            "default": true,
                            "id": "#main/add_checksum_gbent/t"
                        }
                    ],
                    "out": [
                        "#main/add_checksum_gbent/output"
                    ],
                    "id": "#main/add_checksum_gbent"
                },
                {
                    "label": "Add Checksum to SQN",
                    "run": "#annot_checksum.cwl",
                    "in": [
                        {
                            "default": "seq-submit",
                            "id": "#main/add_checksum_sqn/ifmt"
                        },
                        {
                            "source": "#main/Final_Bacterial_Package_ent2sqn/output",
                            "id": "#main/add_checksum_sqn/input"
                        },
                        {
                            "default": "add",
                            "id": "#main/add_checksum_sqn/mode"
                        },
                        {
                            "default": "annot.sqn",
                            "id": "#main/add_checksum_sqn/output_name"
                        },
                        {
                            "default": true,
                            "id": "#main/add_checksum_sqn/t"
                        }
                    ],
                    "out": [
                        "#main/add_checksum_sqn/output"
                    ],
                    "id": "#main/add_checksum_sqn"
                },
                {
                    "run": "#wf_bacterial_annot_pass1.cwl",
                    "in": [
                        {
                            "source": "#main/bacterial_mobile_elem/annots",
                            "id": "#main/bacterial_annot/Execute_CRISPRs_annots"
                        },
                        {
                            "source": "#main/bacterial_noncoding/annotations_16s",
                            "id": "#main/bacterial_annot/Generate_16S_rRNA_Annotation_annotation"
                        },
                        {
                            "source": "#main/bacterial_noncoding/annotations_23s",
                            "id": "#main/bacterial_annot/Generate_23S_rRNA_Annotation_annotation"
                        },
                        {
                            "source": "#main/bacterial_noncoding/annotations_5s",
                            "id": "#main/bacterial_annot/Post_process_CMsearch_annotations_annots_5S"
                        },
                        {
                            "source": "#main/genomic_source/asncache",
                            "id": "#main/bacterial_annot/asn_cache"
                        },
                        {
                            "default": "/panfs/pan1.be-md.ncbi.nlm.nih.gov/gpipe/ThirdParty/GeneMark/",
                            "id": "#main/bacterial_annot/genemark_path"
                        },
                        {
                            "source": [
                                "#main/Prepare_Unannotated_Sequences_asndisc_evaluate/success",
                                "#main/Prepare_Unannotated_Sequences_asnvalidate_evaluate/success"
                            ],
                            "id": "#main/bacterial_annot/go"
                        },
                        {
                            "source": "#main/passdata/hmm_path",
                            "id": "#main/bacterial_annot/hmm_path"
                        },
                        {
                            "source": "#main/passdata/hmms_tab",
                            "id": "#main/bacterial_annot/hmms_tab"
                        },
                        {
                            "source": "#main/Prepare_Unannotated_Sequences/sequences",
                            "id": "#main/bacterial_annot/inseq"
                        },
                        {
                            "source": "#main/passdata/naming_sqlite",
                            "id": "#main/bacterial_annot/naming_sqlite"
                        },
                        {
                            "source": "#main/bacterial_ncrna/annots",
                            "id": "#main/bacterial_annot/ncrna_annots"
                        },
                        {
                            "default": true,
                            "id": "#main/bacterial_annot/nogenbank"
                        },
                        {
                            "source": "#main/scatter_gather_nchunks",
                            "id": "#main/bacterial_annot/scatter_gather_nchunks"
                        },
                        {
                            "source": "#main/passdata/selenoproteins",
                            "id": "#main/bacterial_annot/selenoproteins"
                        },
                        {
                            "source": "#main/passdata/thresholds",
                            "id": "#main/bacterial_annot/thresholds"
                        },
                        {
                            "source": "#main/bacterial_trna/annots",
                            "id": "#main/bacterial_annot/trna_annots"
                        },
                        {
                            "source": "#main/passdata/uniColl_cache",
                            "id": "#main/bacterial_annot/uniColl_cache"
                        }
                    ],
                    "out": [
                        "#main/bacterial_annot/lds2",
                        "#main/bacterial_annot/seqids",
                        "#main/bacterial_annot/proteins",
                        "#main/bacterial_annot/aligns",
                        "#main/bacterial_annot/annotation",
                        "#main/bacterial_annot/out_hmm_params",
                        "#main/bacterial_annot/outseqs",
                        "#main/bacterial_annot/prot_ids",
                        "#main/bacterial_annot/models1"
                    ],
                    "id": "#main/bacterial_annot"
                },
                {
                    "run": "#wf_bacterial_annot_pass2.cwl",
                    "in": [
                        {
                            "source": "#main/bacterial_annot/outseqs",
                            "id": "#main/bacterial_annot_2/annotation"
                        },
                        {
                            "source": "#main/blast_hits_cache_data_split_dir/blast_hits_cache",
                            "id": "#main/bacterial_annot_2/blast_hits_cache"
                        },
                        {
                            "source": "#main/Get_Proteins/selected_blastdb",
                            "id": "#main/bacterial_annot_2/blastdb"
                        },
                        {
                            "source": "#main/genus_list_file2ints/values",
                            "id": "#main/bacterial_annot_2/genus_list"
                        },
                        {
                            "source": "#main/passdata/identification_db_dir",
                            "id": "#main/bacterial_annot_2/identification_db_dir"
                        },
                        {
                            "source": "#main/bacterial_annot/lds2",
                            "id": "#main/bacterial_annot_2/lds2"
                        },
                        {
                            "source": "#main/Prepare_Unannotated_Sequences/plasmids",
                            "id": "#main/bacterial_annot_2/plasmids"
                        },
                        {
                            "source": "#main/bacterial_annot/seqids",
                            "id": "#main/bacterial_annot_2/prot_ids_A"
                        },
                        {
                            "source": "#main/bacterial_annot/prot_ids",
                            "id": "#main/bacterial_annot_2/prot_ids_B1"
                        },
                        {
                            "source": "#main/spurious_annot_1/AntiFam_tainted_proteins_I___oseqids",
                            "id": "#main/bacterial_annot_2/prot_ids_B2"
                        },
                        {
                            "source": "#main/bacterial_annot/proteins",
                            "id": "#main/bacterial_annot_2/proteins"
                        },
                        {
                            "source": "#main/Prepare_Unannotated_Sequences/sequences",
                            "id": "#main/bacterial_annot_2/raw_seqs"
                        },
                        {
                            "source": "#main/scatter_gather_nchunks",
                            "id": "#main/bacterial_annot_2/scatter_gather_nchunks"
                        },
                        {
                            "source": "#main/genomic_source/asncache",
                            "id": "#main/bacterial_annot_2/sequence_cache"
                        },
                        {
                            "source": "#main/taxid",
                            "id": "#main/bacterial_annot_2/taxid"
                        },
                        {
                            "source": "#main/passdata/taxon_db",
                            "id": "#main/bacterial_annot_2/taxon_db"
                        },
                        {
                            "source": "#main/passdata/uniColl_cache",
                            "id": "#main/bacterial_annot_2/unicoll_cache"
                        }
                    ],
                    "out": [
                        "#main/bacterial_annot_2/aligns"
                    ],
                    "id": "#main/bacterial_annot_2"
                },
                {
                    "run": "#wf_bacterial_annot_pass3.cwl",
                    "in": [
                        {
                            "source": "#main/passdata/AntiFamLib",
                            "id": "#main/bacterial_annot_3/AntiFamLib"
                        },
                        {
                            "source": "#main/bacterial_annot/annotation",
                            "id": "#main/bacterial_annot_3/annotation"
                        },
                        {
                            "default": "/panfs/pan1.be-md.ncbi.nlm.nih.gov/gpipe/ThirdParty/GeneMark/",
                            "id": "#main/bacterial_annot_3/genemark_path"
                        },
                        {
                            "source": "#main/bacterial_annot/aligns",
                            "id": "#main/bacterial_annot_3/hmm_aligns"
                        },
                        {
                            "source": "#main/bacterial_annot/out_hmm_params",
                            "id": "#main/bacterial_annot_3/hmm_params"
                        },
                        {
                            "source": "#main/passdata/naming_hmms_tab",
                            "id": "#main/bacterial_annot_3/hmms_tab"
                        },
                        {
                            "source": "#main/bacterial_annot/models1",
                            "id": "#main/bacterial_annot_3/models1"
                        },
                        {
                            "source": "#main/passdata/naming_hmms_combined",
                            "id": "#main/bacterial_annot_3/naming_hmms_combined"
                        },
                        {
                            "source": "#main/passdata/naming_sqlite",
                            "id": "#main/bacterial_annot_3/naming_sqlite"
                        },
                        {
                            "source": "#main/protein_alignment/align",
                            "id": "#main/bacterial_annot_3/prot_aligns"
                        },
                        {
                            "source": "#main/Prepare_Unannotated_Sequences/sequences",
                            "id": "#main/bacterial_annot_3/raw_seqs"
                        },
                        {
                            "source": "#main/scatter_gather_nchunks",
                            "id": "#main/bacterial_annot_3/scatter_gather_nchunks"
                        },
                        {
                            "source": "#main/passdata/selenoproteins",
                            "id": "#main/bacterial_annot_3/selenoproteins"
                        },
                        {
                            "source": "#main/genomic_source/asncache",
                            "id": "#main/bacterial_annot_3/sequence_cache"
                        },
                        {
                            "source": "#main/passdata/taxon_db",
                            "id": "#main/bacterial_annot_3/taxon_db"
                        },
                        {
                            "source": "#main/passdata/thresholds",
                            "id": "#main/bacterial_annot_3/thresholds"
                        },
                        {
                            "source": "#main/passdata/uniColl_cache",
                            "id": "#main/bacterial_annot_3/uniColl_cache"
                        },
                        {
                            "source": "#main/passdata/wp_hashes",
                            "id": "#main/bacterial_annot_3/wp_hashes"
                        }
                    ],
                    "out": [
                        {
                            "id": "#main/bacterial_annot_3/Find_Best_Evidence_Alignments_aligns"
                        },
                        {
                            "id": "#main/bacterial_annot_3/Run_GeneMark_Post_models"
                        },
                        {
                            "id": "#main/bacterial_annot_3/Extract_Model_Proteins_seqids"
                        },
                        {
                            "id": "#main/bacterial_annot_3/Extract_Model_Proteins_lds2"
                        },
                        {
                            "id": "#main/bacterial_annot_3/Extract_Model_Proteins_proteins"
                        },
                        {
                            "id": "#main/bacterial_annot_3/Search_Naming_HMMs_hmm_hits"
                        },
                        {
                            "id": "#main/bacterial_annot_3/Assign_Naming_HMM_to_Proteins_assignments"
                        },
                        {
                            "id": "#main/bacterial_annot_3/Name_by_WPs_names"
                        },
                        {
                            "id": "#main/bacterial_annot_3/PGAP_plus_ab_initio_annotation"
                        }
                    ],
                    "id": "#main/bacterial_annot_3"
                },
                {
                    "run": "#wf_bacterial_annot_pass4.cwl",
                    "in": [
                        {
                            "source": "#main/passdata/CDDdata",
                            "id": "#main/bacterial_annot_4/CDDdata"
                        },
                        {
                            "source": "#main/passdata/CDDdata2",
                            "id": "#main/bacterial_annot_4/CDDdata2"
                        },
                        {
                            "source": "#main/bacterial_annot_3/Extract_Model_Proteins_seqids",
                            "id": "#main/bacterial_annot_4/Extract_Model_Proteins_prot_ids"
                        },
                        {
                            "source": "#main/spurious_annot_2/Good_AntiFam_filtered_proteins_output",
                            "id": "#main/bacterial_annot_4/Good_AntiFam_filtered_proteins_gilist"
                        },
                        {
                            "source": "#main/spurious_annot_2/Good_AntiFam_filtered_annotations_out",
                            "id": "#main/bacterial_annot_4/annotation"
                        },
                        {
                            "source": "#main/blast_hits_cache_data_split_dir/blast_hits_cache",
                            "id": "#main/bacterial_annot_4/blast_hits_cache"
                        },
                        {
                            "source": "#main/Get_Proteins/selected_blastdb",
                            "id": "#main/bacterial_annot_4/blastdb"
                        },
                        {
                            "source": "#main/passdata/defline_cleanup_rules",
                            "id": "#main/bacterial_annot_4/defline_cleanup_rules"
                        },
                        {
                            "source": "#main/genus_list_file2ints/values",
                            "id": "#main/bacterial_annot_4/genus_list"
                        },
                        {
                            "source": "#main/bacterial_annot_3/Assign_Naming_HMM_to_Proteins_assignments",
                            "id": "#main/bacterial_annot_4/hmm_assignments"
                        },
                        {
                            "source": "#main/passdata/identification_db_dir",
                            "id": "#main/bacterial_annot_4/identification_db_dir"
                        },
                        {
                            "source": "#main/bacterial_annot_3/Extract_Model_Proteins_lds2",
                            "id": "#main/bacterial_annot_4/lds2"
                        },
                        {
                            "source": "#main/passdata/naming_sqlite",
                            "id": "#main/bacterial_annot_4/naming_sqlite"
                        },
                        {
                            "source": "#main/bacterial_annot_3/Extract_Model_Proteins_proteins",
                            "id": "#main/bacterial_annot_4/proteins"
                        },
                        {
                            "source": "#main/scatter_gather_nchunks",
                            "id": "#main/bacterial_annot_4/scatter_gather_nchunks"
                        },
                        {
                            "source": "#main/genomic_source/asncache",
                            "id": "#main/bacterial_annot_4/sequence_cache"
                        },
                        {
                            "source": "#main/taxid",
                            "id": "#main/bacterial_annot_4/taxid"
                        },
                        {
                            "source": "#main/passdata/taxon_db",
                            "id": "#main/bacterial_annot_4/taxon_db"
                        },
                        {
                            "source": "#main/passdata/thresholds",
                            "id": "#main/bacterial_annot_4/thresholds"
                        },
                        {
                            "source": "#main/passdata/uniColl_cache",
                            "id": "#main/bacterial_annot_4/uniColl_cache"
                        },
                        {
                            "source": "#main/bacterial_annot_3/Name_by_WPs_names",
                            "id": "#main/bacterial_annot_4/wp_assignments"
                        }
                    ],
                    "out": [
                        {
                            "id": "#main/bacterial_annot_4/out_annotation"
                        }
                    ],
                    "id": "#main/bacterial_annot_4"
                },
                {
                    "run": "#wf_bacterial_mobile_elem.cwl",
                    "in": [
                        {
                            "source": "#main/genomic_source/asncache",
                            "id": "#main/bacterial_mobile_elem/asn_cache"
                        },
                        {
                            "source": [
                                "#main/Prepare_Unannotated_Sequences_asndisc_evaluate/success",
                                "#main/Prepare_Unannotated_Sequences_asnvalidate_evaluate/success"
                            ],
                            "id": "#main/bacterial_mobile_elem/go"
                        },
                        {
                            "source": "#main/genomic_source/seqid_list",
                            "id": "#main/bacterial_mobile_elem/seqids"
                        }
                    ],
                    "out": [
                        "#main/bacterial_mobile_elem/annots"
                    ],
                    "id": "#main/bacterial_mobile_elem"
                },
                {
                    "run": "#wf_gcmsearch.cwl",
                    "in": [
                        {
                            "source": "#main/genomic_source/asncache",
                            "id": "#main/bacterial_ncrna/asn_cache"
                        },
                        {
                            "source": [
                                "#main/Prepare_Unannotated_Sequences_asndisc_evaluate/success",
                                "#main/Prepare_Unannotated_Sequences_asnvalidate_evaluate/success"
                            ],
                            "id": "#main/bacterial_ncrna/go"
                        },
                        {
                            "source": "#main/passdata/rfam_model_path",
                            "id": "#main/bacterial_ncrna/model_path"
                        },
                        {
                            "source": "#main/passdata/rfam_amendments",
                            "id": "#main/bacterial_ncrna/rfam_amendments"
                        },
                        {
                            "source": "#main/passdata/rfam_stockholm",
                            "id": "#main/bacterial_ncrna/rfam_stockholm"
                        },
                        {
                            "source": "#main/genomic_source/seqid_list",
                            "id": "#main/bacterial_ncrna/seqids"
                        },
                        {
                            "source": "#main/passdata/taxon_db",
                            "id": "#main/bacterial_ncrna/taxon_db"
                        }
                    ],
                    "out": [
                        "#main/bacterial_ncrna/annots"
                    ],
                    "id": "#main/bacterial_ncrna"
                },
                {
                    "run": "#wf_bacterial_noncoding.cwl",
                    "in": [
                        {
                            "source": "#main/genomic_source/asncache",
                            "id": "#main/bacterial_noncoding/asn_cache"
                        },
                        {
                            "source": [
                                "#main/Prepare_Unannotated_Sequences_asndisc_evaluate/success",
                                "#main/Prepare_Unannotated_Sequences_asnvalidate_evaluate/success"
                            ],
                            "id": "#main/bacterial_noncoding/go"
                        },
                        {
                            "source": "#main/passdata/16s_model_path",
                            "id": "#main/bacterial_noncoding/model_path_16s"
                        },
                        {
                            "source": "#main/passdata/23s_model_path",
                            "id": "#main/bacterial_noncoding/model_path_23s"
                        },
                        {
                            "source": "#main/passdata/5s_model_path",
                            "id": "#main/bacterial_noncoding/model_path_5s"
                        },
                        {
                            "source": "#main/passdata/rfam_amendments",
                            "id": "#main/bacterial_noncoding/rfam_amendments"
                        },
                        {
                            "source": "#main/passdata/rfam_stockholm",
                            "id": "#main/bacterial_noncoding/rfam_stockholm"
                        },
                        {
                            "source": "#main/genomic_source/seqid_list",
                            "id": "#main/bacterial_noncoding/seqids"
                        },
                        {
                            "source": "#main/passdata/taxon_db",
                            "id": "#main/bacterial_noncoding/taxon_db"
                        }
                    ],
                    "out": [
                        "#main/bacterial_noncoding/annotations_5s",
                        "#main/bacterial_noncoding/annotations_16s",
                        "#main/bacterial_noncoding/annotations_23s"
                    ],
                    "id": "#main/bacterial_noncoding"
                },
                {
                    "run": "#wf_bacterial_orthology_conditional.cwl",
                    "in": [
                        {
                            "source": [
                                "#main/passdata/uniColl_nuc_cache"
                            ],
                            "linkMerge": "merge_flattened",
                            "id": "#main/bacterial_orthology_conditional/asn_cache"
                        },
                        {
                            "source": "#main/blast_hits_cache_data_split_dir/blast_hits_cache",
                            "id": "#main/bacterial_orthology_conditional/blast_hits_cache"
                        },
                        {
                            "default": [
                                "blastdb"
                            ],
                            "id": "#main/bacterial_orthology_conditional/blastdb"
                        },
                        {
                            "source": "#main/passdata/gc_cache",
                            "id": "#main/bacterial_orthology_conditional/gc_cache"
                        },
                        {
                            "source": "#main/genomic_source/gencoll_asn",
                            "id": "#main/bacterial_orthology_conditional/gencoll_asn"
                        },
                        {
                            "source": "#main/genus_list_file2ints/values",
                            "id": "#main/bacterial_orthology_conditional/genus_list"
                        },
                        {
                            "source": "#main/Add_Locus_Tags/output",
                            "id": "#main/bacterial_orthology_conditional/input"
                        },
                        {
                            "source": "#main/passdata/naming_sqlite",
                            "id": "#main/bacterial_orthology_conditional/naming_sqlite"
                        },
                        {
                            "source": "#main/scatter_gather_nchunks",
                            "id": "#main/bacterial_orthology_conditional/scatter_gather_nchunks"
                        },
                        {
                            "source": "#main/taxid",
                            "id": "#main/bacterial_orthology_conditional/taxid"
                        },
                        {
                            "source": "#main/passdata/taxon_db",
                            "id": "#main/bacterial_orthology_conditional/taxon_db"
                        }
                    ],
                    "out": [
                        "#main/bacterial_orthology_conditional/output"
                    ],
                    "id": "#main/bacterial_orthology_conditional"
                },
                {
                    "run": "#wf_trnascan.cwl",
                    "in": [
                        {
                            "source": "#main/genomic_source/asncache",
                            "id": "#main/bacterial_trna/asn_cache"
                        },
                        {
                            "source": [
                                "#main/Prepare_Unannotated_Sequences_asndisc_evaluate/success",
                                "#main/Prepare_Unannotated_Sequences_asnvalidate_evaluate/success"
                            ],
                            "id": "#main/bacterial_trna/go"
                        },
                        {
                            "source": "#main/scatter_gather_nchunks",
                            "id": "#main/bacterial_trna/scatter_gather_nchunks"
                        },
                        {
                            "source": "#main/genomic_source/seqid_list",
                            "id": "#main/bacterial_trna/seqids"
                        },
                        {
                            "source": "#main/taxid",
                            "id": "#main/bacterial_trna/taxid"
                        },
                        {
                            "source": "#main/passdata/taxon_db",
                            "id": "#main/bacterial_trna/taxon_db"
                        }
                    ],
                    "out": [
                        "#main/bacterial_trna/annots"
                    ],
                    "id": "#main/bacterial_trna"
                },
                {
                    "in": [
                        {
                            "source": "#main/blast_hits_cache_data",
                            "id": "#main/blast_hits_cache_data_split_dir/data"
                        }
                    ],
                    "run": "#blast_hits_cache_data_split_dir.cwl",
                    "out": [
                        "#main/blast_hits_cache_data_split_dir/blast_hits_cache",
                        "#main/blast_hits_cache_data_split_dir/genus_list"
                    ],
                    "id": "#main/blast_hits_cache_data_split_dir"
                },
                {
                    "run": "#wf_genomic_source_asn.cwl",
                    "in": [
                        {
                            "source": "#main/entries",
                            "id": "#main/genomic_source/entries"
                        },
                        {
                            "source": "#main/ping_start/outstring",
                            "id": "#main/genomic_source/gc_assm_name"
                        },
                        {
                            "source": "#main/seq_submit",
                            "id": "#main/genomic_source/seq_submit"
                        },
                        {
                            "source": "#main/passdata/taxon_db",
                            "id": "#main/genomic_source/taxon_db"
                        }
                    ],
                    "out": [
                        "#main/genomic_source/gencoll_asn",
                        "#main/genomic_source/seqid_list",
                        "#main/genomic_source/stats_report",
                        "#main/genomic_source/asncache",
                        "#main/genomic_source/ids_out",
                        "#main/genomic_source/submit_block_template",
                        "#main/genomic_source/order"
                    ],
                    "id": "#main/genomic_source"
                },
                {
                    "run": "#file2ints.cwl",
                    "in": [
                        {
                            "source": "#main/blast_hits_cache_data_split_dir/genus_list",
                            "id": "#main/genus_list_file2ints/input"
                        }
                    ],
                    "out": [
                        "#main/genus_list_file2ints/values"
                    ],
                    "id": "#main/genus_list_file2ints"
                },
                {
                    "run": "#catlog.cwl",
                    "in": [
                        {
                            "source": [
                                "#main/passdata/package_versions"
                            ],
                            "linkMerge": "merge_flattened",
                            "id": "#main/log_package_versions/input"
                        }
                    ],
                    "out": [],
                    "id": "#main/log_package_versions"
                },
                {
                    "in": [
                        {
                            "source": "#main/supplemental_data",
                            "id": "#main/passdata/data"
                        }
                    ],
                    "run": "#supplemental_data_split_dir.cwl",
                    "out": [
                        "#main/passdata/5s_model_path",
                        "#main/passdata/16s_model_path",
                        "#main/passdata/23s_model_path",
                        "#main/passdata/AntiFamLib",
                        "#main/passdata/all_order_specific_blastdb_file",
                        "#main/passdata/asn2pas_xsl",
                        "#main/passdata/identification_db_dir",
                        "#main/passdata/CDDdata2",
                        "#main/passdata/CDDdata",
                        "#main/passdata/defline_cleanup_rules",
                        "#main/passdata/gc_cache",
                        "#main/passdata/gene_master_ini",
                        "#main/passdata/hmm_path",
                        "#main/passdata/hmms_tab",
                        "#main/passdata/naming_hmms_combined",
                        "#main/passdata/naming_hmms_tab",
                        "#main/passdata/naming_sqlite",
                        "#main/passdata/package_versions",
                        "#main/passdata/rfam_amendments",
                        "#main/passdata/rfam_model_path",
                        "#main/passdata/rfam_stockholm",
                        "#main/passdata/selenoproteins",
                        "#main/passdata/species_genome_size",
                        "#main/passdata/taxon_db",
                        "#main/passdata/thresholds",
                        "#main/passdata/uniColl_cache",
                        "#main/passdata/uniColl_nuc_cache",
                        "#main/passdata/univ_prot_xml",
                        "#main/passdata/val_res_den_xml",
                        "#main/passdata/wp_hashes"
                    ],
                    "id": "#main/passdata"
                },
                {
                    "run": "#pinger.cwl",
                    "in": [
                        {
                            "source": "#main/gc_assm_name",
                            "id": "#main/ping_start/instring"
                        },
                        {
                            "source": "#main/make_uuid",
                            "id": "#main/ping_start/make_uuid"
                        },
                        {
                            "source": "#main/report_usage",
                            "id": "#main/ping_start/report_usage"
                        },
                        {
                            "default": "start",
                            "id": "#main/ping_start/state"
                        },
                        {
                            "source": "#main/uuid_in",
                            "id": "#main/ping_start/uuid_in"
                        },
                        {
                            "default": "pgap",
                            "id": "#main/ping_start/workflow"
                        }
                    ],
                    "out": [
                        "#main/ping_start/stdout",
                        "#main/ping_start/outstring",
                        "#main/ping_start/uuid_out"
                    ],
                    "id": "#main/ping_start"
                },
                {
                    "run": "#pinger.cwl",
                    "in": [
                        {
                            "source": [
                                "#main/Final_Bacterial_Package_sqn2gbent/output",
                                "#main/Generate_Annotation_Reports_gff/output",
                                "#main/Generate_Annotation_Reports_gbk/output",
                                "#main/Generate_Annotation_Reports_nuc_fasta/nuc_fasta",
                                "#main/Generate_Annotation_Reports_prot_fasta/prot_fasta"
                            ],
                            "id": "#main/ping_stop/infile"
                        },
                        {
                            "source": "#main/report_usage",
                            "id": "#main/ping_stop/report_usage"
                        },
                        {
                            "default": "stop",
                            "id": "#main/ping_stop/state"
                        },
                        {
                            "source": "#main/ping_start/uuid_out",
                            "id": "#main/ping_stop/uuid_in"
                        },
                        {
                            "default": "pgap",
                            "id": "#main/ping_stop/workflow"
                        }
                    ],
                    "out": [
                        "#main/ping_stop/stdout"
                    ],
                    "id": "#main/ping_stop"
                },
                {
                    "run": "#wf_protein_alignment.cwl",
                    "in": [
                        {
                            "source": "#main/Get_Proteins/all_prots",
                            "id": "#main/protein_alignment/all_prots"
                        },
                        {
                            "source": "#main/genomic_source/asncache",
                            "id": "#main/protein_alignment/asn_cache"
                        },
                        {
                            "source": "#main/Create_Genomic_BLASTdb/blastdb",
                            "id": "#main/protein_alignment/blastdb_dir"
                        },
                        {
                            "source": "#main/bacterial_annot_2/aligns",
                            "id": "#main/protein_alignment/compartments"
                        },
                        {
                            "source": "#main/genomic_source/gencoll_asn",
                            "id": "#main/protein_alignment/gc_assembly"
                        },
                        {
                            "source": [
                                "#main/Prepare_Unannotated_Sequences_asndisc_evaluate/success",
                                "#main/Prepare_Unannotated_Sequences_asnvalidate_evaluate/success"
                            ],
                            "id": "#main/protein_alignment/go"
                        },
                        {
                            "source": "#main/passdata/taxon_db",
                            "id": "#main/protein_alignment/tax_sql_file"
                        },
                        {
                            "source": "#main/taxid",
                            "id": "#main/protein_alignment/taxid"
                        },
                        {
                            "source": "#main/passdata/uniColl_cache",
                            "id": "#main/protein_alignment/uniColl_asn_cache"
                        }
                    ],
                    "out": [
                        "#main/protein_alignment/align",
                        "#main/protein_alignment/align_non_match"
                    ],
                    "id": "#main/protein_alignment"
                },
                {
                    "run": "#wf_spurious_annot_pass1.cwl",
                    "in": [
                        {
                            "source": "#main/passdata/AntiFamLib",
                            "id": "#main/spurious_annot_1/AntiFamLib"
                        },
                        {
                            "source": "#main/bacterial_annot/lds2",
                            "id": "#main/spurious_annot_1/Extract_ORF_Proteins_lds2"
                        },
                        {
                            "source": "#main/bacterial_annot/proteins",
                            "id": "#main/spurious_annot_1/Extract_ORF_Proteins_proteins"
                        },
                        {
                            "source": "#main/bacterial_annot/seqids",
                            "id": "#main/spurious_annot_1/Extract_ORF_Proteins_seqids"
                        },
                        {
                            "source": "#main/scatter_gather_nchunks",
                            "id": "#main/spurious_annot_1/scatter_gather_nchunks"
                        },
                        {
                            "source": "#main/genomic_source/asncache",
                            "id": "#main/spurious_annot_1/sequence_cache"
                        }
                    ],
                    "out": [
                        "#main/spurious_annot_1/AntiFam_tainted_proteins_I___oseqids"
                    ],
                    "id": "#main/spurious_annot_1"
                },
                {
                    "run": "#wf_spurious_annot_pass2.cwl",
                    "in": [
                        {
                            "source": "#main/passdata/AntiFamLib",
                            "id": "#main/spurious_annot_2/AntiFamLib"
                        },
                        {
                            "source": "#main/bacterial_annot_3/Extract_Model_Proteins_lds2",
                            "id": "#main/spurious_annot_2/Extract_Model_Proteins_lds2"
                        },
                        {
                            "source": "#main/bacterial_annot_3/Extract_Model_Proteins_proteins",
                            "id": "#main/spurious_annot_2/Extract_Model_Proteins_proteins"
                        },
                        {
                            "source": "#main/bacterial_annot_3/Extract_Model_Proteins_seqids",
                            "id": "#main/spurious_annot_2/Extract_Model_Proteins_seqids"
                        },
                        {
                            "source": "#main/bacterial_annot_3/PGAP_plus_ab_initio_annotation",
                            "id": "#main/spurious_annot_2/input_models"
                        },
                        {
                            "source": "#main/scatter_gather_nchunks",
                            "id": "#main/spurious_annot_2/scatter_gather_nchunks"
                        },
                        {
                            "source": "#main/genomic_source/asncache",
                            "id": "#main/spurious_annot_2/sequence_cache"
                        }
                    ],
                    "out": [
                        "#main/spurious_annot_2/AntiFam_tainted_proteins___oseqids",
                        "#main/spurious_annot_2/Good_AntiFam_filtered_annotations_out",
                        "#main/spurious_annot_2/Good_AntiFam_filtered_proteins_output"
                    ],
                    "id": "#main/spurious_annot_2"
                }
            ],
            "outputs": [
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "outputSource": "#main/Final_Bacterial_Package_asndisc_evaluate/xml_output",
                    "id": "#main/final_asndisc_error_diag"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "outputSource": "#main/Final_Bacterial_Package_asnvalidate_evaluate/xml_output",
                    "id": "#main/final_asnval_error_diag"
                },
                {
                    "type": "File",
                    "outputSource": "#main/add_checksum_gbent/output",
                    "id": "#main/gbent"
                },
                {
                    "type": "File",
                    "outputSource": "#main/Generate_Annotation_Reports_gbk/output",
                    "id": "#main/gbk"
                },
                {
                    "type": "File",
                    "outputSource": "#main/Generate_Annotation_Reports_gff/output",
                    "id": "#main/gff"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "outputSource": "#main/Prepare_Unannotated_Sequences_asndisc_evaluate/xml_output",
                    "id": "#main/initial_asndisc_error_diag"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "outputSource": "#main/Prepare_Unannotated_Sequences_asnvalidate_evaluate/xml_output",
                    "id": "#main/initial_asnval_error_diag"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "outputSource": "#main/Generate_Annotation_Reports_nuc_fasta/nuc_fasta",
                    "id": "#main/nucleotide_fasta"
                },
                {
                    "type": "File",
                    "outputSource": "#main/Validate_Annotation_proc_annot_stats/var_proc_annot_stats_xml",
                    "id": "#main/proc_annot_stats"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "outputSource": "#main/Generate_Annotation_Reports_prot_fasta/prot_fasta",
                    "id": "#main/protein_fasta"
                },
                {
                    "type": "File",
                    "outputSource": "#main/add_checksum_sqn/output",
                    "id": "#main/sqn"
                }
            ],
            "id": "#main"
        }
    ],
    "cwlVersion": "v1.2"
}
